// definizione campi della maschera at5100a.msk
// Gestione parametri sezione

// passaggio di categoria sul numero di donazioni 1
#define AT_NUMDON1   101   // numero donazioni necessarie per il primo passaggio
#define AT_CATINI1   102   // categoria iniziale (di partenza)
#define AT_CATFIN1   103   // categoria finale (di destinazione)

// passaggio di categoria sul numero di donazioni 2
#define AT_NUMDON2   104   // numero donazioni necessarie per il primo passaggio
#define AT_CATINI2   105   // categoria iniziale (di partenza)
#define AT_CATFIN2   106   // categoria finale (di destinazione)
#define AT_STTESS2   107   // da fare al momento della stampa tessera

// data iscrizione
#define AT_DATAISC   108   // data iscrizione se vuota = data prima donazione

// stampa
#define  AT_STAMPA80 109   // stampa 80 colonne (dove prevista)

//intervalli di donazione per idoneita' automatiche
#define AT_ETADONNE  110   // limite di et per intervalli primo caso (eta' fertile)
#define AT_INTSI_F1  111   // intervallo SI per femmine prima fascia
#define AT_INTSI_F2  112   // intervallo SI per femmine seconda fascia
#define AT_INTSI_M   113   // intervallo SI per maschi
#define AT_INTAF_M   114   // intervallo AF per tutti

// definizione etichette soggetti
#define AT_ETFORM    115
#define AT_ETLARG    116
#define AT_ETCOL     117

// disabilita messaggi in giornaliero donazioni
#define AT_NOMESSAGE 118

// definizione schede
#define AT_SCHFORM	119
#define AT_SCHXPAG	120

// definizione elenco personalizzato
#define AT_ELENCO	  121

// definizione etichette sezioni
#define AT_ETSFORM    122
#define AT_ETSLARG    123
#define AT_ETSCOL     124

// descrizioni
#define AT_D_CATINI1 151
#define AT_D_CATFIN1 152
#define AT_D_CATINI2 153
#define AT_D_CATFIN2 154
#define AT_D_ETFORM  155
#define AT_D_SCHFORM 156
#define AT_D_ELENCO  157
#define AT_D_ETSFORM  158

// controlli sotto password
#define AT_CTRLPASS 159

// totale etichette stampate
#define AT_ETICTOT  160

// idoneita automatica al momento della donazione
#define AT_AUTOID     161
// motivo idoneita automatica
#define AT_MOTIVOID   162
#define AT_D_MOTIVOID 163

// definizione etichette per notiziario
#define AT_NETFORM    164
#define AT_NETLARG    165
#define AT_NETCOL     166

#define AT_D_NETFORM  167

// definizione cartoline per donazioni
#define AT_CAFORM     168
#define AT_CAPARAM    169
#define AT_D_CAFORM   170

// definizione cartoline altre stampe (dove previste)
#define AT_ACAFORM     171
#define AT_ACAPARAM    172
#define AT_D_ACAFORM   173

// definizione tessere
#define AT_TEFORM     174
#define AT_D_TEFORM   175
