USE 90
JOIN 13 ALIAS 500 INTO COM==COMNASC
JOIN 13 ALIAS 501 INTO COM==DOM_CODCOM
JOIN LCP ALIAS 100 INTO CODTAB==DOM_CODLOC
JOIN 96 INTO CODSEZ==CODSEZ|CODSOT=CODSOT
JOIN 97 INTO CODMED==CODMED
JOIN CTD ALIAS 700 INTO CODTAB==CATDON
JOIN TCS ALIAS 200 INTO CODTAB==STATO
JOIN LDN ALIAS 400 INTO CODTAB==PUNTORACC
JOIN GAZ ALIAS 300 INTO CODTAB==GRUPPOAZIE
JOIN 94 INTO CODICE==CODICE
JOIN BNZ TO 94 ALIAS 600 INTO CODTAB==TIPOBEN

END
DESCRIPTION
BEGIN
  90->* "Soggetti Sezioni AVIS"
  100@->* "Localita' postali"
  200@->* "TCS"
  300@->* "GAZ"
  100@->* "LCP"
  500@->* "Comune di nascita"
  501@->* "Comuni di domicilio"
  600@->* "Tabella benemerenze"
  96->* "Sezioni AVIS"
  97->* "Medici"
  94->* "Benemerenze"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 12
  GRID ""
END

SECTION BODY ODD 60

STRINGA 1 50
BEGIN
   KEY "Intestazione della scheda + data del giorno"
   PROMPT 1 1 "SCHEDA ANAGRAFICA SOGGETTO stampata il "
   MESSAGE _TODAY
END

STRINGA 2 35
BEGIN
   KEY "Denominazione sezione"
   PROMPT 1 2 "Sezione "
   FIELD 96->DENSEZ
END

STRINGA 3 35
BEGIN
   KEY "Denominazione sottogruppo"
   PROMPT 40 2 "Sottog. "
   FIELD 96->DENSOT
END

STRINGA 4 25
BEGIN
 KEY "Cognome"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE RESET,6|COPY,6
 FIELD 90->COGNOME
END

STRINGA 5 25
BEGIN
 KEY "Nome"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE APPEND,6
 FIELD 90->NOME
END

STRINGA 6 51 1
BEGIN
 KEY "Cognome e nome"
 PROMPT 1 4 ""
END

STRINGA 7 30 1
BEGIN
 KEY "Indirizzo"
 PROMPT 1 6 ""
 FIELD 90->DOM_INDIR
END

STRINGA 8 4
BEGIN
 KEY "Codice localita'"
 PROMPT 0 0 ""
 FLAGS "H"
 FIELD 90->DOM_CODLOC
END

STRINGA 9 5
BEGIN
 KEY "CAP"
 PROMPT 1 7 ""
 FIELD 100@->S6
 FIELD 501@->CAPCOM
END

STRINGA 10 30
BEGIN
 KEY "Denominazione localita' o comune"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE RESET,12|COPY,12
 FIELD 100@->S0
 FIELD 501@->DENCOM
END

STRINGA 11 5
BEGIN
 KEY "Provincia"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE APPEND,12
 FIELD 501@->PROVCOM
END

STRINGA 12 44 2
BEGIN
 KEY "Loc./Com. e Prov."
 PROMPT 7 7 ""
END

STRINGA 12 50
BEGIN
 KEY "Comune di nascita"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE RESET,14|COPY,14
 FIELD 500@->DENCOM
END

STRINGA 13 5
BEGIN
 KEY "Provincia di nascita"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE APPEND,14
 FIELD 500@->PROVCOM
END

STRINGA 14 55
BEGIN
 KEY "Comune e provincia di nascita"
 PROMPT 1 9 "Nato a "
END

DATA 15 18
BEGIN
 KEY "Data nascita"
 PROMPT 55 4 "Nato il "
 FIELD 90->DATANASC
 FORMAT "1444-"
END

LISTA 16
BEGIN
 KEY "Sesso"
 PROMPT 55 6 "Sesso "
 FIELD 90->SESSO
 ITEM "0|Sesso ?"
 ITEM "1|Maschio"
 ITEM "2|Femmina"
 ITEM "9|Sesso ?"
END

STRINGA 17 25
BEGIN
   KEY "Telefono abitazione"
   PROMPT 55 7 "Tel.abi. "
   FIELD 90->TELABI
END

STRINGA 18 25
BEGIN
   KEY "Telefono lavoro"
   PROMPT 55 8 "Tel.lav. "
   FIELD 90->TELLAV
END

STRINGA 19 25
BEGIN
   KEY "Telefono altri"
   PROMPT 55 9 "Altro    "
   FIELD 90->TELALT
END

NUMERO 20 20
BEGIN
   KEY "Codice soggetto"
   PROMPT 1 11 "Codice     "
   FIELD 90->CODICE
END

STRINGA 21 20
BEGIN
   KEY "Cartella clinica"
   PROMPT 1 12 "Cart.clin. "
   FIELD 90->CODCL
END

STRINGA 22 20
BEGIN
   KEY "Tessera AVIS"
   PROMPT 1 13 "Tessera    "
   FIELD 90->TESSAVIS
END

STRINGA 23 31
BEGIN
   KEY "Documento identita'"
   PROMPT 1 14 "Doc.ident. "
   FIELD 90->DOCID
END

STRINGA 24 25
BEGIN
   KEY "Codice fiscale"
   PROMPT 1 15 "Cod. fisc. "
   FIELD 90->CF
END

STRINGA 25 15
BEGIN
   KEY "Gruppo sanguigno"
   PROMPT 35 11 "Gruppo     "
   FIELD 90->GRUPPOAB0
END

STRINGA 26 15
BEGIN
   KEY "Rh/AntiD"
   PROMPT 35 12 "Rh/AntiD   "
   FIELD 90->RHANTID
END

STRINGA 27 15
BEGIN
   KEY "Fenotipo Rh"
   PROMPT 35 13 "Fenotipo   "
   FIELD 90->FENOTIPORH
END

STRINGA 28 15
BEGIN
   KEY "Kell"
   PROMPT 35 14 "Kell       "
   FIELD 90->KELL
END

STRINGA 29 15
BEGIN
   KEY "Du"
   PROMPT 35 15 "Du         "
   FIELD 90->DU
END


STRINGA 30 25
BEGIN
   KEY "Stato "
   PROMPT 55 11 "Stato att.  "
   FIELD 200@->S3[1,15]
END

DATA 31 25
BEGIN
   KEY "Data stato"
   PROMPT 55 12 "Data stato  "
   FIELD 90->DATASTATO
END

DATA 31 25
BEGIN
   KEY "Data fine sospensione"
   PROMPT 55 13 "Data fine   "
   FIELD 90->DATA_PROS
END

DATA 32 25
BEGIN
   KEY "Data iscrizione"
   PROMPT 55 14 "Data iscr.  "
   FIELD 90->DATAISC
END

DATA 33 25
BEGIN
   KEY "Data ult. agg. "
   PROMPT 55 15 "Ultimo agg. "
   FIELD 90->DATAULTAGG
END

STRINGA 34 25
BEGIN
   KEY "Cognome medico"
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE RESET,36|COPY,36
   FIELD 97->COGNOME
END

STRINGA 35 25
BEGIN
   KEY "Nome medico"
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE APPEND,36
   FIELD 97->NOME
END

STRINGA 36 51 1
BEGIN
   KEY "Cognome e nome medico"
   PROMPT 1 17 "Medico   "
END

STRINGA 37 25
BEGIN
   KEY "Telefono ambulatorio"
   PROMPT 1 18 "Tel.amb. "
   FIELD 97->TELAMB
END

STRINGA 38 25
BEGIN
   KEY "Numero libretto sanitario"
   PROMPT 1 19 "Tess.SSN "
END

NUMERO 39 15
BEGIN
  KEY "Numero cartolina"
  PROMPT 55 17 "Num. convoc. "
  FIELD 90->NUMCONV
END

DATA 40 25
BEGIN
   KEY "Data ultima cartolina "
   PROMPT 55 18 "Data ultima "
   FIELD 90->DATACONV
END

DATA 41 25
BEGIN
   KEY "Data ultima donazione"
   PROMPT 1 21 "Ultima don. "
   FIELD 90->DATAULTDON
END

STRINGA 42 2
BEGIN
   KEY "Tipo ultima donazione"
   PROMPT 24 21 ""
   FIELD 90->TIPOULTDON
END

NUMERO 43 15
BEGIN
   KEY "Totale donazioni"
   PROMPT 1 22 "Totale don. "
   FIELD 90->TOTDON
END

STRINGA 44 15
BEGIN
   KEY "Idoneita' 1"
   PROMPT 35 21 "Idoneita'  "
   FIELD 90->IDON1
END

STRINGA 45 2
BEGIN
   KEY "Idoneita' 2"
   PROMPT 48 21 ""
   FIELD 90->IDON2
END

STRINGA 46 2
BEGIN
   KEY "Idoneita' 3"
   PROMPT 51 21 ""
   FIELD 90->IDON3
END

STRINGA 47 2
BEGIN
   KEY "Idoneita' 4"
   PROMPT 54 21 ""
   FIELD 90->IDON4
END

NUMERO 48 15
BEGIN
   KEY "Intervallo SI"
   PROMPT 35 22 "Interv. SI "
   FIELD 90->INTSI
END

NUMERO 49 15
BEGIN
   KEY "Intervallo AF"
   PROMPT 35 23 "Interv. AF "
   FIELD 90->INTAF
END

DATA 49
BEGIN
   KEY "Data prossima SI"
   PROMPT 1 23 "Prossima SI "
   FIELD 90->DATAPROSSI
END

DATA 49
BEGIN
   KEY "Data prossima AF"
   PROMPT 1 24 "Prossima AF "
   FIELD 90->DATAPROSAF
END

STRINGA 50 12
BEGIN
   KEY "Testo"
   PROMPT 55 19 "Mod.convoc. "
END

LISTA 51 12
BEGIN
 KEY "Modalita' di convocazione"
 PROMPT 67 19 ""
 FIELD 90->MODCONV
#include "modalita.h"
//ITEM "  | "
//ITEM "PO|Postale"
//ITEM "T1|Tel. abitaz."
//ITEM "T2|Tel. lavoro"
//ITEM "T3|Tel. altro"
//ITEM "TE|Telefonica"
//ITEM "IN|Indifferente"
END

STRINGA 52 19
BEGIN
 KEY "Codice punto di racolta"
 PROMPT 0 0 ""
 FLAGS "H"
 FIELD 90->PUNTORACC
END

STRINGA 53 25
BEGIN
   KEY "Descrizione punto di raccolta"
   PROMPT 55 20 "Punto prel. "
   FIELD 400@->S0
END

STRINGA 54 25
BEGIN
   KEY "Testo"
   PROMPT 55 21 "Giorni pr.: L M M G V S D"
END

STRINGA 55 2
BEGIN
 KEY "Lu"
 PROMPT 67 22 ""
 FIELD 90->GIOPREDON[1,1]
END

STRINGA 56 2
BEGIN
 KEY "Ma"
 PROMPT 69 22 ""
 FIELD 90->GIOPREDON[2,2]
END

STRINGA 57 2
BEGIN
 KEY "Me"
 PROMPT 71 22 ""
 FIELD 90->GIOPREDON[3,3]
END

STRINGA 58 2
BEGIN
 KEY "Gi"
 PROMPT 73 22 ""
 FIELD 90->GIOPREDON[4,4]
END

STRINGA 59 2
BEGIN
 KEY "Ve"
 PROMPT 75 22 ""
 FIELD 90->GIOPREDON[5,5]
END

STRINGA 60 2
BEGIN
 KEY "Sa"
 PROMPT 77 22 ""
 FIELD 90->GIOPREDON[6,6]
END

STRINGA 61 2
BEGIN
 KEY "Do"
 PROMPT 79 22 ""
 FIELD 90->GIOPREDON[7,7]
END

DATA 62 25
BEGIN
   KEY "Data prima donazione"
   PROMPT 1 20 "Prima don.  "
   FIELD 90->DATAPRISI
END

STRINGA 63 25
BEGIN
 KEY "Testo"
 PROMPT 35 24 "B E N E M E R E N Z E"
END

SECTION BENEMERENZE 25 1 1 FILE 94

STRINGA 1 25
BEGIN
   KEY "Benemerenza "
   PROMPT 35 1 ""
   FIELD 600@->S0[1,25]
END

DATA 2 10
BEGIN
   KEY "Data attribuzione"
   PROMPT 62 1 ""
   FIELD 94->DATABEN
END

END   // FINE SECTION BENEMERENZE

END   // FINE SECTION BODY

END   // END FORM
