USE 115
SORT 116 BY 90->CODSEZ 90->CODSOT 90->COGNOME 90->NOME DATACONV
USING 90 INTO CODICE==CODICE
JOIN TO 115 KEY 1 INTO NUMERO==NUMERO
JOIN 90 TO 116 INTO CODICE==CODICE

END

DESCRIPTION
BEGIN
  115->* "Convocazioni AVIS"
  116->* "Righe di convocazione AVIS"
  90->* "Soggetti sezioni AVIS"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 12
  GRID ""
END

SECTION BODY ODD

SECTION CONVOCAZIONE 1 1 9 FLAG "N"

STRINGA 1 70
BEGIN
   KEY "Testo"
   PROMPT 1 1 "STAMPA DI CONTROLLO CONVOCAZIONE             stampata il "
   MESSAGE _TODAY
END

DATA 2
BEGIN
   KEY "Data convocazione"
   PROMPT 1 3 "Data convocazione "
   FIELD DATA
END

STRINGA 3 25
BEGIN
   KEY "Punto"
   PROMPT 40 3 "Punto di prelievo "
   FIELD PUNTO
END

STRINGA 4 25
BEGIN
   KEY "Tipo"
   PROMPT 1 4 "Tipo donazione    "
   FIELD TIPO
END

STRINGA 5 25
BEGIN
   KEY "Sezione"
   PROMPT 40 4 "Sezione/Sottog.   "
   FIELD CODSEZ
END

STRINGA 6 2
BEGIN
   KEY "Sottog"
   PROMPT 61 4 ""
   FIELD CODSOT
END

DATA 7
BEGIN
   KEY "Data iniziale"
   PROMPT 1 5 "Data inizio conv. "
   FIELD DATAINI
END

NUMERO 8 25
BEGIN
   KEY "Numero convocati"
   PROMPT 1 6 "Num. convocati    "
   FIELD NUMCONV
END

NUMERO 9 25
BEGIN
   KEY "Numero sollecitati"
   PROMPT 25 6 "Num. sollecitati "
   FIELD NUMSOLL
END

NUMERO 10 25
BEGIN
   KEY "Numero ritardatari"
   PROMPT 50 6 "Num. ritardatari "
   FIELD NUMRIT
END

STRINGA 11 70 2
BEGIN
   KEY "Note"
   PROMPT 1 7 "Note "
   FIELD NOTE
END

STRINGA 12 20
BEGIN
   KEY "Intestazione"
   PROMPT 1 9 "Cognome e nome"
END

STRINGA 13 20
BEGIN
   KEY "Intestazione"
   PROMPT 32 9 "C."
END

STRINGA 14 20
BEGIN
   KEY "Intestazione"
   PROMPT 35 9 "Se/So"
END

STRINGA 15 20
BEGIN
   KEY "Intestazione"
   PROMPT 41 9 "Tessera"
END

STRINGA 17 20
BEGIN
   KEY "Intestazione"
   PROMPT 49 9 "Ult. don."
END

STRINGA 18 20
BEGIN
   KEY "Intestazione"
   PROMPT 60 9 "Data conv."
END

STRINGA 19 20
BEGIN
   KEY "Intestazione"
   PROMPT 71 9 "Tipo"
END

END

SECTION CONVOCATI 1 1 1 FILE 116

STRINGA 1 25
BEGIN
 KEY "Cognome"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE RESET,3|COPY,3
 FIELD 90->COGNOME
END

STRINGA 2 25
BEGIN
 KEY "Nome"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE APPEND,3
 FIELD 90->NOME
END

STRINGA 3 30 2
BEGIN
 KEY "Cognome e nome"
 PROMPT 1 1 ""
END

STRINGA 4 2
BEGIN
   KEY "Categoria"
   PROMPT 32 1 ""
   FIELD 90->CATDON
END

STRINGA 5 2
BEGIN
   KEY "Sezione"
   PROMPT 35 1 ""
   FIELD 90->CODSEZ
END

STRINGA 6 2
BEGIN
   KEY "Sottog."
   PROMPT 38 1 ""
   FIELD 90->CODSOT
END

STRINGA 7 6
BEGIN
   KEY "Tessera"
   PROMPT 41 1 ""
   FIELD 90->TESSAVIS
END

DATA 8
BEGIN
   KEY "Data ultima donazione"
   PROMPT 49 1 ""
   FIELD 90->DATAULTDON
END

DATA 9
BEGIN
   KEY "Data convocazione"
   PROMPT 60 1 ""
   FIELD 116->DATACONV
END

STRINGA 10 1
BEGIN
   KEY "Tipo convocazione"
   PROMPT 71 1 ""
   FIELD 116->CHIAMATA
END

DATA 11
BEGIN
   KEY "Data prossima SI"
   PROMPT 73 1 ""
   FIELD 90->DATAPROSSI
END

END

END
END
