USE 90
JOIN 13 ALIAS 500 INTO COM==COMNASC
JOIN 13 ALIAS 501 INTO COM==DOM_CODCOM
JOIN LCP ALIAS 100 INTO CODTAB==DOM_CODLOC
JOIN 96 INTO CODSEZ==CODSEZ|CODSOT=CODSOT
JOIN 97 INTO CODMED==CODMED
JOIN CTD ALIAS 700 INTO CODTAB==CATDON
JOIN TCS ALIAS 200 INTO CODTAB==STATO
JOIN LDN ALIAS 400 INTO CODTAB==PUNTORACC
JOIN GAZ ALIAS 300 INTO CODTAB==GRUPPOAZIE
JOIN 92 INTO CODICE==CODICE
JOIN LDN TO 92 ALIAS 401 INTO CODTAB==LUOGODON

END
DESCRIPTION
BEGIN
  90->* "Soggetti Sezioni AVIS"
  100@->* "Localita' postali"
  200@->* "TCS"
  300@->* "GAZ"
  400@->* "LDN preferito"
  401@->* "LDN per donazione"
  500@->* "Comune di nascita"
  501@->* "Comuni di domicilio"
  600@->* "Tabella benemerenze"
  96->* "Sezioni AVIS"
  97->* "Medici"
  92->* "Donazioni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 12
  GRID ""
END

SECTION BODY ODD

SECTION INIZIO 1 1 17 FLAG "N"

STRINGA 1 50
BEGIN
   KEY "Intestazione della scheda + data del giorno"
   PROMPT 1 1 "DETTAGLIO DONAZIONI PER SOGGETTO stampato il "
   MESSAGE _TODAY
END

STRINGA 1 35
BEGIN
   KEY "Denominazione sezione"
   PROMPT 1 2 "Sezione "
   FIELD 96->DENSEZ
END

STRINGA 3 35
BEGIN
   KEY "Denominazione sottogruppo"
   PROMPT 40 2 "Sottog. "
   FIELD 96->DENSOT
END

STRINGA 4 25
BEGIN
 KEY "Cognome"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE RESET,6|COPY,6
 FIELD 90->COGNOME
END

STRINGA 5 25
BEGIN
 KEY "Nome"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE APPEND,6
 FIELD 90->NOME
END

STRINGA 6 51 1
BEGIN
 KEY "Cognome e nome"
 PROMPT 1 4 ""
END

STRINGA 7 30 1
BEGIN
 KEY "Indirizzo"
 PROMPT 1 6 ""
 FIELD 90->DOM_INDIR
END

STRINGA 8 4
BEGIN
 KEY "Codice localita'"
 PROMPT 0 0 ""
 FLAGS "H"
 FIELD 90->DOM_CODLOC
END

STRINGA 9 5
BEGIN
 KEY "CAP"
 PROMPT 1 7 ""
 FIELD 100@->S6
 FIELD 501@->CAPCOM
END

STRINGA 10 30
BEGIN
 KEY "Denominazione localita' o comune"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE RESET,12|COPY,12
 FIELD 100@->S0
 FIELD 501@->DENCOM
END

STRINGA 11 5
BEGIN
 KEY "Provincia"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE APPEND,12
 FIELD 501@->PROVCOM
END

STRINGA 12 44 2
BEGIN
 KEY "Loc./Com. e Prov."
 PROMPT 7 7 ""
END

STRINGA 12 50
BEGIN
 KEY "Comune di nascita"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE RESET,14|COPY,14
 FIELD 500@->DENCOM
END

STRINGA 13 5
BEGIN
 KEY "Provincia di nascita"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE APPEND,14
 FIELD 500@->PROVCOM
END

STRINGA 14 55
BEGIN
 KEY "Comune e provincia di nascita"
 PROMPT 1 9 "Nato a "
END

DATA 15 18
BEGIN
 KEY "Data nascita"
 PROMPT 55 4 "Nato il "
 FIELD 90->DATANASC
 FORMAT "1444-"
END

LISTA 16
BEGIN
 KEY "Sesso"
 PROMPT 55 6 "Sesso "
 FIELD 90->SESSO
 ITEM "0|Sesso ?"
 ITEM "1|Maschio"
 ITEM "2|Femmina"
 ITEM "9|Sesso ?"
END

STRINGA 17 25
BEGIN
   KEY "Telefono abitazione"
   PROMPT 55 7 "Tel.abi. "
   FIELD 90->TELABI
END

STRINGA 18 25
BEGIN
   KEY "Telefono lavoro"
   PROMPT 55 8 "Tel.lav. "
   FIELD 90->TELLAV
END

STRINGA 19 25
BEGIN
   KEY "Telefono altri"
   PROMPT 55 9 "Altro    "
   FIELD 90->TELALT
END

NUMERO 20 20
BEGIN
   KEY "Codice soggetto"
   PROMPT 1 11 "Codice     "
   FIELD 90->CODICE
END

STRINGA 22 20
BEGIN
   KEY "Tessera AVIS"
   PROMPT 1 12 "Tessera    "
   FIELD 90->TESSAVIS
END

STRINGA 23 30
BEGIN
   KEY "Categoria"
   PROMPT 1 13 "Categoria  "
   FIELD 700@->S0
END

STRINGA 25 15
BEGIN
   KEY "Gruppo sanguigno"
   PROMPT 35 11 "Gruppo     "
   FIELD 90->GRUPPOAB0
END

STRINGA 26 15
BEGIN
   KEY "Rh/AntiD"
   PROMPT 35 12 "Rh/AntiD   "
   FIELD 90->RHANTID
END

STRINGA 27 15
BEGIN
   KEY "Fenotipo Rh"
   PROMPT 35 13 "Fenotipo   "
   FIELD 90->FENOTIPORH
END

STRINGA 28 15
BEGIN
   KEY "Kell"
   PROMPT 35 14 "Kell       "
   FIELD 90->KELL
END

STRINGA 29 15
BEGIN
   KEY "Du"
   PROMPT 35 15 "Du         "
   FIELD 90->DU
END


STRINGA 30 25
BEGIN
   KEY "Stato "
   PROMPT 55 11 "Stato att.  "
   FIELD 200@->S0[1,15]
END

DATA 31 25
BEGIN
   KEY "Data stato"
   PROMPT 55 12 "Data stato  "
   FIELD 90->DATASTATO
END

DATA 31 25
BEGIN
   KEY "Data fine sospensione"
   PROMPT 55 13 "Data fine   "
   FIELD 90->DATA_PROS
END

DATA 32 25
BEGIN
   KEY "Data iscrizione"
   PROMPT 55 14 "Data iscr.  "
   FIELD 90->DATAISC
END

DATA 33 25
BEGIN
   KEY "Data ult. agg. "
   PROMPT 55 15 "Ultimo agg. "
   FIELD 90->DATAULTAGG
END

DATA 41 25
BEGIN
   KEY "Data ultima donazione"
   PROMPT 1 14 "Ultima don. "
   FIELD 90->DATAULTDON
END

STRINGA 42 2
BEGIN
   KEY "Tipo ultima donazione"
   PROMPT 24 14 ""
   FIELD 90->TIPOULTDON
END

NUMERO 43 15
BEGIN
   KEY "Totale donazioni"
   PROMPT 1 15 "Totale don. "
   FIELD 90->TOTDON
END

STRINGA 44 25
BEGIN
   KEY "TEsto"
   PROMPT 1 17 "DETTAGLIO DONAZIONI"
END

STRINGA 45 50
BEGIN
   KEY "Testo"
   PROMPT 1 17 "Data       Tipo  Punto di Prelievo"
END

END // SECTION INIZIO

SECTION DONAZIONI 1 1 1 FILE 92

DATA 1
BEGIN
   KEY "Data donazione "
   PROMPT 1 1 ""
   FIELD 92->DATADON
END

STRINGA 2 10
BEGIN
   KEY "Tipo donazione"
   PROMPT 13 1 ""
   FIELD 92->TIPODON
END

STRINGA 3 25
BEGIN
   KEY "Punto di prelievo"
   PROMPT 18 1 ""
   FIELD 401@->S0
END

END   // FINE SECTION DONAZIONI

END   // FINE SECTION BODY

END   // END FORM
