USE 90
JOIN 13 ALIAS 501 INTO COM==DOM_CODCOM
JOIN 13 ALIAS 500 INTO COM==COMNASC
JOIN LCP ALIAS 100 INTO CODTAB==DOM_CODLOC
JOIN 96 INTO CODSEZ==CODSEZ

END
DESCRIPTION
BEGIN
   90->* "Soggetti Sezioni AVIS"
   96->* "Sezioni AVIS"
   13->* "COMUNI"
   100@->* "Localita' postali"
   501@->* "Comune di domicilio"
   500@->* "Comune di nascita"
END

GENERAL
BEGIN
   OFFSET 0 0
   FONT ""
   SIZE 12
   GRID ""
END

SECTION BODY ODD 72

STRINGA 1 20
BEGIN
   KEY "Intestazione 1"
   FIELD 96->INTESTAZ1
   PROMPT 16 3 ""
END

STRINGA 2 20
BEGIN
   KEY "Intestazione 2"
   FIELD 96->INTESTAZ2
   PROMPT 16 4 ""
END

STRINGA 3 20
BEGIN
   KEY "Intestazione 3"
   FIELD 96->INTESTAZ3
   PROMPT 16 5 ""
END

STRINGA 4 20
BEGIN
   KEY "Intestazione 4"
   FIELD 96->INTESTAZ4
   PROMPT 16 6 ""
END

NUMERO 5 8
BEGIN
   KEY "Codice soggetto"
   FIELD 90->CODICE
   PROMPT 20 8 "Codice "
END

STRINGA 6 6
BEGIN
   KEY "Tessera"
   FIELD 90->TESSAVIS
   PROMPT 22 12 ""
END

DATA 7
BEGIN
   KEY "Data rilascio "
   MESSAGE _TODAY
   PROMPT 25 14 ""
END

STRINGA 8 25
BEGIN
   KEY "Cognome"
   FIELD 90->COGNOME
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE RESET,10|COPY,10
END

STRINGA 9 25
BEGIN
   KEY "Nome"
   FIELD 90->NOME
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE APPEND,10
END

STRINGA 10 33 2
BEGIN
   KEY "Cognome e nome"
   PROMPT 4 16 ""
END

STRINGA 11 33 2
BEGIN
   KEY "Comune di nascita"
   PROMPT 0 0 ""
END

STRINGA 12 19 2
BEGIN
   KEY "Comune di nascita"
   FIELD 500@->DENCOM
   PROMPT 6 18 ""
END

DATA 13
BEGIN
   KEY "Data di nascita"
   FIELD 90->DATANASC
   PROMPT 27 18 ""
END

STRINGA 14 4
BEGIN
   KEY "Codice localita'"
   FIELD 90->DOM_CODLOC
   PROMPT 0 0 ""
   FLAGS "H"
END

STRINGA 15 30
BEGIN
   KEY "Denominazione localita' o comune"
   FIELD 100@->S0
   FIELD 501@->DENCOM
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE RESET,17|COPY,17
END

STRINGA 16 5
BEGIN
   KEY "Provincia"
   FIELD 501@->PROVCOM
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE APPEND,17
END

STRINGA 17 18 2
BEGIN
   KEY "Loc./Com. e Prov."
   PROMPT 7 20 ""
END

STRINGA 18 11 2
BEGIN
   KEY "Telefono abitazione"
   FIELD 90->TELABI
   PROMPT 27 20 ""
END

STRINGA 19 30
BEGIN
   KEY "Indirizzo"
   FIELD 90->DOM_INDIR
   PROMPT 1 22 ""
END

STRINGA 20 16
BEGIN
   KEY "Codice fiscale"
   FIELD 90->CF
   PROMPT 6 24 ""
END

STRINGA 21 3
BEGIN
   KEY "Gruppo AB0"
   FIELD 90->GRUPPOAB0
   PROMPT 3 28 ""
END

STRINGA 22 3
BEGIN
   KEY "RhAntiD"
   FIELD 90->RHANTID
   PROMPT 10 28 ""
END

STRINGA 23 6
BEGIN
   KEY "FenotipoRh"
   FIELD 90->FENOTIPORH
   PROMPT 17 28 ""
END

STRINGA 24 3
BEGIN
   KEY "Kell"
   FIELD 90->KELL
   PROMPT 28 28 ""
END

STRINGA 25 3
BEGIN
   KEY "Du"
   FIELD 90->DU
   PROMPT 34 28 ""
END

STRINGA 26 20
BEGIN
   KEY "Documento di riconoscimento"
   FIELD 90->DOCID
   PROMPT 3 32 ""
END

DATA 27 30
BEGIN
   KEY "Data ultima donazione"
   FIELD 90->DATAULTDON
   PROMPT 2 42 "Donazioni fino al "
END

NUMERO 28 3
BEGIN
   KEY "Totale donazioni"
   FIELD 90->TOTDON
   PROMPT 31 42 "n. "
END

END

END
