#include "ce3200.h"

//-----RELAZIONE-----------------------------------------------//

USE LF_CESPI

JOIN LF_SALCE INTO IDCESPITE==IDCESPITE
JOIN LF_MOVCE KEY 2 ALIAS 105 INTO IDCESPITE==IDCESPITE

JOIN LF_MOVAM TO LF_MOVCE INTO IDCESPITE==IDCESPITE IDMOV==IDMOV
JOIN LF_AMMMV TO LF_MOVCE ALIAS 107 INTO IDCESPITE==IDCESPITE IDMOV==IDMOV

JOIN LF_AMMCE TO LF_SALCE INTO IDCESPITE==IDCESPITE CODES==CODES TPSALDO==TPSALDO

JOIN %CAC ALIAS 101 INTO CODTAB[1,2]==CODCGRA|CODTAB[3,6]==CODSPA|CODTAB[7,8]==CODCAT
JOIN ESC TO LF_SALCE ALIAS 102 INTO CODTAB==CODES
JOIN %TMC TO LF_MOVCE ALIAS 103 INTO CODTAB==CODMOV
END

DESCRIPTION
BEGIN
  136->* "Ammortamento cespiti"
  137->* "Ammortamenti su movimenti"
  139->* "Anagrafica cespiti"
  142->* "Movimenti cespiti"
  143->* "Saldi cespiti"
END

GENERAL
BEGIN
//  OFFSET 0 1
//  FONT "Courier New"
//  SIZE 10
END

SECTION GRAPHIC
BEGIN
END


//-------------------------intestazione scheda-----------------------------------------------//
SECTION HEADER ODD 12

STRINGA -1
BEGIN
  KEY "titolo"
  PROMPT 1 1 "SCHEDA CESPITE"
END

STRINGA FF_CODDITTA 20
BEGIN
  KEY "codice ditta"
  PROMPT 1 3 "Ditta "
  PICTURE "#####"
END

STRINGA FF_DESCRDITTA 50
BEGIN
  KEY "descriz ditta"
  PROMPT 20 3 ""
END

STRINGA FF_GRUPPO 12
BEGIN
  KEY "codice gruppo"
  PROMPT 1 4 "Gruppo "
  PICTURE "#####"
END

STRINGA FF_D_GRUPPO 50
BEGIN
  KEY "descrizione gruppo"
  PROMPT 20 4 ""
END

STRINGA FF_SPECIE 12
BEGIN
  KEY "codice specie"
  PROMPT 1 5 "Specie "
  PICTURE "#####"
END

STRINGA FF_D_SPECIE 50
BEGIN
  KEY "descrizione specie"
  PROMPT 20 5 ""
END

STRINGA -1
BEGIN
  KEY "riga di separazione"
  PROMPT 1 6 "----------------------------------------------------------------------------------------------------------------------------------"
END

NUMERO FF_CODCAT 12
BEGIN
  KEY "codice categoria"
  PROMPT 1 7 "Categoria  "
  FIELD LF_CESPI->CODCAT
END

STRINGA FF_DESCRCAT 60
BEGIN
  KEY "descrizione categoria"
  PROMPT 20 7 ""
  MESSAGE _DESCAT,FF_GRUPPO,FF_SPECIE,FF_CODCAT
END 

NUMERO FF_CODCESP 12
BEGIN
  KEY "codice cespite"
  PROMPT 1 8 "Cespite "
  FIELD LF_CESPI->IDCESPITE
END

STRINGA FF_DESCRCESP 50
BEGIN
  KEY "descrizione cespite"
  PROMPT 20 8 ""
  FIELD LF_CESPI->DESC
END

DATA FF_ACQ
  BEGIN
  KEY "Data acquisizione"
  PROMPT 1 9 "Data acquisizione "
  FIELD LF_CESPI->DTCOMP
END

DATA FF_ENTFUNZ
BEGIN
  KEY "Data entrata in funzione"
  PROMPT 35 9 "Data entrata in funzione "
  FIELD LF_CESPI->DTFUNZ
END

STRINGA FF_SITUAZIONE 19
BEGIN
  KEY "tipo situazione"
  PROMPT 1 10 "Situazione "
END

DATA FF_DATASIT
BEGIN
  KEY "data situazione"
  PROMPT 24 10 " al "
END

STRINGA -1
BEGIN
  KEY "riga di separazione"
  PROMPT 1 11 "----------------------------------------------------------------------------------------------------------------------------------"
END

STRINGA -1
BEGIN
  KEY "Data movimento"
  PROMPT 1 12 "Data mov.  "
END

STRINGA -1
BEGIN
  KEY "Descrizione movimento"
  PROMPT 12 12 "Descrizione"
END

STRINGA -1
BEGIN
  KEY "Documento di riferimento"
  PROMPT 33 12 "Rif. Doc."
END

STRINGA -1
BEGIN
  KEY "Elementi"
  PROMPT 45 12 "Elem."
END

STRINGA -1
BEGIN
  KEY "Valore"
  PROMPT 50 12 "         Valore"
END

STRINGA -1
BEGIN
  KEY "Fondo ammortamento"
  PROMPT 66 12 "      F.do amm."
END

STRINGA -1
BEGIN
  KEY "Tipo aliquota"
  PROMPT 82 12 " Aliq. tipo"
END

STRINGA -1
BEGIN
  KEY "Ammortamenti su eliminati"
  PROMPT 95 12 "Amm. eliminati"
END

STRINGA -1
BEGIN
  KEY "Pluvalenze/Minusvalenze"
  PROMPT 115 12 "Plus/minus"
END


END

//-----------------------riga tipo uno---------------------------------------------------//
SECTION BODY FIRST 1

DATA FF_DATAUNO
BEGIN
  KEY "data"
  PROMPT 1 1 ""
END

STRINGA FF_DESCRUNO 20 2
BEGIN
  KEY "descrizione"
  PROMPT 12 1 ""
END

STRINGA FF_TIPODOCUNO 2
BEGIN
  KEY "tipo docum. rif."
  PROMPT 33 1 ""
END

STRINGA FF_NUMDOCUNO 7
BEGIN
  KEY "numero docum. rif."
END

NUMERO FF_NUMELEUNO 3
BEGIN
  KEY "numero elementi"
  PROMPT 45 1 ""
  PICTURE "##@"
  MESSAGE COPY,F0->FF_TOTELEM
END

VALUTA FF_VALOREUNO 15
BEGIN
  KEY "valore"
  PROMPT 50 1 ""
  MESSAGE COPY,F0->FF_TOTVALORE
END

VALUTA FF_FONDIUNO 15
BEGIN
  KEY "fondo ammortamento"
  PROMPT 66 1 ""
  MESSAGE COPY,F0->FF_TOTAMMO
END

END

//-----------------------riga tipo 2-------------------------------------------------------//
SECTION BODY ODD 3

NUMERO FF_SEGNO 2
BEGIN
  KEY "Segno movimento"
  PROMPT 0 0 ""
  FLAGS "H"
END

DATA -1
BEGIN
  KEY "data movimento"
  PROMPT 1 1 ""
  FIELD LF_MOVCE->DTMOV
END

STRINGA -1 20 2
BEGIN
  KEY "descrizione"
  PROMPT 12 1 ""
  FIELD LF_MOVCE->DESC
END

STRINGA -1 2
BEGIN
  KEY "tipo docum. rif."
  PROMPT 33 1 ""
  FIELD LF_MOVCE->TPDOC
END

STRINGA -1 7
BEGIN
  KEY "numero docum. rif."
  PROMPT 36 1 ""
  FIELD LF_MOVCE->NDOC
END

NUMERO -1 3
BEGIN
  KEY "numero elementi"
  PROMPT 45 1 ""
  PICTURE "##@"
  MESSAGE _NUMEXPR,105@->NUMELE*#FF_SEGNO
  MESSAGE ADD,F->FF_TOTELEM
END

VALUTA -1 15
BEGIN
  KEY "valore"
  PROMPT 50 1 ""
  MESSAGE _NUMEXPR,(LF_MOVCE->CSTO-LF_MOVCE->VNONAMM+LF_MOVCE->RIV75+LF_MOVCE->RIV83+LF_MOVCE->RIV90+LF_MOVCE->RIV91+LF_MOVCE->RIVGF)*#FF_SEGNO
  MESSAGE ADD,F->FF_TOTVALORE
END

VALUTA -1 15
BEGIN
  KEY "fondo ammortamento"
  PROMPT 66 1 ""
  MESSAGE _NUMEXPR,(LF_MOVAM->QNOR+LF_MOVAM->QACC+LF_MOVAM->QANT)*#FF_SEGNO
  MESSAGE ADD,F->FF_TOTAMMO
END

NUMERO FF_PENOR 7
BEGIN
  KEY "aliquota normale"
  PROMPT 82 1 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMMV->PENOR
END

NUMERO FF_PEANT 7
BEGIN
  KEY "aliquota anticipata"
  PROMPT 82 2 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMMV->PEANT
END

NUMERO FF_PEACC 7
BEGIN
  KEY "aliquota accelerata"
  PROMPT 82 3 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMMV->PEACC
END

STRINGA FF_ALINOR
BEGIN
  KEY "normale"
  PROMPT 90 1 "nor"
END

STRINGA FF_ALIANT
BEGIN
  KEY "anticipata"
  PROMPT 90 2 "ant"
END

STRINGA FF_ALIACC
BEGIN
  KEY "accelerata"
  PROMPT 90 3 "acc"
END

VALUTA FF_QNOR 15
BEGIN
  KEY "ammortamento eliminato normale"
  PROMPT 94 1 ""
  FIELD LF_AMMMV->QNOR
END

VALUTA FF_QANT 15
BEGIN
  KEY "ammortamento eliminato anticipato"
  PROMPT 94 2 ""
  FIELD LF_AMMMV->QANT
END

VALUTA FF_QACC 15
BEGIN
  KEY "ammortamento eliminato accelerato"
  PROMPT 94 3 ""
  FIELD LF_AMMMV->QACC
END

VALUTA FF_MINUS 15
BEGIN
  KEY "minusvalenza"
  PROMPT 135 1 ""
  FLAGS "H"
  FIELD LF_AMMMV->MINUS
  MESSAGE ENABLE,4@
  MESSAGE EMPTY DISABLE,4@
END

VALUTA -1 15
BEGIN
  KEY "minusvalenza"
  PROMPT 110 1 ""
  MESSAGE _NUMEXPR, -#FF_MINUS
  GROUP 4
END

VALUTA -1 15
BEGIN
  KEY "plusvalenza"
  PROMPT 110 1 ""
  FIELD LF_AMMMV->PLUS
  MESSAGE ENABLE,5@
  MESSAGE EMPTY DISABLE,5@
  GROUP 5
END

END

//--------------------------riga tipo 2 vendite-------------------------------------//
SECTION BODY EVEN 4

NUMERO FF_SEGNO 2
BEGIN
  KEY "Segno movimento"
  PROMPT 0 0 ""
  FLAGS "H"
END

DATA -1
BEGIN
  KEY "data movimento vendita"
  PROMPT 1 1 ""
  FIELD LF_MOVCE->DTMOV
END

STRINGA -1 20 1
BEGIN
  KEY "descrizione"
  PROMPT 12 1 ""
  FIELD LF_MOVCE->DESC
END 

STRINGA -1 2
BEGIN
  KEY "tipo docum. rif."
  PROMPT 33 1 ""
  FIELD LF_MOVCE->TPDOC
END

STRINGA -1 7
BEGIN
  KEY "numero docum. rif."
  PROMPT 36 1 ""
  FIELD LF_MOVCE->NDOC
END  

NUMERO -1 3
BEGIN
  KEY "numero elementi"
  PROMPT 45 1 ""
  PICTURE "##@"
  MESSAGE _NUMEXPR,105@->NUMELE*#FF_SEGNO
  MESSAGE ADD,F0->FF_TOTELEM
END

VALUTA -1 15
BEGIN
  KEY "valore"
  PROMPT 50 1 ""
  MESSAGE _NUMEXPR, (LF_MOVCE->CSTO-LF_MOVCE->VNONAMM+LF_MOVCE->RIV75+LF_MOVCE->RIV83+LF_MOVCE->RIV90+LF_MOVCE->RIV91+LF_MOVCE->RIVGF)*#FF_SEGNO
  MESSAGE ADD,F0->FF_TOTVALORE
END

VALUTA -1 15
BEGIN
  KEY "fondo ammortamento"
  PROMPT 66 1 ""
  MESSAGE _NUMEXPR, (LF_MOVAM->QNOR+LF_MOVAM->QACC+LF_MOVAM->QANT)*#FF_SEGNO
  MESSAGE ADD,F0->FF_TOTAMMO
END

VALUTA FF_MINUSVEN 15
BEGIN
  KEY "minusvalenza"
  PROMPT 135 1 ""
  FLAGS "H"
  FIELD LF_AMMMV->MINUS
  MESSAGE ENABLE,10@
  MESSAGE EMPTY DISABLE,10@
END

VALUTA -1 15
BEGIN
  KEY "minusvalenza"
  PROMPT 110 1 ""
  MESSAGE _NUMEXPR, -#FF_MINUSVEN
  GROUP 10
END   

VALUTA -1 15
BEGIN
  KEY "plusvalenza"
  PROMPT 110 1 ""
  FIELD LF_AMMMV->PLUS
  MESSAGE ENABLE,11@
  MESSAGE EMPTY DISABLE,11@
  GROUP 11
END

//-------sottoriga amm.ti su eliminate---//
STRINGA -1 20 1
BEGIN
  KEY "Amm.ti su parti eliminate"
  PROMPT 12 2 "Amm.ti su parti elim."
END

NUMERO FF_VPENOR 7
BEGIN
  KEY "aliquota normale"
  PROMPT 82 2 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMMV->PENOR
END

NUMERO FF_VPEANT 7
BEGIN
  KEY "aliquota anticipata"
  PROMPT 82 3 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMMV->PEANT
END

NUMERO FF_VPEACC 7
BEGIN
  KEY "aliquota accelerata"
  PROMPT 82 4 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMMV->PEACC
END

STRINGA FF_VALINOR
BEGIN
  KEY "normale"
  PROMPT 90 2 "nor"
END

STRINGA FF_VALIANT
BEGIN
  KEY "anticipata"
  PROMPT 90 3 "ant"
END

STRINGA FF_VALIACC
BEGIN
  KEY "accelerata"
  PROMPT 90 4 "acc"
END

VALUTA FF_VQNOR 15
BEGIN
  KEY "ammortamento eliminato normale"
  PROMPT 94 2 ""
  FIELD LF_AMMMV->QNOR
END

VALUTA FF_VQANT 15
BEGIN
  KEY "ammortamento eliminato anticipato"
  PROMPT 94 3 ""
  FIELD LF_AMMMV->QANT
END

VALUTA FF_VQACC 15
BEGIN
  KEY "ammortamento eliminato accelerato"
  PROMPT 94 4 ""
  FIELD LF_AMMMV->QACC
END



END

//-----------------------------riga tipo 3------------------------------------//
SECTION BODY LAST 3

DATA FF_DATASIT
BEGIN
  KEY "data fine esercizio"
  PROMPT 1 1 ""
END

STRINGA -1 20 2
BEGIN
  KEY "descrizione"
  PROMPT 12 1 "Quote d'ammortamento"
END

VALUTA FF_TQNOR 15
BEGIN
  KEY "fondo ammortamento normale"
  PROMPT 66 1 ""
  FIELD LF_AMMCE->QNOR
  MESSAGE ADD,F0->FF_TOTAMMO
END

VALUTA FF_TQANT 15
BEGIN
  KEY "fondo ammortamento anticipato"
  PROMPT 66 2 ""
  FIELD LF_AMMCE->QANT
  MESSAGE ADD,F0->FF_TOTAMMO
END

VALUTA FF_TQACC 15
BEGIN
  KEY "fondo ammortamento accelerato"
  PROMPT 66 3 ""
  FIELD LF_AMMCE->QACC
  MESSAGE ADD,F0->FF_TOTAMMO
END

NUMERO FF_TPNOR 7
BEGIN
  KEY "aliquota normale"
  PROMPT 82 1 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMCE->PNOR

END

NUMERO FF_TPANT 7
BEGIN
  KEY "aliquota anticipata"
  PROMPT 82 2 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMCE->PANT
END

NUMERO FF_TPACC 7
BEGIN
  KEY "aliquota accelerata"
  PROMPT 82 3 ""
  PICTURE "##@,@@@"
  FIELD LF_AMMCE->PACC
END

STRINGA FF_TALINOR
BEGIN
  KEY "normale"
  PROMPT 90 1 "nor"
END

STRINGA FF_TALIANT
BEGIN
  KEY "anticipata"
  PROMPT 90 2 "ant"
END

STRINGA FF_TALIACC
BEGIN
  KEY "accelerata"
  PROMPT 90 3 "acc"
END

END

//-------------------------riga totale---------------------------------//
SECTION FOOTER ODD 1

STRINGA -1
BEGIN
  KEY "totale"
  PROMPT 1 1 "TOTALE"
END

NUMERO FF_TOTELEM 4
BEGIN
  KEY "totale numero elementi"
  PROMPT 45 1 ""
  PICTURE "##@"
END

VALUTA FF_TOTVALORE 15
BEGIN
  KEY "valore"
  PROMPT 50 1 ""
END

VALUTA FF_TOTAMMO 15
BEGIN
  KEY "fondo ammortamento"
  PROMPT 66 1 ""
END

END
//-------------------------pi di pagina-------------------------------------//
SECTION FOOTER FIRST 4

DATA FF_DATE
BEGIN
 KEY "Data"
 PROMPT  1 2 "Data "
 MESSAGE _TODAY
END

NUMERO FF_PAGE 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  30 2 "Pagina "
 MESSAGE _PAGENO
END

END
