#include "cg5700.h"

USE LF_NDITTE
JOIN LF_ANAG TO LF_NDITTE INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN LF_ANAGFIS TO LF_ANAG ALIAS 18 INTO CODANAGR=CODANAGR
JOIN LF_ANAGGIU TO LF_ANAG INTO CODANAGR=CODANAGR
END

DESCRIPTION
BEGIN
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  7->* "Anagrafica persone giuridiche"
END

GENERAL
BEGIN
  OFFSET 0 0
END

SECTION BODY ODD 40

STRINGA -1
BEGIN
  PROMPT 2 1 "@bAGENZIA DELLE ENTRATE"
END

STRINGA -1
BEGIN
  PROMPT 2 2 "[]\    //\ "
END

STRINGA -1
BEGIN
  PROMPT 2 3 "[]\\  // \\"   
END

STRINGA -1
BEGIN
  PROMPT 2 4 "[] \\//___\\"
END

STRINGA -1
BEGIN               
  PROMPT 2 5 "[]  \/-----\\"
END

STRINGA -1
BEGIN
 PROMPT 2 6 "@bCOMUNICAZIONE"
END

STRINGA -1
BEGIN
 PROMPT 2 7 "@bANNUALE DATI IVA"
END

STRINGA -1
BEGIN
 PROMPT 26 3 "DENOMINAZIONE, RAGIONE SOCIALE ovvero COGNOME E NOME"
END

STRINGA -1 50
BEGIN
 KEY "Ragione sociale"
 PROMPT 26 4 "@b"
 FIELD LF_NDITTE->RAGSOC
END

STRINGA -1
BEGIN
 KEY "Codice fiscale"
 PROMPT 26 6 "@rCODICE FISCALE"
END

STRINGA -1
BEGIN
 KEY "Codice fiscale"
 PROMPT 26 7 "@b"
 FIELD LF_ANAG->COFI
END

STRINGA -1
BEGIN
  PROMPT 2 8 "______________________________________________________________________________"
END

NUMERO FF_YEAR
BEGIN
  KEY "Anno"
  PROMPT 2 9 "Anno di imposta @b"
END

STRINGA -1
BEGIN
 PROMPT 2 11 "@b- CONTRIBUENTE -"
END

STRINGA -1
BEGIN
 KEY "Partita IVA"
 PROMPT 2 12 "Partita IVA @b"
 FIELD LF_ANAG->PAIV
END

STRINGA -1
BEGIN
 KEY "Codice attivit"
 PROMPT 58 12 "@rCodice attivit @b"
 FIELD LF_NDITTE->CODATTPREV
END

STRINGA -1
BEGIN
  PROMPT 2 16 "______________________________________________________________________________"
END

STRINGA -1
BEGIN
  PROMPT 2 17 "@b- OPERAZIONI ATTIVE -"
END

STRINGA -1
BEGIN
 KEY "CD1_1 - Descrizione"
 PROMPT 2 18 "@bCD1@r Totale operazioni attive"
END

VALUTA FF_CD1_1 18
BEGIN
 KEY "CD1_1 - Valore"
 PROMPT 40 18 "@b"
END

STRINGA -1
BEGIN
 KEY "CD1_2 - Descrizione"
 PROMPT 6 19 "di cui: operazioni non imponibili"
END

VALUTA FF_CD1_2 18
BEGIN
 KEY "CD1_2 - Valore"
 PROMPT 60 19 "@b"
END

STRINGA -1
BEGIN
 KEY "CD1_3 - Descrizione"
 PROMPT 6 20 "        operazioni esenti"
END

VALUTA FF_CD1_3 18
BEGIN
 KEY "CD1_3 - Valore"
 PROMPT 60 20 "@b"
END

STRINGA -1
BEGIN
 KEY "CD1_4 - Descrizione"
 PROMPT 6 21 "        cessioni intracomunitarie di beni"
END

VALUTA FF_CD1_4 18
BEGIN
 KEY "CD1_4 - Valore"
 PROMPT 60 21 "@b"
END


STRINGA -1
BEGIN
  PROMPT 2 22 "______________________________________________________________________________"
END

STRINGA -1
BEGIN
  PROMPT 2 23 "@b- OPERAZIONI PASSIVE -"
END

STRINGA -1
BEGIN
 KEY "CD2_1 - Descrizione"
 PROMPT 2 24 "@bCD2@r Totale operazioni passive"
END

VALUTA FF_CD2_1 18
BEGIN
 KEY "CD2_1 - Valore"
 PROMPT 40 24 "@b"
END

STRINGA -1
BEGIN
 KEY "CD2_2 - Descrizione"
 PROMPT 6 25 "di cui: operazioni non imponibili"
END

VALUTA FF_CD2_2 18
BEGIN
 KEY "CD2_2 - Valore"
 PROMPT 60 25 "@b"
END

STRINGA -1
BEGIN
 KEY "CD2_3 - Descrizione"
 PROMPT 6 26 "        operazioni esenti"
END

VALUTA FF_CD2_3 18
BEGIN
 KEY "CD2_3 - Valore"
 PROMPT 60 26 "@b"
END

STRINGA -1
BEGIN
 KEY "CD2_4 - Descrizione"
 PROMPT 6 27 "        acquisti intracomunitari di beni"
END

VALUTA FF_CD2_4 18
BEGIN
 KEY "CD2_4 - Valore"
 PROMPT 60 27 "@b"
END

STRINGA -1
BEGIN
 KEY "CD3 - Descrizione"
 PROMPT 2 29 "@b-Importazioni d'oro industriale e argento puro senza pagamento IVA in dogana-"
END

STRINGA -1
BEGIN
 PROMPT 2 30 "@bCD3@r Imponibile"
END

VALUTA FF_CD3_1 18
BEGIN
 KEY "CD3_1 - Imponibile"
 PROMPT 20 30 "@b"
END

STRINGA -1
BEGIN
 PROMPT 50 30 "@rImposta"
END

VALUTA FF_CD3_2 18
BEGIN
 KEY "CD3_2 - Imposta "
 PROMPT 60 30 "@b"
END

STRINGA -1
BEGIN
  PROMPT 2 31 "______________________________________________________________________________"
END

STRINGA -1
BEGIN
 KEY "IVA esigibile"
 PROMPT 2 32 "@bCD4@r IVA esigibile"
END

VALUTA FF_CD4 18
BEGIN
 KEY "IVA esigibile"
 PROMPT 20 32 "@b"
END

STRINGA -1
BEGIN
 KEY "IVA esigibile"
 PROMPT 2 34 "@bCD5@r IVA detratta"
END

VALUTA FF_CD5 18
BEGIN
 KEY "CD5 - IVA detratta"
 PROMPT 60 34 "@b"
END

STRINGA -1
BEGIN
 KEY "CD6_1 - IVA dovuta"
 PROMPT 2 36 "@bCD6@r IVA dovuta"
END

VALUTA FF_CD6_1 18
BEGIN
 KEY "CD6_1 - IVA dovuta"
 PROMPT 20 36 "@b"
END

STRINGA -1
BEGIN
 KEY "CD6_2 - IVA a credito"
 PROMPT 50 36 "@ro a credito"
END

VALUTA FF_CD6_2 18
BEGIN
 KEY "CD6_2 - IVA a credito"
 PROMPT 60 36 "@b"
END

STRINGA -1
BEGIN
  PROMPT 2 37 "______________________________________________________________________________"
END

END

END
