#include "cm0200.h"

GENERAL
BEGIN
	OFFSET 0 0
  FONT "Courier New"
  SIZE 12
  GRID ""
END

SECTION HEADER FIRST 6

STRINGA 1 5
BEGIN
	KEY "Codice ditta"
	PROMPT  1 1 "Ditta "
	MESSAGE _DITTA,CODDITTA
	PICTURE "#####"
END

STRINGA 2 40 
BEGIN
	KEY "nome ditta"
	PROMPT  13 1 ""
	MESSAGE _DITTA,RAGSOC
END

STRINGA 3 10
BEGIN
	KEY "Data"
	PROMPT  100 1 "Data "
	MESSAGE _TODAY
END

NUMERO 4 7
BEGIN
	KEY "Nr. pagina"
	PROMPT  120 1 "Pagina "
	MESSAGE _PAGENO
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 1 2 "Scheda per CDC/Commessa"
END

NUMERO FR_ESERCIZIO 16
BEGIN
   KEY "Parametri stampa: codice esercizio"
   PROMPT 1 3 "Esercizio: "
END

DATA FR_DATAINI                                   
BEGIN
   KEY "Parametri stampa: data iniziale"
   PROMPT 1 4 "Movimenti dal "
END

DATA FR_DATAFIN
BEGIN
   KEY "Parametri stampa: data finale"
   PROMPT 40 4 "al "
END

STRINGA FR_DACDC 20
BEGIN
   KEY "Parametri stampa: da commessa"
   PROMPT 1 5 "Da CDC/commessa: "
END

STRINGA FR_DAFSC 10
BEGIN
   KEY "Parametri stampa: da fase"
   PROMPT 40 5 "Da fase: "
END

STRINGA FR_ACDC 20
BEGIN
   KEY "Parametri stampa: a commessa"
   PROMPT 1 6 "a CDC/commessa: "
END

STRINGA FR_AFSC 10
BEGIN
   KEY "Parametri stampa: a fase"
   PROMPT 40 6 "a fase: "
END

END // section header first

// intestazione commessa
SECTION HEADER ODD 2
 
STRINGA FR_CMS 20
BEGIN
  KEY "Codice commessa"
  PROMPT 1 2 "@bCDC/Commessa "
END

STRINGA FR_D_CMS 50
BEGIN
  KEY "Descrizione commessa"
  PROMPT 35 2 "@b"
END

END // section header odd

// intestazione fase
SECTION HEADER LAST 1

STRINGA FR_FSC 20
BEGIN
  KEY "Codice fase"
  PROMPT 1 1 "@bFase "
END

STRINGA FR_D_FSC 50
BEGIN
  KEY "Descrizione fase"
  PROMPT 35 1 "@b"
END

END // section header last

// intestazione vera e proprioa della stampa (a parte perch va stampata o dopo la commessa e dopo la fase)
SECTION HEADER EVEN 3

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 1 1 "------------------------------------------------------------------------------------------------------------------------------------"
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 1 2 "Gr./Co./Sot."
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 16 2 "Data reg."
END        

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 27 2 "N. reg."
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 35 2 "N. doc."
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 43 2 "Data doc."
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 54 2 "Causale"
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 94 2 "Dare"
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 108 2 "Avere"
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 123 2 "Saldo"
END

STRINGA -1
BEGIN
   KEY "Intestazione stampa"
   PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------"
END

END // section header even
                 
// intestazione gruppo/conto/sottoconto
SECTION BODY FIRST 1
   
NUMERO FR_GRUPPO 3
BEGIN
	KEY "Gruppo"
	PROMPT 1 1 ""
END

NUMERO FR_CONTO 3
BEGIN
	KEY "Conto"
	PROMPT 5 1 ""
END

NUMERO FR_SOTTOC 6
BEGIN
	KEY ""
	PROMPT 9 1 ""
END

STRINGA FR_D_SOTTOC 50
BEGIN      
	KEY "Descrizione sottoconto"
	PROMPT 16 1 ""
END

STRINGA -1
BEGIN
	KEY "Testo: progressivo precedente"
	PROMPT 68 1 "PROG. PREC. "
END

VALUTA FR_S_DARE 14
BEGIN
	KEY "Colonna dare prog.prec. sottoconto"
	PROMPT 84 1 ""	
	PICTURE "."
END

VALUTA FR_S_AVERE 14
BEGIN
	KEY "Colonna avere prog.prec. sottoconto"
	PROMPT 99 1 ""	
	PICTURE "."
END

VALUTA FR_S_SALDO 14
BEGIN
	KEY "Colonna saldo prog.prec. sottoconto"
	PROMPT 114 1 ""	
	PICTURE "."
END

END // section body first

// riga del movimento                  
SECTION BODY ODD 2
                         
DATA FR_DATAREG
BEGIN
   PROMPT 16 1 ""
END

NUMERO FR_NUMREG 7
BEGIN
   PROMPT 27 1 ""
END

STRINGA FR_DESCRMOV 45
BEGIN
   PROMPT 35 1 ""
END

STRINGA FR_NUMDOC 7
BEGIN
	PROMPT 35 2 ""
END

DATA FR_DATADOC 10
BEGIN
	PROMPT 43 2 ""
END

STRINGA FR_CAUSALE 3
BEGIN
   PROMPT 54 2 ""
END

STRINGA FR_D_CAUSALE 25
BEGIN
	PROMPT 58 2 ""
END

VALUTA FR_DARE 14
BEGIN
   PROMPT 84 1 ""
   PICTURE "."
END

VALUTA FR_AVERE 14
BEGIN
   PROMPT 99 1 ""
   PICTURE "."
END

VALUTA FR_SALDO 14
BEGIN
   PROMPT 99 1 ""
   PICTURE "."
END


END // section body odd

// totali per commessa o fase
SECTION FOOTER FIRST 1

STRINGA FR_CODICE 50
BEGIN
	KEY "Codice commessa o fase"
	PROMPT 1 1 "TOTALI "	
END

VALUTA FR_TOTALE_DARE 14
BEGIN
	KEY "Colonna dare totale periodo o generale"
	PROMPT 84 1 ""	
	PICTURE "."
END

VALUTA FR_TOTALE_AVERE 14
BEGIN
	KEY "Colonna avere totale periodo o generale"
	PROMPT 99 1 ""	
	PICTURE "."
END

VALUTA FR_TOTALE_SALDO 14
BEGIN
	KEY "Colonna saldo totale periodo"
	PROMPT 114 1 ""	
	PICTURE "."
END

STRINGA FR_TOTALE_SEGNO 1
BEGIN
	KEY "Segno D/A del saldo"
	PROMPT 129 1 ""
END

END // section footer first

END // form
