#include "db1200a.h"  

USE LF_DIST                 
JOIN LF_ANAMAG TO LF_DIST INTO CODART==CODDIST
JOIN LAV       TO LF_DIST INTO CODTAB==CODDIST
JOIN LF_RDIST  TO LF_DIST  INTO CODDIST==CODDIST
  JOIN LF_ANAMAG TO LF_RDIST ALIAS ALIAS_ANAMAG_RIGHE INTO CODART==CODCOMP
  JOIN LAV       TO LF_RDIST ALIAS ALIAS_LAV_RIGHE INTO CODTAB==CODCOMP
  JOIN VAR       TO LF_DIST ALIAS ALIAS_VAR_RIGHE INTO CODTAB==CODDIST
END


DESCRIPTION
BEGIN
  LF_DIST->* "Distinte"
  LF_ANAMAG->* "Anagrafica di magazzino"
END

GENERAL
BEGIN
  OFFSET 0 0
END

SECTION HEADER ODD 6     

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  2 1 "@BDitta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  80 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  100 1 "Pagina "
 MESSAGE _PAGENO
END

STRINGA 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  30 2 "@BStampa Anagrafica Distinte"
END

END
                                    
SECTION BODY ODD 2 COLUMNWISE

NUMERO 1 5
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cRiga " "Riga "
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "riga della distinta"
 PROMPT 1 1 ""         
 MESSAGE RESET, FF_CONTATORE
END

STRINGA 10 20
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cCodice" "Codice"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX " "Fincatura sinistra e destra"
 KEY "codice"
 PROMPT  2 1 "@B"
 FIELD CODDIST
END

STRINGA 11 50 2
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cDescrizione" "Descrizione"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Descrizione"
 PROMPT  3 1 ""
 FIELD DESCR
END

LISTA 12 5
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cTipo" "Tipo"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "tipo"
 PROMPT  4 1 ""               
 FIELD LF_DIST->VIRTUALE 
 ITEM "| "
 ITEM " | "
 ITEM "X|Virt."
END              

STRINGA 14 4
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cUM" "UM"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Unita di misura"
 PROMPT  5 1 ""      
 FIELD UM
END              
    
STRINGA OUTER_EXPR 30
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cEspressione" "Espressione"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "ESPRESSIONE"
 PROMPT  6 1 "" 
END

    SECTION RIGHE_SUB 2 0 1 FILE LF_RDIST

    NUMBER FF_CONTATORE 5
    BEGIN
      KEY "numero riga distinta sequenziale ed incondizionato"
      PROMPT 1 1 "n. "
      MESSAGE INC, FF_CONTATORE
    END
    
    STRINGA 1 20 
    BEGIN
     KEY "codice componente"
     PROMPT 2 1 "  "
     FIELD LF_RDIST->CODCOMP
    END
    
    STRINGA 2 50 2
    BEGIN
     KEY "Descrizione componente"
     PROMPT 3 1 ""
     FIELD ALIAS_ANAMAG_RIGHE@->DESCR
     FIELD ALIAS_LAV_RIGHE@->S0
     FIELD ALIAS_VAR_RIGHE@->S0
    END
    
    LISTA 3 5
    BEGIN
     KEY "indica il tipo di componente dell'articolo in distinta"
     PROMPT 4 1 ""
     FIELD LF_RDIST->TIPO
     FIELD ALIAS_LAV_RIGHE@->TIPO
     ITEM "| "
     ITEM " | "
     ITEM "D|Dist."
     ITEM "L|Lav."
     ITEM "A|Art."
     ITEM "V|Var."
    END

    STRINGA 4 4
    BEGIN
     KEY "unit di misura"
     PROMPT 5 1 ""
     FIELD LF_RDIST->UM
    END

// il numero due seguente permette di scrivere su 2 righe l'espressione

    STRINGA 5 30 2
    BEGIN
     KEY "espressione"
     PROMPT 6 1 ""
     FIELD LF_RDIST->EXPR
    END               
    END
END 
SECTION FOOTER ODD 1
END                                                                     
END

