#include "dl0600.h"

USE LF_ANAMAG
JOIN LF_UMART INTO CODART==CODART NRIGA=="1"
END

//-------------------------intestazione form-----------------------------------------------//
SECTION HEADER ODD 5

STRINGA -1
BEGIN
  KEY "titolo"
  PROMPT 1 1 "@bINTERROGAZIONE MAGAZZINO"
END

DATA FF_DATE
BEGIN
  KEY "Data"
  PROMPT  1 2 "@bData "
  MESSAGE _TODAY
END

NUMERO FF_PAGE
BEGIN
  KEY "Nr. pagina"
  PROMPT 120 2 "@bPagina "
  MESSAGE _PAGENO
END

END

//-----------------------riga tipo uno---------------------------------------------------//
SECTION BODY ODD 1 COLUMNWISE

STRINGA FF_B_CODART 16
BEGIN
  KEY "codart"
  PROMPT 1 1 ""
  SPECIAL STRINGA INTESTAZIONE "Cod. articolo" "Codice articolo"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  FIELD CODART
END

STRINGA FF_B_TITOLO 40
BEGIN
  KEY "titolo"
  PROMPT 2 1 ""
  SPECIAL STRINGA INTESTAZIONE "Titolo" "Titolo"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  FIELD DESCR
END

STRINGA FF_B_ARTISTA 18
BEGIN
  KEY "artista"
  PROMPT 3 1 ""
  SPECIAL STRINGA INTESTAZIONE "Artista" "Artista"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  FIELD USER2
END

STRINGA FF_B_SUPPORTO 3
BEGIN
  KEY "supporto"
  PROMPT 4 1 ""
  SPECIAL STRINGA INTESTAZIONE "Sup" "Tipo supporto"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  FIELD LF_UMART->UM
END

NUMERO FF_B_GIAC 8
BEGIN
  KEY "giacenza"
  PROMPT 5 1 ""
  PICTURE "###.##@"
  MESSAGE _GIACENZA
  SPECIAL STRINGA INTESTAZIONE "Giacenza" "Giacenza"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
END

NUMERO FF_B_QTA 8
BEGIN
  KEY "quantita' in ordine non evasa"
  PROMPT 6 1 ""
  PICTURE "#######"
  SPECIAL STRINGA INTESTAZIONE "Ordinato" "Quantita' in ordine non evasa"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  MESSAGE _ORDF
END

NUMERO FF_B_TOTACQ 7
BEGIN
  KEY "totale acquistati"
  PROMPT 7 1 ""
  PICTURE "#######"
  SPECIAL STRINGA INTESTAZIONE "Tot acq" "Totale acquistati"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  MESSAGE _ACQ
END

NUMERO FF_B_TOTVEN 7
BEGIN
  KEY "totale venduti"
  PROMPT 8 1 ""
  PICTURE "#######"
  SPECIAL STRINGA INTESTAZIONE "Tot ven" "Totale venduti"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  MESSAGE _VEN
END

VALUTA FF_B_PREZZO 10
BEGIN
  FLAGS "U"
  KEY "prezzo articolo del giorno"
  PROMPT 9 1 ""
  SPECIAL STRINGA INTESTAZIONE "Prezzo" "Prezzo"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  MESSAGE _PREZZO,FF_B_CONDV
END

STRINGA FF_B_CONDV 3
BEGIN
  FLAGS "U"
  KEY "listino/offerta da cui viene il prezzo stampato"
  PROMPT 10 1 ""
  SPECIAL STRINGA INTESTAZIONE "L/O" "Listino/Offerta"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"  
END

END

