/* DEC	*CopyDecimal(pDst,pSrc1)
 *
 * ARGUMENT
 *	pDst is	a ptr to the source1 DEC structure.
 *	pSrc1 is a ptr to the source2 DEC structure.
 *
 * DESCRIPTION
 *	Copies pSrc1 to	pDst. If pDst is null, tries to	create a
 *   DEC structure, then do the	copy.
 *
 * SIDE	EFFECTS
 *	None.
 *
 * RETURNS
 *	Returns	pointer	to the new structure if	successful, otherwise
 *   returns GM_NULL. If pSrc1 point to	a null,	returns	GM_NULLPOINTER.
 *
 *
 * POSSIBLE ERROR CODES
 *
 *	GM_NULLPOINTER
 *
 * AUTHOR
 *  Andy Anderson   15-JAN-1987	 18:45
 *   Copyright (C) 1987-1990 Greenleaf Software	Inc.  All rights reserved.
 *
 * MODIFICATIONS
 *
 */

#include <stdio.h>
#include "gm.h"
#include "gmsystem.h"

DEC	*CopyDecimal(pDst,pSrc)
DEC	*pDst;
DEC	*pSrc;
{

/*  source must	be supplied !! */
	_MacStart(GM_DCPY);
	_MacInVar(pSrc,GM_NULL);
	_MacOutVar(pDst,GM_NULL);

	_MacDCopy(pDst,pSrc);

	_MacRet(pDst);

}
