/* int	IsDecimalInt(pSrc);
 *
 * ARGUMENT
 *	DEC	*pSrc;
 *
 * DESCRIPTION
 *	Determines whether or not a DEC	represents an integer value
 *  or decimal value.
 *
 * SIDE	EFFECTS
 *	None.
 *
 * RETURNS
 *	TRUE if	pSrc has implied decimal of zero, otherwise FALSE.
 *
 * POSSIBLE ERROR CODES
 *
 *	GM_NULLPOINTER
 *
 * AUTHOR
 *  Andy Anderson 12-Sep-87	1435
 *   Copyright (C) 1987-1990 Greenleaf Software	Inc.  All rights reserved.
 *
 * MODIFICATIONS
 *
 *
 */

#include <stdio.h>
#include "gm.h"
#include "gmsystem.h"

int	IsDecimalInt(pSrc)
DEC	*pSrc;
{
	DEC	dtemp, *temp=&dtemp;

	_MacStart(GM_DISINT);
	if (!pSrc)  {
		_MacErr(GM_NULLPOINTER);
		_MacRet(GM_NULLPOINTER);
	}

	(void) _TruncateDec80Bit(temp, pSrc, 0);

	_MacRet(CompareDecimal(temp, pSrc)==0);
}
