/* int	ScanDecimal(sFmt, arg,)
 *
 * ARGUMENT
 *	char	*sFmt;
 *	(?)	arg;
 *
 * DESCRIPTION
 *	Scans arguments, which may include DEC structures,
 *   from stdio, according
 *   to	the format string sFmt.	 The function converts the DEC's to strings
 *   and calls scanf.
 *
 * SIDE	EFFECTS
 *	The arguments are changed.
 *
 * RETURNS
 *	The number of fields scanned, the return from scanf.
 *
 * POSSIBLE ERRORS
 *	GM_NULLPOINTER
 *	GM_NULLSTRING
 *	GM_INVALIDID
 *	GM_CNVRW
 *	GM_CNVRE
 *	GM_NAN
 *	GM_EOF
 *
 * AUTHOR
 *  Jared Levy
 *   Copyright (C) 1987-1990 Greenleaf Software	Inc.  All rights reserved.
 *
 * MODIFICATIONS
 *
 *
 */

#include <stdio.h>
#include "gm.h"
#include "gmsystem.h"

int ScanDecimal(char * sFmt, ELLIPSES)
{
	int	i;
	char	**pOutVal;

	_MacStart(GM_DSCANF);

	pOutVal=&sFmt;

	i=_ScanfAux(1, sFmt, sFmt,
		pOutVal[1], pOutVal[2],	pOutVal[3], pOutVal[4],	pOutVal[5],
		pOutVal[6], pOutVal[7],	pOutVal[8], pOutVal[9],	pOutVal[10]
#ifndef	_LDATA
	,pOutVal[11], pOutVal[12], pOutVal[13],	pOutVal[14], pOutVal[15],
	 pOutVal[16], pOutVal[17], pOutVal[18],	pOutVal[19], pOutVal[20]
#endif
		);
	_MacRet(i);
}

