/* int _CompareUnsArr(src1,src2,n)
 *
 * ARGUMENT
 *      unsigned        *src1, *src2
 *      unsigned        n;
 *
 * DESCRIPTION
 *      Compares src1 with src2. src1 and src2 are unchanged.
 *  src1, src2 point to unsigned arrays.
 *
 * SIDE EFFECTS
 *
 *
 * RETURNS
 *      if src1=src2 returns 0, if src1>src2 returns 1, otherwise returns -1.
 *
 * AUTHOR
 *      Brugnoli Giugno 1992
 *
 * MODIFICATIONS
 *
 */

#include <stdio.h>
#include "gm.h"
#include "gmsystem.h"

int _CompareUnsArr(src1, src2, n)
unsigned SHORT        src1[], src2[];
int             n;
{
  int i,result;

  result=0;

   for (i=n-1;(i>=0)&&(result==0);i--)
    {
    if (src1[i]!=src2[i])
      {
      result = ( src1[i]>src2[i] ? 1 : -1 );
      }
    }

  return(result);

}
