/* void	GMDefErrHandler(a,b)
 *
 * ARGUMENT
 *	int	a,b;	a= value for wGMError
 *			b= value for wGMFunErrNum
 *
 * DESCRIPTION
 *	Sets global var's wGMError to 'a' and wGMFunErrNum to 'b'
 *  IF AND ONLY	IF wGMError is equal to	GM_SUCCESS or wGMError is a warning
 *  and	'a' is a fatal error.  If not, neither global variable is changed.
 *
 * SIDE	EFFECTS
 *	None.
 *
 * RETURNS
 *	None.
 *
 * AUTHOR
 *  AA		17-Sep-87	0900
 *   Copyright (C) 1987-1990 Greenleaf Software	Inc.  All rights reserved.
 *
 * MODIFICATIONS
 *
 *
 */

#include <stdio.h>
#include "gm.h"
#include "gmsystem.h"

void	GMDefErrHandler(wErrorNo, wErrorFunctionNum)
int	wErrorNo, wErrorFunctionNum;
{

	if((wGMError ==	GM_SUCCESS) ||
		((wGMError == GM_CNVRW)	&& (wErrorNo !=	GM_CNVRW)))  {
		wGMError = wErrorNo;
		wGMFunErrNum = wErrorFunctionNum;
	}
	return;
}
