/* DEC	*ConvIntToDecimal( x, l)
 *
 * ARGUMENT
 *	DEC	*x;
 *	int	l;
 *
 * DESCRIPTION
 *	Converts int 'l' to a DEC with implied decimal 0.
 *
 * SIDE	EFFECTS
 *	x is indeterminate on error.
 *
 * RETURNS
 *	The DEC	if the conversion is successful, and GM_NULL otherwise.
 *
 * POSSIBLE ERROR CODES
 *
 *	GM_NOMEMORY
 *
 * AUTHOR
 *   Jared Levy		Feb. 9,	1987
 *   Copyright (C) 1987-1990 Greenleaf Software	Inc.  All rights reserved.
 *
 * MODIFICATIONS
 *
 */

#include <stdio.h>
#include "gm.h"
#include "gmsystem.h"

DEC	*ConvIntToDecimal( x, l)
DEC	*x;
int	l;

{
	DEC	*t;
	_MacStart(GM_ITOD);

	t=(ConvLongToDecimal(x,	(long) l));
	_MacRet(t);
}
