##
## Specification file per costruire la shared library di gfm.
## Nella branch table vengono messi solo le funzioni direttamente
## interfacciabili con l'utente. Le funzioni che iniziano con _
## non vengono rese pubbliche.
##
#address .text 0xB0000000
#address .data 0xB0400000
#target /shlib/libgfm_s
#branch
	GMDefErrHandler									1
	_ScanfAux												2
##	_AddUnsArrToUnsArr							2
##	_CompoundAux										3
##	_AddDec80Bit										4
##	_ATanDec80Bit										5
##	_ScaleDec80Bit									6
##	_CosDecSmall										7
##	_CosDec80Bit										8
##	_DivProcFast										9
##	_DivProcRnd											10
##	_DivProcTrn											11
##	_DivDec80Bit										12
##	_DivDecFast											13
##	_DivRndDec80Bit									14
##	_DivTrnDec80Bit									15
##	_ExpDec80Bit										16
##	_LnDec80Bit											17
##	_DivUnsArrByUnsArr							18
##	_DivUnsArrByPwrOf10							19
##	_DivUnsArrByPwrOf10Trunc				20
##	_DivUnsArrByUns									21
##	_DivUnsArrByUnsRound						22
##	_IntPwrDec80Bit									23
##	_SinDecSmall										24
##	_SqrtDec80Bit										25
##	_SubDec80Bit										26
##	_ConvDecimalToAsciiFormatted		27
##	_TruncateDec80Bit								28
##	_DivUns10ArrByUns5Arr						29
##	_DivUns10ArrByUns5ArrTrn				30
##	_CompareUnsArr									31
##	_IncrementUnsArr								32
##	_HalveUnsArr										33
##	_InterestAux										34
##	_MulUnsArrByUnsArr							35
##	_MulUnsArr											36
##	_MulUnsArrByPwrOf10							37
##	_MulUnsArrByPwrOf10Limited			38
##	_MulUnsArrP10AndAddInt					39
##	_ScanfAux												40
##	_SubUnsArrFromUnsArr						41
##	_SimpleAux											42
##	_SubUnsArr											43
##	_Sq5UnsTo4Uns										44
##	_SortInc												45
##  _SortDec												46
##	_DoubleUnsArr										47
##	_MulDec80Bit										48
##	Multiply												48
##	Mltply													49

#objects
	gfmdefs.o
	gmglobal.o
	gmserri.o
	agmn.o
	mgmn.o
	dmi.o
	mli.o
	smi.o
	mul10.o
	mul10ad.o
	sgmn.o
	gcmp.o
	hmi.o
	ginc.o
	dmbyn.o
	d10by5t.o
	d10by5.o
	dmby1r.o
	dmby1.o
	dmbyp10.o
	dmbyp10t.o
	dchix.o
	sq5to4.o
	ddivpf.o
	ddivpr.o
	ddivpt.o
	ddix.o
	ddixf.o
	ddixr.o
	ddixt.o
	atod.o
	atodr.o
	scanfx.o
##	compaux.o
##	dadx.o
##	datax.o
##	dcoss.o
##	dcox.o
##	dcmp.o
##	dsign.o
##	dmby1r.o
##	dpoxi.o
##	dlnx.o
##	dmag.o
##	dtrux.o
##	dsux.o
##	dsins.o
##	dmux.o
##	intraux.o
##	dexx.o
##	mul10l.o
##	dtoi.o
##	ltod.o

#objects noload
	-lc_s

#init gfmdefs.o
	_libgfm_scanf  scanf
	_libgfm_fscanf fscanf
	_libgfm_sscanf sscanf
