// Form per la stampa riepiloghi INTRA (Cessioni)

USE  9
JOIN  6 TO   9    ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 106@   ALIAS 118 INTO CODANAGR=CODANAGR
JOIN 13 TO 118@   ALIAS 213 INTO STATO=="" COM==COMNASC
JOIN 13 TO 106@   ALIAS 313 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 106@   ALIAS 413 INTO STATO=="" COM==COMRF
JOIN 6 TO 9       ALIAS 206 INTO TIPOA==TIPOSOGDEL CODANAGR==CODSOGDEL
JOIN 13 TO 206@   ALIAS 513 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 206@   ALIAS 613 INTO STATO=="" COM==COMRF
JOIN 135 TO 9     INTO ANNO=CODDITTA
END

DESCRIPTION
BEGIN
END


GENERAL
BEGIN
  OFFSET 0 0
  CARATTERE "X"
  INIZIO_POS 2 4
  FINE_POS 76
END

SECTION HEADER FIRST 16

NUMERO 1 4
BEGIN
  KEY "Mese"
  PROMPT 43 14 ""
  PICTURE "@ #"
END

NUMERO 2 1
BEGIN
  KEY "Trimestre"
  PROMPT 55 14 ""
END

NUMERO 3 5
BEGIN
  KEY "Anno"
  PROMPT 64 14 ""
  PICTURE "^^# #"
END

STRINGA 4 1
BEGIN
  KEY "Tipo riepilogo"
  PROMPT 39 16 ""  
END

END

SECTION BODY FIRST 33

LISTA 99
BEGIN
  KEY "Tipo anagrafica"
  PROMPT 1 1 ""
  FIELD TIPOA
  ITEM "F| " MESSAGE SHOW,1@|HIDE,2@
  ITEM "G| " MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 1
BEGIN
  KEY "Codice Fiscale"
  PROMPT 3 7 ""
  FIELD 106@->COFI
END

STRINGA 2
BEGIN
  KEY "Partita IVA"
  PROMPT 53 7 ""
  FIELD 106@->PAIV
END

STRINGA 3
BEGIN
  KEY "Cognome"
  PROMPT 3 10 ""
  FIELD 106@->RAGSOC[1,30]
  GROUP 1
END

STRINGA 4
BEGIN
  KEY "Nome"
  PROMPT 43 10 ""
  FIELD 106@->RAGSOC[31,50]
  GROUP 1
END

DATA 5
BEGIN
  KEY "Data di nascita"
  PROMPT 4 13 ""
  FIELD 118@->DATANASC
  FORMAT "1442-"
  PICTURE "# #^# #^# #"
  GROUP 1
END

LISTA 6
BEGIN
  KEY "Sesso"
  PROMPT 19 13 ""
  FIELD 118@->SESSO
  ITEM "M|X" 
  ITEM "F|  X"
  GROUP 1
END

STRINGA 7 32
BEGIN
  KEY "Comune di nascita"
  PROMPT 23 13 ""
  FIELD 213@->DENCOM
  GROUP 1
END

STRINGA 8 2
BEGIN
  KEY "Provincia di nascita"
  PROMPT 59 13 ""
  FIELD 213@->PROVCOM
  GROUP 1
END

STRINGA 9 4
BEGIN
  KEY "Prefisso telefonico"
  PROMPT 64 13 ""
  FIELD 106@->PTELRF
  GROUP 1 
END

STRINGA 10 9
BEGIN
  KEY "Numero telefonico"
  PROMPT 69 13 ""
  FIELD 106@->TELRF
  GROUP 1
END

STRINGA 11
BEGIN
  KEY "Denominazione o ragione sociale"
  PROMPT 3 17 ""
  FIELD 106@->RAGSOC
  GROUP 2 
END

STRINGA 12 4
BEGIN
  KEY "Prefisso telefonico"
  PROMPT 64 17 ""
  FIELD 106@->PTELRF
  GROUP 2 
END

STRINGA 13 9
BEGIN
  KEY "Numero telefonico"
  PROMPT 69 17 ""
  FIELD 106@->TELRF
  GROUP 2
END

STRINGA 14 20
BEGIN
  KEY "Comune di residenza fiscale"
  PROMPT 52 20 ""
  FIELD 413@->DENCOM
  MESSAGE EMPTY SHOW,3@|HIDE,4@
  MESSAGE SHOW,4@|HIDE,3@
END

STRINGA 15 20
BEGIN
  KEY "Comune di residenza"
  PROMPT 52 20 ""
  FIELD 313@->DENCOM
  GROUP 3
END

STRINGA 16
BEGIN
  KEY "Provincia di residenza fiscale"
  PROMPT 74 20 ""
  FIELD 413@->PROVCOM
  GROUP 4
END

STRINGA 17
BEGIN
  KEY "Provincia di residenza"
  PROMPT 74 20 ""
  FIELD 313@->PROVCOM
  GROUP 3
END

STRINGA 18
BEGIN
  KEY "Indirizzo residenza fiscale"
  PROMPT 1 20 ""
  FIELD 106@->INDRF[1,35]
  FLAGS "H"
  MESSAGE COPY,20
END

STRINGA 19
BEGIN
  KEY "Nr. civico di residenza fiscale"
  PROMPT 1 20 ""
  FIELD 106@->CIVRF
  FLAGS "H"
  MESSAGE APPEND,20
END

STRINGA 20 38
BEGIN
  KEY "Indirizzo residenza fiscale+nr. civico"
  PROMPT 3 20 ""
  GROUP 4
END

STRINGA 21
BEGIN
  KEY "Indirizzo residenza"
  PROMPT 1 20 "" 
  FIELD 106@->INDRES[1,35]
  FLAGS "H"
  MESSAGE COPY,23
END

STRINGA 22
BEGIN
  KEY "Nr. civico di residenza"
  PROMPT 1 20 ""
  FIELD 106@->CIVRES
  FLAGS "H"
  MESSAGE APPEND,23
END

STRINGA 23 38
BEGIN
  KEY "Indirizzo residenza+nr. civico"
  PROMPT 3 20 ""
  GROUP 3
END

STRINGA 24
BEGIN
  KEY "CAP residenza fiscale"
  PROMPT 42 20 ""
  FIELD 106@->CAPRF
  GROUP 4
END

STRINGA 25
BEGIN
  KEY "CAP residenza"
  PROMPT 42 20 ""
  FIELD 106@->CAPRES
  GROUP 3
END

LISTA 26 1
BEGIN
  KEY "Elenchi presentati in precedenza"
  PROMPT 7 23 ""
  ITEM " | "
  ITEM "X|X"
  FIELD PRESELEN
END

LISTA 26 1
BEGIN
  KEY "Cessazione attivita'"
  PROMPT 40 23 ""
  ITEM " | "
  ITEM "X|X"
  FIELD CESSIVA
END

STRINGA 27
BEGIN
  KEY "Partita IVA delegato"
  PROMPT 11 27 ""
  FIELD 206@->PAIV
END

STRINGA 28 50
BEGIN
  KEY "Nome e Cognome o Ragione sociale delegato"
  PROMPT 3 30 ""
  FIELD 206@->RAGSOC
END

STRINGA 29 4
BEGIN
  KEY "Prefisso telefonico delegato"
  PROMPT 64 30 ""
  FIELD 206@->PTELRF
END

STRINGA 30 9
BEGIN
  KEY "Numero telefonico delegato"
  PROMPT 69 30 ""
  FIELD 206@->TELRF
END

STRINGA 31 20
BEGIN
  KEY "Comune di residenza fiscale delegato"
  PROMPT 52 33 ""
  FIELD 613@->DENCOM
  MESSAGE EMPTY SHOW,5@|HIDE,6@
  MESSAGE SHOW,6@|HIDE,5@
END

STRINGA 32 20
BEGIN
  KEY "Comune di residenza delegato"
  PROMPT 52 33 ""
  FIELD 513@->DENCOM
  GROUP 5
END

STRINGA 33
BEGIN
  KEY "Provincia di residenza fiscale delegato"
  PROMPT 74 33 ""
  FIELD 613@->PROVCOM
  GROUP 6
END

STRINGA 34
BEGIN
  KEY "Provincia di residenza delegato"
  PROMPT 74 33 ""
  FIELD 513@->PROVCOM
  GROUP 5
END

STRINGA 35
BEGIN
  KEY "Indirizzo residenza fiscale delegato"
  PROMPT 1 33 ""
  FIELD 206@->INDRF[1,35]
  FLAGS "H"
  MESSAGE COPY,37
END

STRINGA 36
BEGIN
  KEY "Nr. civico di residenza fiscale delegato"
  PROMPT 1 33 ""
  FIELD 206@->CIVRF
  FLAGS "H"
  MESSAGE APPEND,37
END

STRINGA 37 38
BEGIN
  KEY "Indirizzo residenza fiscale+nr. civico delegato"
  PROMPT 3 33 ""
  GROUP 6
END

STRINGA 38
BEGIN
  KEY "Indirizzo residenza delegato"
  PROMPT 1 33 "" 
  FIELD 206@->INDRES[1,35]
  FLAGS "H"
  MESSAGE COPY,40
END

STRINGA 39
BEGIN
  KEY "Nr. civico di residenza delegato"
  PROMPT 1 33 ""
  FIELD 206@->CIVRES
  FLAGS "H"
  MESSAGE APPEND,40
END

STRINGA 40 38
BEGIN
  KEY "Indirizzo residenza+nr. civico delegato"
  PROMPT 3 33 ""
  GROUP 5
END

STRINGA 41
BEGIN
  KEY "CAP residenza fiscale delegato"
  PROMPT 42 33 ""
  FIELD 206@->CAPRF
  GROUP 6
END

STRINGA 42
BEGIN
  KEY "CAP residenza delegato"
  PROMPT 42 33 ""
  FIELD 206@->CAPRES
  GROUP 5
END

END

SECTION FOOTER FIRST 23

NUMERO 1 3
BEGIN
  KEY "Totale pagine sezione 1"
  PROMPT 11 6 ""
END

NUMERO 2 5
BEGIN
  KEY "Totale righe dettaglio sezione 1"
  PROMPT 18 6 ""
END

NUMERO 3 15
BEGIN
  KEY "Ammontare complessivo sezione 1"
  PROMPT 25 6 ""
  PICTURE "###.###.###"
  MESSAGE _IMP
END

NUMERO 4 3
BEGIN
  KEY "Totale pagine sezione 2"
  PROMPT 49 6 ""
END

NUMERO 5 5
BEGIN
  KEY "Totale righe dettaglio sezione 2"
  PROMPT 56 6 ""
END

NUMERO 6 15
BEGIN
  KEY "Ammontare complessivo sezione 2"
  PROMPT 64 6 ""
  PICTURE "###.###.###"
  MESSAGE _IMP
END

DATA 7 10
BEGIN
  KEY "Data di stampa"
  PROMPT 6 10 ""
  MESSAGE _TODAY
END

END

SECTION HEADER ODD 21

NUMERO 1 4
BEGIN
  KEY "Mese"
  PROMPT 16 15 ""
  PICTURE "@ #"
END

NUMERO 2 1
BEGIN
  KEY "Trimestre"
  PROMPT 29 15 ""
END

NUMERO 3 5
BEGIN
  KEY "Anno"
  PROMPT 37 15 ""
  PICTURE "^^# #"
END

STRINGA 4
BEGIN
  KEY "Partita IVA"
  PROMPT 53 15 ""
  FIELD 106@->PAIV
END

END

SECTION BODY ODD 2

NUMERO 1 3
BEGIN
  KEY "Progressivo riga"
  PROMPT 3 1 ""
  FIELD 135->NUMRIG
END

STRINGA 2 2
BEGIN
  KEY "Stato"
  PROMPT 7 1 ""
  FIELD 135->STATO 
END

STRINGA 3 11
BEGIN
  KEY "Partita IVA"
  PROMPT 11 1 ""
  FIELD 135->PIVA
END

NUMERO 4 12
BEGIN
  KEY "Ammontare operazioni in euro"
  PROMPT 23 1 ""                 //2sx
  FIELD 135->AMMLIRE
  PICTURE "####.###.###"
  MESSAGE _IMP
END

STRINGA 6 1
BEGIN
  KEY "Natura della transazione"
  PROMPT 36 1 ""                  //1sx
  FIELD 135->NATURA
END

STRINGA 7 8
BEGIN
  KEY "Nomenclatura combinata"
  PROMPT 39 1 ""
  FIELD 135->NOMENCL
END

NUMERO 8 9
BEGIN
  KEY "Massa netta in kilogrammi"
  PROMPT 48 1 ""              //1sx
  FIELD 135->MASSAKG
  PICTURE "#########"
  MESSAGE _ROUND,0
END

NUMERO 9 9
BEGIN
  KEY "Massa in unita' supplementare"
  PROMPT 58 1 ""            //2sx
  FIELD 135->MASSAUMS
  PICTURE "#########"
  MESSAGE _ROUND,0
END

NUMERO 10 12
BEGIN
  KEY "Valore statistico"
  PROMPT 69 1 ""          //2sx
  FIELD 135->VALSTAT
  PICTURE "####.###.###"
  MESSAGE _IMP
END

STRINGA 11 1
BEGIN
  KEY "Codice consegna"
  PROMPT 84 1 ""          
  FIELD 135->CONSEGNA[1,1]
END

STRINGA 12 1
BEGIN
  KEY "Modo di trasporto"
  PROMPT 86 1 ""         //1sx
  FIELD 135->TRASPORTO
END

STRINGA 13 2
BEGIN
  KEY "Paese destinazione"
  PROMPT 89 1 ""       //1sx
  FIELD 135->PAESE
END

STRINGA 14 2
BEGIN
  KEY "Provincia Origine"
  PROMPT 93 1 ""        //1sx
  FIELD 135->PROV
END

END

SECTION FOOTER ODD 31

NUMERO 1 12
BEGIN
  KEY "Riporto dalla pagina precedente"
  PROMPT 23 1 ""         //2sx
  PICTURE "####.###.###"
  MESSAGE _IMP
END

NUMERO 2 12
BEGIN
  KEY "Totale"
  PROMPT 23 3 ""         //2sx
  PICTURE "####.###.###"
  MESSAGE _IMP
END

NUMERO 3 3
BEGIN
  KEY "Numero di pagina"
  PROMPT 94 3 ""         //1sx
END

END

SECTION HEADER EVEN 22

NUMERO 1 4
BEGIN
  KEY "Mese"
  PROMPT 16 15 ""
  PICTURE "@ #"
END

NUMERO 2 1
BEGIN
  KEY "Trimestre"
  PROMPT 29 15 ""
END

NUMERO 3 6
BEGIN
  KEY "Anno"
  PROMPT 37 15 ""
  PICTURE "^^# #"
END

STRINGA 4
BEGIN
  KEY "Partita IVA"
  PROMPT 53 15 ""
  FIELD 106@->PAIV
END

END

// Sezione di stampa rettifiche

SECTION BODY EVEN 2

NUMERO 1 3
BEGIN
  KEY "Progressivo riga"
  PROMPT 3 1 ""
  FIELD 135->NUMRIG
END

NUMERO 2 2
BEGIN
  KEY "Mese del periodo di riferimento (Settato da programma)"
  PROMPT 7 1 ""
  PICTURE "#@"
END

NUMERO 3 1
BEGIN
  KEY "Trimestre del periodo di riferimento (Settato da programma)"
  PROMPT 11 1 ""
  PICTURE "@"
END

NUMERO 4 4
BEGIN
  KEY "Anno del periodo di riferimento"
  PROMPT 14 1 ""
  FIELD 135->ANNORETT
END

STRINGA 5 2
BEGIN
  KEY "Stato"
  PROMPT 19 1 ""
  FIELD 135->STATO 
END

STRINGA 6 11
BEGIN
  KEY "Partita IVA"
  PROMPT 23 1 ""
  FIELD 135->PIVA
END

STRINGA 7 1
BEGIN
  KEY "Segno"
  PROMPT 37 1 ""
  FIELD 135->SEGNORETT
END

NUMERO 8 12
BEGIN
  KEY "Ammontare operazioni in euro"
  PROMPT 39 1 ""                     //2sx
  FIELD 135->AMMLIRE
  PICTURE "####.###.###"
  MESSAGE _IMP
END

STRINGA 10 1
BEGIN
  KEY "Natura della transazione"
  PROMPT 52 1 ""                    //1sx
  FIELD 135->NATURA
END

STRINGA 11 8
BEGIN
  KEY "Nomenclatura combinata"
  PROMPT 56 1 ""
  FIELD 135->NOMENCL
END

NUMERO 12 12
BEGIN
  KEY "Valore statistico"
  PROMPT 65 1 ""                 //2sx
  FIELD 135->VALSTAT
  PICTURE "####.###.###"
  MESSAGE _IMP
END

END

SECTION FOOTER EVEN 36

STRINGA 4 1
BEGIN
  KEY "Segno riporto rettifiche"
  PROMPT 37 1 ""
END

NUMERO 1 12
BEGIN
  KEY "Riporto dala pagina precedente"
  PROMPT 39 1 ""                      //2sx
  PICTURE "####.###.###"
  MESSAGE _IMP
END

STRINGA 7 1
BEGIN
  KEY "Segno Totale rettifiche"
  PROMPT 37 3 ""
END

NUMERO 2 12
BEGIN
  KEY "Totale"
  PROMPT 39 3 ""                   //2sx
  PICTURE "####.###.###"
  MESSAGE _IMP
END

NUMERO 3 3
BEGIN
  KEY "Numero di pagina"
  PROMPT 74 4 ""                   //1sx
END

END

