#ifndef __INLIB01_H
#define __INLIB01_H

#ifndef __AUTOMASK_H
#include <automask.h>
#endif

class TIntra_mask : public TAutomask
{
  char _freq_ces, _freq_acq;

protected:
  virtual void on_firm_change();
  virtual bool on_field_event(TOperable_field& o, TField_event e, long jolly);

  virtual short type_field() const;
  virtual short period_field() const;
  virtual int anno() const pure;

public:
  int date2periodo(const TDate & d);                                                    
  char tipo() const;
  char frequenza(int anno = 0, char tipo = '\0') const;
  int periodo() const;
  const char* periodo_str() const;

  TIntra_mask(const char* name);
  virtual ~TIntra_mask() { }
};

void genera_riepiloghi(char tipo = ' ', int anno = 0, int periodo = 0);
bool is_riepilogo(char tipo, int anno, int periodo);
                                                    
#endif
