#ifndef __POSTMAN_H
#define __POSTMAN_H

#ifndef __ISAM_H
class TRectype;
#endif

#ifndef __RELATION_H
class TRelation;
#endif

#ifndef __STRINGS_H
class TFilename;
#endif

// Mail management
bool can_dispatch_transaction(const TRectype& rec);
bool dispatch_transaction(const TRectype& rec, const TFilename& ini);

// Permission management
const char* get_user_filter(const char* flt);
const char* get_user_read_filter();
const char* get_user_write_filter();

bool user_can_read(const TRelation* rel);
bool user_can_write(const TRelation* rel);

#endif

