#ifndef __URLDEFID_H
#define __URLDEFID_H

#ifndef __DEFMASK_H
#include <defmask.h>
#endif

/* @M 
   Identificatori (tag) per i menu e le voci dei menu ad uso di URL
   */
#define TASK_MENUBAR   10000

#define MENU_BAR(i)     (10001+i)
#define BAR_ITEM(i)     (5000+100*i)
#define MENU_ITEM(i)    (30000+i)
#define VISWIN_BAR      (7000)
#define BROWSE_BAR      (8000)

#define MENU_VISWIN      (VISWIN_BAR+1)
#define MENU_VISWIN_EDIT (VISWIN_BAR+2)

#define M_VISWIN_STOP    (VISWIN_BAR+3)
#define M_VISWIN_LINK    (VISWIN_BAR+4)
#define M_VISWIN_EDIT    (VISWIN_BAR+5)
#define M_VISWIN_PRINT   (VISWIN_BAR+6)
#define M_SHOW_RULERS    (VISWIN_BAR+7)
#define M_SHOW_BUTTONS   (VISWIN_BAR+8)
#define M_VISWIN_REDRAW  (VISWIN_BAR+9)
#define M_VISWIN_QUIT    (VISWIN_BAR+10)
#define M_VISWIN_COPY    (VISWIN_BAR+11)
#define M_VISWIN_CLEAR   (VISWIN_BAR+12)
#define M_VISWIN_SEARCH  (VISWIN_BAR+13)
#define M_VISWIN_NEXT    (VISWIN_BAR+14)

#define MENU_FILE       M_FILE

#define M_EDIT_SEARCH   (M_EDIT+8)
#define M_EDIT_DELETE   (M_EDIT+9)
#define M_EDIT_QUIT     (M_EDIT+10)

#define M_PREF			    (M_FILE+700)

#define STR_FIRMNAME    101

#define ICO_COMBO     10108
#define ICO_SEARCH    10109
#define ICO_CHECK_ON  10110
#define ICO_CHECK_OFF 10111

#define BMP_OK        101
#define BMP_CANCEL    102
#define BMP_SAVEREC   103
#define BMP_DELREC    104
#define BMP_NEWREC    105
#define BMP_FAX       108 
#define BMP_SEARCH    109
#define BMP_CHECK_ON  110
#define BMP_CHECK_OFF 111
#define BMP_RADIO_ON  112
#define BMP_RADIO_OFF 113
#define BMP_QUIT      114
#define BMP_SELECT    115
#define BMP_EDIT      116
#define BMP_LINK      117
#define BMP_PRINT     118
#define BMP_RECALC    119
#define BMP_ELABORA   120
#define BMP_FIRSTREC  121
#define BMP_PREVREC   122
#define BMP_STOPREC   123
#define BMP_NEXTREC   124
#define BMP_LASTREC   125
#define BMP_FINDREC   126
#define BMP_MODULE1   127
#define BMP_MODULE2   128
#define BMP_MODULE3   129
#define BMP_MODULE4   130
#define BMP_BOOK1     131
#define BMP_BOOK2     132
#define BMP_BOOK3     133
#define BMP_MODULE    134
#define BMP_OLE       135
#define BMP_1         136
#define BMP_2         137
#define BMP_3         138
#define BMP_EMAIL     139
#define BMP_SAVERECDN 153
#define BMP_DELRECDN  154
#define BMP_NEWRECDN  155
#define BMP_QUITDN    164
#define BMP_SETPRINT  165
#define BMP_LENTE     166
#define BMP_DIR       167
#define BMP_DIRDN     168
#define BMP_FILE      169
#define BMP_STOP      170
#define BMP_FILECHK   171
#endif

/* @END */

