USE 57
JOIN 45 INTO CODDITTA=CODDITTA CODDIP=CODDIP
JOIN %CAF ALIAS 104 INTO CODTAB==CODCAAF
JOIN 9 INTO CODDITTA=CODDITTA
JOIN 6 TO 9 ALIAS 206 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 36 INTO CODDITTA=CODDITTA

END
DESCRIPTION
BEGIN
  57->* "Quadro A2 770"
  45->* "Anagrafica dei dipendenti"
  104@->* "Tabella CAAF"
  9->* "Ditte"
  206@->* "Anagrafica persone fisiche e giuridiche (ditta)"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 11
  CARATTERE "X"
  INIZIO_POS 3 3
  FINE_POS 130
  GRID "+++++++++-|"
END

SECTION HEADER FIRST 22

STRINGA 1 
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 55 8  ""
  FIELD 206@->COFI
END

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 88 8  ""
END

NUMBER 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 123 8  ""
END

END

SECTION HEADER ODD 5
// Header pagine successive
END


SECTION BODY ODD 10

STRINGA 1
BEGIN
 KEY "COD.FIS"
 PROMPT 11 1 ""
 FIELD 45->CODFI
END

STRINGA 2
BEGIN
 KEY "COGNOME"
 PROMPT 43 1 ""
 FIELD 45->COGNOME
END

STRINGA 3
BEGIN
 KEY "NOME"
 PROMPT 80 1 ""
 FIELD 45->NOME
END

DATA 4
BEGIN
 KEY "DATA NASCITA"
 PROMPT 112 1 ""
 FIELD 45->DATANA
 FORMAT "1444-"
END

STRINGA 5
BEGIN
 KEY "SESSO"
 PROMPT 128 1 ""
 FIELD 45->SESSO
END

STRINGA 6
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 11 3 ""
 FIELD 45->COMUNENA
END

STRINGA 7
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 48 3 ""
 FIELD 45->PROVNA
END

STRINGA 8
BEGIN
 KEY "CONGUAGLI NON EFFETTUATI"
 PROMPT 16 5 ""
 FIELD 57->CONEFF
END

STRINGA 9
BEGIN
 KEY "RETTIFICA CONGUAGLIO"
 PROMPT 31 5 ""
 FIELD 57->RETCON
END

NUMERO 10
BEGIN
 KEY "IMPOSTA RIMBORSATA"
 PROMPT 39 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->SIRPEFRIMB
END   

NUMERO 11
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 54 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->VIRPEF
END

NUMERO 12
BEGIN
 KEY "INTERESSI"
 PROMPT 69 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->INTIRPEF
END

NUMERO 13
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 85 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->AIRPEFIV
END

NUMERO 14
BEGIN
 KEY "INTERESSI"
 PROMPT 100 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->AIRPEFINT
END

NUMERO 15
BEGIN
 KEY "SOPRATTASSA SU IRPEF"
 PROMPT 115 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->STASSA15
END

NUMERO 16
BEGIN
 KEY "CONTRIBUTO A RIMBORSO"
 PROMPT 8 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->CONTR16
END

NUMERO 17
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 23 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->CONTRVER
END

NUMERO 18
BEGIN
 KEY "INTERESSI"
 PROMPT 39 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->INTER18
END   

NUMERO 19
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 54 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->CONTV19
END

NUMERO 20
BEGIN
 KEY "INTERESSI"
 PROMPT 69 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->INTE20
END

NUMERO 21
BEGIN
 KEY "SOPRATTASSA SU CSSN"
 PROMPT 85 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->SOPRAT21
END

NUMERO 22
BEGIN
 KEY "MOD. 730/95 NON LIQUIDABILE"
 PROMPT 108 7 ""
 FIELD 57->M730NLIQ
END

STRINGA 23
BEGIN
 KEY "CODICE FISCALE CAAF"
 PROMPT 11 9 ""
 FIELD 104@->S1
END

STRINGA 24
BEGIN
 KEY "DENOMINAZIONE CAAF"
 PROMPT 44 9 ""
 FIELD 104@->S0
END

NUMERO 25
BEGIN
 KEY "NUMERO ISCRIZIONE ALBO"
 PROMPT 125 9 ""            
 PICTURE "#####"
 FIELD 104@->I1
END

STRINGA 101
BEGIN
 KEY "9 - RETTIFICA CONGUAGLIO (B FISSA)"
 PROMPT 31 5 "B"
END

NUMERO 102
BEGIN
 KEY "10 - IMPOSTA RIMBORSATA (CONGUAGLIO)"
 PROMPT 39 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->QA2RCB10
END   

NUMERO 103
BEGIN
 KEY "11 - IMPOSTA VERSATA (CONGUAGLIO)"
 PROMPT 54 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->QA2RCB11
END

NUMERO 104
BEGIN
 KEY "12 - INTERESSI (CONGUAGLIO)"
 PROMPT 70 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->QA2RCB12
END

NUMERO 105
BEGIN
 KEY "13 - IMPOSTA VERSATA (CONGUAGLIO)"
 PROMPT 85 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->QA2RCB13
END

NUMERO 106
BEGIN
 KEY "14 - INTERESSI (CONGUAGLIO)"
 PROMPT 100 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->QA2RCB14
END

NUMERO 107
BEGIN
 KEY "15 - SOPRATTASSA SU IRPEF (CONGUAGLIO)"
 PROMPT 115 5 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->QA2RCB15
END

NUMERO 108
BEGIN
 KEY "16 - CONTRIBUTO A RIMBORSO (CONGUAGLIO)"
 PROMPT 8 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->QA2RCB16
END

NUMERO 109
BEGIN
 KEY "17 - CONTRIBUTO VERSATO (CONGUAGLIO)"
 PROMPT 23 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD 57->QA2RCB17
END

END

SECTION FOOTER LAST 9

NUMERO 730
BEGIN
 KEY "NUMERO MOD.730"
 PROMPT 22 5 ""
 PICTURE "######"
 FIELD 36->N730ALLA2
END                

STRINGA 2
BEGIN
 KEY "FIRMA"
 PROMPT 83 9 ""
 FIELD 206@->RAGSOC
END

END

END
