USE 61
JOIN %CA7 TO 61 ALIAS  14 INTO CODTAB=CODCAUS
JOIN  9                   INTO CODDITTA=CODDITTA
JOIN  6 TO   9  ALIAS 116 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  6 TO  61  ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@ ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@ ALIAS 313 INTO STATO=="" COM==COMNASC
JOIN 13 TO 216@ ALIAS 413 INTO STATO==STATORES COM==COMRES
END

DESCRIPTION
BEGIN
  61->* "Quadro SC 770"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone fisiche"
  313@->* "Comuni"
  413@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CA "X"           
  IN 3 1
  FI 129
END

SECTION HEADER FIRST 14

STRINGA 2 
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 53 5 ""
  FIELD 116@->COFI
//  SPECIAL STRINGA TRASFER "SC0101" ""
//  SPECIAL STRINGA DYLOG "AN,3,16" "" 
END

STRINGA 3
BEGIN
  KEY "CODICE FISCALE DEL SOSTITUTO D'IMPOSTA"
  PROMPT 85 5  ""
//  SPECIAL STRINGA DYLOG "AN,19,16" "" 
END

NUMBER 4
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 126 5 ""
END

END

SECTION BODY ODD 8

LISTA 100
BEGIN
  KEY "Tipo anagrafica"
  FIELD 216@->TIPOA
  ITEM "F|" MESSAGE ENABLE,1@|DISABLE,2@|"1",99
  ITEM "G|" MESSAGE ENABLE,2@|DISABLE,1@|"0",99
END

NUMERO 99
BEGIN
  KEY "Persona fisica"
  SPECIAL STRINGA DYLOG "NU,19,1" "" 
END

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 9 2 ""
  FIELD 216@->COFI
  SPECIAL STRINGA TRASFER "SC0201" ""
  SPECIAL STRINGA DYLOG "AN,3,16" "" 
END

STRING 2
BEGIN   
  KEY "COGNOME"
  PROMPT 42 2 ""
  FIELD 216@->RAGSOC[1,30]
  SPECIAL STRINGA TRASFER "SC0202" ""
  SPECIAL STRINGA DYLOG "AN,20,24" "" 
  GROUP 1
END

STRING 202
BEGIN   
  KEY "RAGIONE SOCIALE"
  PROMPT 42 2 ""
  FIELD 216@->RAGSOC
  SPECIAL STRINGA DYLOG "AN,154,60" "" 
  GROUP 2
END

STRING 3
BEGIN   
  KEY "NOME"
  PROMPT 79 2 ""
  FIELD 216@->RAGSOC[31,50]
  SPECIAL STRINGA TRASFER "SC0203" ""
  SPECIAL STRINGA DYLOG "AN,44,20" "" 
  GROUP 1
END

STRING 4
BEGIN   
  KEY "SESSO"
  PROMPT 126 2 ""
  FIELD 218@->SESSO
  SPECIAL STRINGA TRASFER "SC0205" ""
  SPECIAL STRINGA DYLOG "AN,72,1" "" 
  GROUP 1
END

STRING 5
BEGIN   
  KEY "DATA NASCITA"
  PROMPT 112 2 ""
  FIELD 218@->DATANASC
  SPECIAL STRINGA TRASFER "SC0204" ""
  SPECIAL STRINGA DYLOG "NU,64,8" "" 
  GROUP 1
END

STRING 6
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 9 4 ""
  FIELD 313@->DENCOM
  SPECIAL STRINGA TRASFER "SC0206" ""
  SPECIAL STRINGA DYLOG "AN,73,21" "" 
  GROUP 1
END

STRING 7
BEGIN
  KEY "PROV DI NASCITA"
  PROMPT 46 4 ""
  FIELD 313@->PROVCOM
  SPECIAL STRINGA TRASFER "SC0207" ""
  SPECIAL STRINGA DYLOG "AN,94,2" "" 
  GROUP 1
END

STRING 8
BEGIN
  KEY "COMUNE DI RESIDENZA"
  PROMPT 52 4 ""
  FIELD 413@->DENCOM
  SPECIAL STRINGA TRASFER "SC0208" ""
  SPECIAL STRINGA DYLOG "AN,96,21" "" 
END

STRING 208
BEGIN
  KEY "COMUNE DI DOMICILIO FISCALE"
  PROMPT 52 4 ""
  FIELD 413@->DENCOM
  SPECIAL STRINGA DYLOG "AN,214,21" "" 
  GROUP 2
END

STRING 9
BEGIN
  KEY "PROV. RESIDENZA"
  PROMPT 88 4 ""
  FIELD 413@->PROVCOM
  SPECIAL STRINGA TRASFER "SC0209" ""
  SPECIAL STRINGA DYLOG "AN,117,2" "" 
END

STRING 209
BEGIN
  KEY "PROV. RESIDENZA"
  PROMPT 88 4 ""
  FIELD 413@->PROVCOM
  SPECIAL STRINGA DYLOG "AN,235,2" "" 
  GROUP 2
END

STRING 101
BEGIN
  KEY "VIA RES."
  PROMPT 93 4 ""
  FIELD 216@->INDRES[1,30]
  FLAGS "H" 
  MESSAGE COPY,10
END

STRING 102
BEGIN
  KEY "NUM.CIV"
  PROMPT 93 4 ""
  FLAGS "H"
  FIELD 216@->CIVRES
  MESSAGE APPEND,10
END

STRING 10
BEGIN
  KEY "VIA RES. + numcivres"
  PROMPT 93 4 ""
  SPECIAL STRINGA TRASFER "SC0210" ""
  SPECIAL STRINGA DYLOG "AN,119,35" "" 
  MESSAGE COPY,210
  GROUP 1
END

STRING 210
BEGIN
  KEY "VIA RES. + numcivres Giuridiche"
  PROMPT 93 4 ""
  SPECIAL STRINGA DYLOG "AN,237,35" "" 
  GROUP 2
END

NUMERO 11
BEGIN
  KEY "Non residente"
  FIELD 216@->SOGGNRES
  SPECIAL STRINGA DYLOG "NU,237,35" "" 
END

STRINGA 12
BEGIN
  KEY "Stato estero di residenza"
END

STRINGA 13
BEGIN
  KEY "Codice Stato estero di residenza"
END

STRING 14
BEGIN
  KEY "Codice fiscale estero"
  FIELD 216@->COFIEST
  SPECIAL STRINGA DYLOG "AN,311,20" "" 
END

STRING 15
BEGIN
  KEY "CAUSALE Quadro C"
  PROMPT 9 6 ""
  FIELD CAUSALE
  SPECIAL STRINGA TRASFER "SC0211" ""
  SPECIAL STRINGA DYLOG "NU,272,1" "" 
END

NUMBER 16
BEGIN
  KEY "AMMONTARE LORDO CORRISPOSTO"
  PROMPT 37 6 ""  
  PICTURE "###.###.###^^^"    
  FIELD AMMLORDO
  SPECIAL STRINGA TRASFER "SC0213" ""
  SPECIAL STRINGA DYLOG "NU,332,11" "" 
END

NUMBER 17
BEGIN
  KEY "SOMME NON SOGGETTE A RITENUTA"
  PROMPT 78 6 ""    
  PICTURE "###.###.###^^^"    
  FIELD SOMNONSOGG
  SPECIAL STRINGA TRASFER "SC0215" ""
  SPECIAL STRINGA DYLOG "NU,343,11" "" 
END

NUMBER 18
BEGIN
  KEY "SOMME NON SOGGETTE PER REGIME CONVENZIONALE"
  SPECIAL STRINGA DYLOG "NU,354,11" "" 
END

NUMBER 19
BEGIN
  KEY "IMPONIBILE"
  PROMPT 99 6 ""  
  PICTURE "###.###.###^^^"    
  FIELD IMPONIBILE
  SPECIAL STRINGA TRASFER "SC0216" ""
  SPECIAL STRINGA DYLOG "NU,365,11" "" 
END

NUMBER 20
BEGIN
  KEY "RITENUTE OPERATE"
  PROMPT 89 8 ""  
  PICTURE "###.###.###^^^"   
  FIELD RITENUTE
  SPECIAL STRINGA TRASFER "SC0222" ""
  SPECIAL STRINGA DYLOG "NU,376,11" "" 
END

NUMBER 21
BEGIN
  KEY "RITENUTE SOSPESE"
  PROMPT 109 8 ""  
  PICTURE "###.###.###^^^"   
  SPECIAL STRINGA TRASFER "SC0223" ""
  SPECIAL STRINGA DYLOG "NU,387,11" "" 
END

END

SECTION FOOTER LAST 11

STRINGA 1
BEGIN
 KEY "FIRMA"
 PROMPT 83 3 ""
 FIELD 116@->RAGSOC        
END
                              
END

