USE 120
JOIN  9                     INTO CODDITTA=CODDITTA
JOIN  6 TO   9    ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  6           ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@   ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@   ALIAS 313 INTO STATO=="" COM==COMNASC
JOIN 13 TO 216@   ALIAS 413 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 216@   ALIAS 513 INTO STATO=="" COM==COMRF
JOIN %STA TO 216@ ALIAS 104 INTO CODTAB=STATORES
END

DESCRIPTION
BEGIN
  120->* "Quadro SG 770 ex D bis"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone fisiche (percipiente)"
  313@->* "Comune nascita"
  413@->* "Comune residenza"
  513@->* "Comune residenza fiscale"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CA "X"           
  IN 3 3
  FI 130
END

SECTION GRAPHICS FIRST 66

FIGURA 1 130 63
BEGIN
  PROMPT 1 5 "770_D_1.BMP"
END

END

SECTION GRAPHICS EVEN 66

FIGURA 1 130 62
BEGIN
  PROMPT 1 3 "770_D_2.BMP"
END

END

SECTION GRAPHICS ODD 66

FIGURA 1 130 62
BEGIN
  PROMPT 1 3 "770_D_3.BMP"
END

END

SECTION GRAPHICS LAST 66

FIGURA 1 130 56
BEGIN
  PROMPT 1 3 "770_D_4.BMP"
END

END

SECTION HEADER FIRST 18

STRINGA 1 
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 55 8  ""
  FIELD 106@->COFI
  SPECIAL STRING DYLOG "AN,3,16" ""
END

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 88 8  ""
  SPECIAL STRING DYLOG "AN,19,16" ""
END

NUMERO 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 123 8  ""
END

END

SECTION HEADER ODD 5
// Header pagine successive
END


SECTION BODY ODD 10

LISTA 99
BEGIN
  KEY "Tipo anagrafica F/G"
  PROMPT 1 1 ""
  FIELD TIPOA
  ITEM "F|1" MESSAGE SHOW,1@|HIDE,2@|"1",98
  ITEM "G|2" MESSAGE SHOW,2@|HIDE,1@|"2",98
END

STRINGA 98
BEGIN
  KEY "Tipo anagrafica 1/2"
  SPECIAL STRING DYLOG "AN,51,1" ""
END

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 9 1 ""
  FIELD 216@->COFI
  SPECIAL STRING TRASFER "SG0101" ""
  SPECIAL STRING DYLOG "AN,35,16" ""
END

STRINGA 2
BEGIN   
  KEY "COGNOME"
  PROMPT 42 1 ""
  FIELD 216@->RAGSOC[1,30]
  GROUP 1
  SPECIAL STRING TRASFER "SG0201" ""
  SPECIAL STRING DYLOG "AN,52,24" ""
END          

STRINGA 3
BEGIN   
  KEY "NOME"
  PROMPT 21 3 ""
  FIELD 216@->RAGSOC[31,50]
  GROUP 1
  SPECIAL STRING TRASFER "SG0202" ""
  SPECIAL STRING DYLOG "AN,76,20" ""
END

STRINGA 102
BEGIN
  KEY "RAGSOC GIURIDICHE"
  PROMPT 42 1 ""
  FIELD 216@->RAGSOC
  GROUP 2
  SPECIAL STRING TRASFER "SG0201" ""
  SPECIAL STRING DYLOG "AN,186,60" ""
END

STRINGA 4
BEGIN   
  KEY "SESSO"
  PROMPT 57 3 ""
  FIELD 218@->SESSO
  GROUP 1
  SPECIAL STRING TRASFER "SG0204" ""
  SPECIAL STRING DYLOG "AN,104,1" ""
END

STRINGA 5
BEGIN   
  KEY "DATA NASCITA"
  PROMPT 63 3 ""
  FIELD 218@->DATANASC
  PICTURE "##^ ##^ ####"
  GROUP 1
  SPECIAL STRING TRASFER "SG0205" ""
  SPECIAL STRING DYLOG "NU,96,8" ""
END

STRINGA 6
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 79 3 ""
  FIELD 313@->DENCOM
  GROUP 1
  SPECIAL STRING TRASFER "SG0206" ""
  SPECIAL STRING DYLOG "AN,105,21" ""
END

STRINGA 7
BEGIN
  KEY "PROV DI NASCITA"
  PROMPT 126 3 ""
  FIELD 313@->PROVCOM
  GROUP 1
  SPECIAL STRING DYLOG "AN,126,2" ""
  SPECIAL STRING TRASFER "SG0207" ""
END

STRINGA 8
BEGIN
  KEY "COMUNE DI RESIDENZA FISCALE"
  PROMPT 25 5 ""
  FIELD 513@->DENCOM
  MESSAGE EMPTY ENABLE,3@|DISABLE,4@
  MESSAGE ENABLE,4@|DISABLE,3@|COPY,208
  SPECIAL STRING TRASFER "SG0208" ""
  SPECIAL STRING DYLOG "AN,128,21" ""
END

LISTA 96
BEGIN
  KEY "Tipo anagrafica F/G"
  FIELD TIPOA
  ITEM "F|1" MESSAGE SHOW,1@|HIDE,2@
  ITEM "G|2" MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 80
BEGIN
  KEY "COMUNE DI RESIDENZA"
  PROMPT 25 5 ""
  FIELD 413@->DENCOM
  GROUP 1 3
  SPECIAL STRING TRASFER "SG0208" ""
  SPECIAL STRING DYLOG "AN,128,21" ""
  MESSAGE COPY,208
END

STRINGA 9
BEGIN
  KEY "PROV. RESIDENZA"
  PROMPT 71 5 ""
  FIELD 513@->PROVCOM  
  FIELD 413@->PROVCOM  
  SPECIAL STRING TRASFER "SG0209" ""
  SPECIAL STRING DYLOG "AN,149,2" ""
  MESSAGE COPY,209
END

STRINGA 101
BEGIN
  KEY "VIA RES."
  FIELD 216@->INDRES[1,35]
  FLAGS "H"
  MESSAGE COPY,10 
END

STRINGA 102
BEGIN
  KEY "NUM.CIV DI RESIDENZA"
  FLAGS "H"
  FIELD 216@->CIVRES
  MESSAGE APPEND,10     
END

STRINGA 10
BEGIN
  KEY "VIA RES. + NUMCIVRES"
  PROMPT 78 5 ""
  GROUP 1 3
  SPECIAL STRING TRASFER "SG0210" ""
  SPECIAL STRING DYLOG "AN,151,35" ""
  MESSAGE COPY,210
END

STRINGA 103
BEGIN
  KEY "VIA RES."
  FIELD 216@->INDRF[1,35]
  FLAGS "H"
  MESSAGE COPY,100
END

STRINGA 104
BEGIN
  KEY "NUM.CIV DI RESIDENZA"
  FLAGS "H"
  FIELD 216@->CIVRF
  MESSAGE APPEND,100
END

STRINGA 100
BEGIN
  KEY "VIA RF + NUMCIVRF"
  PROMPT 78 5 ""
  GROUP 1 4
  SPECIAL STRING TRASFER "SG0210" ""
  SPECIAL STRING DYLOG "AN,151,35" ""
  MESSAGE COPY,210
END

LISTA 11
BEGIN
  KEY "FLAG DI NON RESIDENTE"
  PROMPT 10 7 ""
  ITEM "| "  MESSAGE HIDE,5@|"0",97
  ITEM "X|X" MESSAGE SHOW,5@|"1",97
  FIELD 216@->SOGGNRES
  SPECIAL STRING TRASFER "SG0211" ""
END

NUMERO 97
BEGIN
  KEY "FLAG DI NON RESIDENTE 0/1"
  SPECIAL STRING DYLOG "NU,304,1" ""
END

STRINGA 12
BEGIN
  KEY "STATO ESTERO DI RES."
  PROMPT 14 7 "" 
  FIELD 104@->S0
  GROUP 5
  SPECIAL STRING TRASFER "SG0212" ""
  SPECIAL STRING DYLOG "AN,305,35" ""
END

STRINGA 13
BEGIN
  KEY "CODICE STATO ESTERO DI RES."
  PROMPT 75 7 "" 
  FIELD 216@->STATORES
  GROUP 5
  SPECIAL STRING TRASFER "SG0213" ""
  SPECIAL STRING DYLOG "NU,340,3" ""
END

STRINGA 14
BEGIN
  KEY "CODICE FISCALE ESTERO"
  PROMPT 90 7 ""      
  FIELD 216@->COFIEST
  GROUP 5
  SPECIAL STRING TRASFER "SG0214" ""
  SPECIAL STRING DYLOG "AN,343,20" ""
END

STRINGA 208
BEGIN
  KEY "COMUNE DI RESIDENZA GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,246,21" ""
END

STRINGA 209
BEGIN
  KEY "PROV. RESIDENZA GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,267,2" ""
END

STRINGA 210
BEGIN
  KEY "INDIRIZZO GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,269,35" ""
END

STRINGA 15
BEGIN
  KEY "CAUSALE"
  PROMPT 10 9 ""
  FIELD CAUSALE
  SPECIAL STRING TRASFER "SG0215" ""
  SPECIAL STRING DYLOG "AN,363,1" ""
END

NUMERO 16
BEGIN
  KEY "TOTALE"
  PROMPT 26 9 ""
  FIELD TOTALE
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SG0216" ""
  SPECIAL STRING DYLOG "NU,364,11" ""
END

NUMERO 17
BEGIN
  KEY "SOMME NON SOGGETTE A RITENUTA"
  PROMPT 46 9 ""
  FIELD SOMME         
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SG0217" ""
  SPECIAL STRING DYLOG "NU,375,11" ""
END

NUMERO 18
BEGIN
  KEY "SOMREGCONV"
  PROMPT 66 9 ""
  FIELD SOMREGCONV
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SG0218" ""
  SPECIAL STRING DYLOG "NU,386,11" ""
END

NUMERO 19
BEGIN
  KEY "IMPONIBILE"
  PROMPT 88 9 ""
  FIELD IMPONIBILE    
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SG0219" ""
  SPECIAL STRING DYLOG "NU,397,11" ""
END

NUMERO 20
BEGIN
  KEY "IMPORTO"
  PROMPT 109 9 ""
  FIELD IMPORTO       
  PICTURE "###.###.###^^^"  
  SPECIAL STRING TRASFER "SG0220" ""
  SPECIAL STRING DYLOG "NU,408,11" ""
END

NUMERO 21
BEGIN
  KEY "RITENUTE SOSPESE"
  PROMPT 109 9 ""
//  FIELD IMPORTO       
  PICTURE "###.###.###^^^"  
  SPECIAL STRING TRASFER "SG0221" ""
  SPECIAL STRING DYLOG "NU,419,11" ""
END

STRINGA 22
BEGIN
  KEY "Contributo del 10%"
  PROMPT 124 9 ""
  FIELD CONTR10
  SPECIAL STRING TRASFER "SG0222" ""
  SPECIAL STRING DYLOG "AN,430,1" ""
END

END

SECTION FOOTER LAST 3

STRINGA 2
BEGIN
 KEY "FIRMA a 3 righe vuote dal body"
 PROMPT 83 3 ""
 FIELD 106@->RAGSOC        
END

END
