USE 144
JOIN  9                   INTO CODDITTA=CODDITTA
JOIN  6 TO   9  ALIAS 206 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  6         ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@ ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@ ALIAS 313 INTO STATO=="" COM==COMNASC
JOIN 13 TO 216@ ALIAS 413 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 216@ ALIAS 513 INTO STATO=="" COM==COMRF
JOIN %STA TO 216@ ALIAS 104 INTO CODTAB=STATORES
END

DESCRIPTION
BEGIN
  62->* "Quadro LA 770"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  206@->* "Anagrafica persone fisiche e giuridiche"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone fisiche"
  313@->* "Comune nascita"
  413@->* "Comune residenza"
  513@->* "Comune residenza fiscale"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CA "X"           
  IN 3 3
  FI 130
END

SECTION BODY ODD 10

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 10 1 ""
  FIELD 216@->COFI
  SPECIAL STRING TRASFER "AU001001" ""
  SPECIAL STRING DYLOG "AN,0,16" ""
END

STRINGA 2
BEGIN   
  KEY "COGNOME"
  PROMPT 42 1 ""
  FIELD 216@->RAGSOC[1,30]
  SPECIAL STRING TRASFER "AU001002" ""
  SPECIAL STRING DYLOG "AN,16,24" ""
END          

STRINGA 3
BEGIN   
  KEY "NOME"
  PROMPT 22 3 ""
  FIELD 216@->RAGSOC[31,50]
  SPECIAL STRING TRASFER "AU001003" ""
  SPECIAL STRING DYLOG "AN,40,20" ""
END

STRINGA 4
BEGIN   
  KEY "SESSO"
  PROMPT 57 3 ""
  FIELD 218@->SESSO
  SPECIAL STRING TRASFER "AU001004" ""
  SPECIAL STRING DYLOG "AN,60,1" ""
END

STRINGA 5
BEGIN   
  KEY "DATA NASCITA"
  PROMPT 63 3 ""
  FIELD 218@->DATANASC
  PICTURE "##^ ##^ ####"
  SPECIAL STRING TRASFER "AU001005" ""
  SPECIAL STRING DYLOG "NU,61,8" ""
END

STRINGA 6
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 79 3 ""
  FIELD 313@->DENCOM
  SPECIAL STRING TRASFER "AU001006" ""
  SPECIAL STRING DYLOG "AN,69,25" ""
END

STRINGA 7
BEGIN
  KEY "PROV DI NASCITA"
  PROMPT 126 3 ""
  FIELD 313@->PROVCOM
  SPECIAL STRING TRASFER "AU001007" ""
  SPECIAL STRING DYLOG "AN,94,2" ""
END

STRINGA 8
BEGIN
  KEY "COMUNE DI RESIDENZA FISCALE"
  PROMPT 25 5 ""
  FIELD 513@->DENCOM
  FIELD 413@->DENCOM
  SPECIAL STRING TRASFER "AU001008" ""
  SPECIAL STRING DYLOG "AN,96,25" ""
  GROUP 1
END

STRINGA 9
BEGIN
  KEY "PROV DI RESIDENZA FISCALE"
  PROMPT 126 3 ""
  FIELD 513@->PROVCOM
  FIELD 413@->PROVCOM
  GROUP 1
  SPECIAL STRING TRASFER "AU001009" ""
  SPECIAL STRING DYLOG "AN,121,2" ""
END

NUMBER 10
BEGIN
  KEY "CODICE REGIONE"
  PROMPT 78 5 ""
  FIELD 218@->CODREG96
  SPECIAL STRING TRASFER "AU001010" ""
  SPECIAL STRING DYLOG "NU,123,2" ""
  GROUP 1
END

STRINGA 101
BEGIN
  KEY "VIA RES. FISC."
  FIELD 216@->INDRF[1,35]
  FIELD 216@->INDRES[1,35]
  FLAGS "H"
  MESSAGE COPY,11
END

STRINGA 102
BEGIN
  KEY "NUM.CIV DI RESIDENZA FISC."
  FLAGS "H"
  FIELD 216@->CIVRF
  FIELD 216@->CIVRES
  MESSAGE APPEND,11
END

STRINGA 11
BEGIN
  KEY "VIA RF + NUMCIVRF"
  PROMPT 78 5 ""
  SPECIAL STRING TRASFER "AU001011" ""
  SPECIAL STRING DYLOG "AN,125,25" ""
  MESSAGE COPY,14
END

STRINGA 12
BEGIN
  KEY "CODICE FISCALE ESTERO"
  PROMPT 90 7 ""      
  FIELD 216@->COFIEST
  SPECIAL STRING TRASFER "AU001012" ""
  SPECIAL STRING DYLOG "AN,150,20" ""
END

STRINGA 13
BEGIN
  KEY "COMUNE ESTERO DI RES."
  PROMPT 75 7 "" 
  FIELD 513@->DENCOM
  FIELD 413@->DENCOM
  SPECIAL STRING TRASFER "AU001013" ""
  SPECIAL STRING DYLOG "AN,170,25" ""
END

STRINGA 14
BEGIN
  KEY "INDIRIZZO DI RES. ESTERO"
  PROMPT 75 7 ""   
  // FIELD Copiato da 11
  SPECIAL STRING TRASFER "AU001014" ""
  SPECIAL STRING DYLOG "AN,195,25" ""
END

STRINGA 15
BEGIN
  KEY "STATO ESTERO"
  PROMPT 75 7 "" 
  FIELD 216@->STATORES
  SPECIAL STRING TRASFER "AU001015" ""
  SPECIAL STRING DYLOG "NU,220,3" ""
END

STRINGA 16
BEGIN
  KEY "CAUSALE"
  PROMPT 13 9 ""
  FIELD CAUSALE
  SPECIAL STRING TRASFER "AU001016" ""
  SPECIAL STRING DYLOG "AN,223,1" ""
END

NUMERO 17
BEGIN
  KEY "ANNO"
  PROMPT 16 9 ""
  FIELD ANNO
  SPECIAL STRING TRASFER "AU001017" ""
  SPECIAL STRING DYLOG "NU,224,4" ""
END

STRINGA 18
BEGIN
  KEY "ANTICIPAZIONI"
  PROMPT 27 9 ""
  FIELD ANTICIPAZ
  SPECIAL STRING TRASFER "AU001018" ""
  SPECIAL STRING DYLOG "AN,228,1" ""
END
 
NUMERO 19
BEGIN
  KEY "AMMONTARE LORDO"
  PROMPT 27 9 ""
  FIELD TOTALE
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "AU001019" ""
  SPECIAL STRING DYLOG "NU,229,11" ""
END

NUMBER 20
BEGIN
  KEY "SOMREGCONV"
  PROMPT 47 9 ""
  FIELD SOMREGCONV    
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "AU001020" ""
  SPECIAL STRING DYLOG "NU,240,11" ""
END

NUMBER 21
BEGIN
  KEY "SOMME NON SOGGETTE A RITENUTA"
  PROMPT 66 9 ""
  FIELD SOMME
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "AU001021" ""
  SPECIAL STRING DYLOG "NU,251,11" ""
END

NUMBER 22
BEGIN
  KEY "IMPONIBILE"
  PROMPT 88 9 ""
  FIELD IMPONIBILE    
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "AU001022" ""
  SPECIAL STRING DYLOG "NU,262,11" ""
END

NUMBER 23
BEGIN
  KEY "Ritenute operate"
  PROMPT 109 9 ""
  FIELD IMPORTO       
  PICTURE "###.###.###^^^"  
  SPECIAL STRING TRASFER "AU001023" ""
  SPECIAL STRING DYLOG "NU,273,11" ""
END

NUMBER 24
BEGIN
  KEY "RITENUTE SOSPESE"
  PROMPT 109 9 ""
  FIELD RITSOSPESE
  SPECIAL STRING TRASFER "AU001024" ""
  SPECIAL STRING DYLOG "NU,284,11" ""
END

NUMBER 25
BEGIN
  KEY "ADDIZIONALE REGIONALE"
  PROMPT 109 9 ""
  FIELD ADDREG                    
  SPECIAL STRING TRASFER "AU001025" ""
  SPECIAL STRING DYLOG "NU,295,11" ""
END

NUMBER 26
BEGIN
  KEY "ADDIZIONALE REGIONALE SOSPESA"
  PROMPT 109 9 ""
  FIELD ADDREGSOSP
  SPECIAL STRING TRASFER "AU001026" ""
  SPECIAL STRING DYLOG "NU,306,11" ""
END

NUMBER 27
BEGIN
  KEY "IMPONIBILE ANNI PRECEDENTI"
  PROMPT 109 9 ""
  FIELD IMPANNIPRE
  SPECIAL STRING TRASFER "AU001027" ""
  SPECIAL STRING DYLOG "NU,317,11" ""
END

NUMBER 28
BEGIN
  KEY "RITENUTE ANNI PRECEDENTI"
  PROMPT 109 9 ""
  FIELD RITANNIPRE
  SPECIAL STRING TRASFER "AU001028" ""
  SPECIAL STRING DYLOG "NU,328,11" ""
END

END

