USE 63
JOIN 6 TO  63 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO   6 ALIAS 108 INTO CODANAGR=CODANAGR 
JOIN 13 TO 108@ ALIAS 113 INTO STATO=="" COM==COMNASC
JOIN 13 TO 106@ ALIAS 213 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 106@ ALIAS 313 INTO STATO=="" COM==COMRF
END

DESCRIPTION
BEGIN
  63->* "Quadro SE 770"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  13->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CA "X"           
  IN 3 3
  FI 130
END

SECTION BODY ODD 2

LISTA 98
BEGIN
 KEY "Tipo anagrafica"
 FIELD 106@->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@|"1",99
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@|"2",99
END

STRINGA 99
BEGIN
  KEY "Tipo numerico anagrafica"
  SPECIAL STRINGA DYLOG "NU,16,1" "" 
END

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 9 2 ""
  FIELD 106@->COFI
  SPECIAL STRINGA TRASFER "SC0201" ""
  SPECIAL STRINGA DYLOG "AN,0,16" "" 
END

STRING 2
BEGIN   
  KEY "COGNOME"
  PROMPT 42 2 ""
  FIELD 106@->RAGSOC[1,30]
  SPECIAL STRINGA TRASFER "SC0202" ""
  SPECIAL STRINGA DYLOG "AN,17,24" "" 
  GROUP 1
END

STRING 3
BEGIN   
  KEY "NOME"
  PROMPT 79 2 ""
  FIELD 106@->RAGSOC[31,50]
  SPECIAL STRINGA TRASFER "SC0203" ""
  SPECIAL STRINGA DYLOG "AN,41,20" "" 
  GROUP 1
END

STRING 4
BEGIN   
  KEY "SESSO"
  PROMPT 126 2 ""
  FIELD 108@->SESSO
  SPECIAL STRINGA TRASFER "SC0205" ""
  SPECIAL STRINGA DYLOG "AN,61,1" "" 
END

STRING 5
BEGIN   
  KEY "DATA NASCITA"
  PROMPT 112 2 ""
  FIELD 108@->DATANASC
  SPECIAL STRINGA TRASFER "SC0204" ""
  SPECIAL STRINGA DYLOG "NU,62,8" "" 
END

STRING 6
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 9 4 ""
  FIELD 113@->DENCOM
  SPECIAL STRINGA TRASFER "SC0206" ""
  SPECIAL STRINGA DYLOG "AN,70,25" "" 
  GROUP 1
END

STRING 7
BEGIN
  KEY "PROV DI NASCITA"
  PROMPT 46 4 ""
  FIELD 113@->PROVCOM
  SPECIAL STRINGA TRASFER "SC0207" ""
  SPECIAL STRINGA DYLOG "AN,95,2" "" 
  GROUP 1
END

STRING 8
BEGIN
  KEY "COMUNE DI RESIDENZA"
  PROMPT 52 4 ""
  FIELD 313@->DENCOM
  FIELD 213@->DENCOM
  SPECIAL STRINGA TRASFER "SC0208" ""
  SPECIAL STRINGA DYLOG "AN,97,25" "" 
  GROUP 1
END

STRING 9
BEGIN
  KEY "PROV. RESIDENZA"
  PROMPT 88 4 ""
  FIELD 313@->PROVCOM
  FIELD 213@->PROVCOM
  SPECIAL STRINGA TRASFER "SC0209" ""
  SPECIAL STRINGA DYLOG "AN,122,2" "" 
  GROUP 1
END

STRING 101
BEGIN
  KEY "VIA RES."
  PROMPT 93 4 ""
  FIELD 106@->INDRF[1,30]
  FIELD 106@->INDRES[1,30]
  FLAGS "H" 
  MESSAGE COPY,10
  MESSAGE COPY,210
END

STRING 102
BEGIN
  KEY "NUM.CIV"
  PROMPT 93 4 ""
  FLAGS "H"
  FIELD 106@->CIVRF
  FIELD 106@->CIVRES
  MESSAGE APPEND,10
  MESSAGE APPEND,210
END

STRING 10
BEGIN
  KEY "VIA RES. + numcivres"
  PROMPT 93 4 ""
  SPECIAL STRINGA TRASFER "SC0210" ""
  SPECIAL STRINGA DYLOG "AN,124,35" "" 
  GROUP 1
END

STRING 202
BEGIN   
  KEY "RAGIONE SOCIALE"
  PROMPT 42 2 ""
  FIELD 106@->RAGSOC
  SPECIAL STRINGA DYLOG "AN,159,60" "" 
  GROUP 2
END

STRING 208
BEGIN
  KEY "COMUNE DI RESIDENZA GIRIDICO"
  PROMPT 52 4 ""
  FIELD 313@->DENCOM
  FIELD 213@->DENCOM
  SPECIAL STRINGA DYLOG "AN,219,25" "" 
  GROUP 2
END

STRING 209
BEGIN
  KEY "PROV. RESIDENZA GIRIDICO"
  PROMPT 88 4 ""
  FIELD 313@->PROVCOM
  FIELD 213@->PROVCOM
  SPECIAL STRINGA DYLOG "AN,244,2" "" 
  GROUP 2
END

STRING 210
BEGIN
  KEY "VIA RES. + numcivres"
  PROMPT 93 4 ""
  SPECIAL STRINGA DYLOG "AN,246,35" "" 
  GROUP 2
END

STRINGA 11
BEGIN
  KEY "CAUSALE Quadro SE"
  PROMPT 10 1 ""
  FIELD CAUSALE
  SPECIAL STRINGA DYLOG "AN,281,1" ""
END

NUMBER 12
BEGIN
  KEY "AMMONTARE LORDO CORRISPOSTO"
  PROMPT 37 6 ""  
  FIELD TOTALE
  SPECIAL STRINGA DYLOG "NU,282,11" "" 
END

NUMBER 13
BEGIN
  KEY "SPESE ANTICIPATE"
  PROMPT 37 6 ""  
  FIELD SPESEANT
  SPECIAL STRINGA DYLOG "NU,293,11" "" 
END

NUMBER 14
BEGIN
  KEY "QUOTA PROVVIGIONI"
  PROMPT 37 6 ""  
  FIELD QUOTAPRO
  SPECIAL STRINGA DYLOG "NU,304,11" "" 
END

NUMBER 15
BEGIN
  KEY "IMPONIBILE"
  PROMPT 37 6 ""  
  FIELD IMPONIBILE
  SPECIAL STRINGA DYLOG "NU,315,11" "" 
END

NUMBER 16
BEGIN
  KEY "RITENUTEOPERATE"
  PROMPT 37 6 ""  
  FIELD IMPORTO
  SPECIAL STRINGA DYLOG "NU,326,11" "" 
END

NUMBER 17
BEGIN
  KEY "RITENUTE SOSPESE"
  PROMPT 37 6 ""  
  SPECIAL STRINGA DYLOG "NU,337,11" "" 
END

END


