USE 65
JOIN  9                     INTO CODDITTA=CODDITTA
JOIN  6 TO   9    ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  6           ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@   ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@   ALIAS 313 INTO STATO=="" COM==COMNASC
JOIN 13 TO 216@   ALIAS 413 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 216@   ALIAS 513 INTO STATO=="" COM==COMRF
JOIN 89 ALIAS 189 INTO CODDITTA==CODDITTA CODCAUS=="C"
JOIN 89 ALIAS 289 INTO CODDITTA==CODDITTA CODCAUS=="D"
END

DESCRIPTION
BEGIN
  65->* "Quadro E1 770"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone fisiche"
  313@->* "Comune nascita"
  413@->* "Comune residenza"
  189->* "Riga 1 del prospetto e1"
  289->* "Riga 2 del prospetto e1"
END

GENERAL
BEGIN
  OFFSET 0 0
END

SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta: "
 FIELD 9->RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  106 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  122 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  55 2 "Stampa riepilogo SQ"
END

END

SECTION BODY ODD 2 COLUMNWISE

STRINGA 1 50
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@CRagione Sociale" "Ragione Sociale"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "RAGSOC GIURIDICHE"
  PROMPT 1 1  ""
  FIELD 216@->RAGSOC
  GROUP 2
END

STRING 2 5
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cCaus." "Caus."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "CAUSALE"
  PROMPT 2 1 ""
  FIELD CAUSALE
END

VALUTA 3 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@CSomme" "Somme"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Somme"
  PROMPT 3 1 ""
  FIELD SOMME
  PICTURE "###.###.###^^^" 
END

VALUTA 4 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@CAmmontare" "Ammontare"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Ammontare"
  PROMPT 4 1 ""
  FIELD AMMONTARE
  PICTURE "###.###.###^^^" 
END

NUMERO 5 9
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cAliquota" "Aliquota"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "ALIQUOTA"
  PROMPT 5 1 ""
  FIELD PERC
  PICTURE "##@,@@" 
END

VALUTA 6 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@CImporto" "Importo"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Importo"
  PROMPT 6 1 ""
  FIELD IMPORTO
  PICTURE "###.###.###^^^" 
END

VALUTA 7 14 
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@CNetto" "Netto"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Netto"
  PROMPT 7 1 ""
  FIELD NETTO
  PICTURE "###.###.###^^^"  
END

VALUTA 8 14
BEGIN                 
  SPECIAL STRINGA INTESTAZIONE "@CAmm. Compl." "Amm. Compl."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "AMMONTARE COMPLESSIVO"
  PROMPT 8 1 ""
  FIELD 189@->COMPENSO
  PICTURE "###.###.###^^^"  
END

VALUTA 9 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Imponibile" "Imponibile"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "IMPONIBILE"
  PROMPT 9 1 ""
  FIELD 189@->IMPONIBILE
  PICTURE "###.###.###^^^"  
END

VALUTA 10 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Rit. Op." "Rit. Op."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "RITENUTE OPERATE"
  PROMPT 10 1 ""
  FIELD 189@->RITENUTA
  PICTURE "###.###.###^^^"  
END

VALUTA 11 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cCompenso" "Compenso"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "AMMONTARE COMPLESSIVO"
  PROMPT 11 1 ""
  FIELD 289@->COMPENSO
  PICTURE "###.###.###^^^"  
END

END
