USE 42
JOIN  9                     INTO CODDITTA=CODDITTA
JOIN  6 TO   9    ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
END

DESCRIPTION
BEGIN
  42->* "Quadro ST"
  9->* "Anagrafica ditte"
END

GENERAL
BEGIN
  OFFSET 0 0
END    

SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta: "
 FIELD 9->RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  106 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  122 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  55 2 "@bStampa riepilogo ST"
END

END

SECTION BODY ODD 1 COLUMNWISE

NUMERO 1 2
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cM." "Mese"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Mese"
  PROMPT 1 1 ""
  PICTURE "@@"
  FIELD 42->QLMP
END

NUMERO 101 4
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Anno" "Anno"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Anno"
  PROMPT 2 1 ""
  FIELD 42->QLAP
END

VALUTA 2 15
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cRitenute operate" "Ritenute operate"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Ritenute operate"
  PROMPT 3 1 ""
  FIELD 42->QLRITEFF
  PICTURE "###.###.###.###^^^"  
END

VALUTA 3 15
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cRit. versate in eccesso" "Rit. versate in eccesso"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Ritenute operate"
  PROMPT 4 1 ""
  FIELD 42->QLRITVEREC
  PICTURE "###.###.###.###^^^"  
END

VALUTA 4 15
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cRitenute compensate" "Rit. compensate"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Ritenute compensate"
  PROMPT 5 1 ""
  FIELD 42->QLRITCOMP
  PICTURE "###.###.###.###^^^"  
END

VALUTA 5 15
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cDifferenza" "Differenza"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Differenza"
  PROMPT 6 1 ""  
  MESSAGE _NUMEXPR,#2-#3-#4
  PICTURE "###.###.###.###^^^"  
END

VALUTA 6 15
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cInteressi" "Interessi"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Interessi"
  PROMPT 7 1 ""
  FIELD 42->QLINTERESS
  PICTURE "###.###.###.###^^^"  
END

STRINGA 7 7
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cNote" "Note"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Note"
  PROMPT 8 1 ""
  FIELD 42->QLNOTE
END

STRINGA 8 3
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Ev.Ecc" "Eventi eccezionali"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Eventi eccezionali"
  PROMPT 9 1 ""
  FIELD 42->QLEVENTI
END

STRINGA 9 3
BEGIN
  SPECIAL STRINGA INTESTAZIONE "DivVal" "Diversa valuta"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Versamento in diversa valuta"
  PROMPT 10 1 ""
  FIELD 42->QLVALDIV
END

NUMERO 10 7
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cCodice Tributo" "Cod. T."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Codice tributo"
  PROMPT 11 1 ""
  FIELD 42->QLCT
END

NUMERO 11 9
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cArticolo" "Articolo"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Articolo di bilancio"
  PROMPT 12 1 ""
  FIELD 42->QLAB
END

LISTA 12 3
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cTes" "Tesoreria"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Tesoreria"
  PROMPT 13 1 ""
  FIELD 42->QLLV
  ITEM " | "
  ITEM "C| "
  ITEM "T|X"
END

STRINGA 13 3
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Reg" "Regione"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Regione"
  PROMPT 14 1 ""
  FIELD 42->QLREGIONE
END

END


