USE 47 KEY 1 
SORT 109 BY ANNOES CODART LIVELLO CODMAG
  JOIN TO 47 INTO ANNOES==1996 CODART==CODART
JOIN MAG TO 109 ALIAS 500 INTO CODTAB==CODMAG[1,3]
JOIN MAG TO 109 ALIAS 501 INTO CODTAB==CODMAG
JOIN GMC TO 47 ALIAS 400 INTO CODTAB==GRMERC[1,3]
JOIN GMC TO 47 ALIAS 401 INTO CODTAB==GRMERC
JOIN 49 TO 47 INTO CODART==CODART
END
  
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 0
//    FONT "Courier New"
//    SIZE 8
//    CARATTERE "X"
//    INIZIALE 5 2
//    FINALE 133
END

SECTION HEADER ODD 5

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  120 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
 KEY "Intestazione stampa"
 PROMPT  55 2 "Stampa disponibilita'"
END

STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

  STRINGA 6 20
  BEGIN
    KEY "H1"
    PROMPT 2 4 "Codice"
  END
  STRINGA 7 40
  BEGIN
    KEY "H1"
    PROMPT 24 4 "Descrizione"
  END
  STRINGA 7 40
  BEGIN
    KEY "H1"
    PROMPT 45 4 "UM"
  END
  STRINGA 8 12
  BEGIN
    KEY "H1"
    PROMPT 55 4 "Giac."
  END
  STRINGA 9 12
  BEGIN
    KEY "H1"
    PROMPT 67 4 "Ord.F."
  END
  STRINGA 10 12
  BEGIN
    KEY "H1"
    PROMPT 79 4 "Ord.C."
  END
  STRINGA 11 12
  BEGIN
    KEY "H1"
    PROMPT 91 4 "A c.lav."
  END
  STRINGA 12 12
  BEGIN
    KEY "H1"
    PROMPT 103 4 "In c.lav."
  END
  STRINGA 13 12
  BEGIN
    KEY "H1"
    PROMPT 116 4 "Prod.F."
  END
  STRINGA 14 12
  BEGIN
    KEY "H1"
    PROMPT 128 4 "Prod.C."
  END
  STRINGA 15 12
  BEGIN
    KEY "H1"
    PROMPT 139 4 "Disp."
  END

  STRINGA 17 146
  BEGIN
    KEY "Separatore (iniziale)"
    PROMPT 1 5 "------------------------------------------------------------------------------------------------------------------------------------------------------"
  END

END

SECTION BODY ODD 0 COLUMNWISE

  SECTION H_CATMER 1 1 2 GROUP 
    STRINGA 11 12 2
    BEGIN
      KEY "CATMER"
      PROMPT 2 1 ""
      MESSAGE _USER,CODCATMER
    END
    STRINGA 12 30 2
    BEGIN
      KEY "CODICE CATMER"
      PROMPT 3 1 ""
      MESSAGE _USER,CATMER|COPY,1550
    END
  END

  STRINGA 60 40 1
  BEGIN
    FLAGS "H"
    KEY "CATMER" 
    PROMPT 2 1 ""
    MESSAGE RESET,15@
  END

  SECTION GRUPPI_CATMER 1 0 1 FILE 47 GROUP GRMERC

    STRINGA 60 40 1
    BEGIN
      FLAGS "H"
      KEY "CATMER" 
      PROMPT 2 1 ""
      MESSAGE RESET,14@
    END
    SECTION H_GCODART1 1 1 1 GROUP 
      STRINGA 16 12 2 
      BEGIN
        KEY "CODICE GRUPPO"
        PROMPT 2 1 ""
        MESSAGE _USER,CODGRUPPOART,1
      END
      STRINGA 17 30 2 
      BEGIN
       KEY "CODICE GRUPPO"
       PROMPT 3 1 ""
       MESSAGE _USER,GRUPPOART,1|COPY,1450
      END
    END

    SECTION GRUPPI_CODART1 1 0 0 FILE 47 GROUP CODART
      STRINGA 60 40 1
      BEGIN
        FLAGS "H"
        KEY "CATMER" 
        PROMPT 2 1 ""
        MESSAGE RESET,13@
      END
      SECTION H_GCODART2 1 1 1 GROUP 
        STRINGA 16 12 2 
        BEGIN
          KEY "CODICE GRUPPO"
          PROMPT 2 1 ""
          MESSAGE _USER,CODGRUPPOART,2
        END
        STRINGA 17 30 2 
        BEGIN
         KEY "CODICE GRUPPO"
         PROMPT 3 1 ""
         MESSAGE _USER,GRUPPOART,2|COPY,1350
        END
      END

      SECTION GRUPPI_CODART2 1 0 0 FILE 47 GROUP CODART
        STRINGA 60 40 1
        BEGIN
          FLAGS "H"
          KEY "CATMER" 
          PROMPT 2 1 ""
          MESSAGE RESET,12@
        END
        SECTION H_GCODART3 1 1 1 GROUP 
          STRINGA 16 12 2 
          BEGIN
            KEY "CODICE GRUPPO"
            PROMPT 2 1 ""
            MESSAGE _USER,CODGRUPPOART,3
          END
          STRINGA 17 30 2 
          BEGIN
           KEY "CODICE GRUPPO"
           PROMPT 3 1 ""
           MESSAGE _USER,GRUPPOART,3|COPY,1250
          END
        END

        SECTION GRUPPI_CODART3 1 0 0 FILE 47 GROUP CODART
          STRINGA 60 40 1
          BEGIN
            FLAGS "H"
            KEY "CATMER" 
            PROMPT 2 1 ""
            MESSAGE RESET,11@
          END         
          SECTION H_GCODART4 1 1 1 GROUP 
            STRINGA 16 12 2 
            BEGIN
              KEY "CODICE GRUPPO"
              PROMPT 2 1 ""
              MESSAGE _USER,CODGRUPPOART,4
            END
            STRINGA 17 30 2 
            BEGIN
             KEY "CODICE GRUPPO"
             PROMPT 3 1 ""
             MESSAGE _USER,GRUPPOART,4|COPY,1150
            END
          END

          SECTION GRUPPI_CODART4 1 0 0 FILE 47 GROUP CODART
            STRINGA 60 40 1
            BEGIN
              FLAGS "H"
              KEY "CATMER" 
              PROMPT 2 1 ""
              MESSAGE RESET,10@
            END
            SECTION H_GCODART5 1 1 1 GROUP 
              STRINGA 16 12 2 
              BEGIN
                KEY "CODICE GRUPPO"
                PROMPT 2 1 ""
                MESSAGE _USER,CODGRUPPOART,5
              END
              STRINGA 17 30 2 
              BEGIN
               KEY "CODICE GRUPPO"
               PROMPT 3 1 ""
               MESSAGE _USER,GRUPPOART,5|COPY,1050
              END
            END

            SECTION GRUPPI_CODART5 1 0 0 FILE 47 GROUP CODART
              STRINGA 60 40 1
              BEGIN
                FLAGS "H"
                KEY "CATMER" 
                PROMPT 2 1 ""
                MESSAGE RESET,9@
              END             
              SECTION H_GCODART6 1 1 2 GROUP 
                STRINGA 16 12 2 
                BEGIN
                  KEY "CODICE GRUPPO"
                  PROMPT 2 1 ""
                  MESSAGE _USER,CODGRUPPOART,6
                END
                STRINGA 17 30 2 
                BEGIN
                 KEY "CODICE GRUPPO"
                 PROMPT 3 1 ""
                 MESSAGE _USER,GRUPPOART,6|COPY,950
                END
              END

              SECTION GRUPPI_CODART6 1 0 0 FILE 47 GROUP CODART
                STRINGA 60 40 1
                BEGIN
                  FLAGS "H"
                  KEY "CATMER" 
                  PROMPT 2 1 ""
                  MESSAGE RESET,8@
                END             
                SECTION H_GCODART7 1 1 1 GROUP 
                  STRINGA 16 12 2 
                  BEGIN
                    KEY "CODICE GRUPPO"
                    PROMPT 2 1 ""
                    MESSAGE _USER,CODGRUPPOART,7
                  END
                  STRINGA 17 30 2 
                  BEGIN
                   KEY "CODICE GRUPPO"
                   PROMPT 3 1 ""
                   MESSAGE _USER,GRUPPOART,7|COPY,850
                  END
                END

                SECTION GRUPPI_CODART7 1 0 0 FILE 47 GROUP CODART
                  STRINGA 60 40 1
                  BEGIN
                    FLAGS "H"
                    KEY "CATMER" 
                    PROMPT 2 1 ""
                    MESSAGE RESET,7@
                  END             

                  SECTION H_GCODART8 1 1 1 GROUP 
                    STRINGA 16 12 2 
                    BEGIN
                      KEY "CODICE GRUPPO"
                      PROMPT 2 1 ""
                      MESSAGE _USER,CODGRUPPOART,8
                    END
                    STRINGA 17 30 2 
                    BEGIN
                     KEY "CODICE GRUPPO"
                     PROMPT 3 1 ""
                     MESSAGE _USER,GRUPPOART,8|COPY,750
                    END
                  END

                  SECTION GRUPPI_CODART8 1 0 0 FILE 47 GROUP CODART
                    STRINGA 60 40 1
                    BEGIN
                      FLAGS "H"
                      KEY "CATMER" 
                      PROMPT 2 1 ""
                      MESSAGE RESET,6@
                    END             
                    SECTION H_ARTICOLO 1 1 1 GROUP
                      STRINGA 2020 12 2
                      BEGIN
                        KEY "CODICE articolo"
                        PROMPT 2 1 ""
                        FIELD CODART
                      END
                      STRINGA 21 30 2
                      BEGIN
                        KEY "DESCR.articolo"
                        PROMPT 3 1 ""
                        FIELD 47->DESCR
                        MESSAGE COPY,650
                      END
                    END                   

                    SECTION FILE_GIACENZE 1 1 0 FILE 109 
                      STRINGA 60 40 1
                      BEGIN
                        FLAGS "H"
                        KEY "CATMER" 
                        PROMPT 2 1 ""
                        MESSAGE RESET,5@
                      END             
                      SECTION H_GLIVGIAC1 1 1 1 GROUP
                        STRINGA 31 50 1
                        BEGIN
                          KEY "Livello giac" 
                          PROMPT 2 1 ""
                          MESSAGE _USER,GRUPPOGIAC,1|COPY,550
                        END
                      END                   

                      SECTION GRUPPI_LIVGIAC1 1 0 0 FILE 109 GROUP LIVELLO
                        STRINGA 60 40 1
                        BEGIN
                          FLAGS "H"
                          KEY "CATMER" 
                          PROMPT 2 1 ""
                          MESSAGE RESET,4@
                        END             
                        SECTION H_GLIVGIAC2 1 1 1 GROUP
                          STRINGA 31 50 1
                          BEGIN
                            KEY "Livello giac" 
                            PROMPT 2 1 ""
                            MESSAGE _USER,GRUPPOGIAC,2|COPY,450
                          END
                        END                   

                        SECTION GRUPPI_LIVGIAC2 1 0 0 FILE 109 GROUP LIVELLO
                          STRINGA 60 40 1
                          BEGIN
                            FLAGS "H"
                            KEY "CATMER" 
                            PROMPT 2 1 ""
                            MESSAGE RESET,3@
                          END             

                          SECTION H_GLIVGIAC3 1 1 1 GROUP
                            STRINGA 31 50 1
                            BEGIN
                              KEY "Livello giac" 
                              PROMPT 2 1 ""
                              MESSAGE _USER,GRUPPOGIAC,3|COPY,350
                            END
                          END                   

                          SECTION GRUPPI_LIVGIAC3 1 0 0 FILE 109 GROUP LIVELLO
                            STRINGA 60 40 1
                            BEGIN
                              FLAGS "H"
                              KEY "CATMER" 
                              PROMPT 2 1 ""
                              MESSAGE RESET,2@
                            END             

                            SECTION H_GLIVGIAC4 1 1 1 GROUP
                              STRINGA 31 50 1
                              BEGIN
                                KEY "Livello giac" 
                                PROMPT 2 1 ""
                                MESSAGE _USER,GRUPPOGIAC,4|COPY,250
                              END
                            END                   

                            SECTION GRUPPI_LIVGIAC4 1 0 0 FILE 109 GROUP LIVELLO
                              STRINGA 60 40 1
                              BEGIN
                                FLAGS "H"
                                KEY "MAGAZZ" 
                                PROMPT 2 1 ""
                                MESSAGE RESET,1@
                              END             
                              SECTION H_MAGAZZINO 1 1 1 GROUP
                                STRINGA 60 40 1
                                BEGIN
                                  KEY "codice magazzino" 
                                  PROMPT 2 1 "Magazzino "
                                  FIELD 500@->s0
                                  MESSAGE COPY,150
                                END
                              END 

                              SECTION GRUPPI_MAGAZZINO 1 0 0 FILE 109 GROUP CODMAG[1,3]
                                SECTION H_DEPOSITO 1 0 0 GROUP
                                END
                                SECTION TOT_DEPOSITO 1 1 1 GROUP
                                  STRINGA 51 12 
                                  BEGIN
                                    KEY "CODICE"
                                    PROMPT 2 1 "    Deposito"
                                  END
                                  STRINGA 52 30 
                                  BEGIN
                                    KEY "descr"
                                    PROMPT 3 1 ""
                                    FIELD 501@->s0
                                  END
                                  STRINGA 53 3
                                  BEGIN
                                    KEY "UM"
                                    PROMPT 5 1 ""
                                    FIELD 49->UM
                                  END
                                  NUMERO 41 11
                                  BEGIN
                                    KEY "GIAC"
                                    PROMPT 6 1 ""
                                    FIELD 109->giac
                                    PICTURE "########,@#"
                                    MESSAGE ADD,141
                                  END
                                  NUMERO 42 11
                                  BEGIN
                                    KEY "ORDF"
                                    PROMPT 7 1 ""
                                    //FIELD 109->ordf
                                    MESSAGE _USER,ORDINATO,1
                                    PICTURE "########,@#"
                                    MESSAGE ADD,142
                                    GROUP 10
                                  END
                            
                                  NUMERO 43 11
                                  BEGIN
                                    KEY "ORDC"
                                    PROMPT 8 1 ""
                                    //FIELD 109->ordc       
                                    MESSAGE _USER,ORDINATO,2
                                    PICTURE "########,@#"
                                    MESSAGE ADD,143
                                  END
                                  NUMERO 44 11
                                  BEGIN
                                    KEY "ACL"
                                    PROMPT 9 1 ""
                                    FIELD 109->acl
                                    PICTURE "########,@#"
                                    MESSAGE ADD,144
                                    GROUP 10
                                  END
                          
                                  NUMERO 45 11
                                  BEGIN
                                    KEY "INCL"
                                    PROMPT 10 1 ""
                                    FIELD 109->incl
                                    PICTURE "########,@#"
                                    MESSAGE ADD,145
                                  END
                                  NUMERO 46 11
                                  BEGIN
                                    KEY "PRODFIN"
                                    PROMPT 11 1 ""
                                    PICTURE "########,@#"
                                    FIELD 109->prodfin
                                    MESSAGE ADD,146
                                    GROUP 10
                                  END
                          
                                  NUMERO 47 11
                                  BEGIN
                                    KEY "PRODCOMP"
                                    PROMPT 12 1 ""
                                    PICTURE "########,@#"
                                    FIELD 109->prodcomp
                                    MESSAGE ADD,147
                                  END
                                  NUMERO 48 11
                                  BEGIN
                                    KEY "DISPONIBILITA'"
                                    PROMPT 13 1 ""
                                    PICTURE "#######@,@#"
                                    MESSAGE _NUMEXPR,109->giac+#42-#43+109->ACL-109->INCL+109->PRODFIN-109->PRODCOMP|ADD,148
                                  END
                                END // depositi dello stesso magazzino
                              END // MAGAZZ

                              SECTION TOT_MAGAZZINO 1 1 1 GROUP
                                STRINGA 150 30 1
                                BEGIN
                                  KEY "Magazzino" 
                                  PROMPT 3 1 ""
                                END
                                STRINGA 151 12 1
                                BEGIN
                                  KEY "Magazzino" 
                                  PROMPT 2 1 " Totale mag."
                                END
                                STRINGA 153 3
                                BEGIN
                                  KEY "UM"
                                  PROMPT 5 1 ""
                                  FIELD 49->UM
                                END
                                NUMERO 141 11
                                BEGIN
                                  KEY "GIAC"
                                  PROMPT 6 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,241
                                  GROUP 1
                                END
                                NUMERO 142 11
                                BEGIN
                                  KEY "ORDF"
                                  PROMPT 7 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,242
                                  GROUP 1 25
                                END
                                NUMERO 143 11
                                BEGIN
                                  KEY "ORDC"
                                  PROMPT 8 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,243
                                  GROUP 1
                                END
                                NUMERO 144 11
                                BEGIN
                                  KEY "ACL"
                                  PROMPT 9 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,244
                                  GROUP 1 25
                                END
                                NUMERO 145 11
                                BEGIN
                                  KEY "INCL"
                                  PROMPT 10 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,245
                                  GROUP 1
                                END
                                NUMERO 146 11
                                BEGIN
                                  KEY "PRODF"
                                  PROMPT 11 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,246 
                                  GROUP 1 25
                                END
                                NUMERO 147 11
                                BEGIN
                                  KEY "PRODC"
                                  PROMPT 12 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,247
                                  GROUP 1
                                END
                                NUMERO 148 11
                                BEGIN
                                  KEY "DISP"
                                  PROMPT 13 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,248
                                  GROUP 1
                                END
                              END // tot magazz
  
                            END // GGIAC4
                            SECTION TOT_GLIVGIAC4 1 2 2 GROUP
                              STRINGA 277 
                              BEGIN
                                  PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
                              END
                              STRINGA 250 35 2
                              BEGIN
                                PROMPT 3 2 ""
                              END
                              STRINGA 251 7 2
                              BEGIN
                                KEY "Livello giac4" 
                                PROMPT 2 2 " Totale"
                              END
                              STRINGA 253 3
                              BEGIN
                                KEY "UM"
                                PROMPT 5 2 ""
                                FIELD 49->UM
                              END
                              NUMERO 241 11
                              BEGIN
                                KEY "GIAC"
                                PROMPT 6 2 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,341
                                GROUP 2
                              END
                              NUMERO 242 11
                              BEGIN
                                KEY "ORDF"
                                PROMPT 7 2 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,342
                                GROUP 2 25
                              END
                              NUMERO 243 11
                              BEGIN
                                KEY "ORDC"
                                PROMPT 8 2 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,343
                                GROUP 2
                              END
                              NUMERO 244 11
                              BEGIN
                                KEY "ACL"
                                PROMPT 9 2 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,344
                                GROUP 2 25
                              END
                              NUMERO 245 11
                              BEGIN
                                KEY "INCL"
                                PROMPT 10 2 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,345
                                GROUP 2
                              END
                              NUMERO 246 11
                              BEGIN
                                KEY "PRODF"
                                PROMPT 11 2 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,346
                                GROUP 2 25
                              END
                              NUMERO 247 11
                              BEGIN
                                KEY "PRODC"
                                PROMPT 12 2 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,347
                                GROUP 2
                              END
                              NUMERO 248 11
                              BEGIN
                                KEY "DISP"
                                prompt 13 2 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,348
                                GROUP 2
                              END
                            END // tot ggiac4
  
                          END // GGIAC3
                          SECTION TOT_GLIVGIAC3 1 2 2 GROUP
                            STRINGA 377 
                            BEGIN
                              KEY "PRODC"
                                  PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
                            END
                            STRINGA 350 35 2
                            BEGIN
                              KEY "" 
                              PROMPT 3 2 ""
                            END
                            STRINGA 351 7 2
                            BEGIN
                              KEY "" 
                              PROMPT 2 2 " Totale"
                            END
                            STRINGA 353 3
                            BEGIN
                              KEY "UM"
                              PROMPT 5 2 ""
                              FIELD 49->UM
                              MESSAGE COPY,453
                            END
                            NUMERO 341 11
                            BEGIN
                              KEY "GIAC"
                              PROMPT 6 2 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,441
                              GROUP 3
                            END
                            NUMERO 342 11
                            BEGIN
                              KEY "ORDF"
                              PROMPT 7 2 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,442
                              GROUP 3 25
                            END
                            NUMERO 343 11
                            BEGIN
                              KEY "ORDC"
                              PROMPT 8 2 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,443
                              GROUP 3
                            END
                            NUMERO 344 11
                            BEGIN
                              KEY "ACL"
                              PROMPT 9 2 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,444
                              GROUP 3 25
                            END
                            NUMERO 345 11
                            BEGIN
                              KEY "INCL"
                              PROMPT 10 2 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,445
                              GROUP 3
                            END
                            NUMERO 346 11
                            BEGIN
                              KEY "PRODF"
                              PROMPT 11 2 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,446
                              GROUP 3 25
                            END
                            NUMERO 347 11
                            BEGIN
                              KEY "PRODC"
                              PROMPT 12 2 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,447
                              GROUP 3
                            END
                            NUMERO 348 11
                            BEGIN
                              KEY "DISP"
                              prompt 13 2 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,448
                              GROUP 3
                            END
                          END // tot ggiac3
  
                        END // GGIAC2
                        SECTION TOT_GLIVGIAC2 1 2 2 GROUP
                          STRINGA 477 
                          BEGIN
                            KEY "PRODC"
                                PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
                          END
                          STRINGA 450 35 2
                          BEGIN
                            KEY "" 
                            PROMPT 3 2 ""
                          END
                          STRINGA 451 7 2
                          BEGIN
                            KEY "" 
                            PROMPT 2 2 " Totale"
                          END
                          STRINGA 453 3
                          BEGIN
                            KEY "UM"
                            PROMPT 5 2 ""
                            FIELD 49->UM
                          END
                          NUMERO 441 11
                          BEGIN
                            KEY "GIAC"
                            PROMPT 6 2 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,541
                            GROUP 4
                          END
                          NUMERO 442 11
                          BEGIN
                            KEY "ORDF"
                            PROMPT 7 2 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,542
                            GROUP 4 25
                          END
                          NUMERO 443 11
                          BEGIN
                            KEY "ORDC"
                            PROMPT 8 2 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,543
                            GROUP 4
                          END
                          NUMERO 444 11
                          BEGIN
                            KEY "ACL"
                            PROMPT 9 2 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,544
                            GROUP 4 25
                          END
                          NUMERO 445 11
                          BEGIN
                            KEY "INCL"
                            PROMPT 10 2 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,545
                            GROUP 4
                          END
                          NUMERO 446 11
                          BEGIN
                            KEY "PRODF"
                            PROMPT 11 2 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,546
                            GROUP 4 25
                          END
                          NUMERO 447 11
                          BEGIN
                            KEY "PRODC"
                            PROMPT 12 2 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,547
                            GROUP 4
                          END
                          NUMERO 448 11
                          BEGIN
                            KEY "DISP"
                            PROMPT 13 2 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,548
                            GROUP 4
                          END
                        END // tot ggiac2
                      END // GGIAC1
                      SECTION TOT_GLIVGIAC1 1 2 2 GROUP
                        STRINGA 577 
                        BEGIN
                          KEY "PRODC"
                          PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
                        END
                        STRINGA 550 35 2
                        BEGIN
                          KEY "" 
                          PROMPT 3 2 ""
                        END
                        STRINGA 551 7 2
                        BEGIN
                          KEY "" 
                          PROMPT 2 2 " Totale"
                        END
                        STRINGA 553 3
                        BEGIN
                          KEY "UM"
                          PROMPT 5 2 ""
                          FIELD 49->UM
                        END
                        NUMERO 541 11
                        BEGIN
                          KEY "GIAC"
                          PROMPT 6 2 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,641
                          GROUP 5
                        END
                        NUMERO 542 11
                        BEGIN
                          KEY "ORDF"
                          PROMPT 7 2 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,642
                          GROUP 5 25
                        END
                        NUMERO 543 11
                        BEGIN
                          KEY "ORDC"
                          PROMPT 8 2 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,643
                          GROUP 5
                        END
                        NUMERO 544 11
                        BEGIN
                          KEY "ACL"
                          PROMPT 9 2 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,644
                          GROUP 5 25
                        END
                        NUMERO 545 11
                        BEGIN
                          KEY "INCL"
                          PROMPT 10 2 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,645
                          GROUP 5
                        END
                        NUMERO 546 11
                        BEGIN
                          KEY "PRODF"
                          PROMPT 11 2 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,646
                          GROUP 5 25
                        END
                        NUMERO 547 11
                        BEGIN
                          KEY "PRODC"
                          PROMPT 12 2 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,647
                          GROUP 5
                        END
                        NUMERO 548 11
                        BEGIN
                          KEY "DISP"
                          prompt 13 2 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,648
                          GROUP 5
                        END
                      END // tot ggiac1                 

                    END // FILE GIACENZE
                    SECTION TOT_ARTICOLO 1 2 2 GROUP
                      STRINGA 677 
                      BEGIN
                        KEY "PRODC"
                        PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
                      END
                      STRINGA 650 30 2
                      BEGIN
                        KEY "" 
                        PROMPT 3 2 ""
                      END
                      STRINGA 651 12 2
                      BEGIN
                        KEY "" 
                        PROMPT 2 2 " Totale art."
                      END
                      STRINGA 653 3
                      BEGIN
                        KEY "UM"
                        PROMPT 5 2 ""
                        FIELD 49->UM
                      END
                      NUMERO 641 11
                      BEGIN
                        KEY "GIAC"
                        PROMPT 6 2 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,741
                        GROUP 6
                      END
                      NUMERO 642 11
                      BEGIN
                        KEY "ORDF"
                        PROMPT 7 2 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,742
                        GROUP 6 25
                      END
                      NUMERO 682 11
                      BEGIN
                        KEY "ORDF"
                        PROMPT 7 2 ""
                        PICTURE "#######,@##"
                        MESSAGE _NUMEXPR,#642/#641
                        GROUP 26
                      END
                          
                      NUMERO 643 11
                      BEGIN
                        KEY "ORDC"
                        PROMPT 8 2 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,743
                        GROUP 6
                      END
                      NUMERO 644 11
                      BEGIN
                        KEY "ACL"
                        PROMPT 9 2 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,744
                        GROUP 6 25
                      END
                      NUMERO 684 11
                      BEGIN
                        KEY "ACL"
                        PROMPT 9 2 ""
                        PICTURE "#######,@##"
                        MESSAGE _NUMEXPR,#644/#643
                        GROUP 26
                      END
                          
                      NUMERO 645 11
                      BEGIN
                        KEY "INCL"
                        PROMPT 10 2 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,745
                        GROUP 6
                      END
                      NUMERO 646 11
                      BEGIN
                        KEY "PRODF"
                        PROMPT 11 2 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,746
                        GROUP 6 25
                      END
                      NUMERO 647 11
                      BEGIN
                        KEY "PRODC"
                        PROMPT 12 2 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,747
                        GROUP 6
                      END
                      NUMERO 648 11
                      BEGIN
                        KEY "DISP"
                        PROMPT 13 2 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,748
                        GROUP 6
                      END
                    END // TOT ART

                  END // GART8
                  SECTION TOT_GART8 1 2 2 GROUP
                    STRINGA 777 
                    BEGIN
                      KEY "PRODC"
                      PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
                    END
                    STRINGA 750 34 2
                    BEGIN
                      KEY "" 
                      PROMPT 3 2 ""
                    END
                    STRINGA 751 8 2
                    BEGIN
                      KEY "" 
                      PROMPT 2 2 " Totale"
                    END
                    STRINGA 753 3
                    BEGIN
                      KEY "UM"
                      PROMPT 5 2 ""
                      FIELD 49->UM
                    END
                    NUMERO 741 11
                    BEGIN
                      KEY "GIAC"
                      PROMPT 6 2 ""
                      PICTURE "########,@#"
                      MESSAGE ADD,841
                      GROUP 7
                    END
                    NUMERO 742 11
                    BEGIN
                      KEY "ORDF"
                      PROMPT 7 2 ""
                      PICTURE "########,@#"
                      MESSAGE ADD,842
                      GROUP 7 25
                    END
                    NUMERO 743 11
                    BEGIN
                      KEY "ORDC"
                      PROMPT 8 2 ""
                      PICTURE "########,@#"
                      MESSAGE ADD,843
                      GROUP 7
                    END
                    NUMERO 744 11
                    BEGIN
                      KEY "ACL"
                      PROMPT 9 2 ""
                      PICTURE "########,@#"
                      MESSAGE ADD,844
                      GROUP 7 25
                    END
                    NUMERO 745 11
                    BEGIN
                      KEY "INCL"
                      PROMPT 10 2 ""
                      PICTURE "########,@#"
                      MESSAGE ADD,845
                      GROUP 7
                    END
                    NUMERO 746 11
                    BEGIN
                      KEY "PRODF"
                      PROMPT 11 2 ""
                      PICTURE "########,@#"
                      MESSAGE ADD,846
                      GROUP 7 25
                    END
                    NUMERO 747 11
                    BEGIN
                      KEY "PRODC"
                      PROMPT 12 2 ""
                      PICTURE "########,@#"
                      MESSAGE ADD,847
                      GROUP 7
                    END
                    NUMERO 748 11
                    BEGIN
                      KEY "DISP"
                      prompt 13 2 ""
                      PICTURE "########,@#"
                      MESSAGE ADD,848
                      GROUP 7
                    END
                  END // tot gart8

                END // GART7
                SECTION TOT_GART7 1 2 2 GROUP
                  STRINGA 877 
                  BEGIN
                    KEY "PRODC"
                    PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
                  END
                  STRINGA 850 34 2
                  BEGIN
                    KEY "" 
                    PROMPT 3 2 ""
                  END
                  STRINGA 851 8 2
                  BEGIN
                    KEY "" 
                    PROMPT 2 2 " Totale"
                  END
                  STRINGA 853 3
                  BEGIN
                    KEY "UM"
                    PROMPT 5 2 ""
                    FIELD 49->UM
                  END
                  NUMERO 841 11
                  BEGIN
                    KEY "GIAC"
                    PROMPT 6 2 ""
                    PICTURE "########,@#"
                    MESSAGE ADD,941
                    GROUP 8
                  END
                  NUMERO 842 11
                  BEGIN
                    KEY "ORDF"
                    PROMPT 7 2 ""
                    PICTURE "########,@#"
                    MESSAGE ADD,942
                    GROUP 8 25
                  END
                  NUMERO 843 11
                  BEGIN
                    KEY "ORDC"
                    PROMPT 8 2 ""
                    PICTURE "########,@#"
                    MESSAGE ADD,943
                    GROUP 8
                  END
                  NUMERO 844 11
                  BEGIN
                    KEY "ACL"
                    PROMPT 9 2 ""
                    PICTURE "########,@#"
                    MESSAGE ADD,944
                    GROUP 8 25
                  END
                  NUMERO 845 11
                  BEGIN
                    KEY "INCL"
                    PROMPT 10 2 ""
                    PICTURE "########,@#"
                    MESSAGE ADD,945
                    GROUP 8
                  END
                  NUMERO 846 11
                  BEGIN
                    KEY "PRODF"
                    PROMPT 11 2 ""
                    PICTURE "########,@#"
                    MESSAGE ADD,946
                    GROUP 8 25
                  END
                  NUMERO 847 11
                  BEGIN
                    KEY "PRODC"
                    PROMPT 12 2 ""
                    PICTURE "########,@#"
                    MESSAGE ADD,947
                    GROUP 8
                  END
                  NUMERO 848 11
                  BEGIN
                    KEY "DISP"
                    prompt 13 2 ""
                    PICTURE "########,@#"
                    MESSAGE ADD,948
                    GROUP 8
                  END
                END // tot gart7                  

              END // GART6
              SECTION TOT_GART6 1 2 2 GROUP
                STRINGA 977 
                BEGIN
                  KEY "PRODC"
                  PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
                END
                STRINGA 950 34 2
                BEGIN
                  KEY "" 
                  PROMPT 3 2 ""
                END
                STRINGA 951 8 2
                BEGIN
                  KEY "" 
                  PROMPT 2 2 " Totale"
                END
                STRINGA 953 3
                BEGIN
                  KEY "UM"
                  PROMPT 5 2 ""
                  FIELD 49->UM
                END
                NUMERO 941 11
                BEGIN
                  KEY "GIAC"
                  PROMPT 6 2 ""
                  PICTURE "########,@#"
                  MESSAGE ADD,1041
                  GROUP 9
                END
                NUMERO 942 11
                BEGIN
                  KEY "ORDF"
                  PROMPT 7 2 ""
                  PICTURE "########,@#"
                  MESSAGE ADD,1042
                  GROUP 9 25
                END
                NUMERO 943 11
                BEGIN
                  KEY "ORDC"
                  PROMPT 8 2 ""
                  PICTURE "########,@#"
                  MESSAGE ADD,1043
                  GROUP 9
                END
                NUMERO 944 11
                BEGIN
                  KEY "ACL"
                  PROMPT 9 2 ""
                  PICTURE "########,@#"
                  MESSAGE ADD,1044
                  GROUP 9 25
                END
                NUMERO 945 11
                BEGIN
                  KEY "INCL"
                  PROMPT 10 2 ""
                  PICTURE "########,@#"
                  MESSAGE ADD,1045
                  GROUP 9
                END
                NUMERO 946 11
                BEGIN
                  KEY "PRODF"
                  PROMPT 11 2 ""
                  PICTURE "########,@#"
                  MESSAGE ADD,1046
                  GROUP 9 25
                END
                NUMERO 947 11
                BEGIN
                  KEY "PRODC"
                  PROMPT 12 2 ""
                  PICTURE "########,@#"
                  MESSAGE ADD,1047
                  GROUP 9
                END
                NUMERO 948 11
                BEGIN
                  KEY "DISP"
                  PROMPT 13 2 ""
                  PICTURE "########,@#"
                  MESSAGE ADD,1048
                  GROUP 9
                END
              END // tot gart6

            END // GART5
            SECTION TOT_GART5 1 2 2 GROUP
              STRINGA 1077 
              BEGIN
                KEY "PRODC"
                PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
              END
              STRINGA 1050 34 2
              BEGIN
                KEY "" 
                PROMPT 3 2 ""
              END
              STRINGA 1051 8 2
              BEGIN
                KEY "" 
                PROMPT 2 2 " Totale"
              END
              STRINGA 1053 3
              BEGIN
                KEY "UM"
                PROMPT 5 2 ""
                FIELD 49->UM
              END
              NUMERO 1041 11
              BEGIN
                KEY "GIAC"
                PROMPT 6 2 ""
                PICTURE "########,@#"
                MESSAGE ADD,1141
                GROUP 10
              END
              NUMERO 1042 11
              BEGIN
                KEY "ORDF"
                PROMPT 7 2 ""
                PICTURE "########,@#"
                MESSAGE ADD,1142
                GROUP 10 25
              END
              NUMERO 1043 11
              BEGIN
                KEY "ORDC"
                PROMPT 8 2 ""
                PICTURE "########,@#"
                MESSAGE ADD,1143
                GROUP 10
              END
              NUMERO 1044 11
              BEGIN
                KEY "ACL"
                PROMPT 9 2 ""
                PICTURE "########,@#"
                MESSAGE ADD,1144
                GROUP 10 25
              END
              NUMERO 1045 11
              BEGIN
                KEY "INCL"
                PROMPT 10 2 ""
                PICTURE "########,@#"
                MESSAGE ADD,1145
                GROUP 10
              END
              NUMERO 1046 11
              BEGIN
                KEY "PRODF"
                PROMPT 11 2 ""
                PICTURE "########,@#"
                MESSAGE ADD,1146
                GROUP 10 25
              END
              NUMERO 1047 11
              BEGIN
                KEY "PRODC"
                PROMPT 12 2 ""
                PICTURE "########,@#"
                MESSAGE ADD,1147
                GROUP 10
              END
              NUMERO 1048 11
              BEGIN
                KEY "DISP"
                PROMPT 13 2 ""
                PICTURE "########,@#"
                MESSAGE ADD,1148
                GROUP 10
              END
            END // tot gart5

          END // GART4
          SECTION TOT_GART4 1 2 2 GROUP
            STRINGA 1177 
            BEGIN
              KEY "PRODC"
              PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
            END
            STRINGA 1150 34 2
            BEGIN
              KEY "" 
              PROMPT 3 2 ""
            END
            STRINGA 1151 8 2
            BEGIN
              KEY "" 
              PROMPT 2 2 " Totale"
            END
            STRINGA 1153 3
            BEGIN
              KEY "UM"
              PROMPT 5 2 ""
              FIELD 49->UM
            END
            NUMERO 1141 11
            BEGIN
              KEY "GIAC"
              PROMPT 6 2 ""
              PICTURE "########,@#"
              MESSAGE ADD,1241
              GROUP 11
            END
            NUMERO 1142 11
            BEGIN
              KEY "ORDF"
              PROMPT 7 2 ""
              PICTURE "########,@#"
              MESSAGE ADD,1242
              GROUP 11 25
            END
            NUMERO 1143 11
            BEGIN
              KEY "ORDC"
              PROMPT 8 2 ""
              PICTURE "########,@#"
              MESSAGE ADD,1243
              GROUP 11
            END
            NUMERO 1144 11
            BEGIN
              KEY "ACL"
              PROMPT 9 2 ""
              PICTURE "########,@#"
              MESSAGE ADD,1244
              GROUP 11 25
            END
            NUMERO 1145 11
            BEGIN
              KEY "INCL"
              PROMPT 10 2 ""
              PICTURE "########,@#"
              MESSAGE ADD,1245
              GROUP 11
            END
            NUMERO 1146 11
            BEGIN
              KEY "PRODF"
              PROMPT 11 2 ""
              PICTURE "########,@#"
              MESSAGE ADD,1246
              GROUP 11 25
            END
            NUMERO 1147 11
            BEGIN
              KEY "PRODC"
              PROMPT 12 2 ""
              PICTURE "########,@#"
              MESSAGE ADD,1247
              GROUP 11
            END
            NUMERO 1148 11
            BEGIN
              KEY "DISP"
              prompt 13 2 ""
              PICTURE "########,@#"
              MESSAGE ADD,1248
              GROUP 11
            END
          END // tot gart4

        END // GART3
        SECTION TOT_GART3 1 2 2 GROUP
          STRINGA 1277 
          BEGIN
            KEY "PRODC"
            PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
          END
          STRINGA 1250 34 2
          BEGIN
            KEY "" 
            PROMPT 3 2 ""
          END
          STRINGA 1251 8 2
          BEGIN
            KEY "" 
            PROMPT 2 2 " Totale"
          END
          STRINGA 1253 3
          BEGIN
            KEY "UM"
            PROMPT 5 2 ""
            FIELD 49->UM
          END
          NUMERO 1241 11
          BEGIN
            KEY "GIAC"
            PROMPT 6 2 ""
            PICTURE "########,@#"
            MESSAGE ADD,1341
            GROUP 12
          END
          NUMERO 1242 11
          BEGIN
            KEY "ORDF"
            PROMPT 7 2 ""
            PICTURE "########,@#"
            MESSAGE ADD,1342
            GROUP 12 25
          END
          NUMERO 1243 11
          BEGIN
            KEY "ORDC"
            PROMPT 8 2 ""
            PICTURE "########,@#"
            MESSAGE ADD,1343
            GROUP 12
          END
          NUMERO 1244 11
          BEGIN
            KEY "ACL"
            PROMPT 9 2 ""
            PICTURE "########,@#"
            MESSAGE ADD,1344
            GROUP 12 25
          END
          NUMERO 1284 11
          BEGIN
            KEY "ACL"
            PROMPT 9 2 ""
            PICTURE "#######,@##"
            MESSAGE _NUMEXPR,#1244/#1243
            GROUP 26
          END
          NUMERO 1245 11
          BEGIN
            KEY "INCL"
            PROMPT 10 2 ""
            PICTURE "########,@#"
            MESSAGE ADD,1345
            GROUP 12
          END
          NUMERO 1246 11
          BEGIN
            KEY "PRODF"
            PROMPT 11 2 ""
            PICTURE "########,@#"
            MESSAGE ADD,1346
            GROUP 12 25
          END
          NUMERO 1247 11
          BEGIN
            KEY "PRODC"
            PROMPT 12 2 ""
            PICTURE "########,@#"
            MESSAGE ADD,1347
            GROUP 12
          END
          NUMERO 1248 11
          BEGIN
            KEY "DISP"
            prompt 13 2 ""
            PICTURE "########,@#"
            MESSAGE ADD,1348
            GROUP 12
          END
        END // tot gart3

      END // GART2
      SECTION TOT_GART2 1 2 2 GROUP
        STRINGA 1377 
        BEGIN
          KEY "PRODC"
          PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
        END
        STRINGA 1350 34 2
        BEGIN
          KEY "" 
          PROMPT 3 2 ""
        END
        STRINGA 1351 8 2
        BEGIN
          KEY "" 
          PROMPT 2 2 " Totale"
        END
        STRINGA 1353 3
        BEGIN
          KEY "UM"
          PROMPT 5 2 ""
          FIELD 49->UM
        END
        NUMERO 1341 11
        BEGIN
          KEY "GIAC"
          PROMPT 6 2 ""
          PICTURE "########,@#"
          MESSAGE ADD,1441
          GROUP 13
        END
        NUMERO 1342 11
        BEGIN
          KEY "ORDF"
          PROMPT 7 2 ""
          PICTURE "########,@#"
          MESSAGE ADD,1442
          GROUP 13 25
        END
        NUMERO 1343 11
        BEGIN
          KEY "ORDC"
          PROMPT 8 2 ""
          PICTURE "########,@#"
          MESSAGE ADD,1443
          GROUP 13
        END
        NUMERO 1344 11
        BEGIN
          KEY "ACL"
          PROMPT 9 2 ""
          PICTURE "########,@#"
          MESSAGE ADD,1444
          GROUP 13 25
        END
        NUMERO 1345 11
        BEGIN
          KEY "INCL"
          PROMPT 10 2 ""
          PICTURE "########,@#"
          MESSAGE ADD,1445
          GROUP 13
        END
        NUMERO 1346 11
        BEGIN
          KEY "PRODF"
          PROMPT 11 2 ""
          PICTURE "########,@#"
          MESSAGE ADD,1446
          GROUP 13 25
        END
        NUMERO 1347 11
        BEGIN
          KEY "PRODC"
          PROMPT 12 2 ""
          PICTURE "########,@#"
          MESSAGE ADD,1447
          GROUP 13
        END
        NUMERO 1348 11
        BEGIN
          KEY "DISP"
          prompt 13 2 ""
          PICTURE "########,@#"
          MESSAGE ADD,1448
          GROUP 13
        END
      END // tot gart2

    END // GART1
    SECTION TOT_GART1 1 2 2 GROUP
      STRINGA 1477 
      BEGIN
        KEY "PRODC"
        PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
      END
      STRINGA 1450 34 2
      BEGIN
        KEY "" 
        PROMPT 3 2 ""
      END
      STRINGA 1451 8 2
      BEGIN
        KEY "" 
        PROMPT 2 2 " Totale"
      END
      STRINGA 1453 3
      BEGIN
        KEY "UM"
        PROMPT 5 2 ""
        FIELD 49->UM
      END
      NUMERO 1441 11
      BEGIN
        KEY "GIAC"
        PROMPT 6 2 ""
        PICTURE "########,@#"
        MESSAGE ADD,1541
        GROUP 14 
      END
      NUMERO 1442 11
      BEGIN
        KEY "ORDF"
        PROMPT 7 2 ""
        PICTURE "########,@#"
        MESSAGE ADD,1542
        GROUP 14 25
      END
      NUMERO 1443 11
      BEGIN
        KEY "ORDC"
        PROMPT 8 2 ""
        PICTURE "########,@#"
        MESSAGE ADD,1543
        GROUP 14
      END
      NUMERO 1444 11
      BEGIN
        KEY "ACL"
        PROMPT 9 2 ""
        PICTURE "########,@#"
        MESSAGE ADD,1544
        GROUP 14 25
      END
      NUMERO 1445 11
      BEGIN
        KEY "INCL"
        PROMPT 10 2 ""
        PICTURE "########,@#"
        MESSAGE ADD,1545
        GROUP 14
      END
      NUMERO 1446 11
      BEGIN
        KEY "PRODF"
        PROMPT 11 2 ""
        PICTURE "########,@#"
        MESSAGE ADD,1546
        GROUP 14 25
      END
      NUMERO 1447 11
      BEGIN
        KEY "PRODC"
        PROMPT 12 2 ""
        PICTURE "########,@#"
        MESSAGE ADD,1547
        GROUP 14
      END
      NUMERO 1448 11
      BEGIN
        KEY "DISP"
        prompt 13 2 ""
        PICTURE "########,@#"
        MESSAGE ADD,1548
        GROUP 14
      END
    END // tot gart1

  END // GRUPPI_CATMER 
  SECTION TOT_CATMER 1 2 2 GROUP
    STRINGA 1577 
    BEGIN
      KEY "PRODC"
      PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
    END
    STRINGA 1550 34 2
    BEGIN
      KEY "" 
      PROMPT 3 2 ""
    END
    STRINGA 1551 8 2
    BEGIN
      KEY "" 
      PROMPT 2 2 " Totale"
    END
    STRINGA 1553 3
    BEGIN
      KEY "UM"
      PROMPT 5 2 ""
      FIELD 49->UM
    END
    NUMERO 1541 11
    BEGIN
      KEY "GIAC"
      PROMPT 6 2 ""
      PICTURE "########,@#"
      GROUP 15
    END
    NUMERO 1542 11
    BEGIN
      KEY "ORDF"
      PROMPT 7 2 ""
      PICTURE "########,@#"
      GROUP 15 25
    END
    NUMERO 1543 11
    BEGIN
      KEY "ORDC"
      PROMPT 8 2 ""
      PICTURE "########,@#"
      GROUP 15
    END
    NUMERO 1544 11
    BEGIN
      KEY "ACL"
      PROMPT 9 2 ""
      PICTURE "########,@#"
      GROUP 15 25
    END
    NUMERO 1545 11
    BEGIN
      KEY "INCL"
      PROMPT 10 2 ""
      PICTURE "########,@#"
      GROUP 15
    END
    NUMERO 1546 11
    BEGIN
      KEY "PRODF"
      PROMPT 11 2 ""
      PICTURE "########,@#"
      GROUP 15 25
    END
    NUMERO 1547 11
    BEGIN
      KEY "PRODC"
      PROMPT 12 2 ""
      PICTURE "########,@#"
      GROUP 15
    END
    NUMERO 1548 11
    BEGIN
      KEY "DISP"
      prompt 13 2 ""
      PICTURE "########,@#"
      GROUP 15
    END
  END // tot catmerc

END // section body, loop anamag

SECTION FOOTER ODD 2
  STRINGA 100
  BEGIN
    KEY "NUMP"
    PROMPT 50 1 "--------------"
  END

  NUMERO 101
  BEGIN
    KEY "NUMPAGE"
    PROMPT 50 2 ""
    MESSAGE _PAGENO
    PICTURE "-###-"
  END

END // fine footer

END // fine form
