#define LF_TAB_MAG 500
USE LF_ANAMAG KEY 1 
JOIN LF_STOMAG TO LF_ANAMAG INTO ANNOESRIF==1996 CODART==CODART
JOIN LF_UMART TO LF_ANAMAG INTO CODART==CODART
JOIN MAG TO LF_STOMAG ALIAS LF_TAB_MAG INTO CODTAB==CODMAG[1,3]
JOIN GMC TO LF_ANAMAG ALIAS 400 INTO CODTAB==GRMERC[1,3]
JOIN GMC TO LF_ANAMAG ALIAS 401 INTO CODTAB==GRMERC
JOIN RFA TO LF_ANAMAG ALIAS 600 INTO CODTAB==RAGGFIS
END
  
DESCRIPTION
BEGIN
  47->* "Anagrafica articoli"
  109->* "Archivio Giacenze"
  MAG->* "Tabella magazzini"
  49->* "Unit di misura articoli"
END

GENERAL
BEGIN
  OFFSET 0 1
END


SECTION GRAPHIC
BEGIN
END

SECTION HEADER ODD 4

STRINGA 1 40 1
BEGIN
  KEY "nome ditta"
  PROMPT  1 1 "Ditta "
  MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
  KEY "Data"
  PROMPT  50 1 "Data "
  MESSAGE _TODAY
END

NUMERO 3 4
BEGIN
  KEY "Nr. pagina"
  PROMPT  72 1 "Pag. "
  MESSAGE _PAGENO
END

STRING 4 44
BEGIN
  KEY "Intestazione stampa"
  PROMPT  19 2 "Stampa storico rimanenze - Esercizio "
END

STRINGA 5 80
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "______________________________________________________________________________________________________________________________________________________"
END

END


SECTION BODY ODD 0

 SECTION H_CATMER 1 1 1 GROUP
  STRINGA 11 20
  BEGIN
    KEY "Cat. Merc/Gr. Fisc"
    PROMPT 2 1 "@B"
    MESSAGE _USER,CODCATMER|COPY,52|RESET,55
  END
  STRINGA 12 50
  BEGIN
    KEY "Descrizione Cat.Merc/Rag.fis"
    PROMPT 23 1 "@R"
    MESSAGE _USER,CATMER
  END
 END

 SECTION GRUPPI_CATMER 1 0 0 COLUMNWISE FILE LF_ANAMAG GROUP GRMERC
   
  SECTION H_SCATMER 1 1 1 GROUP
   STRINGA 11 20
   BEGIN
    KEY "SottoCat. Merc"
    PROMPT 2 1 ""
    FIELD GRMERC
    MESSAGE COPY,42|RESET,45
   END
   STRINGA 12 50
   BEGIN
    KEY "Descrizione SottoCat.Merc"
    PROMPT 23 1 ""
    FIELD 401@->S0
   END
  END
  
  SECTION GRUPPI_SCATMER 1 0 0 COLUMNWISE FILE LF_ANAMAG GROUP GRMERC

    SECTION H_ARTICOLO 1 3 1 GROUP
      STRINGA 11 20
      BEGIN
        KEY "CODART"
        PROMPT 2 1 "Articolo "
        FIELD LF_ANAMAG->CODART
        MESSAGE RESET,115|RESET,117
      END
      STRINGA 12 50
      BEGIN
        KEY "DESCR"
        PROMPT 23 1 ""
        FIELD LF_ANAMAG->DESCR
      END
    END

    SECTION BODY_MAG 1 1 1 COLUMNWISE FILE LF_STOMAG GROUP CODART
      SECTION HD_MAG 1 2 1 NORMAL GROUP
        STRINGA 11 20
        BEGIN
          KEY "CODART"
          PROMPT 2 1 "Magazzino "
          FIELD LF_TAB_MAG@->CODTAB
        END
        STRINGA 12 50
        BEGIN
          KEY "DESCR"
          PROMPT 23 1 ""
          FIELD LF_TAB_MAG@->S0
        END
      END // HD MAG

      SECTION HD_ANNI 1 2 1 COLUMNWISE GROUP
        NUMERO 13 15
        BEGIN
          KEY "offset"
          PROMPT 1 1 ""
        END
        NUMERO 13 10
        BEGIN
          KEY "ANNO"
          PROMPT 2 1 "      Anno"
        END
        STRINGA 15 15 
        BEGIN
          KEY "QUANT"
          PROMPT 4 1 "   Quantit( "
          FIELD LF_UMART->UM
        END
        VALUTA 16 18 
        BEGIN
          KEY "VALORE UNITARIO"
          PROMPT 5 1 ")       Valore un."
          FLAGS "U"
        END
        VALUTA 17 18
        BEGIN
          KEY "VALORE"
          PROMPT 6 1 "            Valore"
        END
      END // HD ANNI
      SECTION BODY_ANNI 1 1 1 COLUMNWISE FILE LF_STOMAG GROUP CODMAG
        NUMERO 13 15
        BEGIN
          KEY "offset"
          PROMPT 1 1 ""
        END
        NUMERO 14 10
        BEGIN
          KEY "ANNO"
          PROMPT 2 1 ""
          FIELD LF_STOMAG->ANNOES
        END
        NUMERO 15 15 
        BEGIN
          KEY "QUANT"
          PROMPT 4 1 ""
          PICTURE "#.###.###,@@@@@"
          FIELD LF_STOMAG->QUANT
          MESSAGE ADD,115
        END
        VALUTA 16 18 
        BEGIN
          KEY "VALORE UNITARIO"
          // I valori unitari dello storico sono gi memorizzati coi decimali giusti
          PROMPT 5 1 ""
          FLAGS "U"
          FIELD LF_STOMAG->VALORE
        END
        VALUTA 17 18
        BEGIN
          KEY "VALORE"
          PROMPT 6 1 ""
          MESSAGE _NUMEXPR,#15*#16|ADD,117|ADD,FL->2
        END
      END // BODY ANNI
    END // BODY MAG gruppi anni dello stesso articolo

      SECTION FOOTER_ANNI 1 1 2 COLUMNWISE GROUP
        NUMERO 13 15
        BEGIN
          KEY "offset"
          PROMPT 1 1 ""
        END
        NUMERO 14 10
        BEGIN
          KEY "ANNO"
          PROMPT 2 1 "Totale"
        END
        NUMERO 115 15 
        BEGIN
          KEY "QUANT"
          PROMPT 4 1 ""
          PICTURE "#.####.###,@@@@@"
        END
        VALUTA 116 18 
        BEGIN
          KEY "VALORE UNTARIO"
          // Qui non stampa nulla
          PROMPT 5 1 ""
          FLAGS "U"
        END
        VALUTA 117 18 
        BEGIN
          KEY "VALORE"
          PROMPT 6 1 ""
          MESSAGE ADD,45|ADD,55
        END
      END // footer anni
      
    END // GRUPPI_SCATMER

    SECTION TOT_SCATMER 1 1 1 COLUMNWISE GROUP
     STRINGA 41 15
     BEGIN
      KEY "Totali per sottocat. merc."
      PROMPT 1 1 ""
     END
     STRINGA 42 10
     BEGIN
      KEY ""
      PROMPT 2 1 "Totale "
     END
     STRINGA 43 15
     BEGIN
      PROMPT 4 1 ""
     END
     STRINGA 44 18
     BEGIN
      PROMPT 5 1 ""
     END
     VALUTA 45 18 
     BEGIN
      KEY "VALORE"
      PROMPT 6 1 ""
     END
    END // TOT_SCATMER

   END // GRUPPI_CATMER

   SECTION TOT_CATMER 1 1 2 COLUMNWISE GROUP
    STRINGA 51 15
    BEGIN
      KEY "Totali per cat merc/ragg.fisc"
      PROMPT 1 1 ""
    END
    STRINGA 52 10
    BEGIN
      KEY ""
      PROMPT 2 1 "@BTotale "
    END
    STRINGA 53 15
    BEGIN
      PROMPT 4 1 ""
    END
    STRINGA 54 18
    BEGIN
      PROMPT 5 1 ""
    END
    VALUTA 55 18 
    BEGIN
      KEY "VALORE"
      PROMPT 6 1 ""
    END
  END // TOT_CATMER
  
 //END //  CICLO sul file di storico
  
END // section body, loop anamag

SECTION FOOTER ODD 2
END // fine footer

SECTION FOOTER LAST 3 COLUMNWISE

STRINGA 5 80
BEGIN
  KEY "Separatore (finale)"
  PROMPT 1 1 "______________________________________________________________________________________________________________________________________________________"
END

STRINGA 1 58
BEGIN
  PROMPT 1 2 "@BTotale generale"
END

VALUTA 2 18
BEGIN
 KEY "TOTALE"
 PROMPT 2 2 ""
END

END

END // fine form
