#define FF_FLAGTOTQTA 666
#define FF_FLAGGIAC  667
#define FF_FLAGSOTTOS 668
#define FF_FLAGVALMEDI 669
#define FF_PREZZIVALORI 670
#define FF_DIVDEPOSITI 671

#define FF_RANGEMAGAZ 672
#define FF_RANGEARTIC 673
#define FF_RANGECATMER 674
#define FF_FILTRO 675

#define FF_ENABLECOLS 679

#define FF_COL1HEADER      7

#define FF_DISABLEUNIT1  681
#define FF_DISABLEUNIT2  682
#define FF_DISABLEUNIT3  683
#define FF_DISABLEUNIT4  684
#define FF_DISABLEUNIT5  685
#define FF_DISABLEUNIT6  686

// Form item base per il FOOTER LAST nelle stampa inventario
#define FF_BASEFL        11

// Questi sono i gruppi dei raggruppamenti 
// e rappresentano i vari gruppi articoli / livello giac / magazzini ed
// altro a seconda della stmpa e dell'ordinamento scelto
// essi non sono implementati come MACRO c++ ma come literal nel testo
// (arrivano in partica fino a 15)
//#define FG_RAGGR1   1
//#define FG_RAGGR2   2
// Questi sono i gruppi delle colonne dell'inventario
#define FG_COL1   30
#define FG_COL2   31
#define FG_COL3   32
#define FG_COL4   33
#define FG_COL5   34
#define FG_COL6   35

// altri gruppi per la stampa dati storici:
#define FG_VALORI     25
#define FG_VALMEDI    26
#define FG_RIGAVALORI 27
#define FG_RIGAPREZZI 28

// Gruppo per disabilitare le colonne del prezzo unitario
#define FG_COL1_UNIT        41
#define FG_COL2_UNIT        42
#define FG_COL3_UNIT        43
#define FG_COL4_UNIT        44
#define FG_COL5_UNIT        45
#define FG_COL6_UNIT        46

