#ifndef __MR2100A_H
#define __MR2100A_H

#define G_PREPROCESS     1
#define G_POSTPROCESS    2
#define G_SEL_ORDF       10
#define G_SEL_ORDP       11

#define F_PROFILO     200
#define F_NUM_ORC     201 
#define F_TIPI_ORC    202
#define F_NUM_ORF     203
#define F_TIPI_ORF    204
#define F_IGN_LDTIME  205
#define F_DADATA      206
#define F_ADATA       207
#define F_BUCKETS     208
#define F_BUCKET      209
#define F_NUM_PROD    210
#define F_TIPO_PROD   211
#define F_RIGA_PROD   212
#define F_NUM_FORN    213
#define F_TIPO_FORN   214
#define F_RIGA_FORN   215
#define F_NOMAG       216
#define F_NODEP       217
#define F_NOIMP       218
#define F_NOLIN       219
#define F_RESCHEDULING 220
#define F_ORC_MASTER  221 
#define F_SORT        222
#define F_LOTSIZING_P 223
#define F_LOTSIZING_F 224
#define F_TIPOCV       225
#define F_CODCONDV     226
#define F_CATVEN_CV    227
#define F_TIPOCF_CONDV 228
#define F_CF_CONDV     229
#define F_SORT_ORDER   230
#define F_KEEP_IMP    231
#define F_OP_DAGRMERC  235
#define F_OP_AGRMERC   236
#define F_OF_DAGRMERC  237
#define F_OF_AGRMERC   238
#define F_DATE_SORT_ORDER   239
//#define F_NUMBERBYCLI      240 
//#define F_NUMBERBYWEEK     241
#define F_DIVIDEBYDATE     242
#define F_DIVIDEBYART      243
#define F_DAYXBUCK      244
#define F_XTRA_LDTIME  245
#define F_XTRA_PLTIME  246
#define F_ALL_ORDERSCHANGES  250
#define F_DISABLESAVE 251
#define F_ALL_MRPLINES  252
#define F_DOC_YEAR_PREC 253

// campi senza default sul profilo
#define F_YEAR        301
#define F_IMPIANTO    302
#define F_LINEA       303
#define F_CALENDAR    304
#define F_ORDINI      305
#define F_SEL_ORD_TYPE 306
#define F_SELECT_ORD   307
#define F_RESORT_ORDINI 308 

// sheet tipi doc
#define F_TIPO        101
#define F_DESCTIPO    102
#define F_DASTATO     103
#define F_ASTATO      104
#define F_STATODEF    105

// sheet tipi doc
#define F_CODNUM      101
#define F_DESCNUM     110

// sheet ordini
#define F_RISALITA    100
#define F_SELECTED    101
#define F_FABBISOGNO  101
#define F_UMFABB      102
#define F_ORD_TYPE    102
#define F_DATADOC     103
#define F_DATACONS    104
#define F_FORNITORE   105
#define F_ARTICOLO    106
#define F_LIV1        107
#define F_LIV2        108
#define F_LIV3        109
#define F_LIV4        110
#define F_MAGAZZINO   111
#define F_DEPOSITO    112
#define F_CODIMP      113
#define F_CODLIN      114
#define F_QUANTITA    115
#define F_UM          116
#define F_PREZZO      117
#define F_DESCART     118
#define F_DOCANNODOC  119 // lasciare questi 4 campi in sequenza: 1
#define F_DOCCODNUM   120 // 2
#define F_DOCNUM      121 // 3
#define F_DOCNRIGA    122 // 4

#define F_OK          123

#define F_RAGSOC      154
#define F_DESCMAG     160
#define F_DESCIMP     162
#define F_DESCLIN     163
#define H_CODIMP      164

// maschera mr2100b
#define F_FABB_LORDO  201
#define F_FABB_NETTO  202
#define F_FABB_SCHED  203
#define F_FABB_PIAN   204
#define F_FABB_GIAC   205
#define F_FABB_DADATA  206
#define F_FABB_ADATA   207
#define F_TOPLAN       208
#endif

