#include "mr2200.h"
#include "mr2200a.h"

class TMSP_mask : public TPlanning_mask
{
public:
  TMSP_mask();
  virtual ~TMSP_mask() { }
};

TMSP_mask::TMSP_mask()
         : TPlanning_mask("mr2300a")
{
//  init();
}

class TMSP_app : public TPlanning_app
{
protected:
  virtual TPlanning_mask& mask() {return *_m;}
  virtual bool create();
};

bool TMSP_app::create()
{
  openfiles();
  _m =  new TMSP_mask();
  _m->field(F_MSCHEDULEPLAN).set("X");
  return TSkeleton_application::create();
}

int mr2300(int argc, char* argv[])
{
  TMSP_app a;
  a.run(argc, argv, "Master Schedule Planning");
  return 0;
}
