// Form per la stampa ordini per numero/data

#include "or1100a.h"

USE LF_DOC
JOIN LF_RIGHEDOC INTO CODNUM==CODNUM ANNO==ANNO PROVV==PROVV NDOC==NDOC
JOIN LF_CLIFO TO LF_DOC INTO TIPOCF==TIPOCF CODCF==CODCF
END

DESCRIPTION
BEGIN
END


GENERAL
BEGIN
  OFFSET 0 0
END


SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  76 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  92 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
 KEY "Intestazione stampa"
 PROMPT  40 2 "@bStampa ordini per numero/data"
END

END //HEADER


SECTION BODY ODD 2 COLUMNWISE

STRING BODY_COL_1 22
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Documento" "Documento"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Descrizione documento"
 PROMPT 1 1 ""
 MESSAGE _STREXPR,CODNUM+"/"+NDOC+" del "+DATADOC
END

STRING BODY_COL_2 40
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Cod./Descrizione" "Cod./Descrizione"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Cod./Descrizione"
 PROMPT 2 1 ""
 MESSAGE _ORDINE,RAGSOC,1
END

STRINGA BODY_COL_3 4
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Val." "Val."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Codice Valuta"
 PROMPT 3 1 ""
 FIELD CODVAL
END

DATA BODY_COL_4 10
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Data cons." "Data cons."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Data consegna documento"
 PROMPT 4 1 ""
 FIELD DATACONS
END

VALUTA BODY_COL_5 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Valore"
 PROMPT 5 1 ""
 FIELD TOTVALORE
 DRIVENBY BODY_COL_3
// PICTURE "."
END

VALUTA BODY_COL_6 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CVal.Residuo" "Val.Residuo"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Valore Residuo"
 PROMPT 6 1 ""
 FIELD TOTVALRES
 DRIVENBY BODY_COL_3
// PICTURE "."
END

STRINGA BODY_COL_7 4
BEGIN
 SPECIAL STRINGA INTESTAZIONE "UM" "UM"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Unita' di misura" // Solo intestazione
 FLAGS "H"
 PROMPT 7 1 ""
 GROUP G_DETTAGLIO
END

STRINGA BODY_COL_8 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Q.ta Ordinata" "Q.ta Ordinata"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Q.ta Ordinata" // Solo intestazione
 FLAGS "H"
 PROMPT 8 1 ""
 GROUP G_DETTAGLIO
END

STRINGA BODY_COL_9 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CQ.ta Evasa" "Q.ta Evasa"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Q.ta Evasa" // Solo intestazione
 FLAGS "H"
 PROMPT 9 1 ""
 GROUP G_DETTAGLIO
END

STRINGA BODY_COL_10 13
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CPr. scontato" "Prezzo un. scontato"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Prezzo un. scontato" // Solo intestazione
 FLAGS "H"
 PROMPT 10 1 ""
 GROUP G_DETTAGLIO
END

STRINGA BODY_COL_11 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CResiduo" "Residuo"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Residuo" // Solo intestazione
 FLAGS "H"
 PROMPT 11 1 ""
 GROUP G_DETTAGLIO
END

STRINGA BODY_COL_12 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CGiac. Att." "Giacenza attuale"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Giacenza attuale" // Solo intestazione
 FLAGS "H"
 PROMPT 12 1 ""
 GROUP G_DETTAGLIO
END


// Sezione di dettaglio righe / raggruppamento articoli per ordine corrente

SECTION DET 2 0 0 FILE LF_RIGHEDOC
 FLAGS "H" // Abilitata solo se dettaglio righe

 SECTION RIGHE 1 1 1 GROUP // Viene cambiata in STREXPR da programma

  STRINGA 101 22
  BEGIN
   PROMPT 1 1 ""
  END

  STRINGA 102 40
  BEGIN
   PROMPT 2 1 ""
   MESSAGE _STREXPR, LF_RIGHEDOC->CODART+" "+LF_RIGHEDOC->DESCR
  END

   STRING 103 4
   BEGIN
    KEY "Codice Valuta"
    PROMPT 3 1 ""
   END

  DATA 104 10
  BEGIN
   PROMPT 4 1 ""
   FIELD LF_RIGHEDOC->DATACONS
  END

  VALUTA 105 15
  BEGIN
   PROMPT 5 1 "" // valore
   MESSAGE _ORDINE,VALORE|ADD,FL->205
   DRIVENBY 103
//   PICTURE "."
  END

  VALUTA 106 15
  BEGIN
   PROMPT 6 1 "" // Val residuo riga
   MESSAGE _ORDINE,VALRES|ADD,FL->206
   DRIVENBY 103
//   PICTURE "."
  END

  STRINGA  107 4
  BEGIN
   PROMPT 7 1 "" // Unita' di misura
   FIELD LF_RIGHEDOC->UMQTA
  END

  NUMBER 108 15
  BEGIN
   PROMPT 8 1 "" // Q.ta Ordinata
   MESSAGE _ORDINE,QTA
   PICTURE "########@,@@@@@"
  END

  NUMBER 109 15
  BEGIN
   PROMPT 9 1 "" // Q.ta Evasa
   MESSAGE _ORDINE,QTAEVASA
   PICTURE "########@,@@@@@"
  END

  VALUTA 110 13
  BEGIN
   KEY "Prezzo un scontato"
   PROMPT 10 1 ""
   MESSAGE _ORDINE,PREZZONS
//   PICTURE "."
   FLAGS "U"
   DRIVENBY 103
  END

  NUMBER 111 15
  BEGIN
   KEY "Residuo"
   PROMPT 11 1 ""
   PICTURE "########@,@@@@@"
   MESSAGE _ORDINE,RESIDUO
  END

  NUMBER 112 15
  BEGIN
   KEY "Giacenza attuale"
   PROMPT 12 1 ""
   PICTURE "########@,@@@@@"
   MESSAGE _ORDINE,GIACENZA
  END

  SECTION RIGHEART 1 0 0 FILE LF_RIGHEDOC GROUP CODART+DATACONS
  FLAGS "D"
    NUMBER 301 22
    BEGIN
     PROMPT 1 1 ""
     FLAGS "H"
    END
    STRING 302 40 2
    BEGIN
     KEY "Descrizione"
     PROMPT 2 1 ""
     MESSAGE _ORDINE,DESCRIZIONE|COPY,402
     FLAGS "H"
    END
    STRING 303 4
    BEGIN
     KEY "Codice Valuta"
     PROMPT 3 1 ""
     FLAGS "H"
    END
    DATA 304 10
    BEGIN
     KEY "Data consegna articolo"
     PROMPT 4 1 ""
     FIELD LF_RIGHEDOC->DATACONS
     MESSAGE COPY,404
     FLAGS "H"
    END
    VALUTA 305 15
    BEGIN
     KEY "Valore Ordinato"
     PROMPT 5 1 ""
     MESSAGE _ORDINE,VALORE
//     PICTURE "."
     DRIVENBY 303
     FLAGS "H"
   END
    VALUTA 306 15
    BEGIN
     KEY "Valore Residuo"
     PROMPT 6 1 ""
     MESSAGE _ORDINE,VALRES
//     PICTURE "."
     DRIVENBY 303
     FLAGS "H"
   END
    STRINGA 307 4
    BEGIN
     KEY "Unita' di misura"
     PROMPT 7 1 ""
     FIELD LF_RIGHEDOC->UMQTA
     MESSAGE _ORDINE,SELECTUM|COPY,407
     FLAGS "H"
    END
    NUMBER 308 15
    BEGIN
     KEY "Q.ta Ordinata"
     PROMPT 8 1 ""
     MESSAGE _ORDINE,QTA|_ORDINE,CONVUM|ADD,408
     FLAGS "H"
    END
    NUMBER 309 15
    BEGIN
     KEY "Q.ta Evasa"
     PROMPT 9 1 ""
     MESSAGE _ORDINE,QTAEVASA|_ORDINE,CONVUM|ADD,409
     FLAGS "H"
    END
    VALUTA 310 13
    BEGIN
     KEY "Prezzo non scontato"
     PROMPT 10 1 ""
     MESSAGE _ORDINE,PREZZONS|COPY,410
     DRIVENBY 303
     FLAGS "HU"
    END
    NUMBER 311 15
    BEGIN
     KEY " Residuo"
     PROMPT 11 1 ""
     MESSAGE _ORDINE,RESIDUO|_ORDINE,CONVUM|ADD,411
     FLAGS "H"
    END
    NUMBER 312 15
    BEGIN
     KEY "Giacenza attuale"
     PROMPT 12 1 ""
     MESSAGE _ORDINE,GIACENZA|COPY,412
     FLAGS "H"
    END
  END // END SECTION RIGHEART

 END  //SECTION RIGHE

  // Totalizers for section RIGHEART
  NUMBER 401 22
  BEGIN
   PROMPT 1 1 ""
   FLAGS "D"
  END
  STRING 402 40 2
  BEGIN
   KEY "Descrizione"
   PROMPT 2 1 ""
   FLAGS "D"
  END
  STRING 403 4
  BEGIN
   KEY "Codice Valuta"
   PROMPT 3 1 ""
   FLAGS "D"
  END
  DATA 404 10
  BEGIN
   KEY "Data consegna articolo"
   PROMPT 4 1 ""
   FLAGS "D"
  END
  VALUTA 405 15
  BEGIN
   KEY "Valore Ordinato"
   PROMPT 5 1 ""
//   PICTURE "."
   FLAGS "D"
   DRIVENBY 403
   GROUP G_TOTALEART
  END
  VALUTA 406 15
  BEGIN
   KEY "Valore Residuo"
   PROMPT 6 1 ""
//   PICTURE "."
   FLAGS "D"
   DRIVENBY 403
   GROUP G_TOTALEART
  END
  STRINGA 407 4
  BEGIN
   KEY "Unita' di misura"
   PROMPT 7 1 ""
   FLAGS "D"
   GROUP G_TOTALEART
  END
  NUMBER 408 15
  BEGIN
   KEY "Q.ta Ordinata"
   PROMPT 8 1 ""
   PICTURE "########@,@@@@@"
   FLAGS "D"
   GROUP G_TOTALEART
  END
  NUMBER 409 15
  BEGIN
   KEY "Q.ta Evasa"
   PROMPT 9 1 ""
   PICTURE "########@,@@@@@"
   FLAGS "D"
   GROUP G_TOTALEART
  END
  VALUTA 410 13
  BEGIN
   KEY "Pr. non scontato"
   PROMPT 10 1 ""
//   PICTURE "."
   FLAGS "DU"
   DRIVENBY 403
   GROUP G_TOTALEART
  END
  NUMBER 411 15
  BEGIN
   KEY "Residuo"
   PROMPT 11 1 ""
   PICTURE "########@,@@@@@"
   FLAGS "D"
   GROUP G_TOTALEART
  END
  NUMBER 412 15
  BEGIN
   KEY "Giac. attuale"
   PROMPT 12 1 ""
   PICTURE "########@,@@@@@"
   FLAGS "D"
   GROUP G_TOTALEART
  END

END // SECTION DET

END //BODY

SECTION FOOTER LAST 5 COLUMNWISE

  STRINGA 201 22
  BEGIN
   PROMPT 1 1 ""
  END

  STRINGA 202 40
  BEGIN
   PROMPT 2 1 "@BTotale:"
  END

  STRINGA 203 4
  BEGIN
   PROMPT 3 1 ""
  END

  DATA 204 10
  BEGIN
   PROMPT 4 1 ""
  END

  VALUTA 205 15
  BEGIN
   PROMPT 5 1 "" // valore
   DRIVENBY 203
//   PICTURE "."
  END

  VALUTA 206 15
  BEGIN
   PROMPT 6 1 "" // Val residuo
   DRIVENBY 203
//   PICTURE "."
  END

END //FOOTER

