// Form per la stampa ordini per articolo
#include "or1100a.h"
// Cursor sorting on main file is set also in application
USE LF_RIGHEDOC BY CODART LIVELLO CODMAG ANNO NDOC DATACONS
JOIN LF_DOC INTO CODNUM==CODNUM ANNO==ANNO PROVV==PROVV NDOC==NDOC
JOIN LF_ANAMAG INTO CODART==CODART
END

DESCRIPTION
BEGIN
END


GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 10
END


SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  76 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  92 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  40 2 "@bStampa ordini per articolo"
END

END //HEADER


SECTION BODY ODD 4 COLUMNWISE

STRINGA 1 10
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Codice" "Codice"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Codice"
 PROMPT 1 1 "@B"
 FIELD LF_RIGHEDOC->CODART
 MESSAGE RESET,G_TOTALEART@|_ORDINE,VALTABLE,RESET
 MESSAGE RESET,508|RESET,509|RESET,511
END

STRING 2 40
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Descrizione" "Descrizione"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Descrizione art."
 PROMPT 2 1 ""
 FIELD LF_RIGHEDOC->DESCR
END

STRINGA 3 4
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Val." "Val."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Codice Valuta"
 PROMPT 3 1 ""
END

DATA 4 10
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Data cons." "Data cons."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Data consegna articolo"
 PROMPT 4 1 ""
END

VALUTA BODY_COL_5 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Valore"
 DRIVENBY BODY_COL_3
 PROMPT 5 1 ""
END

VALUTA BODY_COL_6 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CVal.Residuo" "Val.Residuo"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Valore Residuo"
 DRIVENBY BODY_COL_3
 PROMPT 6 1 ""
END

STRINGA 7 4
BEGIN
 SPECIAL STRINGA INTESTAZIONE "UM" "UM"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Unita' di misura" // Solo intestazione
 PROMPT 7 1 ""
 GROUP G_DETTAGLIO
END

STRINGA 8 13
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Q.ta Ordinata" "Q.ta Ordinata"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Q.ta Ordinata" // Solo intestazione
 PROMPT 8 1 ""
 GROUP G_DETTAGLIO
END

STRINGA 9 13
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Q.ta Evasa" "Q.ta Evasa"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Q.ta Evasa" // Solo intestazione
 PROMPT 9 1 ""
 GROUP G_DETTAGLIO
END

// Raggruppamento righe documenti per lo stesso codice articolo
SECTION ARTMAIN 2 1 1 FILE LF_RIGHEDOC GROUP CODART

  STRING 201 20
  BEGIN
    FLAGS "H"
    PROMPT 1 1 ""
    MESSAGE RESET,G_TOTALEART@
  END

SECTION ARTICOLI 1 0 0 FILE LF_RIGHEDOC GROUP ANNO+NDOC+CODVAL+DATACONS
//  FLAGS "D"
    NUMBER 301 20
    BEGIN
     PROMPT 1 1 ""
     FLAGS "H"
    END
    STRING 302 40 2
    BEGIN
     KEY "Descrizione"
     PROMPT 2 1 ""
     MESSAGE _STREXPR,LF_DOC->CODNUM+"/"+LF_DOC->ANNO+"-"+LF_DOC->NDOC+" del "+LF_DOC->DATADOC|COPY,402
     FLAGS "H"
    END
    STRING 303 4
    BEGIN
     KEY "Codice Valuta"
     PROMPT 3 1 ""
     FIELD LF_DOC->CODVAL
     MESSAGE COPY,403
     FLAGS "H"
    END
    DATA 304 10
    BEGIN
     KEY "Data consegna articolo"
     PROMPT 4 1 ""
     FIELD LF_RIGHEDOC->DATACONS
     FIELD LF_DOC->DATACONS
     MESSAGE COPY,404
     FLAGS "H"
    END
    VALUTA 305 15
    BEGIN
     KEY "Valore Ordinato"
     PROMPT 5 1 ""
     MESSAGE _ORDINE,VALORE|_ORDINE,VALTABLE,VALORD|ADD,405
     DRIVENBY 303
//     PICTURE "."
     FLAGS "H"
   END
    VALUTA 306 15
    BEGIN
     KEY "Valore Residuo"
     PROMPT 6 1 ""
//     PICTURE "."
     DRIVENBY 303
     FLAGS "H"
     MESSAGE _ORDINE,VALRES|_ORDINE,VALTABLE,VALRES|ADD,406
   END   
    STRINGA 307 4
    BEGIN
     KEY "Unita' di misura"
     PROMPT 7 1 ""
     FIELD LF_RIGHEDOC->UMQTA
     MESSAGE _ORDINE,SELECTUM|COPY,407
     FLAGS "H"
    END
    NUMBER 308 13
    BEGIN
     KEY "Q.ta Ordinata"
     PROMPT 8 1 ""
     MESSAGE _ORDINE,QTA|_ORDINE,CONVUM|ADD,408
     FLAGS "H"
    END
    NUMBER 309 13
    BEGIN
     KEY "Q.ta Evasa"
     PROMPT 9 1 ""
     MESSAGE _ORDINE,QTAEVASA|_ORDINE,CONVUM|ADD,409
     FLAGS "H"
    END    
    VALUTA 310 13
    BEGIN
     KEY "Prezzo non scontato"
     PROMPT 10 1 ""
     MESSAGE _ORDINE,PREZZONS|COPY,410
     DRIVENBY 303
     FLAGS "HU"
    END    
    NUMBER 311 15
    BEGIN
     KEY "Residuo"
     PROMPT 11 1 "" 
     MESSAGE _ORDINE,RESIDUO|_ORDINE,CONVUM|ADD,411
     FLAGS "H"
    END
    NUMBER 312 15
    BEGIN
     KEY "Giacenza attuale"
     PROMPT 12 1 "" 
     MESSAGE _ORDINE,GIACENZA|COPY,512
     FLAGS "H"
    END    
END // END SECTION ARTICOLI

// Totalizers for previous section
NUMBER 401 10
  BEGIN
   PROMPT 1 1 ""
   FLAGS "D"
END
STRING 402 40 2
  BEGIN
   KEY "Descrizione"
   PROMPT 2 1 ""
   FLAGS "D"
END
STRING 403 4
  BEGIN
   KEY "Codice Valuta"
   PROMPT 3 1 ""
   FLAGS "D"
END
DATA 404 10
  BEGIN
   KEY "Data consegna articolo"
   PROMPT 4 1 ""
   FLAGS "D"
END
VALUTA 405 15
  BEGIN
   KEY "Valore Ordinato"
   PROMPT 5 1 ""
//   PICTURE "."
   FLAGS "D"
   //MESSAGE _ORDINE,VALTABLE,VALORD
   DRIVENBY 403
   GROUP G_TOTALEART
END
VALUTA 406 15
  BEGIN
   KEY "Valore Residuo"
   PROMPT 6 1 ""
//   PICTURE "."
   FLAGS "D"
   //MESSAGE _ORDINE,VALTABLE,VALRES
   DRIVENBY 403
   GROUP G_TOTALEART
END   
STRINGA 407 4
  BEGIN
   KEY "Unita' di misura"
   PROMPT 7 1 ""
   FLAGS "D"
   MESSAGE COPY,507
   GROUP G_TOTALEART
  END
NUMBER 408 13
  BEGIN   
   KEY "Q.ta Ordinata"
   PROMPT 8 1 ""
   PICTURE "#@,@@@"
   FLAGS "D"
   MESSAGE ADD,508
   GROUP G_TOTALEART
END
NUMBER 409 13
  BEGIN
   KEY "Q.ta Evasa"
   PROMPT 9 1 ""
   PICTURE "#@,@@@"
   FLAGS "D"
   MESSAGE ADD,509
   GROUP G_TOTALEART
END    
VALUTA 410 13
  BEGIN
   KEY "Pr. non scontato"
   PROMPT 10 1 ""
//   PICTURE "."
   DRIVENBY 403
   FLAGS "D"
   GROUP G_TOTALEART
  END    
NUMBER 411 15
  BEGIN
   KEY "Residuo"
   PROMPT 11 1 "" 
   PICTURE "########@,@@@@@"
   FLAGS "D"
   MESSAGE ADD,511
   GROUP G_TOTALEART
  END
NUMBER 412 15
  BEGIN
     KEY "Giac. attuale"
     PROMPT 12 1 "" 
  END    

END // SEZIONE ARTMAIN  
// Sezioni di totalizzazione per Valuta (4, shown & hidden at runtime by VALTABLE messages in application code)

SECTION TOTVAL1 3 0 1 GROUP
FLAGS "D"
  NUMBER 51 10
  BEGIN
    PROMPT 1 1 ""
  END
  
  STRING 52 40
  BEGIN
    PROMPT 2 1 ""
  END
  
  STRINGA 53 4
  BEGIN
    KEY "Codice valuta #1"
    PROMPT 3 1 ""
  END
  
  DATA 54 10
  BEGIN
    PROMPT 4 1 ""
  END
  
  VALUTA 55 15
  BEGIN
    KEY "Tot Valore Ordinato per cli/fo"
    PROMPT 5 1 ""
   DRIVENBY 53
  END
  
  VALUTA 56 15
  BEGIN
    KEY "Tot Valore Residuo per cli/fo"
    PROMPT 6 1 ""
    DRIVENBY 53
  END

  STRINGA 507 4
  BEGIN
    KEY "Unit di misura"
    PROMPT 7 1 ""
  END
  
  NUMERO 508 15 5
  BEGIN
    KEY "Tot Q.ta ordinata"
    PROMPT 8 1 ""
    PICTURE "########@,@@@@@"
  END

  NUMERO 509 15 5
  BEGIN
    KEY "Tot Q.ta evasa"
    PROMPT 9 1 ""
    PICTURE "########@,@@@@@"
  END
 
 VALUTA 510 13
 BEGIN
   KEY "Pr. Scontato"
   PROMPT 10 1 ""
 END

 NUMERO 511 15 5
 BEGIN
   KEY "Tot Residuo"
   PROMPT 11 1 ""
   PICTURE "########@,@@@@@"
 END
 
 NUMERO 512 15 5
 BEGIN
   KEY "Tot Giacenza"
   PROMPT 12 1 ""
   PICTURE "########@,@@@@@"
 END

END // Fine sezione totale in valuta #1


SECTION TOTVAL2 1 0 1 GROUP
FLAGS "D"
  NUMBER 61 10
  BEGIN
    PROMPT 1 1 ""
  END
  
  STRING 62 40
  BEGIN
    PROMPT 2 1 ""
  END
  
  STRINGA 63 4
  BEGIN
    KEY "Codice valuta #2"
    PROMPT 3 1 ""
  END
  
  DATA 64 10
  BEGIN
    PROMPT 4 1 ""
  END
  
  VALUTA 65 15
  BEGIN
    KEY "Tot Valore Ordinato per cli/fo"
    PROMPT 5 1 ""
    DRIVENBY 63
//    PICTURE "."
  END
  
  VALUTA 66 15
  BEGIN
    KEY "Tot Valore Residuo per cli/fo"
    PROMPT 6 1 ""
    DRIVENBY 63
//    PICTURE "."
  END
END // Fine sezione totale in valuta #2


SECTION TOTVAL3 1 0 1 GROUP
FLAGS "D"
  NUMBER 71 10
  BEGIN
    PROMPT 1 1 ""
  END
  
  STRING 72 40
  BEGIN
    PROMPT 2 1 ""
  END
  
  STRINGA 73 4
  BEGIN
    KEY "Codice valuta #3"
    PROMPT 3 1 ""
  END
  
  DATA 74 10
  BEGIN
    PROMPT 4 1 ""
  END              
  
  VALUTA 75 15
  BEGIN
    KEY "Tot Valore Ordinato per cli/fo"
    PROMPT 5 1 ""
    DRIVENBY 73
//    PICTURE "."
  END
  
  VALUTA 76 15
  BEGIN
    KEY "Tot Valore Residuo per cli/fo"
    PROMPT 6 1 ""
    DRIVENBY 73
//    PICTURE "."
  END
END // Fine sezione totale in valuta #3

SECTION TOTVAL4 1 0 1 GROUP
FLAGS "D"
  NUMBER 81 10
  BEGIN
    PROMPT 1 1 ""
  END
  
  STRING 82 40
  BEGIN
    PROMPT 2 1 ""
  END
  
  STRINGA 83 4
  BEGIN
    KEY "Codice valuta #4"
    PROMPT 3 1 ""
  END
  
  DATA 84 10
  BEGIN
    PROMPT 4 1 ""
  END
  
  VALUTA 85 15
  BEGIN
    KEY "Tot Valore Ordinato per cli/fo"
    PROMPT 5 1 ""
    DRIVENBY 83
//    PICTURE "."
  END
  
  VALUTA 86 15
  BEGIN
    KEY "Tot Valore Residuo per cli/fo"
    PROMPT 6 1 ""
    DRIVENBY 83
//    PICTURE "."
  END
END // Fine sezione totale in valuta #4

END // End of Body


