// Form per la stampa dettaglio disponibilita' articoli
#include "or1200a.h"
// Cursor sorting on main file is set also in application (LIVELLO[]+CODMAG[])
USE LF_RIGHEDOC BY CODART CODNUM ANNO PROVV NDOC
JOIN LF_DOC INTO CODNUM==CODNUM ANNO==ANNO PROVV==PROVV NDOC==NDOC
JOIN LF_ANAMAG INTO CODART==CODART
END

DESCRIPTION
BEGIN
END


GENERAL
BEGIN
  OFFSET 0 0
END


SECTION HEADER ODD 7

STRINGA 1 50
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  100 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 
BEGIN
 KEY "Nr. pagina"
 PROMPT  122 1 "Pag. "
 MESSAGE _PAGENO
END

NUMERO 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  60 2 "Stampa dettaglio disponibilita' articoli"
END

END //HEADER


SECTION BODY ODD 2 COLUMNWISE

STRING 1 20
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Codice" "Codice"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Codice"
 PROMPT 1 1 ""
 FIELD CODART
 MESSAGE _ORDINE,CALCDISP,RESET
END

STRING 2 30 2
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Descrizione" "Descrizione"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Descrizione"
 PROMPT 2 1 ""
 MESSAGE _ORDINE,DESCRIZIONE
END

STRINGA 3 4
BEGIN
 SPECIAL STRINGA INTESTAZIONE "UM" "UM"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Unita' di misura" 
 PROMPT 3 1 ""
 MESSAGE _ORDINE,CALCDISP,PRNUM     // Stampa l'unita' di misura principale
END

STRINGA 4 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Giac. prev." "Giac. prev."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Giacenza prevista (1)" // Solo intestazione
 PROMPT 4 1 ""
END

STRINGA 5 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Sottoscorta" "Sottoscorta"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Sottoscorta(1)" // Solo intestazione
 PROMPT 5 1 ""
END

STRINGA 6 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Giac. prev." "Giac. prev."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Giacenza prevista (2)" // Solo intestazione
 PROMPT 6 1 ""
END

STRINGA 7 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Sottoscorta" "Sottoscorta"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Sottoscorta(2)" // Solo intestazione
 PROMPT 7 1 ""
END

STRINGA 8 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Giac. prev." "Giac. prev."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Giacenza prevista (3)" // Solo intestazione
 PROMPT 8 1 ""
END

STRINGA 9 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Sottoscorta" "Sottoscorta"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Sottoscorta(3)" // Solo intestazione
 PROMPT 9 1 ""
END

STRINGA 10 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Giac. prev." "Giac. prev."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Giacenza prevista (4)" // Solo intestazione
 PROMPT 10 1 ""
END

STRINGA 11 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Sottoscorta" "Sottoscorta"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Sottoscorta(4)" // Solo intestazione
 PROMPT 11 1 ""
END

STRINGA 12 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Giac. prev." "Giac. prev."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Giacenza prevista (5)" // Solo intestazione
 PROMPT 12 1 ""
END

STRINGA 13 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Sottoscorta" "Sottoscorta"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Sottoscorta(5)" // Solo intestazione
 PROMPT 13 1 ""
END

STRINGA 14 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Giac. prev." "Giac. prev."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Giacenza prevista (6)" // Solo intestazione
 PROMPT 14 1 ""
END

STRINGA 15 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Sottoscorta" "Sottoscorta"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Sottoscorta(6)" // Solo intestazione
 PROMPT 15 1 ""
END

// Sta sezzzzzione serve per ciclare/raggruppare sulle righe articolo (tenendo conto anche di livelli/depositi/magazzini)
// In modo da settare la tabella riepilogativa per data, che viene mestamente stampata dopo la sezione, e quindi
// resettata per gli elementi successivi. Once again, the dorkery network.
SECTION ARTICOLI 1 0 0 FILE LF_RIGHEDOC GROUP CODART
  STRINGA 101 10
  BEGIN
    PROMPT 1 1 ""
    KEY "Colonna finta per invocare il messaggio di calcolo"
    MESSAGE _ORDINE,CALCDISP,CALC
  END
END // End section

STRING 51 20
BEGIN
 PROMPT 1 1 ""
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 FLAGS "D"
END

STRING 52 30 2
BEGIN
 PROMPT 2 1 ""
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 FLAGS "D"
END

STRINGA 53 4
BEGIN
 PROMPT 3 1 ""
 FLAGS "D"
END

NUMERO 54 15
BEGIN
 PROMPT 4 1 ""
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNGIAC,1 // Stampa la giacenza per il primo periodo
 PICTURE "########@,@@@@@"
END

NUMERO 55 15
BEGIN
 PROMPT 5 1 ""
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNSOTT,1 // Stampa la situazione di sottoscorta per il primo periodo
 PICTURE "########@,@@@@@"
END

NUMERO 56 15
BEGIN
 PROMPT 6 1 ""
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNGIAC,2 // Secondo periodo
 PICTURE "########@,@@@@@"
END

NUMERO 57 15
BEGIN
 PROMPT 7 1 ""
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNSOTT,2 // Secondo periodo
 PICTURE "########@,@@@@@"
END

NUMERO 58 15
BEGIN
 PROMPT 8 1 ""
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNGIAC,3 // terzo...
 PICTURE "########@,@@@@@"
END

NUMERO 59 15
BEGIN
 PROMPT 9 1 ""
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNSOTT,3
 PICTURE "########@,@@@@@"
END

NUMERO 60 15
BEGIN
 PROMPT 10 1 ""
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNGIAC,4
 PICTURE "########@,@@@@@"
END

NUMERO 61 15
BEGIN
 PROMPT 11 1 ""
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNSOTT,4
 PICTURE "########@,@@@@@"
END

NUMERO 62 15
BEGIN
 PROMPT 12 1 ""
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNGIAC,5
 PICTURE "########@,@@@@@"
END

NUMERO 63 15
BEGIN
 PROMPT 13 1 ""
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNSOTT,5
 PICTURE "########@,@@@@@"
END

NUMERO 64 15
BEGIN
 PROMPT 14 1 ""
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNGIAC,6
 PICTURE "########@,@@@@@"
END

NUMERO 65 15
BEGIN
 PROMPT 15 1 ""
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 MESSAGE _ORDINE,CALCDISP,PRNSOTT,6
 PICTURE "########@,@@@@@"
END

END // End of Body


