// Form di stampa archivio percentuali di provvigione
#include "pr1200a.h"

USE LF_PERCPROV KEY 1 
JOIN APR ALIAS 201 INTO CODTAB==CODPR
END
  
DESCRIPTION
BEGIN
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 10
END

SECTION GRAPHICS FIRST 67

LINEA 1 80 1
BEGIN
 KEY "Riga di separazione titolo/sottotitolo"
 PROMPT 1 3 "@B"
END

LINEA 2 80 1
BEGIN
 KEY "Riga di separazione titolo/corpo"
 PROMPT 1 5 "@B"
END

END

SECTION HEADER ODD 5

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  50 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  70 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  24 2 "Stampa percentuali di provvigione"
END

STRINGA 6 15
BEGIN
  KEY "Codice Archivio"
  PROMPT 2 4 "Archivio: "
  FIELD CODPR
END

STRINGA 7 30
BEGIN
  KEY "Codice Archivio"
  PROMPT 16 4 ""
  FIELD 201@->S0
END

STRINGA 8 6
BEGIN
  KEY "Tipo provvigione (intestazione)"
  PROMPT 40 4 "Tipo"
END

STRINGA 9 15
BEGIN
  KEY "Percentuale provvigione (intestazione)"
  PROMPT 53 4 "% Provvigione"
END

STRINGA 10 10
BEGIN
  KEY "Provvigione ad importo(intestazione)"
  PROMPT 68 4 "Importo"
END

END

SECTION BODY ODD 5

STRINGA 99 20
BEGIN
  KEY "Chiave Ordinamento"
  PROMPT 2 1 ""
  FIELD KEYORD
  MESSAGE _FILLFIELDS
  FLAGS "H"
END

STRINGA FRM_CLI 20
BEGIN
  KEY "Cod. cliente"
  PROMPT 2 1 "Cod. Cliente:  "
  FLAGS "H"
END

STRINGA FRM_CVE 20
BEGIN
  KEY "Cat. Vendita"
  PROMPT 2 1 "Cat. Vendita:  "
  FLAGS "H"
END

STRINGA FRM_AGE 20
BEGIN
  KEY "Cod. Agente"
  PROMPT 2 1 "Cod. Agente:   "
  FLAGS "H"
END

STRINGA FRM_PAG 20
BEGIN
  KEY "Cod. Pagamento"
  PROMPT 2 1 "Cod. Pagamento "
  FLAGS "H"
END

STRINGA FRM_SCO 20
BEGIN
  KEY "Cod. Sconto"
  PROMPT 2 1 "Cod. Sconto:   "
  FLAGS "H"
END

STRINGA FRM_ZON 20
BEGIN
  KEY "Cod. Zona"
  PROMPT 2 1 "Cod. Zona:     "
  FLAGS "H"
END

STRINGA FRM_ART 30
BEGIN
  KEY "Cod. Articolo"
  PROMPT 2 1 "Cod. Articolo: "
  FLAGS "H"
END

STRINGA FRM_GMC 20
BEGIN
  KEY "Cod. GMC"
  PROMPT 2 1 "Cod. GMC:      "
  FLAGS "H"
END

STRINGA FRM_SMC 20
BEGIN
  KEY "Cod. SMC"
  PROMPT 2 1 "Cod. SMC:      "
  FLAGS "H"
END

STRINGA FRM_RFA 20
BEGIN
  KEY "Cod. RFA"
  PROMPT 2 1 "Cod. RFA:      "
  FLAGS "H"
END

LISTA 11 20
BEGIN
  KEY "Tipo di provvigione"
  PROMPT 40 4 "Tipo provvigione: "
  FIELD TIPO
  ITEM "P|Percentuale"
  ITEM "I|Importo unitario"
  ITEM "V|Valore complessivo"
END

NUMBER 12 6
BEGIN
  PROMPT 54 4 ""
  FIELD PERCPROVV
  PICTURE "##@,@@"
END

VALUTA 13 18
BEGIN
  KEY "Importo"
  PROMPT 62 4 ""
  FIELD IMPORTO
END

END

END // Section body

