Attribute VB_Name = "Modulo1"
Private Declare Function hl_getstr Lib "dumbvb.dll" (ByRef b() As Byte) As Integer
Private Declare Function hl_code Lib "dumbvb.dll" (ByRef b() As Byte) As Integer
Function GetAut(Modulo As Integer) As Boolean
  
  Dim risultato(18) As Byte
  Dim tmp_res(18) As Byte
  Dim chiave(18) As Byte
  Dim terzo_carattere As Byte
  Dim ultimo_carattere As Byte
  Dim stringa_segreta As String
  Dim stringa_tmp As String

  stringa_segreta = "P39S41"
  '  Genera un numero casuale di 6 cifre...
  '  Questo e' solo un esempio, ma in realta
  '  Andrebbe generato un numero veramente casuale...
  '  La Randomize e' chiamata una sola volta al
  '  caricamento della form

  stringa_tmp = Format(Modulo, "000")
  For i = 0 To 14
    If (i < 6) Then
      chiave(i) = Asc(Mid(stringa_segreta, i + 1, 1)) ' I primi 6 chars sono la stringa segreta
    ElseIf (i < 12) Then
      chiave(i) = Int((10 * Rnd)) ' Questo e' il numero casuale generato
'      chiave(i) = 9
    Else
      chiave(i) = Asc(Mid(stringa_tmp, i - 11, 1)) ' Questo e' il numero del modulo (zerofilled)
    End If
  Next i

  
  ' Codifica la stringa chiave tramite la stringa casuale
  ' Esegue la somma algebrica dei valori ASCII dei singoli caratteri
  For i = 0 To 17
    If i > 8 Then
      risultato(i) = Asc(" ") ' I caratteri in eccesso diventano blanks
    Else
      risultato(i) = chiave(i) + chiave(i + 6)
    End If
  Next i
  
  ' Chiama la funzione hl_code(), che effettua una ulteriore crittografazione
  copia_array tmp_res, risultato
  hl_code risultato
  If compara_array(risultato, tmp_res) Then
    GetAut = False ' Se le stringhe sono uguali significa che la chiave non c'e' o che qualcuno sta
    Exit Function   ' cercando di sproteggere il programma
  End If
  
  ' Ora passiamo la stringa criptata alla DLL per farci restituire l'autorizzazione
  copia_array tmp_res, risultato
  hl_getstr risultato
  
  ' Chiama la funzione hl_code(), che effettua la crittografazione al contrario
  copia_array tmp_res, risultato
  hl_code risultato
  If compara_array(risultato, tmp_res) Then
    GetAut = False ' Se le stringhe sono uguali significa che la chiave non c'e' o che qualcuno sta
    Exit Function   ' cercando di sproteggere il programma
  End If
  
  ' Adesso possiamo estrarre l'autorizzazione
  ' Ricodifichiamo seguendo il procedimento inverso:
  ' Sottraiamo i valori  ASCII dal risultato carattere per carattere
  ' In realta' l'autorizzazione e' codificata nel terzo carattere della stringa
  terzo_carattere = risultato(2) - Asc(Mid(stringa_segreta, 3, 1))
  ultimo_carattere = Chr(risultato(8) - terzo_carattere)

  If ultimo_carattere = "1" Then
    GetAut = True
  Else
    GetAut = False
  End If
  
End Function

Public Function compara_array(b1() As Byte, b2() As Byte) As Boolean
' confronta gli elementi di b1 e b2 e ritorna True se gli elementi sono tutti
' uguali. Sono significativi solo i primi 16 bytes
compara_array = True
For i = 0 To 15
  If b1(i) <> b2(i) Then
    compara_array = False
    Exit For
  End If
Next i
End Function
Sub copia_array(b1() As Byte, b2() As Byte)
' copia gli elementi di b2 in b1
For i = 0 To 15
 b1(i) = b2(i)
Next i
End Sub

