#include "sv1100a.h"

USE 5 KEY 2
JOIN LF_AGENTI INTO CODAGE=S4
JOIN LF_ANAMAG INTO CODART=S0[1,20]
JOIN LF_CLIFO INTO CODCF=S8|CODCF=I8

END

DESCRIPTION
BEGIN
  5->* "Tabella temporanea di stampa"
END

GENERAL
BEGIN
  OFFSET 0 0
END


SECTION HEADER ODD 10

NUMERO 1
BEGIN
 KEY "Pagina"
 PROMPT 70 2 "Pagina "
 MESSAGE _PAGENO
END

STRINGA FF_TITOLO
BEGIN
 KEY "Pagina"
 PROMPT 30 3 "Stampa schede "
END

STRINGA 3
BEGIN
 KEY "Codice agente"
 PROMPT 2 5 "@B"
 FIELD LF_AGENTI->CODAGE
END

STRINGA 4
BEGIN
 KEY "Ragione sociale"
 PROMPT 9 5 ""
 FIELD LF_AGENTI->RAGSOC
END


STRINGA FF_AGENTE
BEGIN
 KEY "Agente completo"
 PROMPT 2 7 "Agente "
 FLAGS "H"
END

END

SECTION BODY ODD -2 COLUMNWISE

STRINGA 101 40 2
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Descrizione" "Descrizione"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Descrizione"
 PROMPT 1 1 ""
 FIELD S1
END

VALUTA FF_FIRSTCOLUMN 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Netto scontato" "Netto scontato"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Netto"
 PROMPT 2 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R0
END

VALUTA FF_SECONDCOLUMN 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Lordo scontato" "Lordo scontato"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Lordo"
 PROMPT 3 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R1
END

VALUTA 104 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Jolly1" "Jolly1"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Jolly1"
 PROMPT 4 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R2
END

VALUTA 105 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Jolly2" "Jolly2"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Jolly2"
 PROMPT 5 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R3
END

VALUTA 106 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Jolly3" "Jolly3"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Jolly3"
 PROMPT 6 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R4
END

VALUTA 107 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Jolly4" "Jolly4"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Jolly4"
 PROMPT 7 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R5
END

VALUTA 108 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Jolly5" "Jolly5"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Jolly5"
 PROMPT 8 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R6
END

VALUTA 109 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Jolly6" "Jolly6"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Jolly6"
 PROMPT 9 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R7
END

VALUTA 110 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Jolly7" "Jolly7"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Jolly7"
 PROMPT 10 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R8
END

VALUTA 111 17
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Jolly8" "Jolly8"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Jolly8"
 PROMPT 11 1 ""
 PICTURE "#.###.###.###.###"
 FIELD R9
END

SECTION RIGAVUOTA 2 1 1 NORMAL STREXPR (5->B8!="")
  
  STRINGA 883
  BEGIN
    PROMPT 1 1 ""
  END
  
END


END    // Fine body

SECTION FOOTER ODD 2
END    // Fine footer

END    // Fine Form
