// Libreria generica per applicazioni CGI della formazione a distanza

// Applicazione generica
////////////////////////

#include "defines.h"




class Application
{
  int __argc;
  const char** __argv;
  
protected:
  virtual bool create()  { return TRUE; }
  virtual bool destroy() { return TRUE; }
  virtual void main_func()  {};
  virtual void print_content();
  virtual void print_bin_content();
  virtual void print_database_error();
  virtual void print_header(const char* title);
  virtual void print_footer();
public:
  int argc() const               { return __argc;  }  
  const char** argv() const      { return __argv; }
  const char* argv(int i) const  { return __argv[i]; }

  virtual void run(int argc, char* argv[]);
  Application() {};
  virtual ~Application() {};
};




