
#ifndef _DEFINES_H
#define _DEFINES_H

#include <fstream.h>
#include <bool.h>
#include <String.h>
#include <Rational.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h> 


#define POSTGRES_HOST "localhost"
#define POSTGRES_PORT ""
#define POSTGRES_DB   "corsi"
#define FAD_DIR            "/corsi/"
#define FAD_ROOT           "/disk2/html/corsi/corso_"
#define FAD_CGI            FAD_DIR"cgi-bin/"
#define GET_MODULE_CGI     FAD_CGI"get_module.cgi"
#define LOGIN_CGI          FAD_CGI"login.cgi"
#define LOGOUT_CGI         FAD_CGI"logout.cgi"
#define CHECK_ANSWERS_CGI  FAD_CGI"check_answers.cgi"
#define MAXMODULES    64
#define MAXQUESTIONS  20
#define MAXANSWERS    5
#define ERROR_FILE    "__error" // File fittizio per segnalare gli errori

static Rational ZERO(0);

#ifdef __cplusplus
extern "C" {
#endif
void getword(char *word, char *line, char stop);
char *makeword(char *line, char stop);
char *fmakeword(FILE *f, char stop, int *cl);
char x2c(char *what);
void unescape_url(char *url);
void plustospace(char *str);
int rind(char *s, char c);
int getline(char *s, int n, FILE *f);
void send_fd(FILE *f, FILE *fd);
off_t fsize(const char* n);
char * itoa(int);
char * ltoa(long);
char * dtoa(double);
void trim(String& s);
#ifdef __cplusplus
 }
#endif

#endif
