#ifndef _ABLI09_H
#define _ABLI09_H

#ifndef _RECARRAY_H
#include <recarray.h>
#endif

class TRWrecord_cache : public TRecord_cache
{
  TAssoc_array _flags;

protected:
  THash_object * get_some_obj();
  virtual const TString & getkey2discard();
public:                 
  virtual void discard(const TString & k);
  virtual void put(const TRectype &r);
  virtual const TRectype& get(const char* chiave);

  void clear();
  void flush();

  TRWrecord_cache(TLocalisamfile *f, int key = 1, bool lock=FALSE);
  TRWrecord_cache(int num, int key = 1, bool lock=FALSE);
  TRWrecord_cache(const char* table, int key = 1, bool lock=FALSE);
  virtual ~TRWrecord_cache() ;
};
#endif
