// ex03dlg.h : header file
//
#include "arclib.h"
#include "memstore.h"
#include "glarc.h"

/////////////////////////////////////////////////////////////////////////////
// CEx03mfcDlg dialog

class CEx03mfcDlg : public CDialog
{
// Construction
public:
	CEx03mfcDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEx03mfcDlg)
	enum { IDD = IDD_EX03MFC_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEx03mfcDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
    void UpdateStatus();
    ALGlArchive m_Archive;
    ALMemory m_File;
    ALEntryList *m_pList;
    ALMonitor *m_pMonitor;

    HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEx03mfcDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExit();
	afx_msg void OnAbout();
	afx_msg void OnCompress();
	afx_msg void OnClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

