USE 116
JOIN 90 INTO CODICE==CODICE
JOIN 115 INTO NUMERO==NUMERO
JOIN LCP TO 90 ALIAS 100 INTO CODTAB==DOM_CODLOC
JOIN LDN TO 90 ALIAS 400 INTO CODTAB==PUNTORACC
JOIN 13 TO 90 ALIAS 501 INTO COM==DOM_CODCOM
JOIN 96 TO 90 INTO CODSEZ==CODSEZ|CODSOT==CODSOT
JOIN LCP TO 400@ ALIAS 102 INTO CODTAB==S7
JOIN 13 TO 400@ ALIAS 503 INTO COM==S6

END
DESCRIPTION
BEGIN
   116->* "Righe convocazioni"
   115->* "Convocazioni"
   90->* "Soggetti Sezioni AVIS"
   13->* "COMUNI"
   100@->* "Localita' postali"
   400@->* "Punti di prelievo"
   96->* "Sezioni associative"
END

GENERAL
BEGIN
   OFFSET 0 0
   FONT "Roman 12cpi"
   SIZE 12
   GRID ""
END

SECTION BODY ODD 24

STRINGA 1 25
BEGIN
   KEY "Cognome"
   FIELD 90->COGNOME
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE RESET,3|COPY,3
END

STRINGA 2 25
BEGIN
   KEY "Nome"
   FIELD 90->NOME
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE APPEND,3
END

STRINGA 3 51 
BEGIN
   KEY "Cognome e nome"
   PROMPT 56 16 ""
END

STRINGA 4 30 
BEGIN
   KEY "Indirizzo"
   FIELD 90->DOM_INDIR
   PROMPT 56 17 ""
END

STRINGA 5 4
BEGIN
   KEY "Codice localita'"
   FIELD 90->DOM_CODLOC
   PROMPT 0 0 ""
   FLAGS "H"
END

STRINGA 6 5
BEGIN
   KEY "CAP"
   //FIELD 100@->S6
   //FIELD 501@->CAPCOM
   FIELD 90->DOM_CAP
   PROMPT 56 19 ""
END

STRINGA 7 30
BEGIN
   KEY "Denominazione localita' o comune"
   FIELD 100@->S0
   FIELD 501@->DENCOM
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE RESET,9|COPY,9
END

STRINGA 8 5
BEGIN
   KEY "Provincia"
   FIELD 501@->PROVCOM
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE APPEND,9
END

STRINGA 9 50 2
BEGIN
   KEY "Loc./Com. e Prov."
   PROMPT 62 19 ""
END

STRINGA 10 25
BEGIN
 KEY "Invito per"
 PROMPT 11 4 "per DONAZIONE SANGUE"
 //FIELD 115->TIPO
END

STRINGA 11 25
BEGIN
 KEY "Data convocazione"
 PROMPT 37 2 ""
 FIELD 116->DATACONV
END

STRINGA 12 10
BEGIN
   KEY "TESTO"
   PROMPT 11 5 "Presso"
END

STRINGA 13 50
BEGIN
 KEY "Presso: denominazione punto di prelievo"
 PROMPT 11 6 ""
 FIELD 400@->S0
END

STRINGA 14 50
BEGIN
 KEY "Presso: indirizzo punto di prelievo"
 PROMPT 11 7 ""
 FIELD 400@->S1
END

STRINGA 15 4
BEGIN
   KEY "Codice localita'"
   FIELD 400@->S7
   PROMPT 0 0 ""
   FLAGS "H"
END

STRINGA 16 5
BEGIN
   KEY "CAP"
   //FIELD 102@->S6
   //FIELD 503@->CAPCOM
   FIELD 400@->S8
   PROMPT 11 8 ""
END

STRINGA 17 30
BEGIN
   KEY "Denominazione localita' o comune"
   FIELD 102@->S0
   FIELD 503@->DENCOM
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE RESET,20|COPY,20
END

STRINGA 18 5
BEGIN
   KEY "Provincia"
   FIELD 503@->PROVCOM
   PROMPT 0 0 ""
   FLAGS "H"
   MESSAGE APPEND,20
END

STRINGA 19 20
BEGIN
 KEY "telefoni"
 PROMPT 0 0 "-"
 FIELD 400@->S4
 FLAGS "H"
 MESSAGE APPEND,20
END


STRINGA 20 50 2
BEGIN
   KEY "Loc./Com. e Prov."
   PROMPT 17 8 ""
END

STRINGA 21 50
BEGIN
 KEY "orario"
 PROMPT 11 9 ""
 FIELD 400@->S2
END

STRING 22 2
BEGIN
 KEY "Sezione"
 PROMPT 20 16 ""
 FIELD 90->CODSEZ
END

STRING 23 2
BEGIN
 KEY "Sottogruppo"
 FIELD 90->CODSOT
 PROMPT 22 16 ""
END

STRING 24 2
BEGIN
 KEY "Categoria"
 FIELD 90->CATDON
 PROMPT 30 16 ""
END

STRINGA 25 2
BEGIN
   KEY "Cartella clinica"
   FIELD 90->CODCL
   PROMPT 35 16 ""
END

STRINGA 26 6
BEGIN
   KEY "Tessera"
   FIELD 90->TESSAVIS
   PROMPT 37 16 ""
END

STRINGA 27 25
BEGIN
   KEY ""
   PROMPT 20 19 "Presentarsi a digiuno"
END

STRING 28 4
BEGIN
 KEY "Gruppo az."
 PROMPT 15 16 ""
 FIELD 90->GRUPPOAZIE
END

STRING 29 30
BEGIN
 KEY "Gruppo az."
 PROMPT 56 18 ""
 FIELD 90->DOM_DISTRI
END


END

END
