#ifndef __BA1600_H
#define __BA1600_H

#ifndef __CONFIG_H
#include <config.h>
#endif

class TInstall_ini : public TConfig
{ 
public:
  int build_list(const TString& m, TString_array& a, 
                 const char* s = NULL, bool agg = FALSE);
  int build_complete_list(const TString& m, TString_array& a, 
                          const char* s = NULL, bool agg = FALSE);
  int build_app_list(const TString& m, TString_array& a);
  int build_kill_list(const TString& m, TString_array& a, 
                 const char* s = NULL, bool agg = FALSE);
  void export_paragraph(const char* module, const char* summary,const bool remove);
  void export_module_paragraphs(const char* module, const char* summary,const bool remove);
  
  bool demo() { return get_bool("Demo", "Main"); }
  const TString& version(const char* module);
  int patch(const char* module);
  void version_info(const char* module, 
                    int& year, int& release, int& tag, int& patch);
  bool update_prices(const char* src_ini);
  void prices(const char* module, word users, real& full, real& manut, bool correct_ass=TRUE);
  
  static const char* default_name() { return "install.ini"; }

  TInstall_ini() : TConfig("install.ini", "Main") { }
  TInstall_ini(const char* path) : TConfig(path, "Main") { }
  TInstall_ini(const char* path, const char * paragraph) : TConfig(path, paragraph) { }
  virtual ~TInstall_ini() { }
};

#endif
