#include "ce3100.h"

USE LF_CESPI
JOIN %CAC ALIAS 101 INTO CODTAB[1,2]==CODCGRA CODTAB[3,6]==CODSPA CODTAB[7,8]==CODCAT
JOIN LF_SALCE TO LF_CESPI ALIAS 102 INTO IDCESPITE==IDCESPITE
JOIN ESC TO LF_SALCE ALIAS 103 INTO CODTAB==CODES
JOIN LF_AMMCE TO LF_SALCE ALIAS 104 INTO IDCESPITE==IDCESPITE CODES==CODES TPSALDO==TPSALDO
JOIN LF_MOVCE TO LF_CESPI KEY 2 ALIAS 105 INTO IDCESPITE==IDCESPITE
JOIN LF_MOVAM TO LF_MOVCE ALIAS 106 INTO IDCESPITE==IDCESPITE IDMOV==IDMOV
JOIN LF_AMMMV TO LF_MOVCE ALIAS 107 INTO IDCESPITE==IDCESPITE IDMOV==IDMOV
JOIN %TMC TO LF_MOVCE ALIAS 108 INTO CODTAB==CODMOV
END

SECTION HEADER FIRST 9
    
  STRINGA FR_CODDITTA
  BEGIN
    KEY "Codice ditta"
    PROMPT 1 1 "@bDitta@r  "
    PICTURE "#####"
      MESSAGE RESET,F0->FR_TG_ELEM          
      MESSAGE RESET,F0->FR_TG_CSTO          
      MESSAGE RESET,F0->FR_TG_VNONAMM       
      MESSAGE RESET,F0->FR_TG_TOTRIV        
      MESSAGE RESET,F0->FR_TG_VALAMM        
      MESSAGE RESET,F0->FR_TG_RESAMM
      MESSAGE RESET,F0->FR_TG_MINUSVALENZA
      MESSAGE RESET,F0->FR_TG_PLUSVALENZA        
      MESSAGE RESET,F0->FR_TG_PLUSREIN     
      MESSAGE RESET,F0->FR_TG_FONDOAMM     
      MESSAGE RESET,F0->FR_TG_QNONAMM      
      MESSAGE RESET,F0->FR_TG_VSPMANU      
      MESSAGE RESET,F0->FR_TG_AE_NORMALE   
      MESSAGE RESET,F0->FR_TG_AE_ACCELERATO
      MESSAGE RESET,F0->FR_TG_AE_ANTICIPATO
      MESSAGE RESET,F0->FR_TG_AR_NORMALE   
      MESSAGE RESET,F0->FR_TG_AR_ACCELERATO
      MESSAGE RESET,F0->FR_TG_AR_ANTICIPATO
  END  
    
  STRINGA FR_RAGSOC
  BEGIN
    KEY "Ragione sociale"
    PROMPT 15 1 ""
  END
  
  STRINGA FR_GRUPPO
  BEGIN
    KEY "Gruppo"
    PROMPT 1 2 "@bGruppo@r "
    PICTURE "#####"
  END

  STRINGA FR_D_GRUPPO
  BEGIN
    KEY "Descrizione Gruppo"
    PROMPT 15 2 ""
  END

  STRINGA FR_SPECIE
  BEGIN
    KEY "Specie"
    PROMPT 1 3 "@bSpecie@r "
    PICTURE "#####"
  END

  STRINGA FR_D_SPECIE
  BEGIN    
    KEY "Descrizione Specie"
    PROMPT 15 3 ""
  END
  
  DATA FR_DATAINIZIO
  BEGIN
    KEY "Data inizio esercizio"
    PROMPT 1 4 "@bEsercizio@r     " 
  END
  
  DATA FR_DATAFINE
  BEGIN
    KEY "Data fine esercizio"
    PROMPT 25 4 " @b-@r "
  END
  
  STRINGA FR_NUMGIORNI
  BEGIN
    KEY "Numero giorni"
    PROMPT 45 4 "@bGiorni@r "
  END

  STRINGA FR_NUMGIOSOL
  BEGIN
    KEY "giorni solari"
    PROMPT 56 4 "@bsu@r "
  END    

  STRINGA -1
  BEGIN
    KEY "giorni solari"
    PROMPT 63 4 "@bsolari@r "
  END    
  
  STRINGA FR_SITUAZIONE
  BEGIN
    KEY "tipo situaz. da stampare"
    PROMPT 70 4 ""
  END   
  
  STRINGA FR_LIBROCESPITI
  BEGIN
    KEY "Libro cespiti"
    PROMPT 96 4 "@bLIBRO CESPITI@r " 
  END

  STRINGA -1
  BEGIN
    KEY "riga"
    PROMPT 1 5 "@b___________________________________________________________________________________________________________________________________________________@r"
  END             

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 1 6 "@bData mov.@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 13 6 "@bTipo movimento@r"
  END
  
  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 40 6 "@bDescrizione movimento@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 100 6 "@bElem@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 110 6 "@bCosto stor.cesp@r"
  END
  
  STRINGA -1 
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 130 6 "@bParte n.amm costo@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 13 7 "@bTp@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 16 7 "@bNum.doc@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 26 7 "@bData doc@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 45 7 "@bImporto movimento@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 65 7 "@bxCalc.deduc.man.@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 85 7 "@bTot.rivalutazioni@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 108 7 "@bValore da ammort@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 130 7 "@bResiduo da amm.@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 16 8 "@bMinusv.patrimon.@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 35 8 "@bPlusval.patrimon.@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 80 8 "@bPlusval.reinvestita@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 106 8 "@bFondo ammort.@r"
  END

  STRINGA -1
  BEGIN
    KEY "Intestazione stampa"
    PROMPT 128 8 "@bQuota non + amm.@r"
  END

  STRINGA -1
  BEGIN
    KEY "riga"
    PROMPT 1 9 "@b___________________________________________________________________________________________________________________________________________________@r"
  END             

END // end section header first (INTESTAZIONE REGISTRO VERA E PROPRIA)

////

SECTION HEADER EVEN 2
    STRINGA -1
    BEGIN
      KEY "riga"
      PROMPT 1 1 "@b___________________________________________________________________________________________________________________________________________________@r"
    END             

    NUMERO FR_CAT
    BEGIN
      KEY "Codice categoria"
      PROMPT 1 2 "@bCATEGORIA@r "
      PICTURE "@@"
      FIELD LF_CESPI->CODCAT
      MESSAGE RESET,F1->FR_TC_ELEM          
      MESSAGE RESET,F1->FR_TC_CSTO          
      MESSAGE RESET,F1->FR_TC_VNONAMM       
      MESSAGE RESET,F1->FR_TC_TOTRIV        
      MESSAGE RESET,F1->FR_TC_VALAMM        
      MESSAGE RESET,F1->FR_TC_RESAMM
      MESSAGE RESET,F1->FR_TC_MINUSVALENZA
      MESSAGE RESET,F1->FR_TC_PLUSVALENZA        
      MESSAGE RESET,F1->FR_TC_PLUSREIN     
      MESSAGE RESET,F1->FR_TC_FONDOAMM     
      MESSAGE RESET,F1->FR_TC_QNONAMM      
      MESSAGE RESET,F1->FR_TC_VSPMANU      
      MESSAGE RESET,F1->FR_TC_AE_NORMALE   
      MESSAGE RESET,F1->FR_TC_AE_ACCELERATO
      MESSAGE RESET,F1->FR_TC_AE_ANTICIPATO
      MESSAGE RESET,F1->FR_TC_AR_NORMALE   
      MESSAGE RESET,F1->FR_TC_AR_ACCELERATO
      MESSAGE RESET,F1->FR_TC_AR_ANTICIPATO
    END
    
    STRINGA FR_D_CAT 60
    BEGIN
      KEY "Descrizione categoria"
      PROMPT 15 2 ""
      MESSAGE _DESCAT,H2->FR_GRUPPO,H2->FR_SPECIE,FR_CAT
    END
    
END // section header even (INTESTAZIONE CATEGORIA)

////

SECTION HEADER ODD 3

    STRINGA -1
    BEGIN
      KEY "riga"
      PROMPT 1 1 "@b___________________________________________________________________________________________________________________________________________________@r"
    END

    STRINGA -1 
    BEGIN
      KEY "Id. cespite"
      PROMPT 1 2 "@bCESPITE@r "
      FIELD LF_CESPI->IDCESPITE
      MESSAGE RESET,B1->FR_AE_NORMALE|RESET,B1->FR_AE_ACCELERATO|RESET,B1->FR_AE_ANTICIPATO
      MESSAGE RESET,B1->FR_AR_NORMALE|RESET,B1->FR_AR_ACCELERATO|RESET,B1->FR_AR_ANTICIPATO
    END
    
    STRINGA -1 60
    BEGIN
      KEY "Descrizione cespite"
      PROMPT 20 2 ""
      FIELD LF_CESPI->DESC
    END
                
    DATA -1
    BEGIN
      KEY "Data acquisizione"
      PROMPT 85 2 "@bData acq.@r "
      FIELD LF_CESPI->DTCOMP
    END
                  
    DATA -1
    BEGIN
      KEY "Data entrata in funzione"
      PROMPT 107 2 "@bEntr. in funz.@r "
      FIELD LF_CESPI->DTFUNZ
    END

END // section header odd (INTESTAZIONE CESPITE)

////

SECTION HEADER LAST 3
  
  DATA -1
  BEGIN
    KEY "Data inizio esercizio"
    PROMPT 1 1 ""
    FIELD 103@->D0
  END
                     
  STRINGA -1                     
  BEGIN
    KEY "Descrizione"
    PROMPT 16 1 "Ripresa saldi"
  END
                     
  NUMERO -1 3
  BEGIN
    KEY "Elementi"
    PROMPT 101 1 ""
    PICTURE "###"
    FIELD 102@->NUMELE
  END  
  
  VALUTA FR_SI_CSTO 18
  BEGIN
    KEY "Costo stor."
    PROMPT 110 1 ""
    FIELD 102@->CSTO
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_SI_VNONAMM 18
  BEGIN
    KEY "Parte n.amm"
    PROMPT 130 1 ""
    FIELD 102@->VNONAMM
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA FR_SI_RIVGF 18
  BEGIN
    KEY "RIVGF"
    PROMPT 0 0 ""
    FLAGS "H"
    FIELD 102@->RIVGF
    PICTURE "##.###.###.###.@@@"
  END  

  VALUTA FR_SI_RIVGC 18
  BEGIN
    KEY "RIVGC"
    PROMPT 0 0 ""
    FLAGS "H"
    FIELD 102@->RIVGC
    PICTURE "##.###.###.###.@@@"
  END  

  LISTA -1
  BEGIN
    KEY "TPAMM"
    FLAGS "H"
    PROMPT 0 0 ""
    ITEM "1|1"
      MESSAGE RESET,FR_SI_RIVGC
    ITEM "2|2"
      MESSAGE RESET,FR_SI_RIVGF
    ITEM "3|3"
      MESSAGE RESET,FR_SI_RIVGF
    FIELD 104@->TPAMM
  END
    
  VALUTA FR_SI_TOTRIV 18 
  BEGIN
    KEY "Totale rivalutazioni"
    PROMPT 84 2 ""
    MESSAGE _NUMEXPR,102@->RIV75+102@->RIV83+102@->RIV90+102@->RIV91+#FR_SI_RIVGF+#FR_SI_RIVGC
    PICTURE "##.###.###.###.@@@"
  END 
  
  VALUTA FR_SI_VALAMM 18
  BEGIN
    KEY "Valore da ammortizzare"
    PROMPT 108 2 ""
    MESSAGE _NUMEXPR,#FR_SI_CSTO-#FR_SI_VNONAMM+#FR_SI_TOTRIV
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA -1 18
  BEGIN
    KEY "Residuo da ammortizzare"
    PROMPT 128 2 ""
    MESSAGE _NUMEXPR,#FR_SI_VALAMM-(104@->QNOR+104@->QACC+104@->QANT+104@->QPERSE+104@->FPRIVATO+104@->QPPRIVATE)
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA -1 18
  BEGIN
    KEY "Plusvalenza reinvestita"
    PROMPT 82 3 ""
    FIELD 102@->PLUSREIN
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA -1 18
  BEGIN
    KEY "Fondo ammortamento"
    PROMPT 106 3 ""
    MESSAGE _NUMEXPR,104@->QNOR+104@->QACC+104@->QANT
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA -1 18
  BEGIN
    KEY "Quota non + amm."
    PROMPT 126 3 ""
    MESSAGE _NUMEXPR,104@->QPERSE+104@->FPRIVATO+104@->QPPRIVATE
    PICTURE "##.###.###.###.@@@"
  END

END // end section header last (SALDI INIZIALI)

////

SECTION BODY FIRST 9

  NUMERO FR_MV_SEGNO 2
  BEGIN
    KEY "Segno movimento"
    PROMPT 0 0 ""
    FLAGS "H"
  END

  DATA -1
  BEGIN 
    KEY "Data movimento"
    PROMPT 1 1 ""
    FIELD 105@->DTMOV
  END                                
  
  STRINGA -1 1
  BEGIN
    KEY "Tipo movimento"
    PROMPT 13 1 ""
    FIELD 105@->CODMOV
  END
  
  STRINGA -1 20
  BEGIN
    KEY "Descrizione tipo movimento"
    PROMPT 15 1 ""
    FIELD 108@->S0
  END
  
  STRINGA -1 40
  BEGIN
    KEY "Descrizione movimento"
    PROMPT 40 1 ""
    FIELD 105@->DESC
  END

  NUMERO FR_MV_NUMELE 3
  BEGIN
    KEY "Numero elementi"
    PROMPT 101 1 "" 
    PICTURE "###"
    MESSAGE _NUMEXPR,105@->NUMELE*#FR_MV_SEGNO
    MESSAGE ADD,BO->FR_MV_NUMELE
  END
  
  VALUTA FR_MV_CSTO 18
  BEGIN
    KEY "Costo"
    PROMPT 110 1 ""
    MESSAGE _NUMEXPR,105@->CSTO*#FR_MV_SEGNO
    MESSAGE ADD,BO->FR_MV_CSTO
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_VNONAMM 18
  BEGIN
    KEY "Parte n.amm"
    PROMPT 130 1 ""
    MESSAGE _NUMEXPR,105@->VNONAMM*#FR_MV_SEGNO
    MESSAGE ADD,BO->FR_MV_VNONAMM
    PICTURE "##.###.###.###.@@@"
  END
    
  STRINGA -1 2
  BEGIN
    KEY "Tipo doc."
    PROMPT 13 2 ""
    FIELD 105@->TPDOC
  END

  STRINGA -1 7
  BEGIN
    KEY "Numero doc."
    PROMPT 16 2 ""
    FIELD 105@->NDOC
  END
  
  DATA -1
  BEGIN
    KEY "Data doc."
    PROMPT 26 2 ""
    FIELD 105@->DTDOC
  END

  VALUTA FR_MV_IMPVEN 18
  BEGIN
    KEY "Importo mov."
    PROMPT 45 2 ""
    FIELD 105@->IMPVEN
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_IMPVEN_S 18
  BEGIN
    KEY "Importo mov. (con segno !)"
    FLAGS "H"
    PROMPT 45 2 ""
    MESSAGE _NUMEXPR,#FR_MV_IMPVEN*#FR_MV_SEGNO
    MESSAGE ADD,BO->FR_MV_IMPVEN
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_MV_RIVGF 18
  BEGIN
    KEY "RIVGF"
    PROMPT 0 0 ""
    FLAGS "H"
    FIELD 105@->RIVGF
    PICTURE "##.###.###.###.@@@"
  END  

  VALUTA FR_MV_RIVGC 18
  BEGIN
    KEY "RIVGC"
    PROMPT 0 0 ""
    FLAGS "H"
    FIELD 105@->RIVGC
    PICTURE "##.###.###.###.@@@"
  END  

  LISTA -1
  BEGIN
    KEY "TPAMM"
    FLAGS "H"
    PROMPT 0 0 ""
    ITEM " | "
    ITEM "1|1"
      MESSAGE RESET,FR_MV_RIVGC
    ITEM "2|2"
      MESSAGE RESET,FR_MV_RIVGF
    ITEM "3|3"
      MESSAGE RESET,FR_MV_RIVGF
    FIELD 106@->TPAMM
  END
    
  VALUTA FR_MV_TOTRIV 18
  BEGIN
    KEY "Totale rivalutazioni"
    PROMPT 84 2 ""
    MESSAGE _NUMEXPR, (105@->RIV75+105@->RIV83+105@->RIV90+105@->RIV91+#FR_MV_RIVGF+#FR_MV_RIVGC)*#FR_MV_SEGNO
    MESSAGE ADD,BO->FR_MV_TOTRIV
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_MV_VALAMM 18
  BEGIN
    KEY "Valore da ammortizzare (con segno!!!)"
    PROMPT 108 2 ""
    MESSAGE _NUMEXPR, #FR_MV_CSTO-#FR_MV_VNONAMM+#FR_MV_TOTRIV
    MESSAGE ADD,BO->FR_MV_VALAMM
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_RESAMM 18
  BEGIN
    KEY "Residuo da ammortizzare (con segno!!!)"
    PROMPT 128 2 ""
    MESSAGE _NUMEXPR, #FR_MV_VALAMM-(106@->QNOR+106@->QACC+106@->QANT+106@->QPERSE+106@->FPRIVATO+106@->QPPRIVATE)*#FR_MV_SEGNO
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA FR_MV_PLUSREIN 18
  BEGIN
    KEY "Plusvalenza reinvestita"
    PROMPT 82 3 "" 
    MESSAGE _NUMEXPR,#FR_MV_SEGNO*105@->PLUSREIN
    MESSAGE ADD,BO->FR_MV_PLUSREIN
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_FONDOAMM 18
  BEGIN
    KEY "Fondo ammortamento (con segno!!)"
    PROMPT 106 3 ""
    MESSAGE _NUMEXPR, (106@->QNOR+106@->QACC+106@->QANT)*#FR_MV_SEGNO
    MESSAGE ADD,BO->FR_MV_FONDOAMM
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_MV_QNONAMM 18
  BEGIN
    KEY "Quote non + ammortizzabili"
    PROMPT 126 3 ""
    MESSAGE _NUMEXPR, (106@->QPERSE+106@->FPRIVATO+106@->QPPRIVATE)*#FR_MV_SEGNO
    MESSAGE ADD,BO->FR_MV_QNONAMM
    PICTURE "##.###.###.###.@@@"
  END
  
  // ammortamenti da ammmv

  NUMERO -1 7
  BEGIN
    KEY "Percentuale amm. normale"
    PROMPT 43 4 ""
    PICTURE "###,@@@"
    FIELD 107@->PENOR              
    MESSAGE ENABLE,1@
    MESSAGE EMPTY RESET,1@|DISABLE,1@
  END 
  
  STRINGA -1 1
  BEGIN
    KEY "%"
    PROMPT 50 4 "%" 
    GROUP 1
  END

  STRINGA -1 
  BEGIN
    KEY "Descrizione amm. normale"
    PROMPT 16 4 "Ammortamento normale:" 
    GROUP 1
  END
  
  VALUTA FR_MV_QNOR 18
  BEGIN
    KEY "Quota amm. normale"
    PROMPT 106 4 ""
    FIELD 107@->QNOR 
    MESSAGE ADD,BE->FR_AE_NORMALE
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  VALUTA FR_MV_QNOR_SEGNO 18
  BEGIN
    KEY "Quota amm. normale con segno"
    PROMPT 106 4 ""
    FLAGS "H"
    MESSAGE _NUMEXPR,107@->QNOR*#FR_MV_SEGNO  
    MESSAGE ADD,BO->FR_MV_QNOR
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_QNONAMM4 18
  BEGIN
    KEY "Quote non + ammortizzabili riga 4"
    PROMPT 126 4 ""
    MESSAGE _NUMEXPR,107@->QPERSE+107@->FPRIVATO+107@->QPPRIVATE
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  VALUTA FR_MV_QNONAMM4_SEGNO 18
  BEGIN
    KEY "Quote non + ammortizzabili riga 4"
    PROMPT 126 4 ""
    FLAGS "H"
    MESSAGE _NUMEXPR, (107@->QPERSE+107@->FPRIVATO+107@->QPPRIVATE)*#FR_MV_SEGNO
    MESSAGE ADD,BO->FR_MV_QNONAMM
    PICTURE "##.###.###.###.@@@"
  END
      
  NUMERO -1 7
  BEGIN
    KEY "Percentuale amm. accelerato"
    PROMPT 43 5 ""
    PICTURE "###,@@@"
    FIELD 107@->PEACC
    MESSAGE ENABLE,2@
    MESSAGE EMPTY RESET,2@|DISABLE,2@
  END 

  STRINGA -1 1
  BEGIN
    KEY "%"
    PROMPT 50 5 "%"
    GROUP 2
  END

  STRINGA -1
  BEGIN
    KEY "Descrizione amm. accelerato"
    PROMPT 16 5 "Ammortamento accelerato:" 
    GROUP 2
  END
  
  VALUTA FR_MV_QACC 18
  BEGIN
    KEY "Quota amm. accelerato"
    PROMPT 106 5 ""
    FIELD 107@->QACC
    MESSAGE ADD,BE->FR_AE_ACCELERATO
    PICTURE "##.###.###.###.@@@"
    GROUP 2
  END

  VALUTA FR_MV_QACC_SEGNO 18
  BEGIN
    KEY "Quota amm. accelerato con segno"
    PROMPT 106 5 ""
    FLAGS "H"
    MESSAGE _NUMEXPR,107@->QACC*#FR_MV_SEGNO  
    MESSAGE ADD,BO->FR_MV_QACC
    PICTURE "##.###.###.###.@@@"
  END

  NUMERO -1 7
  BEGIN
    KEY "Percentuale amm. anticipato"
    PROMPT 43 6 ""
    PICTURE "###,@@@"
    FIELD 107@->PEANT
    MESSAGE ENABLE,3@
    MESSAGE EMPTY RESET,3@|DISABLE,3@
  END 

  STRINGA -1 1
  BEGIN
    KEY "%"
    PROMPT 50 6 "%"
    GROUP 3
  END

  STRINGA -1
  BEGIN
    KEY "Descrizione amm. anticipato"
    PROMPT 16 6 "Ammortamento anticipato:" 
    GROUP 3
  END
  
  VALUTA FR_MV_QANT 18
  BEGIN
    KEY "Quota amm. anticipato"
    PROMPT 106 6 ""
    FIELD 107@->QANT
    MESSAGE ADD,BE->FR_AE_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
    GROUP 3
  END
 
  VALUTA FR_MV_QANT_SEGNO 18
  BEGIN
    KEY "Quota amm. anticipato con segno"
    PROMPT 106 6 ""
    FLAGS "H"
    MESSAGE _NUMEXPR,107@->QANT*#FR_MV_SEGNO  
    MESSAGE ADD,BO->FR_MV_QANT
    PICTURE "##.###.###.###.@@@"
  END 
  
END // section body first (MOVIMENTI)

////

SECTION BODY ODD 3

  STRINGA -1
  BEGIN
    KEY "Totali movimento"
    PROMPT 16 1 "Totali movimento"
  END 

  NUMERO FR_MV_NUMELE
  BEGIN
    KEY "Totale Numero elementi"
    PROMPT 101 1 ""
    PICTURE "###"
  END
  
  VALUTA FR_MV_CSTO 18
  BEGIN
    KEY "Costo"
    PROMPT 110 1 ""
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_VNONAMM 18
  BEGIN
    KEY "Parte n.amm"
    PROMPT 130 1 ""
    PICTURE "##.###.###.###.@@@"
  END   
    
  VALUTA FR_MV_IMPVEN 18
  BEGIN
    KEY "Importo mov."
    PROMPT 45 2 ""
    MESSAGE _NUMEXPR,IF(#FR_MV_IMPVEN>=0,#FR_MV_IMPVEN,-#FR_MV_IMPVEN)
    PICTURE "##.###.###.###.@@@"
  END 

  VALUTA FR_MV_TOTRIV 18
  BEGIN
    KEY "Totale rivalutazioni"
    PROMPT 84 2 ""
    PICTURE "##.###.###.###.@@@"
  END 

  VALUTA FR_MV_VALAMM 18
  BEGIN
    KEY "Valore da ammortizzare"
    PROMPT 108 2 ""
    PICTURE "##.###.###.###.@@@"
  END                 
  
  VALUTA FR_MV_QNOR 18
  BEGIN
    KEY "Quota amm. normale totale (con segno!!)"
    FLAGS "H"
    PROMPT 106 3 ""
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_QACC 18
  BEGIN
    KEY "Quota amm. accelerata totale (con segno!!)"
    FLAGS "H"
    PROMPT 106 3 ""
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_QANT 18
  BEGIN
    KEY "Quota amm. anticipata totale (con segno!!)"
    FLAGS "H"
    PROMPT 106 3 ""
    PICTURE "##.###.###.###.@@@"
  END  
  
/*  VALUTA FR_MV_QNONAMM4
  BEGIN
    KEY "Quota non + amm. (con segno!!); viene dalla riga 4 dei movimenti"
    FLAGS "H"
    PROMPT 126 3 ""
    PICTURE "##.###.###.###.@@@"
  END */
  
  VALUTA FR_MV_FONDOAMM 18
  BEGIN
    KEY "Fondo ammortamento (con segno!!)"
    FLAGS "H"
    PROMPT 106 3 ""
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_MV_TOTFONDOAMM 18
  BEGIN
    KEY "Fondo ammortamento"
    PROMPT 106 3 ""
    MESSAGE _NUMEXPR,#FR_MV_FONDOAMM+#FR_MV_QNOR+#FR_MV_QACC+#FR_MV_QANT
    PICTURE "##.###.###.###.@@@"
  END
  
///!!!!  

  VALUTA FR_MV_MINUSVALENZA 18
  BEGIN
    KEY "Minusvalenza"
    PROMPT 8 3 ""
    FIELD LF_AMMMV->MINUS
    MESSAGE ADD,FE->FR_TC_MINUSVALENZA
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA FR_MV_PLUSVALENZA 18
  BEGIN
    KEY "Plusvalenza"
    PROMPT 28 3 ""
    FIELD LF_AMMMV->PLUS
    MESSAGE ADD,FE->FR_TC_PLUSVALENZA
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA FR_MV_PLUSREIN 18
  BEGIN
    KEY "Totale plusvalenza reinvestita"
    PROMPT 82 3 ""
//    MESSAGE _NUMEXPR,#FR_MV_PLUSREIN
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_MV_QNONAMM 18
  BEGIN
    KEY "Totale quote non + ammortizzabili"
    PROMPT 126 3 ""
//    MESSAGE _NUMEXPR,#FR_MV_QNONAMM
    PICTURE "##.###.###.###.@@@"
  END 

  VALUTA -1 18
  BEGIN
    KEY "Residuo da ammortizzare"
    PROMPT 128 2 ""
    MESSAGE _NUMEXPR, #FR_MV_VALAMM-#FR_MV_TOTFONDOAMM-#FR_MV_QNONAMM
    MESSAGE RESET,FR_MV_MINUSVALENZA|RESET,FR_MV_PLUSVALENZA
    PICTURE "##.###.###.###.@@@"
  END

END // section body odd (TOTALE MOVIMENTO)

////

//Body che stampa ogni movimento/rettifica//
SECTION BODY EVEN 17

  DATA -1
  BEGIN
    KEY "Data fine esercizio"
    PROMPT 1 1 ""
    FIELD 103@->D1
    MESSAGE RESET,1@|RESET,2@|RESET,3@
  END
                     
  STRINGA -1                     
  BEGIN
    KEY "Descrizione"
    PROMPT 16 1 "Valori a fine esercizio"
  END
                     
  NUMERO FR_FE_NUMELE 3
  BEGIN
    KEY "Elementi"
    PROMPT 101 1 ""
    PICTURE "###"
    FIELD 102@->NUMELE
  END  
  
  VALUTA FR_FE_CSTO 18
  BEGIN
    KEY "Costo stor."
    PROMPT 110 1 ""
    FIELD 102@->CSTO
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_FE_VNONAMM 18
  BEGIN
    KEY "Parte n.amm"
    PROMPT 130 1 ""
    FIELD 102@->VNONAMM
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA FR_FE_RIVGF 18
  BEGIN
    KEY "RIVGF"
    PROMPT 0 0 ""
    FLAGS "H"
    FIELD 102@->RIVGF
    PICTURE "##.###.###.###.@@@"
  END  

  VALUTA FR_FE_RIVGC 18
  BEGIN
    KEY "RIVGC"
    PROMPT 0 0 ""
    FLAGS "H"
    FIELD 102@->RIVGC
    PICTURE "##.###.###.###.@@@"
  END  

  LISTA -1
  BEGIN
    KEY "TPAMM"
    FLAGS "H"
    PROMPT 0 0 ""
    ITEM "1|1"
      MESSAGE RESET,FR_FE_RIVGC
    ITEM "2|2"
      MESSAGE RESET,FR_FE_RIVGF
    ITEM "3|3"
      MESSAGE RESET,FR_FE_RIVGF
    FIELD 104@->TPAMM
  END
    
  VALUTA FR_FE_TOTRIV 18 
  BEGIN
    KEY "Totale rivalutazioni"
    PROMPT 84 2 ""
    MESSAGE _NUMEXPR,102@->RIV75+102@->RIV83+102@->RIV90+102@->RIV91+#FR_FE_RIVGF+#FR_FE_RIVGC
    PICTURE "##.###.###.###.@@@"
  END 
  
  VALUTA FR_FE_VALAMM 18
  BEGIN
    KEY "Valore da ammortizzare"
    PROMPT 108 2 ""
    MESSAGE _NUMEXPR,#FR_FE_CSTO-#FR_FE_VNONAMM+#FR_FE_TOTRIV
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_FE_RESAMM 18
  BEGIN
    KEY "Residuo da ammortizzare"
    PROMPT 128 2 ""
    MESSAGE _NUMEXPR,#FR_FE_VALAMM-(104@->QNORP+104@->QACCP+104@->QANTP+104@->QPERSEP+104@->FPRIVATOP+104@->QPPRIVATEP)
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_FE_PLUSREIN 18
  BEGIN
    KEY "Plusvalenza reinvestita"
    PROMPT 82 3 ""
    FIELD 102@->PLUSREIN
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_FE_FONDOAMM 18
  BEGIN
    KEY "Fondo ammortamento"
    PROMPT 106 3 ""
    MESSAGE _NUMEXPR,104@->QNORP+104@->QACCP+104@->QANTP
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_FE_QNONAMM 18
  BEGIN
    KEY "Quota non + amm."
    PROMPT 126 3 ""
    MESSAGE _NUMEXPR,104@->QPERSEP+104@->FPRIVATOP+104@->QPPRIVATEP
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_FE_VSPMANU 18
  BEGIN                
    KEY "xCalc.deduc.man."
    PROMPT 65 2 ""
    FIELD 102@->VSPMANU
    PICTURE "##.###.###.###.@@@"
  END

  // ammortamenti da ammce
  
  NUMERO FR_FE_PNOR 7
  BEGIN
    KEY "Percentuale amm. normale"
    PROMPT 43 4 ""
    PICTURE "###,@@@"
    FIELD 104@->PNOR              
    MESSAGE ENABLE,1@
    MESSAGE EMPTY RESET,1@|DISABLE,1@
  END      

  STRINGA -1 1
  BEGIN
    KEY "%"
    PROMPT 50 4 "%"
    GROUP 1
  END

  NUMERO FR_FE_PACC 7
  BEGIN
    KEY "Percentuale amm. accelerato"
    PROMPT 43 5 ""
    PICTURE "###,@@@"
    FIELD 104@->PACC
    MESSAGE ENABLE,2@
    MESSAGE EMPTY RESET,2@|DISABLE,2@
  END 

  STRINGA -1 1
  BEGIN
    KEY "%"
    PROMPT 50 5 "%"
    GROUP 2
  END

  NUMERO FR_FE_PANT 7
  BEGIN
    KEY "Percentuale amm. anticipato"
    PROMPT 43 6 ""
    PICTURE "###,@@@"
    FIELD 104@->PANT
    MESSAGE ENABLE,3@
    MESSAGE EMPTY RESET,3@|DISABLE,3@
  END 
           
  STRINGA -1 1
  BEGIN
    KEY "%"
    PROMPT 50 6 "%"
    GROUP 3
  END

  STRINGA -1
  BEGIN
    KEY "Descrizione amm. normale"
    PROMPT 16 4 "Ammortamento normale:" 
    GROUP 1
  END
  
  VALUTA FR_FE_QNOR 18
  BEGIN
    KEY "Quota amm. normale"
    PROMPT 106 4 ""
    FIELD 104@->QNOR
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END      
  
  VALUTA FR_FE_FPRIVATO1 18
  BEGIN
    KEY ""
    PROMPT 126 4 ""
    FIELD 104@->FPRIVATO
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  STRINGA -1
  BEGIN
    KEY "Descrizione amm. accelerato"
    PROMPT 16 5 "Ammortamento accelerato:" 
    GROUP 2
  END
  
  VALUTA FR_FE_QACC 18
  BEGIN
    KEY "Quota amm. accelerato"
    PROMPT 106 5 ""
    FIELD 104@->QACC
    PICTURE "##.###.###.###.@@@"
    GROUP 2
  END      
  
  VALUTA FR_FE_FPRIVATO2 18
  BEGIN
    KEY ""
    PROMPT 126 5 ""
    FIELD 104@->FPRIVATO
    PICTURE "##.###.###.###.@@@"
    GROUP 2
  END

  STRINGA -1
  BEGIN
    KEY "Descrizione amm. anticipato"
    PROMPT 16 6 "Ammortamento anticipato:" 
    GROUP 3
  END
  
  VALUTA FR_FE_QANT 18
  BEGIN
    KEY "Quota amm. anticipato"
    PROMPT 106 6 ""
    FIELD 104@->QANT
    PICTURE "##.###.###.###.@@@"
    GROUP 3
  END
  
  VALUTA FR_FE_FPRIVATO3 18
  BEGIN
    KEY ""
    PROMPT 126 6 ""
    FIELD 104@->FPRIVATO
    PICTURE "##.###.###.###.@@@"
    GROUP 3
  END

  STRINGA FR_FE_MSG1
  BEGIN
    KEY "Messaggio 1"
    PROMPT 16 7 "Ammortamento ridotto a met per 1 esercizio di utilizzo del cespite"
  END

  STRINGA FR_FE_MSG2
  BEGIN
    KEY "Messaggio 2"
    PROMPT 16 8 ""
  END

  STRINGA FR_FE_MSG3
  BEGIN
    KEY "Messaggio 3"
    PROMPT 16 9 ""
  END

  STRINGA FR_FE_MSG4
  BEGIN
    KEY "Messaggio 4"
    PROMPT 16 10 "Ammortamento al 100% per beni inferiori a 516.46 euro"
  END

  STRINGA FR_FE_MSG5
  BEGIN
    KEY "Messaggio 5"
    PROMPT 16 11 "Non effettuati amm.ti perch "
    FIELD 104@->MSGD05
  END

  STRINGA FR_FE_MSG6
  BEGIN
    KEY "Messaggio 6"
    PROMPT 16 12 "Ammortamento proporzionale al periodo di possesso"
  END

  STRINGA -1
  BEGIN
    KEY "Descrizione"
    PROMPT 16 13 "Valori a bilancio"
  END
                     
  NUMERO -1 3
  BEGIN
    KEY "Elementi"
    PROMPT 101 13 ""
    PICTURE "###"
    MESSAGE _NUMEXPR, #FR_FE_NUMELE
    MESSAGE ADD,FE->FR_TC_ELEM
  END  
  
  VALUTA -1 18
  BEGIN
    KEY "Costo stor."
    PROMPT 110 13 ""
    MESSAGE _NUMEXPR, #FR_FE_CSTO
    MESSAGE ADD,FE->FR_TC_CSTO
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA -1 18
  BEGIN
    KEY "Parte n.amm"
    PROMPT 130 13 ""
    MESSAGE _NUMEXPR, #FR_FE_VNONAMM
    MESSAGE ADD,FE->FR_TC_VNONAMM 
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA -1 18 
  BEGIN
    KEY "Totale rivalutazioni"
    PROMPT 84 14 ""
    MESSAGE _NUMEXPR,#FR_FE_TOTRIV
    MESSAGE ADD,FE->FR_TC_TOTRIV
    PICTURE "##.###.###.###.@@@"
  END 
  
  VALUTA -1 18
  BEGIN
    KEY "Valore da ammortizzare"
    PROMPT 108 14 ""
    MESSAGE _NUMEXPR,#FR_FE_VALAMM
    MESSAGE ADD,FE->FR_TC_VALAMM
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA -1 18
  BEGIN
    KEY "Plusvalenza reinvestita"
    PROMPT 82 15 ""
    MESSAGE _NUMEXPR,#FR_FE_PLUSREIN
    MESSAGE ADD,FE->FR_TC_PLUSREIN
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_VB_FONDOAMM 18
  BEGIN        
    KEY "Fondo ammortamento"
    PROMPT 106 15 ""
    MESSAGE _NUMEXPR,#FR_FE_FONDOAMM+#FR_FE_QNOR+#FR_FE_QACC+#FR_FE_QANT
    MESSAGE ADD,FE->FR_TC_FONDOAMM
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_VB_QNONAMM 18
  BEGIN
    KEY "Quota non + amm."
    PROMPT 126 15 ""
    MESSAGE _NUMEXPR,#FR_FE_QNONAMM+#FR_FE_FPRIVATO1+#FR_FE_FPRIVATO2+#FR_FE_FPRIVATO3
    MESSAGE ADD,FE->FR_TC_QNONAMM
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA -1 18
  BEGIN
    KEY "Residuo da ammortizzare"
    PROMPT 128 14 ""
    MESSAGE _NUMEXPR,#FR_FE_VALAMM-#FR_VB_FONDOAMM-#FR_VB_QNONAMM
    MESSAGE ADD,FE->FR_TC_RESAMM
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA -1 18
  BEGIN                
    KEY "xCalc.deduc.man."
    PROMPT 65 14 ""
    MESSAGE _NUMEXPR,#FR_FE_VSPMANU
    MESSAGE ADD,FE->FR_TC_VSPMANU
    PICTURE "##.###.###.###.@@@"
  END
  
  STRINGA -1 
  BEGIN
    KEY ""
    PROMPT 1 16 "Amm. su parti elimin."
  END

  VALUTA FR_AE_NORMALE 18
  BEGIN
    KEY "normale"
    PROMPT 22 16 ""
    PICTURE "###.###.###.##@"
    MESSAGE ADD,FE->FR_TC_AE_NORMALE
    PICTURE "##.###.###.###.@@@"
  END         
  
  STRINGA -1
  BEGIN
    PROMPT 42 16 "normale"
  END

  VALUTA FR_AE_ACCELERATO 18
  BEGIN
    KEY "accelerato"
    PROMPT 52 16 ""
    MESSAGE ADD,FE->FR_TC_AE_ACCELERATO 
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 72 16 "accelerato"
  END

  VALUTA FR_AE_ANTICIPATO 18
  BEGIN
    KEY "anticipato"
    PROMPT 88 16 ""
    MESSAGE ADD,FE->FR_TC_AE_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 108 16 "anticipato"
  END

  VALUTA -1 18
  BEGIN
    KEY "totale"
    PROMPT 122 16 ""
    MESSAGE _NUMEXPR,#FR_AE_NORMALE+#FR_AE_ACCELERATO+#FR_AE_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 142 16 "totale"
  END

  STRINGA -1 
  BEGIN
    KEY ""
    PROMPT 1 17 "Amm. su cesp. residui"
  END
  
  VALUTA FR_AR_NORMALE 18
  BEGIN
    KEY "normale"
    PROMPT 22 17 ""
    MESSAGE _NUMEXPR,#FR_FE_QNOR    
    MESSAGE ADD,FE->FR_TC_AR_NORMALE
    PICTURE "##.###.###.###.@@@"
  END         
  
  STRINGA -1
  BEGIN
    PROMPT 42 17 "normale"
  END

  VALUTA FR_AR_ACCELERATO 18
  BEGIN
    KEY "accelerato"
    PROMPT 52 17 ""
    MESSAGE _NUMEXPR,#FR_FE_QACC
    MESSAGE ADD,FE->FR_TC_AR_ACCELERATO
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 72 17 "accelerato"
  END

  VALUTA FR_AR_ANTICIPATO 18
  BEGIN
    KEY "anticipato"
    PROMPT 88 17 ""
    MESSAGE _NUMEXPR,#FR_FE_QANT
    MESSAGE ADD,FE->FR_TC_AR_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 108 17 "anticipato"
  END

  VALUTA -1 18
  BEGIN
    KEY "totale"
    PROMPT 122 17 ""
    MESSAGE _NUMEXPR,#FR_AR_NORMALE+#FR_AR_ACCELERATO+#FR_AR_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 142 17 "totale"
  END

END // section body even (VALORI A FINE ESERCIZIO)

////

SECTION FOOTER EVEN 6

  STRINGA -1
  BEGIN
    KEY "riga"
    PROMPT 1 1 "@b___________________________________________________________________________________________________________________________________________________@r"
  END

  STRINGA -1                     
  BEGIN
    KEY "Descrizione"
    PROMPT 16 2 "@bTOTALI CATEGORIA@r"
  END
                     
  NUMERO FR_TC_ELEM 4
  BEGIN
    KEY "Elementi"
    PICTURE "####"
    PROMPT 100 2 ""
    MESSAGE ADD,F0->FR_TG_ELEM
    GROUP 1
  END  
  
  VALUTA FR_TC_CSTO 18
  BEGIN
    KEY "Costo stor."
    PROMPT 110 2 ""
    MESSAGE ADD,F0->FR_TG_CSTO
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  VALUTA FR_TC_VNONAMM 18
  BEGIN
    KEY "Parte n.amm"
    PROMPT 130 2 ""
    MESSAGE ADD,F0->FR_TG_VNONAMM
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END
    
  VALUTA FR_TC_TOTRIV 18 
  BEGIN
    KEY "Totale rivalutazioni"
    PROMPT 84 3 ""
    MESSAGE ADD,F0->FR_TG_TOTRIV
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END 
  
  VALUTA FR_TC_VALAMM 18
  BEGIN
    KEY "Valore da ammortizzare"
    PROMPT 108 3 ""
    MESSAGE ADD,F0->FR_TG_VALAMM
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END
  
  VALUTA FR_TC_RESAMM 18
  BEGIN
    KEY "Residuo da ammortizzare"
    PROMPT 128 3 ""
    MESSAGE ADD,F0->FR_TG_RESAMM
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END
  
  VALUTA FR_TC_MINUSVALENZA 18
  BEGIN
    KEY "Minusvalenza"
    PROMPT 8 4 ""
    MESSAGE ADD,FO->FR_TG_MINUSVALENZA   
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA FR_TC_PLUSVALENZA 18
  BEGIN
    KEY "Plusvalenza"
    PROMPT 28 4 ""
    MESSAGE ADD,FO->FR_TG_PLUSVALENZA
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_TC_PLUSREIN 18
  BEGIN
    KEY "Plusvalenza reinvestita"
    PROMPT 82 4 ""
    MESSAGE ADD,F0->FR_TG_PLUSREIN
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END
  
  VALUTA FR_TC_FONDOAMM 18
  BEGIN        
    KEY "Fondo ammortamento"
    PROMPT 106 4 ""
    MESSAGE ADD,F0->FR_TG_FONDOAMM
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  VALUTA FR_TC_QNONAMM 18
  BEGIN
    KEY "Quota non + amm."
    PROMPT 126 4 ""
    MESSAGE ADD,F0->FR_TG_QNONAMM
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END
  
  VALUTA FR_TC_VSPMANU 18
  BEGIN                
    KEY "xCalc.deduc.man."
    PROMPT 65 3 ""
    MESSAGE ADD,F0->FR_TG_VSPMANU
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END
  
  STRINGA -1
  BEGIN
    KEY ""
    PROMPT 1 5 "Amm. su parti elimin."
    GROUP 1
  END

  VALUTA FR_TC_AE_NORMALE 18
  BEGIN
    KEY "normale"
    PROMPT 22 5 ""
    MESSAGE ADD,F0->FR_TG_AE_NORMALE
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END         
  
  STRINGA -1
  BEGIN
    PROMPT 42 5 "normale"
    GROUP 1
  END

  VALUTA FR_TC_AE_ACCELERATO 18
  BEGIN
    KEY "accelerato"
    PROMPT 52 5 ""
    MESSAGE ADD,F0->FR_TG_AE_ACCELERATO
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  STRINGA -1
  BEGIN
    PROMPT 72 5 "accelerato"
    GROUP 1
  END

  VALUTA FR_TC_AE_ANTICIPATO 18
  BEGIN
    KEY "anticipato"
    PROMPT 88 5 ""
    MESSAGE ADD,F0->FR_TG_AE_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  STRINGA -1
  BEGIN
    PROMPT 108 5 "anticipato"
    GROUP 1
  END

  VALUTA -1 18
  BEGIN
    KEY "totale"
    PROMPT 122 5 ""
    MESSAGE _NUMEXPR,#FR_TC_AE_NORMALE+#FR_TC_AE_ACCELERATO+#FR_TC_AE_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  STRINGA -1
  BEGIN
    PROMPT 142 5 "totale"
    GROUP 1
  END

  STRINGA -1 
  BEGIN
    KEY ""
    PROMPT 1 6 "Amm. su cesp. residui"
    GROUP 1
  END

  VALUTA FR_TC_AR_NORMALE 18
  BEGIN
    KEY "normale"
    PROMPT 22 6 ""
    MESSAGE ADD,F0->FR_TG_AR_NORMALE
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END         
  
  STRINGA -1
  BEGIN
    PROMPT 42 6 "normale"
    GROUP 1
  END

  VALUTA FR_TC_AR_ACCELERATO 18
  BEGIN
    KEY "accelerato"
    PROMPT 52 6 ""
    MESSAGE ADD,F0->FR_TG_AR_ACCELERATO
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  STRINGA -1
  BEGIN
    PROMPT 72 6 "accelerato"
    GROUP 1
  END

  VALUTA FR_TC_AR_ANTICIPATO 18
  BEGIN
    KEY "anticipato"
    PROMPT 88 6 ""
    MESSAGE ADD,F0->FR_TG_AR_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  STRINGA -1
  BEGIN
    PROMPT 108 6 "anticipato"
    GROUP 1
  END

  VALUTA -1 18
  BEGIN
    KEY "totale"
    PROMPT 122 6 ""
    MESSAGE _NUMEXPR,#FR_TC_AR_NORMALE+#FR_TC_AR_ACCELERATO+#FR_TC_AR_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
    GROUP 1
  END

  STRINGA -1
  BEGIN
    PROMPT 142 6 "totale"
    GROUP 1
  END

END // section footer even
//______________________________________________________________________________________________________________-//
SECTION FOOTER ODD 6

  STRINGA -1
  BEGIN
    KEY "riga"
    PROMPT 1 1 "@b___________________________________________________________________________________________________________________________________________________@r"
  END

  STRINGA -1                     
  BEGIN
    KEY "Descrizione"
    PROMPT 16 2 "@bTOTALI GENERALI@r"
  END
                     
  NUMERO FR_TG_ELEM 4
  BEGIN
    KEY "Elementi"
    PICTURE "####"
    PROMPT 100 2 ""
  END  
  
  VALUTA FR_TG_CSTO 18
  BEGIN
    KEY "Costo stor."
    PROMPT 110 2 ""
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_TG_VNONAMM 18
  BEGIN
    KEY "Parte n.amm"
    PROMPT 130 2 ""
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA FR_TG_TOTRIV 18 
  BEGIN      
    KEY "Totale rivalutazioni"
    PROMPT 84 3 ""
    PICTURE "##.###.###.###.@@@"
  END 
  
  VALUTA FR_TG_VALAMM 18
  BEGIN
    KEY "Valore da ammortizzare"
    PROMPT 108 3 ""
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_TG_RESAMM 18
  BEGIN
    KEY "Residuo da ammortizzare"
    PROMPT 128 3 ""
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_TG_MINUSVALENZA 18
  BEGIN
    KEY "Minusvalenza"
    PROMPT 8 4 ""
    PICTURE "##.###.###.###.@@@"
  END
    
  VALUTA FR_TG_PLUSVALENZA 18
  BEGIN
    KEY "Plusvalenza"
    PROMPT 28 4 ""
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_TG_PLUSREIN 18
  BEGIN
    KEY "Plusvalenza reinvestita"
    PROMPT 82 4 ""
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_TG_FONDOAMM 18
  BEGIN        
    KEY "Fondo ammortamento"
    PROMPT 106 4 ""
    PICTURE "##.###.###.###.@@@"
  END

  VALUTA FR_TG_QNONAMM 18
  BEGIN
    KEY "Quota non + amm."
    PROMPT 126 4 ""
    PICTURE "##.###.###.###.@@@"
  END
  
  VALUTA FR_TG_VSPMANU 18
  BEGIN                
    KEY "xCalc.deduc.man."
    PROMPT 65 3 ""
    PICTURE "##.###.###.###.@@@"
  END
  
  STRINGA -1
  BEGIN
    KEY ""
    PROMPT 1 5 "Amm. su parti elimin."
  END

  VALUTA FR_TG_AE_NORMALE 18
  BEGIN
    KEY "normale"
    PROMPT 22 5 ""
    PICTURE "##.###.###.###.@@@"
  END         
  
  STRINGA -1
  BEGIN
    PROMPT 42 5 "normale"
  END

  VALUTA FR_TG_AE_ACCELERATO 18
  BEGIN
    KEY "accelerato"
    PROMPT 52 5 ""
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 72 5 "accelerato"
  END

  VALUTA FR_TG_AE_ANTICIPATO 18
  BEGIN
    KEY "anticipato"
    PROMPT 88 5 ""
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 108 5 "anticipato"
  END

  VALUTA -1 18
  BEGIN
    KEY "totale"
    PROMPT 122 5 ""
    MESSAGE _NUMEXPR,#FR_TG_AE_NORMALE+#FR_TG_AE_ACCELERATO+#FR_TG_AE_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 142 5 "totale"
  END

  STRINGA -1 
  BEGIN
    KEY ""
    PROMPT 1 6 "Amm. su cesp. residui"
  END

  VALUTA FR_TG_AR_NORMALE 18
  BEGIN
    KEY "normale"
    PROMPT 22 6 ""
    PICTURE "##.###.###.###.@@@"
  END         
  
  STRINGA -1
  BEGIN
    PROMPT 42 6 "normale"
  END

  VALUTA FR_TG_AR_ACCELERATO 18
  BEGIN
    KEY "accelerato"
    PROMPT 52 6 ""
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 72 6 "accelerato"
  END

  VALUTA FR_TG_AR_ANTICIPATO 18
  BEGIN
    KEY "anticipato"
    PROMPT 88 6 ""
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 108 6 "anticipato"
  END

  VALUTA -1 18
  BEGIN
    KEY "totale"
    PROMPT 122 6 ""
    MESSAGE _NUMEXPR,#FR_TG_AR_NORMALE+#FR_TG_AR_ACCELERATO+#FR_TG_AR_ANTICIPATO
    PICTURE "##.###.###.###.@@@"
  END

  STRINGA -1
  BEGIN
    PROMPT 142 6 "totale"
  END

END // section footer odd

////

//vero footer di pagina!//
SECTION FOOTER LAST 4

  STRINGA -1
  BEGIN
    KEY "riga"
    PROMPT 1 1 "@b___________________________________________________________________________________________________________________________________________________@r"
  END

  STRINGA FR_DATASTAMPA 
  BEGIN
   KEY "Data"
   PROMPT 1 2 "@bData Stampa@r "
   MESSAGE _TODAY
  END
  
  NUMERO -1 
  BEGIN
   KEY "Nr. pagina"
   PROMPT  130 2 "@bPagina n.@r "
   MESSAGE _PAGENO
  END

END // section footer last (footer pagina)

END // form

