# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: localhost Database : corsi

# --------------------------------------------------------
#
# Struttura della tavola 'accessi'
#

CREATE TABLE accessi (
   id int(11) NOT NULL auto_increment,
   idutente int(11) NOT NULL,
   login datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   logout datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   descrizione text NOT NULL,
   modifica varchar(10) NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'accessi'
#


# --------------------------------------------------------
#
# Struttura della tavola 'corsi'
#

CREATE TABLE corsi (
   id int(11) NOT NULL auto_increment,
   nome varchar(100) NOT NULL,
   descrizione text,
   costo bigint(20),
   immagine varchar(200) NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'corsi'
#

INSERT INTO corsi VALUES( '1', 'Internet', 'Corso di Internet', '40000', 'images/logo_internet.gif');
INSERT INTO corsi VALUES( '2', 'Microsoft Outlook', 'Corso di Microsoft Outlook', '50000', 'images/logo_outlook.gif');
INSERT INTO corsi VALUES( '3', 'Excel', 'Corso di Excel', '32600', 'images/logo_excel.gif');

# --------------------------------------------------------
#
# Struttura della tavola 'domande'
#

CREATE TABLE domande (
   id int(11) NOT NULL auto_increment,
   idtest int(11) NOT NULL,
   domanda text NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'domande'
#

INSERT INTO domande VALUES( '1', '1', 'Quali sono i vantaggi di Word per realizzare pagine HTML?');
INSERT INTO domande VALUES( '2', '1', 'In che modo  possibile creare pagine Web con Word ?');
INSERT INTO domande VALUES( '3', '1', 'Quando si lavora con una pagina Web:');
INSERT INTO domande VALUES( '4', '1', 'Per inserire un testo scorrevole in una pagina Web:');
INSERT INTO domande VALUES( '5', '1', 'Conviene usare i percorsi di collegamento relativi quando:');
INSERT INTO domande VALUES( '6', '1', 'Lavorare contemporaneamente su pi pagine Web con Word:');
INSERT INTO domande VALUES( '7', '1', 'Esistono differenze tra l\'inserimento di immagini all\'interno di pagine Web e di normali pagine Word?');
INSERT INTO domande VALUES( '8', '1', 'Quando un collegamento ipertestuale rimanda ad un file che non  in formato HTML:');
INSERT INTO domande VALUES( '9', '1', 'Gli oggetti O.L.E. nelle pagine Web:');
INSERT INTO domande VALUES( '10', '2', 'Alcune delle regole da adottare durante la consultazione dei newsgroups sono:');
INSERT INTO domande VALUES( '11', '2', 'Sono tra le fasi per la creazione di un gruppo:');
INSERT INTO domande VALUES( '12', '2', 'La comunicazione FTP pu essere gestita:');
INSERT INTO domande VALUES( '13', '2', 'Le possibili gestioni dei file di un sito FTP sono:');
INSERT INTO domande VALUES( '14', '2', 'In alcuni programmi, durante la memorizzazione di file da siti FTP, viene visualizzata una barra contenente:');
INSERT INTO domande VALUES( '15', '2', 'Quali di queste regole si dovrebbero seguire nell\'utilizzo della grafica in siti Web:');
INSERT INTO domande VALUES( '16', '2', 'Con il browser di Paint Shop Pro  possibile:');
INSERT INTO domande VALUES( '17', '2', 'Le immagini in formato GIF:');
INSERT INTO domande VALUES( '18', '2', 'Lo scopo di FTP :');
INSERT INTO domande VALUES( '19', '2', 'I newsgroups sono');
INSERT INTO domande VALUES( '20', '2', 'All\'apertura di Free Agent la finestra viene divisa in:');
INSERT INTO domande VALUES( '21', '2', 'In un sito FTP  possibile interagire con:');
INSERT INTO domande VALUES( '22', '2', 'Durante l\'upload di un file in un sito FTP:');
INSERT INTO domande VALUES( '23', '2', 'Le immagini bitmap sono:');
INSERT INTO domande VALUES( '24', '2', 'Con Paint Shop Pro  possibile:');
INSERT INTO domande VALUES( '25', '2', 'In un sito FTP, selezionato un file, attraverso il browser l\'utente pu:');
INSERT INTO domande VALUES( '26', '2', 'L\'identificazione di un utente da parte di un server FTP pu avvenire:');
INSERT INTO domande VALUES( '27', '2', 'La sigla FTP significa:');
INSERT INTO domande VALUES( '28', '2', 'Esempi di news-reader sono:');
INSERT INTO domande VALUES( '29', '2', 'Usenet ');
INSERT INTO domande VALUES( '30', '5', 'Cosa  una Directory?');
INSERT INTO domande VALUES( '31', '5', 'Cosa  un motore di ricerca?');
INSERT INTO domande VALUES( '32', '5', 'I meta-site:');
INSERT INTO domande VALUES( '33', '5', 'I risultati di una ricerca:');
INSERT INTO domande VALUES( '34', '5', 'Lo strumento di ricerca (della stessa categoria) va scelto in base:');
INSERT INTO domande VALUES( '35', '5', 'Il numero dei documenti indicizzati:');
INSERT INTO domande VALUES( '36', '5', 'Quando si seleziona una lingua in AltaVista:');
INSERT INTO domande VALUES( '37', '5', 'In AltaVista una frase:');
INSERT INTO domande VALUES( '38', '5', 'AltaVista, se scriviamo le parole chiave:');
INSERT INTO domande VALUES( '39', '5', 'Applicando le funzioni booleane nella modalit avanzata di AltaVista, l\'espressione (X and (Y or Z)) not W (ove X,Y,Z,W rappresentano parole di ricerca!):');
INSERT INTO domande VALUES( '40', '5', 'In AltaVista, i risultati di una ricerca:');
INSERT INTO domande VALUES( '41', '5', 'L\'opzione che limita una ricerca ai server posizionati in una certa area geografica:');
INSERT INTO domande VALUES( '42', '5', 'La funzione di filtraggio delle parole inutili contenute nel testo di ricerca:');
INSERT INTO domande VALUES( '43', '5', 'Quando si procede ad una ricerca particolarmente mirata conviene:');
INSERT INTO domande VALUES( '44', '11', 'Il World Wide Web :');
INSERT INTO domande VALUES( '45', '11', 'Cosa  il \'browser\'?');
INSERT INTO domande VALUES( '46', '11', 'Cosa  un motore di ricerca?');
INSERT INTO domande VALUES( '47', '11', 'Cosa  un sito Web?');
INSERT INTO domande VALUES( '48', '11', 'Cosa  l\'HTML?');
INSERT INTO domande VALUES( '49', '11', 'La modifica di un file HTML:');
INSERT INTO domande VALUES( '50', '11', 'La modifica di una pagina Web:');
INSERT INTO domande VALUES( '51', '11', 'La creazione di un proprio sito Web:');
INSERT INTO domande VALUES( '52', '11', 'Utilizzare MS Word per creare pagine HTML:');
INSERT INTO domande VALUES( '53', '10', 'Internet  definibile come:');
INSERT INTO domande VALUES( '54', '10', 'Il World Wide Web :');
INSERT INTO domande VALUES( '55', '10', 'Un sito Web :');
INSERT INTO domande VALUES( '56', '10', 'Un browser :');
INSERT INTO domande VALUES( '57', '10', 'Il pulsante \'Termina\' (Stop) del browser:');
INSERT INTO domande VALUES( '58', '10', 'L\'elenco \'Preferiti\' (Bookmarks) del browser contiene:');
INSERT INTO domande VALUES( '59', '10', 'I collegamenti, nelle pagine Web, sono:');
INSERT INTO domande VALUES( '60', '8', 'Che cos\'  Outlook ?');
INSERT INTO domande VALUES( '61', '8', 'I gruppi principali di Outlook sono:');
INSERT INTO domande VALUES( '62', '8', 'A cosa serve la cartella Contatti ?');
INSERT INTO domande VALUES( '63', '8', 'E\' possibile creare nuovi gruppi e cartelle con Outlook ?');
INSERT INTO domande VALUES( '64', '8', 'A cosa servono i campi A e Cc nel modulo del messaggio ?');
INSERT INTO domande VALUES( '65', '8', 'E\' possibile visualizzare la pagina Web di un contatto ?');
INSERT INTO domande VALUES( '66', '8', 'E\' possibile formattare il testo di un messaggio ?');
INSERT INTO domande VALUES( '67', '8', 'Per memorizzare la data del compleanno di un contatto  sufficiente:');
INSERT INTO domande VALUES( '68', '8', 'E\' possibile memorizzare l\'indirizzo di posta elettronica nella Rubrica ?');
INSERT INTO domande VALUES( '69', '8', 'A cosa servono le Note ?');
INSERT INTO domande VALUES( '70', '8', 'E\' possibile allegare un file ad un messaggio ?');
INSERT INTO domande VALUES( '71', '8', 'Per ricordarsi di dare seguito a un messaggio si pu utilizzare ?');
INSERT INTO domande VALUES( '72', '8', 'Per stampare l\'elenco dei contatti:');
INSERT INTO domande VALUES( '73', '8', 'Per inserire le festivit nel calendario si deve');
INSERT INTO domande VALUES( '74', '13', 'Che cos\'  Outlook ?');
INSERT INTO domande VALUES( '75', '13', 'I gruppi principali di Outlook sono:');
INSERT INTO domande VALUES( '76', '13', 'La barra di scelta rapida posta sul lato sinistro della finestra di Outlook permette:');
INSERT INTO domande VALUES( '77', '13', 'E\' possibile creare nuovi gruppi e cartelle con Outlook ?');
INSERT INTO domande VALUES( '78', '13', 'A cosa servono i campi A e Cc nel modulo del messaggio ?');
INSERT INTO domande VALUES( '79', '13', 'A cosa serve la Rubrica ?');
INSERT INTO domande VALUES( '80', '13', 'E\' possibile formattare il testo di un messaggio ?');
INSERT INTO domande VALUES( '81', '13', 'Cosa contengono le cartelle del gruppo Posta ?');
INSERT INTO domande VALUES( '82', '13', 'E\' possibile memorizzare l\'indirizzo di posta elettronica nella Rubrica ?');
INSERT INTO domande VALUES( '83', '13', 'A cosa servono le Note ?');
INSERT INTO domande VALUES( '84', '13', 'E\' possibile allegare un file ad un messaggio ?');
INSERT INTO domande VALUES( '85', '13', 'Per ricordarsi di dare seguito a un messaggio si pu utilizzare ?');
INSERT INTO domande VALUES( '86', '13', 'E\' possibile cambiare l\'ordinamento dei messaggi contenuti in una cartella del gruppo Posta in arrivo ?');
INSERT INTO domande VALUES( '87', '13', 'Cosa succede al momento dell\'eliminazione di un messaggio di posta ?');
INSERT INTO domande VALUES( '88', '14', 'Il Calendario permette di');
INSERT INTO domande VALUES( '89', '14', 'Qual\' il metodo pi veloce per impostare il calendario di un corso di aggiornamento settimanale');
INSERT INTO domande VALUES( '90', '14', 'A cosa serve la cartella Contatti ?');
INSERT INTO domande VALUES( '91', '14', 'Qual\' la caratteristica di un appuntamento provvisorio ?');
INSERT INTO domande VALUES( '92', '14', 'Quando si desidera eliminare un appuntamento ricorrente si pu');
INSERT INTO domande VALUES( '93', '14', 'E\' possibile visualizzare la pagina Web di un contatto ?');
INSERT INTO domande VALUES( '94', '14', 'Qual\' il modo pi semplice per spostare un appuntamento ?');
INSERT INTO domande VALUES( '95', '14', 'Per memorizzare la data del compleanno di un contatto  sufficiente:');
INSERT INTO domande VALUES( '96', '14', 'Cosa succede quando si imposta un promomemoria su un appuntamento ?');
INSERT INTO domande VALUES( '97', '14', 'Pu essere cambiata la visualizzazione predefinita del calendario ?');
INSERT INTO domande VALUES( '98', '14', 'Per stampare l\'elenco dei contatti:');
INSERT INTO domande VALUES( '99', '14', 'Per inserire le festivit nel calendario si deve');
INSERT INTO domande VALUES( '100', '12', 'La gestione delle Attivit permette di');
INSERT INTO domande VALUES( '101', '12', 'Per aggiungere un\' attivit all\'elenco  sufficiente');
INSERT INTO domande VALUES( '102', '12', 'Il Calendario permette di');
INSERT INTO domande VALUES( '103', '12', 'Che cos\' il Blocco note Attivit ?');
INSERT INTO domande VALUES( '104', '12', 'A cosa serve la cartella Contatti ?');
INSERT INTO domande VALUES( '105', '12', 'Qual\' la caratteristica di un appuntamento provvisorio ?');
INSERT INTO domande VALUES( '106', '12', 'A cosa servono le Note ?');
INSERT INTO domande VALUES( '107', '12', 'Quali sono i simboli che indicano diversa priorit per un\'attivit ?');
INSERT INTO domande VALUES( '108', '12', 'E\' possibile visualizzare la pagina Web di un contatto ?');
INSERT INTO domande VALUES( '109', '12', 'E\' possibile allegare un file ad un messaggio ?');
INSERT INTO domande VALUES( '110', '12', 'E\' possibile creare un appuntamento da un\'attivit ?');
INSERT INTO domande VALUES( '111', '12', 'Pu essere cambiata la visualizzazione predefinita della cartella Attivit ?');
INSERT INTO domande VALUES( '112', '12', 'Pu essere cambiata la visualizzazione predefinita del calendario ?');
INSERT INTO domande VALUES( '113', '12', 'Per stampare l\'elenco dei contatti:');
INSERT INTO domande VALUES( '114', '12', 'E\' possibile raggruppare le Attivit ?');
INSERT INTO domande VALUES( '115', '12', 'E\' creare attivit ricorrenti ?');
INSERT INTO domande VALUES( '116', '15', ' possibile stampare l\'elenco dei contatti contenuti nella rubrica?');
INSERT INTO domande VALUES( '117', '16', ' possibile mandare messaggi a pi persone?');

# --------------------------------------------------------
#
# Struttura della tavola 'download'
#

CREATE TABLE download (
   id int(11) NOT NULL auto_increment,
   idutente int(11) NOT NULL,
   idlezione int(11) NOT NULL,
   data date DEFAULT '0000-00-00' NOT NULL,
   terminato varchar(10) NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'download'
#

INSERT INTO download VALUES( '1', '1', '9', '2001-05-15', '');

# --------------------------------------------------------
#
# Struttura della tavola 'lezioni'
#

CREATE TABLE lezioni (
   id int(11) NOT NULL auto_increment,
   idcorso int(11) NOT NULL,
   nome varchar(255) NOT NULL,
   progressivo smallint(6) NOT NULL,
   percorso varchar(255) NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'lezioni'
#

INSERT INTO lezioni VALUES( '1', '1', 'Usare MS Word per creare pagineHTML', '3', 'lezioni/corso1/internet_1.exe');
INSERT INTO lezioni VALUES( '2', '1', 'Navigare in Internet e posta elettronica', '1', 'lezioni/corso1/internet_2.exe');
INSERT INTO lezioni VALUES( '3', '1', 'Gli strumenti ed i motori di ricerca', '2', 'lezioni/corso1/internet_3.exe');
INSERT INTO lezioni VALUES( '4', '1', 'Newsgroups FTP Grafica', '4', 'lezioni/corso1/internet_4.exe');
INSERT INTO lezioni VALUES( '5', '2', 'Preliminare', '0', '');
INSERT INTO lezioni VALUES( '6', '1', 'Preliminare', '0', '');
INSERT INTO lezioni VALUES( '7', '1', 'Finale', '0', '');
INSERT INTO lezioni VALUES( '8', '2', 'Finale', '0', '');
INSERT INTO lezioni VALUES( '9', '2', 'Microsoft Outlook 1', '1', 'lezioni/corso2/outlook1.exe');
INSERT INTO lezioni VALUES( '10', '2', 'Microsoft Outlook 2', '2', 'lezioni/corso2/outlook2.exe');

# --------------------------------------------------------
#
# Struttura della tavola 'prove'
#

CREATE TABLE prove (
   id int(11) NOT NULL auto_increment,
   idutente int(11) NOT NULL,
   idtest int(11) NOT NULL,
   data date DEFAULT '0000-00-00' NOT NULL,
   risultato varchar(20) NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'prove'
#

INSERT INTO prove VALUES( '1', '1', '8', '2001-05-14', 'consegnato in bianco');
INSERT INTO prove VALUES( '2', '2', '11', '2001-05-15', 'consegnato in bianco');
INSERT INTO prove VALUES( '3', '1', '15', '2001-05-15', '100');
INSERT INTO prove VALUES( '4', '1', '13', '2001-05-15', '38');

# --------------------------------------------------------
#
# Struttura della tavola 'risposte'
#

CREATE TABLE risposte (
   id int(11) NOT NULL auto_increment,
   iddomanda int(11) NOT NULL,
   risposta text NOT NULL,
   valida varchar(10) NOT NULL,
   visibile varchar(10) NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'risposte'
#

INSERT INTO risposte VALUES( '1', '1', 'Maggiore velocit di esecuzione dei comandi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '2', '1', 'Massima personalizzazione delle pagine Web create', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '3', '1', 'Porta ad una perfetta conoscenza del linguaggio HTML', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '4', '1', 'Facilit di realizzazione di pagine Web indipendentemente dalla conoscenza approfondita del linguaggio HTML', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '5', '1', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '6', '2', 'In un modo solo: scrivendo il codice HTML', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '7', '2', 'In due modi: creando un documento e poi salvandolo in formato HTML, oppure creando un documento basato su di un modello di pagina Web e personalizzandolo con gli strumenti appositi', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '8', '2', 'In due modi: copiando le pagine Web direttamente da Internet, oppure scrivendo direttamente il codice HTML per generare una pagina Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '9', '2', 'In nessun modo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '10', '2', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '11', '3', 'Le barre degli strumenti si riducono alla sola barra Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '12', '3', 'Cambia la barra degli strumenti standard', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '13', '3', 'Cambia la barra degli strumenti di formattazione', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '14', '3', 'Le barre degli strumenti non cambiano rispetto a quando si lavora con una pagina .doc', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '15', '3', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '16', '4', 'E\' necessario digitare l\'apposita istruzione HTML; dal menu Visualizza scegli HTMLSource e quindi modifica il documento', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '17', '4', 'Nel menu Formato scegli Carattere e quindi modifica l\'attributo del testo selezionando Scorrevole', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '18', '4', 'Nel menu Inserisci seleziona Testo scorrevole e quindi imposta i parametri richiesti', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '19', '4', 'Nel menu Formato scegli Paragrafo e quindi modifica l\'attributo del testo selezionando Scorrevole', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '20', '4', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '21', '5', 'La struttura delle directory contenenti i file collegati non debba essere modificata in futuro', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '22', '5', 'I file collegati risiedano su computer diversi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '23', '5', 'I file collegati risiedono su un solo computer', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '24', '5', 'Copiando i file su un computer diverso si mantenga inalterata la struttura delle directory', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '25', '5', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '26', '6', 'E\' possibile solo quando si  collegati ad Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '27', '6', 'E\' possibile solo utilizzando contemporaneamente il browser', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '28', '6', 'E\' possibile utilizzando la barra degli strumenti Web di Word', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '29', '6', 'Non  possibile; le pagine vanno aperte una per volta', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '30', '6', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '31', '7', 'No,  la stessa cosa', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '32', '7', 'Nelle pagine Web le possibilit di posizionamento dell\'immagine sono ridotte rispetto alle pagine Word', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '33', '7', 'Le immagini vengono inserite nelle pagine Web mentre sono solo collegate alle pagine Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '34', '7', 'Le immagini vengono inserite nelle pagine Word mentre sono solo collegate alle pagine Web', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '35', '7', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '36', '8', 'Il browser non lo riconosce e quindi non riesce ad aprirlo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '37', '8', 'Il browser chiede se si vuole aprire il file o scaricarlo su disco', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '38', '8', 'Il browser chiede di trasformarlo in formato HTML con l\'apposito strumento di Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '39', '8', 'Il browser pu solo scaricarlo su disco in attesa che venga poi trasformato in formato HTML per essere letto', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '40', '8', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '41', '9', 'Vengono inseriti come copie degli oggetti stessi in formato .gif', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '42', '9', 'Possono essere effettivamente inseriti nelle pagine Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '43', '9', 'Vengono aggornati automaticamente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '44', '9', 'Non possono essere aggiornati automaticamente perch non sono le copie originali', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '45', '9', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '46', '10', 'Inviare un messaggio appena ci si iscrive al newsgroup', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '47', '10', 'Non spedire pubblicit ai newsgroup', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '48', '10', 'Pubblicare solo messaggi che siano attinenti all\'argomento del gruppo', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '49', '10', 'E\' bene pubblicare lo stesso messaggio su pi gruppi per darne massima diffusione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '50', '10', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '51', '11', 'La votazione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '52', '11', 'La verifica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '53', '11', 'La certificazione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '54', '11', 'La discussione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '55', '11', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '56', '12', 'Direttamente dal modem', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '57', '12', 'Da gestione risorse di Windows', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '58', '12', 'Dai browser', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '59', '12', 'Da programmi specifici', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '60', '12', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '61', '13', 'Anonimous', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '62', '13', 'Shareware', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '63', '13', 'Download', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '64', '13', 'Upload', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '65', '13', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '66', '14', 'La percentuale di file gi salvata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '67', '14', 'La velocit del collegamento', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '68', '14', 'La percentuale di file che rimane da salvare', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '69', '14', 'Il tempo stimato rimanente per completare l\'operazione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '70', '14', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '71', '15', 'Riutilizzare le stesse immagini su pagine diverse del sito', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '72', '15', 'Non utilizzare le miniature', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '73', '15', 'Quando  possibile ridurre il numero dei colori delle immagini', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '74', '15', 'Non usare mai immagini JPEG progressive', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '75', '15', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '76', '16', 'Navigare nel Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '77', '16', 'Aprire i file di immagini e vederne le informazioni', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '78', '16', 'Rinominare, cancellare, copiare e spostare file di immagini', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '79', '16', 'Ritoccare file di immagini', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '80', '16', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '81', '17', 'Dispongono di un numero elevato di colori', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '82', '17', 'Sono indicate per disegni e grafici', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '83', '17', 'Hanno una profondit massima di colore di 16 bit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '84', '17', 'Permettono di impostare un colore come trasparente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '85', '17', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '86', '18', 'Consentire a macchine remote di trasmettere file', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '87', '18', 'Consentire a macchine remote di ricevere file', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '88', '18', 'Consentire a macchine remote di condividere periferiche', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '89', '18', 'Consentire la comunicazione tra macchine remote con lo stesso sistema operativo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '90', '18', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '91', '19', 'Aree di discussione alle quali ci si pu iscrivere spedendo un messaggio e-mail', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '92', '19', 'Aree di discussione ai quali si pu partecipare spedendo un messaggio e-mail', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '93', '19', 'Sofware che permettono di accedere all\'area di discussione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '94', '19', 'Bacheche elettroniche specializzate in un determinato argomento', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '95', '19', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '96', '20', '2 parti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '97', '20', '4 parti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '98', '20', '6 parti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '99', '20', 'Non viene divisa', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '100', '20', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '101', '21', 'Directory', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '102', '21', 'Gruppi di discussioni', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '103', '21', 'Altri utenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '104', '21', 'File', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '105', '21', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '106', '22', 'Il file viene caricato sempre nella directory principale', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '107', '22', 'Il file viene comunque inoltrato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '108', '22', 'Il file pu essere inoltrato solo se l\'utente dispone dei permessi necessari', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '109', '22', 'Il file viene caricato nella directory dove l\'utente si trova posizionato al momento dell\'operazione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '110', '22', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '111', '23', 'Immagini descritte da curve e poligoni', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '112', '23', 'Immagini che mantengono sempre la stessa qualit ingrandendole pi volte', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '113', '23', 'Immagini descritte da un insieme di pixel colorati ravvicinati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '114', '23', 'Immagini che se ingrandite non mantengono la qualit originale', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '115', '23', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '116', '24', 'Acquisire immagini', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '117', '24', 'Creare pagine Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '118', '24', 'Gestire gruppi di discussione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '119', '24', 'Catturare immagini dallo schermo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '120', '24', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '121', '25', 'Aprirlo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '122', '25', 'Eliminarlo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '123', '25', 'Salvarlo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '124', '25', 'Rinominarlo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '125', '25', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '126', '26', 'Con un nome utente e una password', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '127', '26', 'Con solo una password', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '128', '26', 'Da parte del browser automaticamente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '129', '26', 'Con il solo nome utente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '130', '26', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '131', '27', 'Format Trasfert Protocol', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '132', '27', 'File Trasfert Protocol', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '133', '27', 'Filename Trasfert Protocol', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '134', '27', 'Firewall Trasfert Protocol', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '135', '27', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '136', '28', 'Microsoft Outlook', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '137', '28', 'Free Agent', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '138', '28', 'Microsoft Internet Explorer', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '139', '28', 'Microsoft Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '140', '28', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '141', '29', 'Un gruppo di discussione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '142', '29', 'Una fonte gratuita di news', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '143', '29', 'Un messaggio in un gruppo di discussione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '144', '29', 'E\' un\'organizzazione con sue leggi che la regolano', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '145', '29', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '146', '30', 'Uno strumento di ricerca organizzato gerarchicamente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '147', '30', 'Un indice di argomenti organizzato gerarchicamente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '148', '30', 'Uno strumento di ricerca utile per quesiti molto mirati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '149', '30', 'Uno strumento per ricerche su argomenti contenuti in categorie ampie', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '150', '30', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '151', '31', 'Uno strumento per ricerche su argomenti contenuti in categorie ampie', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '152', '31', 'Uno strumento di ricerca utile per quesiti estremamente mirati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '153', '31', 'Una directory la cui interfaccia contiene una casella in cui immettere il testo per la ricercatra le categorie', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '154', '31', 'Uno strumento di ricerca che utilizza un indice aggiornato periodicamenteed una o pi parole chiave per la ricerca', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '155', '31', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '156', '32', 'Sono motori di ricerca multipli', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '157', '32', 'Sono adatti per i quesiti particolarmente complessi, in modalit avanzata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '158', '32', 'Basano le proprie ricerche sugli indici di altri motori di ricerca o directory', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '159', '32', 'Sono adatti per avere una visione completa di come  trattato un argomento sul Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '160', '32', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '161', '33', 'Sono sempre visualizzati in ordine alfabetico', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '162', '33', 'Sono sempre visualizzati in ordine di data di aggiornamento', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '163', '33', 'Hanno un ordinamento dipendente dalle caratteristiche dello strumento usato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '164', '33', 'Compaiono nella stessa sequenza con cui vengono trovati dallo strumento di ricerca', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '165', '33', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '166', '34', 'Al tipo di interfaccia', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '167', '34', 'Al numero di motori di ricerca che utilizza', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '168', '34', 'Al numero di documenti indicizzati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '169', '34', 'Alle caratteristiche di ricerca, controllando sull\'area Help se incontrano le nostre esigenze', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '170', '34', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '171', '35', 'E\' il medesimo, inserendo le stesse parole chiave, per tutti gli strumenti di ricerca dellastessa categoria', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '172', '35', 'Varia in base al grado di indicizzazione di una pagina Web dello strumento, inserendo le stesse parole chiave', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '173', '35', 'E\' proporzionale all\'effettivo numero dei documenti disponibili', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '174', '35', 'E\' rilevato contando i titoli dei documenti indicizzati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '175', '35', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '176', '36', 'La ricerca riporta solo i siti scritti nella lingua selezionata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '177', '36', 'La ricerca riporta solo i siti realizzati nei paesi dove si usa tale lingua', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '178', '36', 'Le parole chiave da inserire vanno scritte solo in quella lingua', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '179', '36', 'Viene modificato il dominio di ricerca', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '180', '36', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '181', '37', 'Deve avere un minimo di senso', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '182', '37', 'Deve essere inclusa tra le ', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '183', '37', 'Deve contenere solo spazi bianchi tra le parole che la compongono', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '184', '37', 'Pu contenere spazi bianchi e segni di punteggiatura tra le parole', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '185', '37', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '186', '38', 'Tutte in maiuscolo, cerca sia le parole tutte in maiuscolo che quelle tutte in minuscolo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '187', '38', 'Tutte in minuscolo, non cerca quelle tutte in maiuscolo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '188', '38', 'Con le sole iniziali maiuscole, cerca anche le parole tutte in minuscolo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '189', '38', 'Con le sole iniziali maiuscole, cerca anche le parole tutte in maiuscolo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '190', '38', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '191', '39', 'Non ha senso perch l\'OR  gi incluso nel precedente AND', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '192', '39', 'Cerca un documento dove sia presente X e solo uno tra Y e Z, e non sia presente W', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '193', '39', 'Cerca una pagina dove sia presente X ed almeno uno tra Y e Z, e non sia presente W', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '194', '39', 'Non ha senso perch AND..NOT  una combinazione contradditoria', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '195', '39', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '196', '40', 'Sono ordinati automaticamente tenendo conto della data di aggiornamento ultimo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '197', '40', 'Sono ordinati tenendo conto della presenza del testo di ricerca nel nome del sito', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '198', '40', 'Sono ordinati tenendo conto della frequenza con cui appare il testo della ricerca nei documenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '199', '40', 'Possono essere raffinati dall\'utente, utilizzando un apposito strumento che viene messo a disposizione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '200', '40', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '201', '41', 'E\' comune a tutti i principali motori di ricerca', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '202', '41', 'E\' tipica di HotBot', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '203', '41', 'Non esiste', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '204', '41', 'E\' tipica di Lycos', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '205', '41', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '206', '42', 'Non esiste', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '207', '42', 'E\' tipica di Excite in modalit avanzata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '208', '42', 'E\' tipica di Webcrawler', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '209', '42', 'E\' comune alla maggior parte dei principali motori di ricerca', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '210', '42', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '211', '43', 'Se  possibile, usare un motore di ricerca specializzato nel campo della ricerca da effettuare', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '212', '43', 'Usare comunque un motore potente e non specializzato, per non perdere informazioni', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '213', '43', 'Usare pi di un motore di ricerca non specializzato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '214', '43', 'Usare, se possibile, pi di un motore di ricerca specifico per il campo della ricerca da svolgere', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '215', '43', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '216', '44', 'Il vero nome di Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '217', '44', 'Lo strumento per sfogliare le pagine Web dei siti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '218', '44', 'Il modo grafico per vedere le informazioni su Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '219', '44', 'La rete Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '220', '44', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '221', '45', 'Uno strumento per sfogliare le pagine Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '222', '45', 'Un programma per le ricerche Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '223', '45', 'Lo strumento che gestisce la posta elettronica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '224', '45', 'Un componente hardware del computer specifico per Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '225', '45', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '226', '46', 'Un componente hardware che si utilizza per le ricerche sul Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '227', '46', 'Un programma software del nostro computer che si usa per le ricerche sul Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '228', '46', 'Un particolare server per le ricerche sul Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '229', '46', 'Uno strumento di ricerca del Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '230', '46', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '231', '47', 'E\' un server di rete che contiene una gran quantit di pagine Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '232', '47', 'Una pagina HTML sul Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '233', '47', 'Una collezione ordinata di pagine Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '234', '47', 'Un insieme di collegamenti a pagine Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '235', '47', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '236', '48', 'E\' il linguaggio di programmazione di Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '237', '48', 'E\' un linguaggio di marcatura che consente al browser di interpretare un pagina Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '238', '48', 'E\' un linguaggio di programmazione che consente al browser di interpretare un pagina Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '239', '48', 'E\' un testo Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '240', '48', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '241', '49', 'E\' possibile solo se si possiede un server Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '242', '49', 'E\' possibile utilizzando un editor di testo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '243', '49', 'E\' possibile solo se abilitati dal proprio provider Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '244', '49', 'E\' possibile utilizzando solo editor specializzati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '245', '49', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '246', '50', 'E\' possibile solo se si possiede un server Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '247', '50', 'E\' possibile utilizzando un editor di testo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '248', '50', 'E\' consentito solo se abilitati dal proprio provider Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '249', '50', 'E\' possibile solo utilizzando editor specializzati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '250', '50', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '251', '51', 'E\' possibile solo acquistando un server Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '252', '51', 'E\' possibile solo se si  esperti di programmazione in Java', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '253', '51', 'E\' consentito solo se si possiede la qualifica di Provider', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '254', '51', 'E\' consentito solo alle aziende o alle societ che immettono pubblicit a pagamento sul Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '255', '51', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '256', '52', 'Non  possibile', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '257', '52', 'E\' possibile solo se associato ad un programma apposito (come MS Publisher)', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '258', '52', 'E\' possibile conoscendo la programmazione in HTML', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '259', '52', 'E\' possibile usando una versione recente di Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '260', '52', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '261', '53', 'Una biblioteca di dati elettronica su scala mondiale', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '262', '53', 'Uno strumento per comunicare', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '263', '53', 'Una rete mondiale di computer che possono scambiare informazioni', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '264', '53', 'World Wide Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '265', '53', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '266', '54', 'Un indirizzo Internet generico', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '267', '54', 'La parte di Internet gestita tramite il protocollo HTML', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '268', '54', 'Uno strumento per la posta elettronica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '269', '54', 'Uno strumento per sfogliare le pagine Web di un sito', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '270', '54', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '271', '55', 'Una pagina HTML su Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '272', '55', 'Una collezione di pagine Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '273', '55', 'Un insieme di collegamenti a pagine Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '274', '55', 'Un insieme di pagine Web ed elementi multimediali contenuti in esse', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '275', '55', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '276', '56', 'Windows per Internet', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '277', '56', 'Il sistema operativo del Web', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '278', '56', 'L\'interfaccia utente-Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '279', '56', 'Uno strumento per leggere le pagine HTML', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '280', '56', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '281', '57', 'Disconnette l\'utente dalla sessione Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '282', '57', 'Interrompe temporaneamente il caricamento di una pagina Web', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '283', '57', 'Interrompe il caricamento di una pagina Web', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '284', '57', 'Consente di completare il caricamento di una pagina Web che richiede molto tempo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '285', '57', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '286', '58', 'Indirizzi di siti Web che mi interessano', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '287', '58', 'I collegamenti agli indirizzi dei siti Web che mi interessano', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '288', '58', 'I files che scarico da Internet e che mi interessano', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '289', '58', 'I collegamenti ai canali che mi interessano', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '290', '58', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '291', '59', 'Rappresentati solo da pulsanti specifici', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '292', '59', 'Associati a testi sottolineati e di diverso colore', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '293', '59', 'Oggetti di tipi diversi, che consentono di passare ad altre pagine e siti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '294', '59', 'Oggetti di tipi diversi, che consentono di muoversi solo tra le pagine dello stesso sito', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '295', '59', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '296', '60', 'Un libro di testo per la scuola superiore', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '297', '60', 'Un browser per navigare in Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '298', '60', 'Un information manager utilizzabile per eseguire numerose attivit quotidiane', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '299', '60', 'Un programma per la videoimpaginazione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '300', '60', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '301', '61', 'Posta, Contatti, Risorse del computer', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '302', '61', 'Outlook, Posta, Altro', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '303', '61', 'Documenti, Posta in arrivo, Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '304', '61', 'Documenti, Posta in arrivo, Outlook, Posta, Altro', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '305', '61', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '306', '62', 'Memorizza i messaggi ricevuti dai colleghi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '307', '62', 'Memorizza i dati delle persone con cui si comunica pi frequentemente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '308', '62', 'Permette di gestire le attivit quotidiane', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '309', '62', 'Permette di gestire la posta elettronica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '310', '62', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '311', '63', 'No si deve usare il Gestore Risorse', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '312', '63', 'Solo se si  connessi ad una rete o ad Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '313', '63', 'No in qualunque caso', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '314', '63', 'Si  possibile creare nuovi gruppi, nuove cartelle e inserire i collegamenti alle cartelle nei gruppi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '315', '63', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '316', '64', 'Nel campo A viene specificato il destinatario del messaggio mentre nel campo Cc viene specificato il destinatario di una copia di conoscenza del messaggio', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '317', '64', 'Il campo A permette di inserire l\'indirizzo del destinatario del messaggio nella rubrica, il campo Cc no', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '318', '64', 'Il campo A permette di inserire l\'indirizzo del destinatario del messaggio dalla rubrica, il campo Cc no', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '319', '64', 'Il campo A permette di inserire l\'indirizzo del destinatario di una copia riservata del messaggio, il campo Cc no', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '320', '64', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '321', '65', 'No se non si ha un browser installato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '322', '65', 'S solo basta fare clic sul campo dei contatti che specifica l\'indirizzo della pagina', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '323', '65', 'S,  sufficiente fare clic sull\'indirizzo della pagina Web memorizzata nel campo del contatto se  gi installato un browser', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '324', '65', 'S utilizzando Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '325', '65', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '326', '66', 'No occorre utilizzare i comando Formato - Carattere di Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '327', '66', 'Si, utilizzando Eudora per inviare la posta elettronica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '328', '66', 'No perch Outlook non  un eleboratore testi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '329', '66', 'Si nella finestra del messaggio la barra degli strumenti contiene tutti i pulsanti per formattare il testo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '330', '66', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '331', '67', 'Memorizzarla in fase di inserimento in uno dei campi della cartella contenente i dati generali del contatto', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '332', '67', 'Fare una nota', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '333', '67', 'Memorizzarla nell\'apposito campo della Rubrica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '334', '67', 'Memorizzarla selezionando il campo Compleanno tra quelli della voce Altri campi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '335', '67', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '336', '68', 'Si', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '337', '68', 'No', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '338', '68', 'Si se l\'effettivo filtro d\'importazione  installato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '339', '68', 'Si se si  collegati a Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '340', '68', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '341', '69', 'Per inserire immagini in Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '342', '69', 'Sono versioni elettroniche delle annotazioni promemoria', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '343', '69', 'Per memorizzare i Contatti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '344', '69', 'Per organizzare le attivit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '345', '69', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '346', '70', 'Aprendo il messaggio con Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '347', '70', 'Solo collegandosi a Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '348', '70', 'Si utilizzando l\'apposito pulsante della barra degli strumenti si pu allegare qualsiasi tipo di file', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '349', '70', 'No', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '350', '70', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '351', '71', 'La priorit alta', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '352', '71', 'Una particolare formattazione al testo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '353', '71', 'Un contrassegno', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '354', '71', 'Una nota', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '355', '71', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '356', '72', 'Utilizzare il comando File > Imposta stampante', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '357', '72', 'Utilizzare il comando File > Stampa quindi selezionare lo Stile della stampa desiderata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '358', '72', 'Non  possibile stampare i cantatti direttamente da Outlook', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '359', '72', 'Selezionare la cartella Posta in arrivo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '360', '72', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '361', '73', 'Specificarle una per una nel Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '362', '73', 'Importarle in base al paese desiderato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '363', '73', 'Scaricarle da Internet all\'indirizzo www.microsoft.com/outlook', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '364', '73', 'Inserire un evento per ogni festivit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '365', '73', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '366', '74', 'Un libro di testo per la scuola superiore', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '367', '74', 'Un browser per navigare in Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '368', '74', 'Un information manager utilizzabile per eseguire numerose attivit quotidiane', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '369', '74', 'Un programma per la videoimpaginazione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '370', '74', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '371', '75', 'Posta, Contatti, Risorse del computer', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '372', '75', 'Outlook, Posta, Altro', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '373', '75', 'Documenti, Posta in arrivo, Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '374', '75', 'Documenti, Posta in arrivo, Outlook, Posta, Altro', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '375', '75', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '376', '76', 'Di spostarsi tra un gruppo e l\'altro e all\'interno di ogni gruppo  possibile selezionare una delle cartelle presenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '377', '76', 'Di spostarsi tra le cartelle e al loro interno di selezionare un gruppo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '378', '76', 'Di impostare i contatti e di pianificare il calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '379', '76', 'Di inviare messaggi e di richiamare documenti Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '380', '76', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '381', '77', 'No si deve usare il Gestore Risorse', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '382', '77', 'Solo se si  connessi ad una rete o ad Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '383', '77', 'No in qualunque caso', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '384', '77', 'Si  possibile creare nuovi gruppi, nuove cartelle e inserire i collegamenti alle cartelle nei gruppi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '385', '77', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '386', '78', 'Nel campo A viene specificato il destinatario del messaggio mentre nel campo Cc viene specificato il destinatario di una copia di conoscenza del messaggio', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '387', '78', 'Il campo A permette di inserire l\'indirizzo del destinatario del messaggio nella rubrica, il campo Cc no', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '388', '78', 'Il campo A permette di inserire l\'indirizzo del destinatario del messaggio dalla rubrica, il campo Cc no', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '389', '78', 'Il campo A permette di inserire l\'indirizzo del destinatario di una copia riservata del messaggio, il campo Cc no', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '390', '78', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '391', '79', 'Memorizza tutti gli appuntamenti del calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '392', '79', 'Memorizza gli indirizzi degli utenti con cui si comunica di solito in modo che siano facilmente reperibili per mezzo del pulsante A in fase di creazione di un messaggio', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '393', '79', 'Memorizza gli indirizzi degli utenti a cui si desidera inviare delle copie di conoscenza o delle copie nascoste', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '394', '79', 'Memorizza le attivit degli utenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '395', '79', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '396', '80', 'No occorre utilizzare i comando Formato - Carattere di Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '397', '80', 'Si, utilizzando Eudora per inviare la posta elettronica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '398', '80', 'No perch Outlook non  un eleboratore testi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '399', '80', 'Si nella finestra del messaggio la barra degli strumenti contiene tutti i pulsanti per formattare il testo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '400', '80', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '401', '81', 'La cartella Posta in arrivo memorizza i messaggi ricevuti, la cartella posta inviata Posta inviata contiene una copia dei messaggi inviati e la cartella Contatti contiene i dati degli utenti con cui si comunica pi spesso', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '402', '81', 'La cartella Posta in arrivo memorizza i messaggi ricevuti, la cartella posta inviata Posta inviata contiene una copia  dei messaggi inviati, la cartella Posta in uscita contiene i messaggi inviati ma non ancora recapitati,', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '403', '81', 'La cartella Posta in arrivo memorizza i messaggi ricevuti, la cartella posta inviata Posta inviata contiene una copia dei messaggi inviati e la cartella Posta eliminata contiene i messaggi eliminati ma non ancora recapitati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '404', '81', 'Solo la cartella Contatti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '405', '81', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '406', '82', 'Si', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '407', '82', 'No', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '408', '82', 'Si se l\'effettivo filtro d\'importazione  installato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '409', '82', 'Si se si  collegati a Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '410', '82', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '411', '83', 'Per inserire immagini in Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '412', '83', 'Sono versioni elettroniche delle annotazioni promemoria', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '413', '83', 'Per memorizzare i Contatti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '414', '83', 'Per organizzare le attivit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '415', '83', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '416', '84', 'Aprendo il messaggio con Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '417', '84', 'Solo collegandosi a Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '418', '84', 'Si utilizzando l\'apposito pulsante della barra degli strumenti si pu allegare qualsiasi tipo di file', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '419', '84', 'No', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '420', '84', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '421', '85', 'La priorit alta', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '422', '85', 'Una particolare formattazione al testo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '423', '85', 'Un contrassegno', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '424', '85', 'Una nota', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '425', '85', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '426', '86', 'No non  possibile cambiare l\'ordinamento default', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '427', '86', 'S, utilizzando il comando Ordina messaggi del menu File', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '428', '86', 'Apponendo un contrassegno i messaggi vengono ordinati del pi al meno importante', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '429', '86', 'S, facendo clic sull\'intestazione della colonna per cui si vogliono ordinare i messaggi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '430', '86', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '431', '87', 'Il messaggio eliminato viene spostato dalla cartella Posta in arrivo alla cartella Posta eliminata in attesa dell\'eliminazione definitiva', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '432', '87', 'Il messaggio eliminato viene spostato dalla cartella Posta in arrivo alla cartella Posta eliminata e non pu pi essere recuperato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '433', '87', 'Il messaggio eliminato viene spostato dalla cartella Posta in arrivo alla cartella Contatti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '434', '87', 'Il messaggio eliminato viene spostato dalla cartella Posta in arrivo alla cartella Posta eliminata e ma pu essere recuperato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '435', '87', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '436', '88', 'Archiviare appuntamenti, archiviare contatti, inviare messaggi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '437', '88', 'Creare e modificare appuntamenti, impostare appuntamenti ricorrenti, stampare la pianificazione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '438', '88', 'Creare e modificare appuntamenti, impostare appuntamenti ricorrenti, stampare l\'elenco dei contatti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '439', '88', 'Gestire appuntamenti tramite Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '440', '88', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '441', '89', 'Memorizzare i dati dei partecipanti nei Contatti e impostare gli incontri nel Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '442', '89', 'Inviare messaggi di posta ai partecipanti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '443', '89', 'Impostare un appuntamento settimanale ricorrente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '444', '89', 'Impostare manualmente tutti i 10 incontri fissandoli sul Selezione date', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '445', '89', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '446', '90', 'Memorizza i messaggi ricevuti dai colleghi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '447', '90', 'Memorizza i dati delle persone con cui si comunica pi frequentemente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '448', '90', 'Permette di gestire le attivit quotidiane', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '449', '90', 'Permette di gestire la posta elettronica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '450', '90', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '451', '91', 'Possiede un promemoria', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '452', '91', 'E\' pi importante di un appuntamento definitivo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '453', '91', 'E\' meno importante di un appuntamento definitivo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '454', '91', 'Non compare quando altri utenti utilizzano il Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '455', '91', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '456', '92', 'Solamante eliminare l\'intera serie degli appuntamenti pianificati', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '457', '92', 'Decidere se si vuole eliminare l\'intera serie o solo l\'appuntamento selezionato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '458', '92', 'Solamente stampare il calendario degli appuntamenti ricorrenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '459', '92', 'Solamente inviere i messaggi ai partecipanti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '460', '92', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '461', '93', 'No se non si ha un browser installato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '462', '93', 'S solo basta fare clic sul campo dei contatti che specifica l\'indirizzo della pagina', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '463', '93', 'S,  sufficiente fare clic sull\'indirizzo della pagina Web memorizzata nel campo del contatto se  gi installato un browser', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '464', '93', 'S utilizzando Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '465', '93', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '466', '94', 'Trascinare l\'appuntamento in una nuova data in Selezione date', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '467', '94', 'Utilizzare il comando Ricorrenza sulla barra degli strumenti Standard', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '468', '94', 'Visualizzare il calendario settimanale ed eliminare l\'appuntamento', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '469', '94', 'Aggiungere un evento', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '470', '94', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '471', '95', 'Memorizzarla in fase di inserimento in uno dei campi della cartella contenente i dati generali del contatto', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '472', '95', 'Fare una nota', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '473', '95', 'Memorizzarla nell\'apposito campo della Rubrica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '474', '95', 'Memorizzarla selezionando il campo Compleanno tra quelli della voce Altri campi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '475', '95', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '476', '96', 'Alla data di scadenza l\'appuntamento viene eliminato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '477', '96', 'E\' possibile stampare l\'appuntamento', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '478', '96', 'L\'appuntamento da provvisorio diventa definitivo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '479', '96', 'Compare un messaggio di avviso', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '480', '96', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '481', '97', 'S, facendo clic sul pulsante Ricorrenza della barra degli strumenti Stanadard', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '482', '97', 'S, pu essere visualizzato il calendario giornaliero, settimanale o mensile facendo clic sui rispettivi pulsanti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '483', '97', 'No, la visualizzazione predefinita del calendario non pu essere cambiata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '484', '97', 'S, solo se cambia la data del sistema', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '485', '97', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '486', '98', 'Utilizzare il comando File > Imposta stampante', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '487', '98', 'Utilizzare il comando File > Stampa quindi selezionare lo Stile della stampa desiderata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '488', '98', 'Non  possibile stampare i cantatti direttamente da Outlook', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '489', '98', 'Selezionare la cartella Posta in arrivo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '490', '98', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '491', '99', 'Specificarle una per una nel Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '492', '99', 'Importarle in base al paese desiderato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '493', '99', 'Scaricarle da Internet all\'indirizzo www.microsoft.com/outlook', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '494', '99', 'Inserire un evento per ogni festivit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '495', '99', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '496', '100', 'Archiviare appuntamenti, archiviare contatti, inviare messaggi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '497', '100', 'Gestire le attivit giornaliere o che si sviluppano su un certo periodo di tempo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '498', '100', 'Inviare messaggi per la gestione delle attivit e degli appuntamenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '499', '100', 'Gestire attivit tramite Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '500', '100', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '501', '101', 'Inserire un nuovo appuntamento', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '502', '101', 'Inserire l\' attivit nell\'area nuove attivit oppure selezionare la visualizzazione Elenco dettagliato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '503', '101', 'Inserire l\'attivit utilizzando il modulo appuntamenti del calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '504', '101', 'Inserire l\' attivit nell\'area nuove attivit oppure fare clic sul pulsante Nuova attivit e compilare il modulo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '505', '101', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '506', '102', 'Archiviare appuntamenti, archiviare contatti, inviare messaggi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '507', '102', 'Creare e modificare appuntamenti, impostare appuntamenti ricorrenti, stampare la pianificazione', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '508', '102', 'Creare e modificare appuntamenti, impostare appuntamenti ricorrenti, stampare l\'elenco dei contatti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '509', '102', 'Gestire appuntamenti tramite Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '510', '102', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '511', '103', 'Una versione ridotta dell\'elenco delle attivit che compare sotto a Selezione date nella cartella Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '512', '103', 'E\' simile alle Note serve per seganlare brevi note o appunti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '513', '103', 'Serve per impostare un appuntamento settimanale ricorrente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '514', '103', 'Permette di inviere messaggi relativi alle attivit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '515', '103', 'Nessuno dei precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '516', '104', 'Memorizza i messaggi ricevuti dai colleghi', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '517', '104', 'Memorizza i dati delle persone con cui si comunica pi frequentemente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '518', '104', 'Permette di gestire le attivit quotidiane', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '519', '104', 'Permette di gestire la posta elettronica', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '520', '104', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '521', '105', 'Possiede un promemoria', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '522', '105', 'E\' pi importante di un appuntamento definitivo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '523', '105', 'E\' meno importante di un appuntamento definitivo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '524', '105', 'Non compare quando altri utenti utilizzano il Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '525', '105', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '526', '106', 'Per inserire immagini in Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '527', '106', 'Sono versioni elettroniche delle annotazioni promemoria', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '528', '106', 'Per memorizzare i Contatti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '529', '106', 'Per organizzare le attivit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '530', '106', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '531', '107', 'Nessun simbolo in quanto non  possibile attribuire una priorit alle attivit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '532', '107', 'Un punto esclamativo rosso per \'Alta priorit\', una freccia verso il basso blu per \'Bassa priorit\', nessun simbolo per \'Normale priorit\'', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '533', '107', 'Un punto esclamativo rosso per \'Normale priorit\', una freccia verso il basso blu per \'Bassa priorit\'', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '534', '107', 'Un punto esclamativo rosso per \'Alta priorit\', una freccia verso il basso blu per \'Bassa priorit\', un tratto orizzontale verde per \'Normale priorit\'', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '535', '107', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '536', '108', 'No se non si ha un browser installato', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '537', '108', 'S solo basta fare clic sul campo dei contatti che specifica l\'indirizzo della pagina', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '538', '108', 'S,  sufficiente fare clic sull\'indirizzo della pagina Web memorizzata nel campo del contatto se  gi installato un browser', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '539', '108', 'S utilizzando Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '540', '108', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '541', '109', 'Aprendo il messaggio con Word', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '542', '109', 'Solo collegandosi a Internet', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '543', '109', 'S utilizzando l\'apposito pulsante della barra degli strumenti si pu allegare qualsiasi tipo di file', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '544', '109', 'No', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '545', '109', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '546', '110', 'No per gestire gli appuntamenti  necessario utilizzare cartella Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '547', '110', 'S solo se l\'attivit viene inserita con il modulo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '548', '110', 'S copiando l\'attivit nel Blocco note attivit del Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '549', '110', 'S trascinando l\'attivit sull\'icona del Calendario sulla Barra di Outlook', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '550', '110', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '551', '111', 'S, facendo clic sul pulsante Ricorrenza della barra degli strumenti Stanadard', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '552', '111', 'S, selezionando un diverso tipo di visualizzazione dall\'elenco a discesa Visualizzazione corrente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '553', '111', 'No, la visualizzazione predefinita della cartella Attivit non pu essere cambiata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '554', '111', 'S, solo utilizzando la barra strumenti del Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '555', '111', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '556', '112', 'S, pu essere visualizzato il calendario giornaliero, settimanale o mensile facendo clic sui rispettivi pulsanti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '557', '112', 'S, facendo clic sul pulsante Ricorrenza della barra degli strumenti Stanadard', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '558', '112', 'No, la visualizzazione predefinita del calendario non pu essere cambiata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '559', '112', 'S, solo se cambia la data del sistema', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '560', '112', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '561', '113', 'Utilizzare il comando File > Imposta stampante', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '562', '113', 'Selezionare la cartella Posta in arrivo', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '563', '113', 'Non  possibile stampare i cantatti direttamente da Outlook', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '564', '113', 'Utilizzare il comando File > Stampa quindi selezionare lo Stile della stampa desiderata', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '565', '113', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '566', '114', 'S per farlo occorre fare clic sul pulsante Raggruppa per casella quindi trascinare l\'intestazione di colonna per cui si desidera raggruppare nell\'apposita zona', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '567', '114', 'S specificando la colonna per cui si desidera raggruppare nel Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '568', '114', 'No non  possibile raggruppare le attivit se non  stata specificata una categoria di appartenenza', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '569', '114', 'Possono essere raggruppate solo le Attivit ricorrenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '570', '114', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '571', '115', 'No si possono creare solo appuntamenti ricorrenti nel Calendario', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '572', '115', 'S ma pu essere gestita solo la prima ricorrenza dell\'attivit inserita', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '573', '115', 'S utilizzando l\'apposito pulsante della barra degli strumenti standard', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '574', '115', 'S solo se l\'attivit viene specificata nel Blocco note Attivit', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '575', '115', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '576', '116', 'No', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '577', '116', 'Si tutti', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '578', '116', 'Si, ma solo quelli usati recentemente', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '579', '116', 'Si, ma occore stamparli uno alla volta', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '580', '116', 'Nessuna delle precedenti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '581', '117', 'No', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '582', '117', 'Si, basta che i rispettivi indirizzi siano contenuti nella cartella dei Contatti', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '583', '117', 'Si, basta inserire gli indirizzi nella casella CC', 'Vero', 'Vero');
INSERT INTO risposte VALUES( '584', '117', 'No per motivi di lunghezza del messaggio', 'Falso', 'Vero');
INSERT INTO risposte VALUES( '585', '117', 'Nessuna delle precedenti', 'Falso', 'Vero');

# --------------------------------------------------------
#
# Struttura della tavola 'test'
#

CREATE TABLE test (
   id int(11) NOT NULL auto_increment,
   idlezione int(11) NOT NULL,
   nome varchar(255) NOT NULL,
   posizione varchar(10) NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'test'
#

INSERT INTO test VALUES( '1', '1', 'Test successivo alla lezione: Usare MS Word per creare pagineHTML', 'dopo');
INSERT INTO test VALUES( '2', '4', 'Test successivo alla lezione: Newsgroup, Ftp, Paint Shop', 'dopo');
INSERT INTO test VALUES( '3', '1', 'Test precedente alla lezione: Usare MS Word per creare pagineHTML', 'prima');
INSERT INTO test VALUES( '4', '4', 'Test precedente alla lezione: Newsgroup, Ftp, Paint Shop', 'prima');
INSERT INTO test VALUES( '5', '3', 'Test successivo alla lezione: Gli strumenti ed i motori di ricerca', 'dopo');
INSERT INTO test VALUES( '6', '2', 'Test precedente alla lezione: Navigare in Internet e posta elettronica', 'prima');
INSERT INTO test VALUES( '7', '3', 'Test precedente alla lezione: Gli strumenti ed i motori di ricerca', 'prima');
INSERT INTO test VALUES( '8', '5', 'Test preliminare del corso di Microsoft Outlook', 'inizio');
INSERT INTO test VALUES( '9', '7', 'Test finale del corso di Internet', 'fine');
INSERT INTO test VALUES( '10', '2', 'Test successivo alla lezione: Navigare in Internet e posta elettronica', 'dopo');
INSERT INTO test VALUES( '11', '6', 'Test preliminare del corso di Internet', 'inizio');
INSERT INTO test VALUES( '12', '8', 'Test finale del corso di Microsoft Outlook', 'fine');
INSERT INTO test VALUES( '13', '9', 'Test successivo alla lezione: Microsoft Outlook 1', 'dopo');
INSERT INTO test VALUES( '14', '10', 'Test successivo alla lezione: Microsoft Outlook 2', 'dopo');
INSERT INTO test VALUES( '15', '9', 'Test precedente alla lezione: Microsoft Outlook 1', 'prima');
INSERT INTO test VALUES( '16', '10', 'Test precedente alla lezione: Microsoft Outlook 2', 'prima');

# --------------------------------------------------------
#
# Struttura della tavola 'utenti'
#

CREATE TABLE utenti (
   id int(11) NOT NULL auto_increment,
   nome varchar(25) NOT NULL,
   cognome varchar(25) NOT NULL,
   email varchar(35) NOT NULL,
   username varchar(20) NOT NULL,
   pass varchar(20) NOT NULL,
   data date DEFAULT '0000-00-00' NOT NULL,
   idcorso int(11) NOT NULL,
   PRIMARY KEY (id)
);

#
# Travaso dati per la tavola 'utenti'
#

INSERT INTO utenti VALUES( '1', 'EMANUELE', 'SPALLANZANI', 'emanuelespallanzani@libero.it', 'manu', 'manu', '2001-05-14', '2');
INSERT INTO utenti VALUES( '2', 'PINCO', 'PALLINO', 'pinco@pllino.com', 'pinco', 'pinco', '2001-05-10', '1');
