// Form per la stampa esplosione distinte

USE LF_DIST
JOIN LF_ANAMAG INTO CODART==CODDIST
JOIN LAV ALIAS 201 INTO CODTAB==CODDIST
END

DESCRIPTION
BEGIN
END


GENERAL
BEGIN
  OFFSET 0 0
END


SECTION HEADER ODD 7

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  106 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  122 1 "Pagina "
 MESSAGE _PAGENO
END

STRINGA 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  60 2 "@BStampa esplosione distinte al "
END

END //HEADER


SECTION BODY ODD 1 COLUMNWISE

STRING 1 20
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Codice" "Codice"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "X " "Fincatura sinistra e destra"
 KEY "Codice"
 PROMPT 1 1 ""
 MESSAGE _DISTINTA,_COD
END

STRING 2 40 2
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Descrizione" "Descrizione"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA " X" "Fincatura sinistra e destra"
 KEY "Descrizione"
 MESSAGE _DISTINTA,_DES
 PROMPT 2 1 ""
END

DATA 3 10
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Data consegna" "Data consegna"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Data consegna"
 MESSAGE _DISTINTA,_DCO
 PROMPT 3 1 ""
END

NUMERO 4 2
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Lv" "Liv."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Livello riga distinta" 
 PROMPT 4 1 ""
 MESSAGE _DISTINTA,_LIV
 PICTURE "##"
END

STRINGA 5 2
BEGIN
 SPECIAL STRINGA INTESTAZIONE "UM" "UM"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Unita' di misura" 
 PROMPT 5 1 ""
 MESSAGE _DISTINTA,_UM
END

NUMBER 6 14 5
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cFabbisogno" "Fabbisogno"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Fabbisogno"
 PROMPT 6 1 ""
 MESSAGE _DISTINTA,_FAB
 PICTURE "########,@@@@@"
END

NUMBER 7 14 5
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cDisponibilita'" "Disponibilita'"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Disponibilita'"
 PROMPT 7 1 ""
 MESSAGE _DISTINTA,_DIS
 PICTURE "########,@@@@@"
END

NUMBER 8 14 5
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cFabbisogno da ord./prod." "Fabbisogno da ordinare"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Fabbisogno da ordinare/produrre"
 PROMPT 8 1 ""
 MESSAGE _DISTINTA,_ORDPROD
 PICTURE "########,@@@@@"
END

NUMBER 9 14 5
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cDisp. residua" "Disp. residua"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Disponibilita' residua"
 PROMPT 9 1 ""
 MESSAGE _DISTINTA,_RESIDUO
 PICTURE "########,@@@@@"
END

VALUTA 10 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cValore" "Valore"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Valore"
 PROMPT 10 1 ""
 FLAGS "U"
 MESSAGE _DISTINTA,_VALORE
END

VALUTA 11 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cValore Unitario" "Valore Unitario"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Valore Unitario"
 PROMPT 11 1 ""
 FLAGS "U"
 MESSAGE _DISTINTA,_VALOREUNIT
END

NUMBER 12 14 5
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cOrd.Fornitori attuale" "Ord.Fornitori"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Ordinato fornitori alla data"
 PROMPT 12 1 ""
 MESSAGE _DISTINTA,_ORDFOR
 PICTURE "########,@@@@@"
END

NUMBER 13 14 5
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@cOrd. Forn. Totale" "Tot. Ord.Fornitori"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Totale ordinato fornitori"
 PROMPT 13 1 ""
 MESSAGE _DISTINTA,_TOTORDFOR
 PICTURE "########,@@@@@"
END

NUMBER 14 6
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Cod. Forn." "Fornitore"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Codice fornitore"
 PROMPT 14 1 ""
 MESSAGE _DISTINTA,_CODFORN
 PICTURE "######"
END

END // End of Body

END // End of form

