#include <xvt.h>
#include <strings.h>
#include <checks.h>

#include "dl0.h"

#define usage   "Error - usage : %s -{7}"

int main(int argc,char** argv)

{
  int             rt = -1 ;
  const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;

  switch (r)
  {
  case 4:
    rt = dl0500(argc,argv) ; break;     //ricerca avanzata
  case 5:
    rt = dl0600(argc,argv) ; break;     //interrogazione magazzino
  case 6:
    rt = dl0700(argc,argv) ; break;     //top ten
  case 7:
    rt = dl0800(argc,argv) ; break;     //acquisizione dati da file testo formattato
  case 8:
    rt = dl0900(argc,argv) ; break;     //invio ordini
  default:
    error_box(usage, argv[0]) ; break;
  }
  return rt;
}
