/* DEC	*CosineDecimal(pDst,pSrc)
 *
 * ARGUMENT
 *	DEC	*pDst;
 *	DEC	*pSrc;
 *
 * DESCRIPTION
 *	Sets pDst = the	cosine of pSrc radians.
 *
 * SIDE	EFFECTS
 *	None.
 *
 * RETURNS
 *	Returns	pointer	to pDst	if successful, otherwise a GM_NULL.
 *
 * POSSIBLE ERROR CODES
 *
 *	GM_NULLPOINTER
 *
 * AUTHOR
 *  Jared Levy		Oct 16,	1987
 *   Copyright (C) 1987-1990 Greenleaf Software	Inc.  All rights reserved.
 *
 * MODIFICATIONS
 *
 */

#include <stdio.h>
#include "gm.h"
#include "gmsystem.h"

DEC	*CosineDecimal(pDst,pSrc)
DEC	*pDst;
DEC	*pSrc;

{
	_MacStart(GM_DCOS);

	_MacInVarD(pDst);
	_MacOutVarD(pSrc);

	_CosDec80Bit(pDst, pSrc);
	(void) _Sq5UnsTo4Uns(pDst);

	_MacRet(pDst);
}
