/* DEC	*ConvDegreesToRadians(rad, deg);
 *
 * ARGUMENT
 *	DEC	*rad;
 *	DEC	*deg;
 *
 * DESCRIPTION
 *	Converts an angle deg, in degrees, to radians,
 *  storing the	result in rad.
 *
 * SIDE	EFFECTS
 *	None.
 *
 * RETURNS
 *	rad if successful, otherwise GM_NULL
 *
 * POSSIBLE ERRORS
 *	GM_NULLPOINTER
 *	GM_INIT
 *	GM_UNDERFLOW
 *
 * AUTHOR
 *  Jared Levy
 *   Copyright (C) 1988-1990 Greenleaf Software	Inc.  All rights reserved.
 *
 * MODIFICATIONS
 *
 *
 */
#include <stdio.h>
#include "gmsystem.h"
DEC	*ConvDegreesToRadians(rad, deg)
DEC	*rad;
DEC	*deg;
{
	_MacStart(GM_DRAD);
	(void) _MulDec80Bit( rad, &decPiOver180, deg );
	(void) _Sq5UnsTo4Uns( rad );
	_MacRet( rad );
}

