#ifndef __GFD_H
#define __GFD_H

#ifdef WIN32
#define uint64 unsigned __int64
#else
#include <sys/types.h>
#define uint64	u_int64_t
#endif

typedef struct idec {
        SHORT           attr;
        SHORT           id;
        unsigned SHORT  sl[4];          /* 80-bit signed number */
        short           msd;            /* most significant word */
        } IDEC;

typedef struct ldec {
        SHORT           lattr;                  /* redef's for long's */
        SHORT           lid;
        unsigned long   lsl[2];
        short           lmsd;
        } LDEC;

typedef struct hdec {
        short             lattr;                  /* redef's for long's */
        short             lid;
        uint64            hsl;
        short             lmsd;
        } HDEC;

typedef union {
        IDEC    dc;
        LDEC    ls;
        HDEC    hs;
        } DEC;

typedef DEC     DECP[1];

#endif /* __GFD_H */
