/*

    Copyright (C) 1988-1990 Greenleaf Software Inc.  All rights reserved.

    This is a list of the function names as strings for use by FunctionName()
    To give correct results, gmfname.h, gmfequs.h, & gmfncnum.h must list the
    same functions in the same order.  */

static char *fnames[]={
"None",
"AddDaysToDate360",
"AddDaysToDate365",
"AddDecimalArrays",
"AddDecimalToDecimalArray",
"AddDoubleToDecimal",
"AddIntToDecimal",
"AddLongToDecimal",
"AddAscii",
"AddUnsToDecimal",
"AddUnsLongToDecimal",
"AdvancedPayment",
"Amortize",
"AmortizeTable",
"ConvAsciiToDecimal",
"ConvAsciiToDecimalRound",
"BondPrice",
"BondYield",
"CompoundInterest",
"CompoundInterestCompound",
"CompoundInterestSimple",
"AbsoluteDecimal",
"ArcCosineDecimal",
"AddDecimal",
"AllocateDecimal",
"AntiLog10Decimal",
"AllocateDecimalArray",
"CopyDecimalArray",
"FreeDecimalArray",
"ArcSineDecimal",
"ArcTangentDecimal",
"DaysBetweenDates360",
"DaysBetweenDates365",
"ChangeSignDecimal",
"CompareDecimal",
"CosineDecimal",
"CotangentDecimal",
"CopyDecimal",
"ConvRadiansToDegrees",
"DivideDecimal",
"DivideDecimalAndRound",
"DivideDecimalAndTruncate",
"DeleteTrailingZeroes",
"AntiLogEDecimal",
"Factorial",
"FilePrintDecimal",
"FractionDecimal",
"FreeDecimal",
"FileScanDecimal",
"ConvDoubleToDecimal",
"ConvDoubleToDecimalRound",
"IntegerPartDecimal",
"IsDecimalEqual",
"IsDecimalGreaterOrEqual",
"IsDecimalGreater",
"IsDecimalInt",
"IsDecimalLessOrEqual",
"IsDecimalLess",
"IsDecimalNotEqual",
"IsDecimalNegative",
"IsDecimalPositive",
"IsDecimalZero",
"DivideDecimalArrays",
"DivideDecimalArrayByDecimal",
"DivideDecimalByDouble",
"DivideDecimalByInt",
"DivideDecimalByLong",
"DivideAscii",
"DivideDecimalByUns",
"DivideDecimalByUnsLong",
"LogEDecimal",
"Log10Decimal",
"MagnitudeOfDecimal",
"DecimalMantissa",
"MaximumDecimal",
"StatMean",
"MinimumDecimal",
"ModuloDecimal",
"DecimalModuloDouble",
"DecimalModuloInt",
"DecimalModuloLong",
"DecimalModuloUns",
"DecimalModuloUnsLong",
"MultiplyDecimal",
"MultiplyDecimalAndRound",
"MultiplyDecimalAndTruncate",
"DecimalPercentage",
"DepreciateDeclining",
"DepreciateDecliningTable",
"DepreciateDoubleDeclining",
"DepreciateDoubleDecliningTable",
"PowerDecimal",
"PowerInteger",
"PowerRational",
"DecimalPrecision",
"PrintDecimal",
"DepreciateStraightLine",
"DepreciateStraightLineTable",
"DepreciateSumOfYears",
"DepreciateSumOfYearsTable",
"ConvDegreesToRadians",
"RootDecimal",
"RootInteger",
"RoundDecimal",
"ScanDecimal",
"SetMathErrVector",
"TestSignDecimal",
"SineDecimal",
"SortDecimalArray",
"StringPrintDecimal",
"SquareRootDecimal",
"StringScanDecimal",
"SubtractDecimal",
"SwapDecimal",
"TangentDecimal",
"ConvDecimalToAscii",
"ConvDecimalToAsciiComma",
"ConvDecimalToAsciiCommaRound",
"ConvDecimalToAsciiRound",
"ConvDecimalToDouble",
"ConvDecimalToEngineering",
"ConvDecimalToInt",
"ConvDecimalToLong",
"ConvDecimalToScientific",
"ConvDecimalToUns",
"ConvDecimalToUnsLong",
"TruncateDecimal",
"ZeroDecimal",
"ZeroDecimalArray",
"ConvEffectiveToNominal",
"ErrorName",
"FunctionName",
"ReturnMathErrAndClear",
"ReturnErrFuncNumAndClear",
"ClearMathError",
"InternalRateOfReturn",
"ConvIntToDecimal",
"LinearEstimate",
"LookUpDecimalArray",
"ConvLongToDecimal",
"MakeDecimalFromInt",
"MakeDecimalFromLong",
"MakeDecimalFromUns",
"MakeDecimalFromUnsLong",
"FindMaximumDecimalArray",
"Median",
"FindMinimumDecimalArray",
"ModifiedIRR",
"MultiplyDecimalArrays",
"MultiplyDecimalArrayByDecimal",
"MultiplyDecimalByDouble",
"MultiplyDecimalByInt",
"MultiplyDecimalByLong",
"MultiplyAscii",
"MultiplyDecimalByUns",
"MultiplyDecimalByUnsLong",
"NetFutureValue",
"ConvNominalToEffective",
"NetPresentValue",
"AddPercent",
"PercentChange",
"DividePercent",
"MultiplyPercent",
"PercentOf",
"PredictX",
"PredictY",
"SubtractPercent",
"SimpleInterest360",
"SimpleInterest365",
"SinglePaymentFutureValue",
"SinglePaymentPresent",
"StandardDeviation",
"SubtractDecimalArrays",
"SubtractDecimalFromDecimalArray",
"SubtractDoubleFromDecimal",
"SubtractIntFromDecimal",
"SubtractLongFromDecimal",
"SubtractAscii",
"SubtractUnsFromDecimal",
"SubtractUnsLongFromDecimal",
"SumDecimalArray",
"SumDecimalArrayNegative",
"SumDecimalArrayPositive",
"ConvUnsToDecimal",
"ConvUnsLongToDecimal",
"UniformSeriesFutureValue",
"UniformSeriesPresentValue",
"WeightedMean",
"AddDaysToDate365NoLeapYear",
"DaysBetweenDates365NoLeapYear",
"ConvDollarsAndCentsToDecimal",
"ConvDecimalToDollarsAndCents",
"ConvDecimalToFraction",
"ConvFractionToDecimal",
"ConvPeriodicToYearly",
"RoundCents",
"TruncateCents",
"ConvYearlyToPeriodic"
};
