/*  Function numbers for error system.
*       Greenleaf Financial MathLib
*       Copyright (C) 1987-1990 Greenleaf Software Inc.  All rights reservd.
*/
typedef enum func_names {
        GM_FN_BASE,
        GM_ADATE360,
        GM_ADATE365,
        GM_ADDARR,
        GM_ADDARRD,
        GM_ADDDFD,
        GM_ADDID,
        GM_ADDLD,
        GM_ADDSTR,
        GM_ADDUID,
        GM_ADDULD,
        GM_ADVPMT,
        GM_AMORT,
        GM_AMORTTBL,
        GM_ATOD,
        GM_ATODR,
        GM_BONDPRC,
        GM_BONDYLD,
        GM_COMP,
        GM_COMPCOMP,
        GM_COMPSIMP,
        GM_DABS,
        GM_DACOS,
        GM_DADD,
        GM_DALLOC,
        GM_DALOG,
        GM_DARALLOC,
        GM_DARCPY,
        GM_DARFREE,
        GM_DASIN,
        GM_DATAN,
        GM_DBD360,
        GM_DBD365,
        GM_DCHGS,
        GM_DCMP,
        GM_DCOS,
        GM_DCOT,
        GM_DCPY,
        GM_DDEG,
        GM_DDIV,
        GM_DDIVR,
        GM_DDIVT,
        GM_DELTRZ,
        GM_DEXP,
        GM_DFACT,
        GM_DFPRINTF,
        GM_DFRACT,
        GM_DFREE,
        GM_DFSCANF,
        GM_DFTOD,
        GM_DFTODR,
        GM_DINT,
        GM_DISEQ,
        GM_DISGE,
        GM_DISGT,
        GM_DISINT,
        GM_DISLE,
        GM_DISLT,
        GM_DISNE,
        GM_DISNEG,
        GM_DISPOS,
        GM_DISZERO,
        GM_DIVARR,
        GM_DIVARRD,
        GM_DIVDFD,
        GM_DIVID,
        GM_DIVLD,
        GM_DIVSTR,
        GM_DIVUID,
        GM_DIVULD,
        GM_DLN,
        GM_DLOG,
        GM_DMAG,
        GM_DMANT,
        GM_DMAX,
        GM_DMEAN,
        GM_DMIN,
        GM_DMOD,
        GM_DMODDF,
        GM_DMODI,
        GM_DMODL,
        GM_DMODUI,
        GM_DMODUL,
        GM_DMUL,
        GM_DMULR,
        GM_DMULT,
        GM_DPCT,
        GM_DPDB,
        GM_DPDBTBL,
        GM_DPDDB,
        GM_DPDDBTBL,
        GM_DPOW,
        GM_DPOWI,
        GM_DPOWRAT,
        GM_DPREC,
        GM_DPRINTF,
        GM_DPSL,
        GM_DPSLTBL,
        GM_DPSOY,
        GM_DPSOYTBL,
        GM_DRAD,
        GM_DROOT,
        GM_DROOTI,
        GM_DROUND,
        GM_DSCANF,
        GM_DSETERTN,
        GM_DSIGN,
        GM_DSIN,
        GM_DSORT,
        GM_DSPRINTF,
        GM_DSQRT,
        GM_DSSCANF,
        GM_DSUB,
        GM_DSWAP,
        GM_DTAN,
        GM_DTOA,
        GM_DTOAC,
        GM_DTOACR,
        GM_DTOAR,
        GM_DTODF,
        GM_DTOENG,
        GM_DTOI,
        GM_DTOL,
        GM_DTOSCI,
        GM_DTOUI,
        GM_DTOUL,
        GM_DTRUNC,
        GM_DZERO,
        GM_DZEROARR,
        GM_EFFTONOM,
        GM_ERRNAME,
        GM_FUNNAME,
        GM_GMEC,
        GM_GMEF,
        GM_GMRS,
        GM_IRR,
        GM_ITOD,
        GM_LINEST,
        GM_LOOKARR,
        GM_LTOD,
        GM_MAKID,
        GM_MAKLD,
        GM_MAKUID,
        GM_MAKULD,
        GM_MAXARR,
        GM_MEDIAN,
        GM_MINARR,
        GM_MIRR,
        GM_MULARR,
        GM_MULARRD,
        GM_MULDFD,
        GM_MULID,
        GM_MULLD,
        GM_MULSTR,
        GM_MULUID,
        GM_MULULD,
        GM_NFV,
        GM_NOMTOEFF,
        GM_NPV,
        GM_PADD,
        GM_PCHANGE,
        GM_PDIV,
        GM_PMUL,
        GM_POF,
        GM_PREDX,
        GM_PREDY,
        GM_PSUB,
        GM_SIMP360,
        GM_SIMP365,
        GM_SPFV,
        GM_SPPV,
        GM_STNDDEV,
        GM_SUBARR,
        GM_SUBARRD,
        GM_SUBDFD,
        GM_SUBID,
        GM_SUBLD,
        GM_SUBSTR,
        GM_SUBUID,
        GM_SUBULD,
        GM_SUMARR,
        GM_SUMARRN,
        GM_SUMARRP,
        GM_UITOD,
        GM_ULTOD,
        GM_USFV,
        GM_USPV,
        GM_WMEAN,
        GM_ADATENLY,
        GM_DBDNLY,
        GM_DCTOD,
        GM_DTODC,
        GM_DTOFR,
        GM_FRTOD,
        GM_ROUNDCNT,
        GM_PTOY,
        GM_TRUNCCNT,
        GM_YTOP,
        GM_ZZZ
} MathFunNumList;
#define GM_FN_NUM       (GM_ZZZ - GM_FN_BASE - 1)
