/* DEC	*MakeDecimalFromUns( x,	l, n)
 *
 * ARGUMENT
 *	DEC	*x;
 *	unsigned l;
 *	int	 n;
 *
 * DESCRIPTION
 *	Converts an int	to a DEC with implied decimal 'n'. For example,
 *  if long = 2345 and n=2, then DEC will have a value = 23.45.
 *
 * SIDE	EFFECTS
 *	None.
 *
 * RETURNS
 *	The DEC	if the conversion is successful, and GM_NULL otherwise.
 *
 * POSSIBLE ERROR CODES
 *
 *	GM_INVALIDID
 *
 * AUTHOR
 *   Jared Levy		Feb. 9,	1987
 *   Copyright (C) 1987-1990 Greenleaf Software	Inc.  All rights reserved.
 *
 * MODIFICATIONS
 *
 */

#include <stdio.h>
#include "gm.h"
#include "gmsystem.h"

DEC	*MakeDecimalFromUns( x,	l, n)
DEC	*x;
unsigned int l;
int	 n;
{
	DEC	*t;
	_MacStart(GM_MAKUID);

	t = MakeDecimalFromLong(x, (long) l, n);
	_MacRet(t);
}
