USE 63
JOIN  9                   INTO CODDITTA=CODDITTA
JOIN  6 TO   9  ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  6         ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@ ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@ ALIAS 313 INTO STATO=="" COM==COMNASC
JOIN 13 TO 216@ ALIAS 413 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 216@ ALIAS 513 INTO STATO=="" COM==COMRF
END

DESCRIPTION
BEGIN
  63->* "Quadro SH 770 ex D1"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone fisiche"
  313@->* "Comune nascita"
  413@->* "Comune residenza"
  513@->* "Comune residenza fiscale"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CA "X"           
  IN 3 3
  FI 130
END

SECTION GRAPHICS FIRST 66

FIGURA 1 130 60
BEGIN
  PROMPT 1 5 "770_D1_1.BMP"
END

END

SECTION GRAPHICS EVEN 66

FIGURA 1 130 58
BEGIN
  PROMPT 1 3 "770_D1_2.BMP"
END

END

SECTION GRAPHICS ODD 66

FIGURA 1 130 58
BEGIN
  PROMPT 1 3 "770_D1_3.BMP"
END

END

SECTION GRAPHICS LAST 66

FIGURA 1 130 63
BEGIN
  PROMPT 1 3 "770_D1_4.BMP"
END

END

SECTION HEADER FIRST 17

STRINGA 1 
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 55 8  ""
  FIELD 106@->COFI
  SPECIAL STRING TRASFER "SH0101" ""
  SPECIAL STRING DYLOG "AN,3,16" ""
END

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 88 8  ""
  SPECIAL STRING DYLOG "AN,19,16" ""
END

NUMBER 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 123 8  ""
END

END

SECTION HEADER ODD 5
// Header pagine successive
END

SECTION BODY ODD 8

LISTA 99
BEGIN
  KEY "Tipo anagrafica"
  PROMPT 1 1 ""
  FIELD TIPOA
  ITEM "F| " MESSAGE SHOW,1@|HIDE,2@|"1",98
  ITEM "G| " MESSAGE SHOW,2@|HIDE,1@|"2",98
END

NUMERO 98
BEGIN
  SPECIAL STRING DYLOG "NU,51,1" ""
END

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 9 1 ""
  FIELD 216@->COFI
  SPECIAL STRING TRASFER "SH0201" ""
  SPECIAL STRING DYLOG "AN,35,16" ""
END

STRINGA 2
BEGIN   
  KEY "COGNOME"
  PROMPT 42 1 ""
  FIELD 216@->RAGSOC[1,30]
  GROUP 1
  SPECIAL STRING TRASFER "SH0202" ""
  SPECIAL STRING DYLOG "AN,52,24" ""
END          

STRINGA 3
BEGIN   
  KEY "NOME"
  PROMPT 21 3 ""
  FIELD 216@->RAGSOC[31,50]
  GROUP 1
  SPECIAL STRING TRASFER "SH0203" ""
  SPECIAL STRING DYLOG "AN,76,20" ""
END

STRINGA 102
BEGIN
  KEY "RAGSOC GIURIDICHE"
  PROMPT 42 1 ""
  FIELD 216@->RAGSOC
  GROUP 2
  SPECIAL STRING TRASFER "SH0202" ""
  SPECIAL STRING DYLOG "AN,186,60" ""
END

STRINGA 4
BEGIN   
  KEY "SESSO"
  PROMPT 57 3 ""
  FIELD 218@->SESSO
  GROUP 1
  SPECIAL STRING TRASFER "SH0204" ""
  SPECIAL STRING DYLOG "AN,104,1" ""
END

STRINGA 5
BEGIN   
  KEY "DATA NASCITA"
  PROMPT 63 3 ""
  FIELD 218@->DATANASC
  PICTURE "##^ ##^ ####"
  GROUP 1
  SPECIAL STRING TRASFER "SH0205" ""
  SPECIAL STRING DYLOG "NU,96,8" ""
END

STRINGA 6
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 79 3 ""
  FIELD 313@->DENCOM
  GROUP 1
  SPECIAL STRING TRASFER "SH0206" ""
  SPECIAL STRING DYLOG "AN,105,21" ""
END

STRINGA 7
BEGIN
  KEY "PROV DI NASCITA"
  PROMPT 126 3 ""
  FIELD 313@->PROVCOM
  GROUP 1
  SPECIAL STRING TRASFER "SH0207" ""
  SPECIAL STRING DYLOG "AN,126,2" ""
END

STRINGA 8
BEGIN
  KEY "COMUNE DI RESIDENZA FISCALE"
  PROMPT 25 5 ""
  FIELD 513@->DENCOM
  MESSAGE EMPTY ENABLE,3@|DISABLE,4@
  MESSAGE ENABLE,4@|DISABLE,3@|COPY,208
  SPECIAL STRING TRASFER "SH0208" ""
  SPECIAL STRING DYLOG "AN,128,21" ""
END

LISTA 96
BEGIN
  KEY "Tipo anagrafica"
  FIELD TIPOA
  ITEM "F| " MESSAGE SHOW,1@|HIDE,2@
  ITEM "G| " MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 80
BEGIN
  KEY "COMUNE DI RESIDENZA"
  PROMPT 25 5 ""
  FIELD 413@->DENCOM
  GROUP 1 3
  SPECIAL STRING TRASFER "SH0208" ""
  SPECIAL STRING DYLOG "AN,128,21" ""
  MESSAGE COPY,208
END

STRINGA 9
BEGIN
  KEY "PROV. RESIDENZA"
  PROMPT 71 5 ""
  FIELD 513@->PROVCOM  
  FIELD 413@->PROVCOM  
  SPECIAL STRING TRASFER "SH0209" ""
  SPECIAL STRING DYLOG "AN,149,2" ""
  MESSAGE COPY,209
END

STRINGA 101
BEGIN
  KEY "VIA RES."
  FIELD 216@->INDRES[1,35]
  FLAGS "H"
  MESSAGE COPY,10 
END

STRINGA 102
BEGIN
  KEY "NUM.CIV DI RESIDENZA"
  FLAGS "H"
  FIELD 216@->CIVRES
  MESSAGE APPEND,10     
END

STRINGA 10
BEGIN
  KEY "VIA RES. + NUMCIVRES"
  PROMPT 78 5 ""
  GROUP 1 3
  SPECIAL STRING TRASFER "SH0210" ""
  SPECIAL STRING DYLOG "AN,151,35" ""
  MESSAGE COPY,210
END

STRINGA 103
BEGIN
  KEY "VIA RES."
  FIELD 216@->INDRF[1,35]
  FLAGS "H"
  MESSAGE COPY,100
END

STRINGA 104
BEGIN
  KEY "NUM.CIV DI RESIDENZA"
  FLAGS "H"
  FIELD 216@->CIVRF
  MESSAGE APPEND,100
END

STRINGA 100
BEGIN
  KEY "VIA RF + NUMCIVRF"
  PROMPT 78 5 ""
  GROUP 1 4
  SPECIAL STRING TRASFER "SH0210" ""
  SPECIAL STRING DYLOG "AN,151,35" ""
  MESSAGE COPY,210
END

STRINGA 208
BEGIN
  KEY "COMUNE DI RESIDENZA GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,246,21" ""
END

STRINGA 209
BEGIN
  KEY "PROV. RESIDENZA GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,267,2" ""
END

STRINGA 210
BEGIN
  KEY "INDIRIZZO GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,269,35" ""
END

STRING 11
BEGIN
  KEY "CAUSALE"
  PROMPT 10 7 ""
  FIELD CAUSALE
  SPECIAL STRING TRASFER "SH0211" ""
  SPECIAL STRING DYLOG "AN,304,1" ""
END

NUMBER 12
BEGIN
  KEY "TOTALE"
  PROMPT 26 7 ""
  FIELD TOTALE
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SH0212" ""
  SPECIAL STRING DYLOG "NU,305,11" ""
END

NUMBER 13
BEGIN
  KEY "SPESE ANTICIPATE"
  PROMPT 46 7 ""
  FIELD SPESEANT
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SH0213" ""
  SPECIAL STRING DYLOG "NU,316,11" ""
END

NUMBER 14
BEGIN
  KEY "QUOTA PROVVIGIONI"
  PROMPT 66 7 ""
  FIELD QUOTAPRO
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SH0214" ""
  SPECIAL STRING DYLOG "NU,327,11" ""
END

NUMBER 15
BEGIN
  KEY "IMPONIBILE"
  PROMPT 88 7 ""
  FIELD IMPONIBILE    
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SH0215" ""
  SPECIAL STRING DYLOG "NU,338,11" ""
END

NUMBER 16
BEGIN
  KEY "RITENUTE OPERATE"
  PROMPT 109 7 ""
  FIELD IMPORTO       
  PICTURE "###.###.###^^^"  
  SPECIAL STRING TRASFER "SH0216" ""
  SPECIAL STRING DYLOG "NU,349,11" ""
END

NUMBER 17
BEGIN
  KEY "RITENUTE SOSPESE"
  PROMPT 109 7 ""
//  FIELD IMPORTO       
  PICTURE "###.###.###^^^"  
  SPECIAL STRING TRASFER "SH0217" ""
  SPECIAL STRING DYLOG "NU,360,11" ""
END

END

SECTION FOOTER LAST 4

STRINGA 2
BEGIN
 KEY "FIRMA a 4 righe vuote dal body"
 PROMPT 83 4 ""
 FIELD 106@->RAGSOC        
END

END
