USE 62
JOIN  9                   INTO CODDITTA=CODDITTA
JOIN  6 TO   9  ALIAS 206 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  6         ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@ ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@ ALIAS 313 INTO STATO=="" COM==COMNASC
JOIN 13 TO 216@ ALIAS 413 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 216@ ALIAS 513 INTO STATO=="" COM==COMRF
JOIN %STA TO 216@ ALIAS 104 INTO CODTAB=STATORES
END

DESCRIPTION
BEGIN
  62->* "Quadro SC 770"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  206@->* "Anagrafica persone fisiche e giuridiche"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone fisiche"
  313@->* "Comune nascita"
  413@->* "Comune residenza"
  513@->* "Comune residenza fiscale"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CA "X"           
  IN 3 3
  FI 130
END

SECTION HEADER FIRST 18

STRINGA 1 
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 55 8  ""
  FIELD 206@->COFI
  SPECIAL STRING TRASFER "SF0101" ""
  SPECIAL STRING DYLOG "AN,3,16" ""
END

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 88 8  ""
  SPECIAL STRING DYLOG "AN,19,16" ""
END

NUMBER 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 123 8  ""
END

END

SECTION HEADER ODD 4
// Header pagine 2 e 3
END

SECTION HEADER LAST 5
// Header ultima pagina
END


SECTION BODY ODD 10

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 10 1 ""
  FIELD 216@->COFI
  SPECIAL STRING TRASFER "SF0201" ""
  SPECIAL STRING DYLOG "AN,0,16" ""
END

LISTA 99
BEGIN
  KEY "Tipo anagrafica"
  PROMPT 1 1 ""
  FIELD TIPOA
  ITEM "F| " MESSAGE SHOW,1@|HIDE,2@|"1",98
  ITEM "G| " MESSAGE SHOW,2@|HIDE,1@|"2",98
END

STRINGA 98
BEGIN
  KEY "Tipo anagrafica 1/2"
  SPECIAL STRING DYLOG "NU,16,1" ""
END

STRINGA 2
BEGIN   
  KEY "COGNOME"
  PROMPT 42 1 ""
  FIELD 216@->RAGSOC[1,30]
  GROUP 1
  SPECIAL STRING TRASFER "SF0202" ""
  SPECIAL STRING DYLOG "AN,17,24" ""
END          

STRINGA 3
BEGIN   
  KEY "NOME"
  PROMPT 22 3 ""
  FIELD 216@->RAGSOC[31,50]
  GROUP 1
  SPECIAL STRING TRASFER "SF0203" ""
  SPECIAL STRING DYLOG "AN,41,20" ""
END

STRINGA 4
BEGIN   
  KEY "SESSO"
  PROMPT 57 3 ""
  FIELD 218@->SESSO
  GROUP 1
  SPECIAL STRING TRASFER "SF0204" ""
  SPECIAL STRING DYLOG "AN,61,1" ""
END

STRINGA 102
BEGIN
  KEY "RAGSOC GIURIDICHE"
  PROMPT 42 1 ""
  FIELD 216@->RAGSOC
  GROUP 2
  SPECIAL STRING TRASFER "SF0202" ""
  SPECIAL STRING DYLOG "AN,161,60" ""
END

STRINGA 5
BEGIN   
  KEY "DATA NASCITA"
  PROMPT 63 3 ""
  FIELD 218@->DATANASC
  PICTURE "##^ ##^ ####"
  SPECIAL STRING TRASFER "SF0205" ""
  SPECIAL STRING DYLOG "NU,62,8" ""
  GROUP 1
END

STRINGA 6
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 79 3 ""
  FIELD 313@->DENCOM
  GROUP 1
  SPECIAL STRING TRASFER "SF0206" ""
  SPECIAL STRING DYLOG "AN,70,25" ""
END

STRINGA 7
BEGIN
  KEY "PROV DI NASCITA"
  PROMPT 126 3 ""
  FIELD 313@->PROVCOM
  GROUP 1
  SPECIAL STRING TRASFER "SF0207" ""
  SPECIAL STRING DYLOG "AN,95,2" ""
END

STRINGA 8
BEGIN
  KEY "COMUNE DI RESIDENZA FISCALE"
  PROMPT 25 5 ""
  FIELD 513@->DENCOM
  FIELD 413@->DENCOM
  SPECIAL STRING TRASFER "SF0208" ""
  SPECIAL STRING DYLOG "AN,97,25" ""
  GROUP 1
  MESSAGE COPY,208
END

STRINGA 7
BEGIN
  KEY "PROV DI RESIDENZA FISCALE"
  PROMPT 126 3 ""
  FIELD 513@->PROVCOM
  FIELD 413@->PROVCOM
  GROUP 1
  SPECIAL STRING TRASFER "SF0207" ""
  SPECIAL STRING DYLOG "AN,122,2" ""
  MESSAGE COPY,209
END

STRINGA 101
BEGIN
  KEY "VIA RES. FISC."
  FIELD 216@->INDRF[1,35]
  FIELD 216@->INDRES[1,35]
  FLAGS "H"
  MESSAGE COPY,10
END

STRINGA 102
BEGIN
  KEY "NUM.CIV DI RESIDENZA FISC."
  FLAGS "H"
  FIELD 216@->CIVRF
  FIELD 216@->CIVRES
  MESSAGE APPEND,10
END

STRINGA 10
BEGIN
  KEY "VIA RF + NUMCIVRF"
  PROMPT 78 5 ""
  SPECIAL STRING DYLOG "AN,124,35" ""
  GROUP 1
  MESSAGE COPY,210
END

NUMBER 11
BEGIN
  KEY "CODICE REGIONE"
  PROMPT 78 5 ""
  FIELD 513@->CODREG
  SPECIAL STRING DYLOG "NU,159,2" ""
  MESSAGE COPY,211
  GROUP 1
END

STRINGA 205
BEGIN   
  KEY "DATA NASCITA GIURIDICA (sempre 0)"
  PROMPT 63 3 ""
  PICTURE "##^ ##^ ####"
  SPECIAL STRING TRASFER "SF0205" ""
  SPECIAL STRING DYLOG "NU,62,8" ""
  GROUP 2
END

STRINGA 208
BEGIN
  KEY "COMUNE DI RESIDENZA GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,221,25" ""
END

STRINGA 209
BEGIN
  KEY "PROV. RESIDENZA GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,246,2" ""
END

STRINGA 210
BEGIN
  KEY "INDIRIZZO GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,248,35" ""
END

STRINGA 211
BEGIN
  KEY "CODICE REGIONE GIURIDICHE"
  GROUP 2
  SPECIAL STRING DYLOG "AN,283,2" ""
END

STRINGA 12
BEGIN
  KEY "CODICE STATO ESTERO DI RES."
  PROMPT 75 7 "" 
  FIELD 216@->STATORES
  SPECIAL STRING TRASFER "SF0213" ""
  SPECIAL STRING DYLOG "NU,285,3" ""
END

STRINGA 13
BEGIN
  KEY "CODICE FISCALE ESTERO"
  PROMPT 90 7 ""      
  FIELD 216@->COFIEST
  SPECIAL STRING TRASFER "SF0214" ""
  SPECIAL STRING DYLOG "AN,288,20" ""
END

STRINGA 14
BEGIN
  KEY "CAUSALE"
  PROMPT 13 9 ""
  FIELD CAUSALE
  SPECIAL STRING TRASFER "SF0215" ""
  SPECIAL STRING DYLOG "AN,308,1" ""
END

STRINGA 15
BEGIN
  KEY "TITOLO"
  PROMPT 16 9 ""
  SPECIAL STRING TRASFER "SF0215" ""
  SPECIAL STRING DYLOG "AN,309,1" ""
END

NUMERO 16
BEGIN
  KEY "ANNO"
  PROMPT 16 9 ""
  SPECIAL STRING TRASFER "SF0215" ""
  SPECIAL STRING DYLOG "NU,310,4" ""
END

NUMERO 17
BEGIN
  KEY "TOTALE"
  PROMPT 27 9 ""
  FIELD TOTALE
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SF0216" ""
  SPECIAL STRING DYLOG "NU,314,11" ""
END

NUMBER 18
BEGIN
  KEY "SOMME NON SOGGETTE A RITENUTA"
  PROMPT 47 9 ""
  FIELD SOMME         
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SF0217" ""
  SPECIAL STRING DYLOG "NU,325,11" ""
END

NUMBER 19
BEGIN
  KEY "SOMREGCONV"
  PROMPT 66 9 ""
  FIELD SOMREGCONV
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SF0218" ""
  SPECIAL STRING DYLOG "NU,336,11" ""
END

NUMBER 20
BEGIN
  KEY "IMPONIBILE"
  PROMPT 88 9 ""
  FIELD IMPONIBILE    
  PICTURE "###.###.###^^^" 
  SPECIAL STRING TRASFER "SF0219" ""
  SPECIAL STRING DYLOG "NU,347,11" ""
END

NUMBER 21
BEGIN
  KEY "IMPORTO"
  PROMPT 109 9 ""
  FIELD IMPORTO       
  PICTURE "###.###.###^^^"  
  SPECIAL STRING TRASFER "SF0220" ""
  SPECIAL STRING DYLOG "NU,358,11" ""
END

NUMBER 22
BEGIN
  KEY "RITENUTE SOSPESE"
  PROMPT 109 9 ""
  SPECIAL STRING DYLOG "NU,369,11" ""
END

NUMBER 23
BEGIN
  KEY "ADDIZIONALE REGIONALE"
  PROMPT 109 9 ""
  SPECIAL STRING DYLOG "NU,380,11" ""
END

NUMBER 24
BEGIN
  KEY "ADDIZIONALE REGIONALE SOSPESA"
  PROMPT 109 9 ""
  SPECIAL STRING DYLOG "NU,391,11" ""
END

NUMBER 25
BEGIN
  KEY "IMPONIBILE ANNI PRECEDENTI"
  PROMPT 109 9 ""
  SPECIAL STRING DYLOG "NU,402,11" ""
END

NUMBER 26
BEGIN
  KEY "RITENUTE ANNI PRECEDENTI"
  PROMPT 109 9 ""
  SPECIAL STRING DYLOG "NU,413,11" ""
END

NUMBER 27
BEGIN
  KEY "POSIZIONE ASSICURATIVA TERRITORIALE"
  PROMPT 109 9 ""
  SPECIAL STRING DYLOG "NU,424,10" ""
END

NUMBER 28
BEGIN
  KEY "DATA INIZIO E DATA FINE"
  PROMPT 109 9 ""
  SPECIAL STRING DYLOG "NU,434,8" ""
END

NUMBER 31
BEGIN
  KEY "TIPO PERSONA RAPPRESENTANTE ESTERO (0)"
  PROMPT 109 9 ""
  SPECIAL STRING DYLOG "NU,462,1" ""
END

NUMERO 35
BEGIN
  KEY "DATA DI NASCITA ESTERA"
  SPECIAL STRING DYLOG "NU,508,8" ""
END

NUMERO 41
BEGIN
  KEY "CODICE STATO ESTERO"
  SPECIAL STRING DYLOG "NU,605,3" ""
END

NUMERO 410
BEGIN
  KEY "CODICE STATO ESTERO ???"
  SPECIAL STRING DYLOG "NU,730,3" ""
END

END

SECTION FOOTER LAST 3

STRINGA 2
BEGIN
 KEY "FIRMA a 3 righe vuote dal body"
 PROMPT 84 3 ""
 FIELD 206@->RAGSOC        
END

END
