USE 42
JOIN 37 INTO CODDITTA==CODDITTA
JOIN 9 INTO CODDITTA==CODDITTA
JOIN 6 TO 9 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 106@ ALIAS 108 INTO CODANAGR=CODANAGR
JOIN 13 TO 108@ ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 106@ ALIAS 213 INTO COM==COMRF(COMRES)
END

DESCRIPTION
BEGIN
  36->* "Base 770"
  37->* "Basebis 770"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CA "X"           
  IN 3 1
  FI 129
END    

SECTION HEADER FIRST 12

LISTA 1
BEGIN
 KEY "Tipo anagrafica"
 FLAGS "H"
 FIELD 9->TIPOA
 ITEM "F|Fisica" MESSAGE SHOW,1@|HIDE,2@
 ITEM "G|Giuridica" MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 2
BEGIN
 KEY "CODICE FISCALE DEL DICHIARANTE"
 PROMPT 53 5 ""
 FIELD 106@->COFI
 SPECIAL STRING TRASFER "SK0101" ""
END

STRINGA 3
BEGIN
 KEY "CODICE FISCALE DEL SOSTITUTO IMPOSTA"
 PROMPT 85 5 ""
END

NUMERO 4
BEGIN
  KEY "NUMERO FOGLIO"
  PROMPT 126 5 ""
END

STRINGA 5
BEGIN
  KEY "Cod.Conc.1"
  PROMPT 41 12 ""  
  FIELD 213@->UFFCONC
END

STRINGA 6
BEGIN
  KEY "Cod.Conc.2"
  PROMPT 53 12 ""
  FIELD 37->L0CCONC2
END

STRINGA 7
BEGIN
  KEY "Cod.Conc.3"
  PROMPT 65 12 ""
  FIELD 37->L0CCONC3
END

NUMERO 8
BEGIN
  KEY "Cod.Tes.1"
  PROMPT 102 12 ""
  FIELD 37->L0CTES1
END

NUMERO 9
BEGIN
  KEY "Cod.Tes.2"
  PROMPT 114 12 ""
  FIELD 37->L0CTES2
END

NUMERO 10
BEGIN
  KEY "Cod.Tes.3"
  PROMPT 126 12 ""
  FIELD 37->L0CTES3
END

END

SECTION BODY ODD 4

NUMERO 1
BEGIN
  KEY "Mese rif."
  PROMPT 23 2 ""
  PICTURE "@@"
  MESSAGE COPY,100
END

NUMERO 2
BEGIN
  KEY "Anno rif."
  PROMPT 28 2 ""
  FIELD 42->QLAP
  MESSAGE ADD,100
END

STRING 100
BEGIN
  KEY "Periodo rif."
  PROMPT 23 2 ""
  SPECIAL STRING TRASFER "SK0202" ""
END

NUMERO 3
BEGIN
  KEY "Rit.eff"
  PROMPT 46 2 ""
  FIELD 42->QLRITEFF
  PICTURE "###.###.###.###^^^"  
  MESSAGE ADD,FL->1
  SPECIAL STRING TRASFER "SK0201" ""
END

NUMERO 4
BEGIN
  KEY "Rit.ver"
  PROMPT 77 2 ""
  FIELD 42->QLRITVER
  PICTURE "###.###.###.###^^^"  
  MESSAGE ADD,FL->2  
END

LISTA 5
BEGIN
  KEY "RSS"
  PROMPT 99 2 ""      
  ITEM " | "
  ITEM "1|VA" 
  ITEM "2|SA"
  ITEM "3|SI"    
  FIELD 42->QLRSS
  SPECIAL STRING TRASFER "SK0203" ""
END

STRINGA 6
BEGIN
  KEY "Note"
  PROMPT 109 2 ""
  FIELD 42->QLNOTE
  SPECIAL STRING TRASFER "SK0204" ""
END

STRINGA 7
BEGIN
  KEY "Luogo Vers."
  PROMPT 25 4 ""
  FIELD 42->QLLV
END

LISTA 8
BEGIN
  KEY "Tipo Vers."
  PROMPT 33 4 ""
  ITEM " | "
  ITEM "B|B" MESSAGE SHOW,13|HIDE,14
  ITEM "C|C" MESSAGE SHOW,14|HIDE,13
  ITEM "D|D" MESSAGE SHOW,14|HIDE,13
  FIELD 42->QLTV
  SPECIAL STRING TRASFER "SK0207" ""
END

STRINGA 9
BEGIN
  KEY "CodTrib"
  PROMPT 45 4 ""
  FIELD 42->QLCT
  SPECIAL STRING TRASFER "SK0205" ""
END

STRINGA 10
BEGIN
  KEY "Art.Bil."
  PROMPT 53 4 ""
  FIELD 42->QLAB
  SPECIAL STRING TRASFER "SL0206" ""
END

STRINGA 11
BEGIN
  KEY "DATA VERS."
  PROMPT 62 4 ""
  FIELD 42->QLDV
  PICTURE " ## ^ ## ^####" 
  SPECIAL STRING TRASFER "SL0104" ""
END  
  
STRINGA 12
BEGIN
  KEY "SERIE"
  PROMPT 81 4 ""
  FIELD 42->QLSERIE
END

STRINGA 13
BEGIN
  KEY "NUMERO SENZA Prog.Versamento"
  PROMPT 96 4 ""
  FIELD 42->QLNUMERO[1,5]
END

STRINGA 14
BEGIN
  KEY "NUMERO COMPLETO"
  PROMPT 96 4 ""
  FIELD 42->QLNUMERO
  FLAGS "H"
END

END

SECTION FOOTER LAST 6

NUMERO 1
BEGIN
  KEY "Tot.rit.eff"
  PROMPT 63 2 ""
  PICTURE "###.###.###.###^^^"    
END

NUMERO 2
BEGIN
  KEY "Tot.rit.ver"
  PROMPT 114 2 ""               
  PICTURE "###.###.###.###^^^"    
END

DATE 3
BEGIN
  KEY "DATA"
  PROMPT 30 6 ""
  FLAGS "A"
END

STRINGA 4
BEGIN
  KEY "FIRMA"
  PROMPT 86 6 ""
  FIELD 106@->RAGSOC
END

END

END



