USE 42
JOIN 9 INTO CODDITTA=CODDITTA
JOIN 6 TO 9 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
END

DESCRIPTION
BEGIN
  42->* "Quadro L"
  9->* "Anagrafica ditte"
END

GENERAL
BEGIN
  OFFSET 0 0
END    

SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta: "
 FIELD 9->RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  106 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  122 1 "Pagina "
 MESSAGE _PAGENO
END

STRINGA 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  55 2 "Stampa riepilogo SL/SK"
END

END

SECTION BODY ODD 2 COLUMNWISE

DATA 1 12
BEGIN
  KEY "Data versamento"
  SPECIAL STRINGA INTESTAZIONE "@cData ver." "Data ver."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  PROMPT 1 1 ""
  FIELD 42->QLDV
END

LISTA 2 10
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cMese rif." "Mese rif."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Mese rif."
  PROMPT 2 1 ""
  FIELD 42->QLMP
  ITEM " | "
  ITEM "1|Gennaio"
  ITEM "2|Febbraio"
  ITEM "3|Marzo"
  ITEM "4|Aprile"
  ITEM "5|Maggio"
  ITEM "6|Giugno"
  ITEM "7|Luglio"
  ITEM "8|Agosto"
  ITEM "9|Settembre"
  ITEM "10|Ottobre"
  ITEM "11|Novembre"
  ITEM "12|Dicembre"  
END

LISTA 3 11
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cLuogo ver." "Luogo ver."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Luogo Versamento"
  PROMPT 3 1 ""
  FIELD 42->QLLV
  ITEM " | "
  ITEM "C|Concessione"
  ITEM "T|Tesoreria"
END

LISTA 4 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cTipo ver." "Tipo ver."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Tipo versamento"
  PROMPT 4 1 ""
  FIELD 42->QLTV
  ITEM " | "
  ITEM "B|Del. bancaria"
  ITEM "C|C/C postale"
  ITEM "D|Distinta"
END

NUMERO 5 7
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cCod. T." "Cod. T."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Codice tributo"
  PROMPT 5 1 ""
  FIELD 42->QLCT
END

NUMERO 6 9
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cArt. Bil." "Art. Bil."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Articolo di bilancio"
  PROMPT 6 1 ""
  FIELD 42->QLAB
END

STRINGA 7 7
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cCod. q." "Cod. q."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Codice quadro"
  PROMPT 7 1 ""
  FIELD 42->QLCODQUA
END

STRINGA 8 5
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cSerie" "Serie"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "SERIE"
  PROMPT 8 1 ""
  FIELD 42->QLSERIE
END

VALUTA 9 15
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cRit. effettuate" "Rit. effettuate"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Ritenute effettuate"
  PROMPT 9 1 ""
  FIELD 42->QLRITEFF
  PICTURE "###.###.###.###^^^"  
END

VALUTA 10 15
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cImp. Versato" "Imp. Versato"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Importo versato"
  PROMPT 10 1 ""
  FIELD 42->QLRITVER
  PICTURE "###.###.###.###^^^"  
END

LISTA 11 3
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cRSS" "RSS"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "RSS"
  PROMPT 11 1 ""      
  ITEM " | "
  ITEM "1|VA" 
  ITEM "2|SA"
  ITEM "3|SI"    
  FIELD 42->QLRSS
END

STRINGA 12 7
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@cNote" "Note"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Note"
  PROMPT 12 1 ""
  FIELD 42->QLNOTE
END

END


