// Mod.770 - Archivio BASEBIS

#ifndef __BASEBIS_H
#define __BASEBIS_H

#define BSB_CODDITTA    "CODDITTA"
#define BSB_E0NFCOM     "E0NFCOM"
#define BSB_E0NPER      "E0NPER"
#define BSB_E0AIMP      "E0AIMP"
#define BSB_E0ROPE      "E0ROPE"
#define BSB_E0SNSRIT    "E0SNSRIT"

#define BSB_E1NFCOM     "E1NFCOM"
#define BSB_E1NPER      "E1NPER"
#define BSB_E1SCOR      "E1SCOR"
#define BSB_E1BCOM      "E1BCOM"
#define BSB_E1ROPE      "E1ROPE"
#define BSB_E1ACOM      "E1ACOM"                    
#define BSB_E1BCOM2     "E1BCOM2"
#define BSB_E1ROPE2     "E1ROPE2"

#define BSB_E2NFCOM     "E2NFCOM"
#define BSB_E2NPER      "E2NPER"
#define BSB_E2ROPE      "E2ROPE"
#define BSB_E2SSRIT     "E2SSRIT"

#define BSB_F0SRITA     "F0SRITA"                     
#define BSB_F0ROPEA     "F0ROPEA"
#define BSB_F0TACCA     "F0TACCA"                     
#define BSB_F0EDACCA    "F0EDACCA"
#define BSB_F0ERIMA     "F0ERIMA"
#define BSB_F0SSRITBF   "F0SSRITBF"
#define BSB_F0ROPEBF    "F0ROPEBF"
#define BSB_F0SSVA      "F0SSVA"
#define BSB_F0ROPEVA    "F0ROPEVA"
#define BSB_F0AMMPRO    "F0AMMPRO"         
#define BSB_F0PREOPE    "F0PREOPE"         

#define BSB_F1NFCOM     "F1NFCOM"                      
#define BSB_F1NPER      "F1NPER"                      
#define BSB_F1TPLUA     "F1TPLUA"                      
#define BSB_F1ROPEA     "F1ROPEA"
#define BSB_F1SSRIT     "F1SSRIT"                     
#define BSB_F1ROPE      "F1ROPE"

#define BSB_F2SSRIT     "F2SSRIT"
#define BSB_F2ROPE      "F2ROPE"

#define BSB_G0NFCOM     "G0NFCOM"
#define BSB_G0NAZI1     "G0NAZI1"
#define BSB_G0UDEN1     "G0UDEN1"
#define BSB_G0UNAT1     "G0UNAT1"
#define BSB_G0IUTI2     "G0IUTI2"
#define BSB_G0ROPE      "G0ROPE"
#define BSB_G0USRIT3    "G0USRIT3"                    
#define BSB_G0RACC3     "G0RACC3"
#define BSB_G0RIMP3     "G0RIMP3"
#define BSB_G0UNSRIT3   "G0UNSRIT3"
#define BSB_G0USPE      "G0USPE"
#define BSB_G0UPAG      "G0UPAG"
#define BSB_G0NPER      "G0NPER"
#define BSB_G0UTDACOR   "G0UTDACOR"
#define BSB_G0UTDACOR2  "G0UTDACOR2"
#define BSB_G0UTDELDIS  "G0UTDELDIS"
#define BSB_G0UTCOR1S   "G0UTCOR1S"
#define BSB_G0UTCOR2S   "G0UTCOR2S"

#define BSB_G1UTCOR1S   "G1UTCOR1S"
#define BSB_G1UTCOR2S   "G1UTCOR2S"
#define BSB_G1RITAV1    "G1RITAV1"
#define BSB_G1RITAV2    "G1RITAV2"
#define BSB_G1RITIV1    "G1RITIV1"
#define BSB_G1RITIV2    "G1RITIV2"
#define BSB_G1UTNSR1S   "G1UTNSR1S"
#define BSB_G1UTNSR2S   "G1UTNSR2S"

#define BSB_H0CODLAV    "H0CODLAV"
#define BSB_H0COLDIP    "H0COLDIP"
#define BSB_H0NPVERH    "H0NPVERH"
#define BSB_H0NQLAGG    "H0NQLAGG"
#define BSB_L0CCONC1    "L0CCONC1"
#define BSB_L0CCONC2    "L0CCONC2"
#define BSB_L0CCONC3    "L0CCONC3"
#define BSB_L0CTES1     "L0CTES1"
#define BSB_L0CTES2     "L0CTES2"
#define BSB_L0CTES3     "L0CTES3"
#define BSB_CONSBASOCC  "CONBASOCC"
#define BSB_LAVDIPCIN   "LAVDIPCIN"
#define BSB_PIMPINI     "PIMPINI"
#define BSB_PIMPFINE    "PIMPFINE"
#define BSB_G0RITSPET "G0RITSPET"

#define I11_1 "B1NFCOM"
#define I11_2 "B1NPER"
#define I11_3 "B1TIND"
#define I11_4 "B1TIRM"
#define I11_5 "B1TICOM"

#endif
