#include "mg3frm.h"
USE LF_MAG KEY 2 BY ANNOES CODART LIVELLO CODMAG
JOIN LF_ANAMAG TO LF_MAG INTO CODART==CODART
JOIN MAG TO LF_MAG ALIAS 500 INTO CODTAB==CODMAG[1,3]
JOIN MAG TO LF_MAG ALIAS 501 INTO CODTAB==CODMAG
JOIN GMC TO LF_ANAMAG ALIAS 400 INTO CODTAB==GRMERC[1,3]
JOIN GMC TO LF_ANAMAG ALIAS 401 INTO CODTAB==GRMERC
JOIN LF_UMART TO LF_ANAMAG INTO CODART==CODART
END
  
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 1
//    FONT "Courier New"
//    SIZE 12
END

SECTION GRAPHIC
BEGIN
END

SECTION HEADER ODD 8

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  120 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
 KEY "Intestazione stampa"
 PROMPT  45 2 "Stampa dati storici giacenze"
END

STRINGA FF_FILTRO 20
BEGIN
  KEY "RANGE"
  PROMPT 74 2 ""
END

STRINGA FF_RANGEARTIC 40
BEGIN
  KEY "RANGE"
  PROMPT 1 3 ""
END

STRINGA FF_RANGEMAGAZ 40
BEGIN
  KEY "RANGE"
  PROMPT 1 4 ""
END

STRINGA FF_RANGECATMER 40
BEGIN
  KEY "RANGE"
  PROMPT 45 4 ""
END


STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 5 "---------------------------------------------------------------------------------------------------------------------------------------------------"
END


  LIST FF_PREZZIVALORI 1
  BEGIN
    PROMPT 1 1 ""
    FLAG "H"
    KEY "PREZZIOVALORI"
    ITEM "P|0"
    MESSAGE ENABLE,FG_RIGAPREZZI@|ENABLE,FG_RIGACOSTI@|DISABLE,FG_RIGAVALORI@
    ITEM "V|1"
    MESSAGE DISABLE,FG_RIGAPREZZI@|DISABLE,FG_RIGACOSTI@|ENABLE,FG_RIGAVALORI@
    ITEM "L|2"
    MESSAGE ENABLE,FG_RIGAPREZZI@|DISABLE,FG_RIGACOSTI@|DISABLE,FG_RIGAVALORI@
 END

  LIST FF_FLAGGIAC 1
  BEGIN
    PROMPT 1 1 ""
    FLAG "H"
    KEY "FLAG GIACENZA"
    ITEM "0|0"
    MESSAGE HIDE,14
    ITEM "1|1"
    MESSAGE SHOW,14
  END

  LIST FF_FLAGSOTTOS 1
  BEGIN
    PROMPT 1 1 ""
    FLAG "H"
    KEY "FLAG SOTTOSCORTA"
    ITEM "0|0"
    MESSAGE HIDE,15
    ITEM "1|1"
    MESSAGE SHOW,15
  END

  LIST FF_FLAGVALMEDI 1
  BEGIN
    PROMPT 1 1 ""
    FLAG "H"
    KEY "FLAG VALORI MEDI"
    ITEM "0|N"
      MESSAGE HIDE,FG_VALMEDI@
    ITEM "1|Y"
      MESSAGE SHOW,FG_VALMEDI@ 
  END

  STRINGA 6 20
  BEGIN
    KEY "H1"
    PROMPT 2 6 "Codice"
  END
  STRINGA 7 40
  BEGIN
    KEY "H1"
    PROMPT 23 6 "Descrizione"
  END
  STRINGA 7 40
  BEGIN
    KEY "H1"
    PROMPT 54 6 "UM"
  END
  STRINGA 8 12
  BEGIN
    KEY "H1"
    PROMPT 64 6 "Giac."
    GROUP FG_RIGAPREZZI
  END
  STRINGA 8 12
  BEGIN
    KEY "H1"
    PROMPT 65 6 "Acq."
    GROUP FG_RIGAVALORI
  END
  STRINGA 9 12
  BEGIN
    KEY "H1"
    PROMPT 74 6 "Ult.costo"
    GROUP FG_RIGACOSTI
  END
  STRINGA 9 12 2
  BEGIN
    KEY "H1"
    PROMPT 75 6 "Val.Acq."
    GROUP FG_RIGAVALORI FG_VALORI
  END
  STRINGA 9 12 2
  BEGIN
    KEY "H1"
    FLAG "H"
    PROMPT 75 7 "   Medio"
    GROUP FG_RIGAVALORI FG_VALMEDI
  END
  STRINGA 10 12
  BEGIN
    KEY "H1"
    PROMPT 91 6 "Ven."
    GROUP FG_RIGAVALORI
  END
  STRINGA 10 12
  BEGIN
    KEY "H1"
    PROMPT 90 6 "Prezzo"
    GROUP FG_RIGAPREZZI
  END
  STRINGA 11 12
  BEGIN
    KEY "H1"
    PROMPT 101 6 "Val.Ven."
    GROUP FG_RIGAVALORI FG_VALORI
  END
  STRINGA 11 12
  BEGIN
    KEY "H1"
    FLAG "H"
    PROMPT 101 7 "   Medio"
    GROUP FG_RIGAVALORI FG_VALMEDI
  END
  STRINGA 12 12
  BEGIN
    KEY "H1"
    PROMPT 117 6 "Rim."
    GROUP FG_RIGAVALORI
  END
  STRINGA 13 12
  BEGIN
    KEY "H1"
    PROMPT 127 6 "Val.Rim."
    GROUP FG_RIGAVALORI FG_VALORI
  END
  STRINGA 13 12
  BEGIN
    KEY "H1"
    FLAG "H"
    PROMPT 127 7 "   Medio"
    GROUP FG_RIGAVALORI FG_VALMEDI
  END
  STRINGA 14 12
  BEGIN
    KEY "H1"
    PROMPT 139 6 "Giacenza"
    GROUP FG_RIGAVALORI
  END
  STRINGA 15 12
  BEGIN
    KEY "H1"
    PROMPT 139 6 "Scorta-Giac."
    GROUP FG_RIGAVALORI
  END

  STRINGA 17 146
  BEGIN
    KEY "Separatore (finale)"
    PROMPT 1 8 "---------------------------------------------------------------------------------------------------------------------------------------------------"
  END

END

SECTION BODY ODD 0 COLUMNWISE 

  LIST FF_PREZZIVALORI 1
  BEGIN
    PROMPT 1 1 ""
    FLAG "H"
    KEY "PREZZIOVALORI"
    ITEM "P|0"
    MESSAGE ENABLE,FG_RIGAPREZZI@|ENABLE,FG_RIGACOSTI@|DISABLE,FG_RIGAVALORI@
    ITEM "V|1"
    MESSAGE DISABLE,FG_RIGAPREZZI@|DISABLE,FG_RIGACOSTI@|ENABLE,FG_RIGAVALORI@
    ITEM "L|2"
    MESSAGE ENABLE,FG_RIGAPREZZI@|DISABLE,FG_RIGACOSTI@|DISABLE,FG_RIGAVALORI@
  END

  LIST FF_FLAGGIAC 1
  BEGIN
    PROMPT 1 1 ""
    FLAG "H"
    KEY "FLAG GIACENZA"
    ITEM "0|0"
    MESSAGE DISABLE,BO->47
    ITEM "1|1"
    MESSAGE ENABLE,BO->47
  END

  LIST FF_FLAGSOTTOS 1
  BEGIN
    PROMPT 1 1 ""
    FLAG "H"
    KEY "FLAG SOTTOSCORTA"
    ITEM "0|0"
    MESSAGE DISABLE,BO->48
    ITEM "1|1"
    MESSAGE ENABLE,BO->48
  END

  LIST FF_FLAGVALMEDI 1
  BEGIN
    PROMPT 1 1 ""
    FLAG "H"
    KEY "FLAG VALORI MEDI"
    ITEM "0|N"
    MESSAGE SHOW,FG_VALORI@|DISABLE,FG_VALMEDI@
    ITEM "1|Y"
    MESSAGE HIDE,FG_VALORI@|ENABLE,FG_VALMEDI@
  END

  SECTION H_CATMER 1 1 1  GROUP 
    STRINGA 11 20 1
    BEGIN
      KEY "Codice CATMER"
      PROMPT 2 1 "Gruppo merc.   "
      MESSAGE _USER,CODCATMER|COPY,1551
    END
    STRINGA 12 70 1
    BEGIN
      KEY "CATMER"
      PROMPT 3 1 ""
      MESSAGE _USER,CATMER|COPY,1550
    END
  END

  STRINGA 60 20 1
  BEGIN
    FLAG "H"
    KEY "CATMER" 
    PROMPT 2 1 ""
    MESSAGE RESET,15@|_USER,RESET_UM,1553
  END

  SECTION GRUPPI_CATMER 1 0 0   FILE LF_MAG GROUP LF_ANAMAG->GRMERC

    STRINGA 60 20 1
    BEGIN
      FLAG "H"
      KEY "CATMER" 
      PROMPT 2 1 ""
      MESSAGE RESET,14@|_USER,RESET_UM,1453
    END
    SECTION H_GCODART1 1 1 1  GROUP
      STRINGA 16 20 1
      BEGIN
        KEY "CODICE GRUPPO"
        PROMPT 2 1 ""
        MESSAGE _USER,CODGRUPPOART,1|COPY,1451
      END
      STRINGA 17 70 
      BEGIN
       KEY "CODICE GRUPPO"
       PROMPT 3 1 ""
       MESSAGE _USER,GRUPPOART,1|COPY,1450
      END
    END

    SECTION GRUPPI_CODART1 1 0 0 FILE LF_MAG GROUP CODART
      STRINGA 60 40 1
      BEGIN
        FLAG "H"
        KEY "" 
        PROMPT 2 1 ""
        MESSAGE RESET,13@|_USER,RESET_UM,1353
      END
      SECTION H_GCODART2 1 1 1  GROUP
        STRINGA 16 20 1
        BEGIN
          KEY "CODICE GRUPPO"
          PROMPT 2 1 ""
          MESSAGE _USER,CODGRUPPOART,2|COPY,1351
        END
        STRINGA 17 70 
        BEGIN
         KEY "CODICE GRUPPO"
         PROMPT 3 1 ""
         MESSAGE _USER,GRUPPOART,2|COPY,1350
        END
      END

      SECTION GRUPPI_CODART2 1 0 0  FILE LF_MAG GROUP CODART
        STRINGA 60 40 1
        BEGIN
          FLAG "H"
          KEY "CATMER" 
          PROMPT 2 1 ""
          MESSAGE RESET,12@|_USER,RESET_UM,1253
        END

        SECTION H_GCODART3 1 1 1  GROUP
          STRINGA 16 20 1
          BEGIN
            KEY "CODICE GRUPPO"
            PROMPT 2 1 ""
            MESSAGE _USER,CODGRUPPOART,3|COPY,1251
          END
          STRINGA 17 70 
          BEGIN
           KEY "CODICE GRUPPO"
           PROMPT 3 1 ""
           MESSAGE _USER,GRUPPOART,3|COPY,1250
          END
        END

        SECTION GRUPPI_CODART3 1 0 0  FILE LF_MAG GROUP CODART
          STRINGA 60 20 1
          BEGIN
            FLAG "H"
            KEY "CATMER" 
            PROMPT 2 1 ""
            MESSAGE RESET,11@|_USER,RESET_UM,1153
          END         
          SECTION H_GCODART4 1 1 1  GROUP
            STRINGA 16 20 1
            BEGIN
              KEY "CODICE GRUPPO"
              PROMPT 2 1 ""
              MESSAGE _USER,CODGRUPPOART,4|COPY,1151
            END
            STRINGA 17 70 
            BEGIN
             KEY "CODICE GRUPPO"
             PROMPT 3 1 ""
             MESSAGE _USER,GRUPPOART,4|COPY,1150
            END
          END

          SECTION GRUPPI_CODART4 1 0 0  FILE LF_MAG GROUP CODART
            STRINGA 60 40 1
            BEGIN
              FLAG "H"
              KEY "CATMER" 
              PROMPT 2 1 ""
              MESSAGE RESET,10@|_USER,RESET_UM,1053
            END
            SECTION H_GCODART5 1 1 1  GROUP
              STRINGA 16 20 1
              BEGIN
                KEY "CODICE GRUPPO"
                PROMPT 2 1 ""
                MESSAGE _USER,CODGRUPPOART,5|COPY,1051
              END
              STRINGA 17 70 
              BEGIN
               KEY "CODICE GRUPPO"
               PROMPT 3 1 ""
               MESSAGE _USER,GRUPPOART,5|COPY,1050
              END
            END

            SECTION GRUPPI_CODART5 1 0 0  FILE LF_MAG GROUP CODART
              STRINGA 60 40 1
              BEGIN
                FLAG "H"
                KEY "CATMER" 
                PROMPT 2 1 ""
                MESSAGE RESET,9@|_USER,RESET_UM,953
              END             
              SECTION H_GCODART6 1 1 1  GROUP
                STRINGA 16 20 1
                BEGIN
                  KEY "CODICE GRUPPO"
                  PROMPT 2 1 ""
                  MESSAGE _USER,CODGRUPPOART,6|COPY,951
                END
                STRINGA 17 70 
                BEGIN
                 KEY "CODICE GRUPPO"
                 PROMPT 3 1 ""
                 MESSAGE _USER,GRUPPOART,6|COPY,950
                END
              END

              SECTION GRUPPI_CODART6 1 0 0  FILE LF_MAG GROUP CODART
                STRINGA 60 40 1
                BEGIN
                  FLAG "H"
                  KEY "CATMER" 
                  PROMPT 2 1 ""
                  MESSAGE RESET,8@|_USER,RESET_UM,853
                END             
                SECTION H_GCODART7 1 1 1  GROUP
                  STRINGA 16 20 1
                  BEGIN
                    KEY "CODICE GRUPPO"
                    PROMPT 2 1 ""
                    MESSAGE _USER,CODGRUPPOART,7|COPY,851
                  END
                  STRINGA 17 70 
                  BEGIN
                   KEY "CODICE GRUPPO"
                   PROMPT 3 1 ""
                   MESSAGE _USER,GRUPPOART,7|COPY,850
                  END
                END

                SECTION GRUPPI_CODART7 1 0 0  FILE LF_MAG GROUP CODART
                  STRINGA 60 40 1
                  BEGIN
                    FLAG "H"
                    KEY "CATMER" 
                    PROMPT 2 1 ""
                    MESSAGE RESET,7@|_USER,RESET_UM,753
                  END             

                  SECTION H_GCODART8 1 1 1  GROUP
                    STRINGA 16 20 1
                    BEGIN
                      KEY "CODICE GRUPPO"
                      PROMPT 2 1 ""
                      MESSAGE _USER,CODGRUPPOART,8|COPY,751
                    END
                    STRINGA 17 70 
                    BEGIN
                     KEY "CODICE GRUPPO"
                     PROMPT 3 1 ""
                     MESSAGE _USER,GRUPPOART,8|COPY,750
                    END
                  END

                  SECTION GRUPPI_CODART8 1 0 0  FILE LF_MAG GROUP CODART
                    STRINGA 60 40 1
                    BEGIN
                      FLAG "H"
                      KEY "CATMER" 
                      PROMPT 2 1 ""
                      MESSAGE RESET,6@|_USER,RESET_UM,653
                    END             
                    SECTION H_ARTICOLO 1 1 1  GROUP
                      STRINGA 2020 20 1
                      BEGIN
                        KEY "CODICE articolo"
                        PROMPT 2 1 ""
                        FIELD CODART
                        MESSAGE COPY,651
                      END
                      STRINGA 21 70
                      BEGIN
                        KEY "DESCR.articolo"
                        PROMPT 3 1 ""
                        FIELD LF_ANAMAG->DESCR
                        MESSAGE COPY,650
                      END
                      VALUTA 22 12
                      BEGIN
                        KEY "ULC"
                        FLAG "HU"
                        PROMPT 7 2 ""
                        FIELD LF_ANAMAG->ULTCOS1
                        MESSAGE COPY,648
                      END
                      VALUTA 23 12
                      BEGIN
                        KEY "PREZZO"
                        FLAG "HU"
                        PROMPT 7 2 ""
                        MESSAGE _USER,PREZZO|COPY,649
                      END
                    END                   

                    SECTION FILE_GIACENZE 1 0 0 FILE LF_MAG GROUP CODART
                      STRINGA 60 20 1
                      BEGIN
                        FLAG "H"
                        KEY "CATMER" 
                        PROMPT 2 1 ""
                        MESSAGE RESET,5@
                      END             
                      SECTION H_GLIVGIAC1 1 1 1  GROUP
                        STRINGA 31 20 1
                        BEGIN
                          KEY "Livello giac" 
                          PROMPT 2 1 ""
                          MESSAGE _USER,CODGRUPPOGIAC,1|COPY,551
                        END
                        STRINGA 31 30 1
                        BEGIN
                          KEY "Livello giac" 
                          PROMPT 3 1 ""
                          MESSAGE _USER,GRUPPOGIAC,1|COPY,550
                        END
                      END                   

                      SECTION GRUPPI_LIVGIAC1 1 0 0  FILE LF_MAG GROUP CODART
                        STRINGA 60 20 1
                        BEGIN
                          FLAG "H"
                          KEY "CATMER" 
                          PROMPT 2 1 ""
                          MESSAGE RESET,4@
                        END             
                        SECTION H_GLIVGIAC2 1 1 1  GROUP
                          STRINGA 31 20 1
                          BEGIN
                            KEY "Livello giac" 
                            PROMPT 2 1 ""
                            MESSAGE _USER,CODGRUPPOGIAC,2|COPY,451
                          END
                          STRINGA 31 30 1
                          BEGIN
                            KEY "Livello giac" 
                            PROMPT 3 1 ""
                            MESSAGE _USER,GRUPPOGIAC,2|COPY,450
                          END
                        END                   

                        SECTION GRUPPI_LIVGIAC2 1 0 0  FILE LF_MAG GROUP CODART
                          STRINGA 60 20 1
                          BEGIN
                            FLAG "H"
                            KEY "CATMER" 
                            PROMPT 2 1 ""
                            MESSAGE RESET,3@
                          END             

                          SECTION H_GLIVGIAC3 1 1 1  GROUP
                            STRINGA 31 20 1
                            BEGIN
                              KEY "Livello giac" 
                              PROMPT 2 1 ""
                              MESSAGE _USER,CODGRUPPOGIAC,3|COPY,351
                            END
                            STRINGA 31 30 1
                            BEGIN
                              KEY "Livello giac" 
                              PROMPT 3 1 ""
                              MESSAGE _USER,GRUPPOGIAC,3|COPY,350
                            END
                          END                   

                          SECTION GRUPPI_LIVGIAC3 1 0 0  FILE LF_MAG GROUP CODART
                            STRINGA 60 40 1
                            BEGIN
                              FLAG "H"
                              KEY "CATMER" 
                              PROMPT 2 1 ""
                              MESSAGE RESET,2@
                            END             

                            SECTION H_GLIVGIAC4 1 1 1  GROUP
                              STRINGA 31 20 1
                              BEGIN
                                KEY "Livello giac" 
                                PROMPT 2 1 ""
                                MESSAGE _USER,CODGRUPPOGIAC,4|COPY,251
                              END
                              STRINGA 31 30 1
                              BEGIN
                                KEY "Livello giac" 
                                PROMPT 3 1 ""
                                MESSAGE _USER,GRUPPOGIAC,4|COPY,250
                              END
                            END                   

                            SECTION GRUPPI_LIVGIAC4 1 0 0  FILE LF_MAG GROUP CODART
                              STRINGA 60 20 1
                              BEGIN
                                FLAG "H"
                                KEY "DESCR. MAGAZZ" 
                                PROMPT 2 1 ""
                                FIELD 500@->s0
                                MESSAGE RESET,1@|COPY,150
                              END             
                              STRINGA 61 50 1
                              BEGIN
                                FLAG "H"
                                KEY "COD. MAGAZZ" 
                                PROMPT 3 1 ""
                                FIELD 500@->CODTAB
                                MESSAGE COPY,151
                              END             
                              SECTION H_MAGAZZINO 1 0 0  GROUP
                                SECTION H_MAGAZZINO_NODEP 1 0 0 STR_EXPR 500@->B0!="X" // NON DIVISO IN DEPOSITI
                                  STRINGA 60 40 1
                                  BEGIN
                                    PROMPT 2 1 ""
                                    KEY "codice magazzino" 
                                    MESSAGE HIDE,TOT_DEPOSITO
                                  END
                                END 
                                SECTION H_MAGAZZINO_DEP 1 1 1 STR_EXPR 500@->B0=="X" // DIVISIONE IN DEPOSITI
                                  STRINGA 60 20 1
                                  BEGIN
                                    KEY "descr magazzino" 
                                    FIELD 500@->CODTAB[1,3]
                                    PROMPT 2 1 "  Magazzino   "
                                    MESSAGE SHOW,TOT_DEPOSITO
                                  END
                                  STRINGA 61 70 1
                                  BEGIN
                                    KEY "codice magazzino" 
                                    FIELD 500@->s0
                                    PROMPT 3 1 ""
                                  END
                                END 
                              END 

                              SECTION GRUPPI_MAGAZZINO 1 0 0  FILE LF_MAG GROUP CODMAG[1,3]
                                SECTION H_DEPOSITO 1 0 0 GROUP
                                END
                                SECTION TOT_DEPOSITO 1 1 1  GROUP
                                    STRINGA 51 20 
                                    BEGIN
                                      KEY "CODICE"
                                      FIELD 501@->CODTAB[4,5]
                                      PROMPT 2 1 "    Deposito  "
                                    END
                                    STRINGA 52 30 
                                    BEGIN
                                      KEY "descr"
                                      PROMPT 3 1 ""
                                      FIELD 501@->S0
                                    END
                                    STRINGA 53 3
                                    BEGIN
                                      KEY "UM"
                                      PROMPT 5 1 ""
                                      FIELD LF_UMART->UM
                                      MESSAGE COPY,153
                                    END
                                    NUMERO 41 12
                                    BEGIN
                                      KEY "ACQ"
                                      PROMPT 6 1 ""
                                      FIELD LF_MAG->ACQ
                                      PICTURE "########,@#"
                                      MESSAGE ADD,141
                                      GROUP FG_RIGAVALORI
                                    END
                                    VALUTA 42 12
                                    BEGIN
                                      KEY "VALACQ"
                                      PROMPT 7 1 ""
                                      FIELD LF_MAG->VALACQ
                                      PICTURE "###.###.##@"
                                      MESSAGE ADD,142
                                      GROUP FG_VALORI FG_RIGAVALORI
                                    END
                                    VALUTA 82 12
                                    BEGIN
                                      KEY "VALACQ"
                                      PROMPT 7 1 ""
                                      FLAGS "U"
                                      PICTURE "#######,@##"
                                      MESSAGE _NUMEXPR,LF_MAG->VALACQ/LF_MAG->ACQ 
                                      GROUP FG_VALMEDI FG_RIGAVALORI
                                    END
                                    NUMERO 43 12
                                    BEGIN
                                      KEY "VEN"
                                      PROMPT 8 1 ""
                                      FIELD LF_MAG->VEN
                                      PICTURE "########,@#"
                                      MESSAGE ADD,143
                                      GROUP FG_RIGAVALORI
                                    END
                                    VALUTA 44 12
                                    BEGIN
                                      KEY "VALV"
                                      PROMPT 9 1 ""
                                      FIELD LF_MAG->VALVEN
                                      PICTURE "###.###.##@"
                                      MESSAGE ADD,144
                                      GROUP FG_VALORI FG_RIGAVALORI
                                    END
                                    VALUTA 84 12
                                    BEGIN
                                      KEY "VALV"
                                      PROMPT 9 1 ""
                                      FLAGS "U"
                                      PICTURE "#######,@##"
                                      MESSAGE _NUMEXPR,LF_MAG->VALVEN/LF_MAG->VEN 
                                      GROUP FG_VALMEDI FG_RIGAVALORI
                                    END
                                    NUMERO 45 12
                                    BEGIN
                                      KEY "RIM"
                                      PROMPT 10 1 ""
                                      FIELD LF_MAG->RIM
                                      PICTURE "########,@#"
                                      MESSAGE ADD,145
                                      GROUP FG_RIGAVALORI
                                    END
                                    VALUTA 46 12
                                    BEGIN
                                      KEY "VALrim"
                                      PROMPT 11 1 ""
                                      PICTURE "###.###.##@"
                                      FIELD LF_MAG->VALRIM
                                      MESSAGE ADD,146
                                      GROUP FG_VALORI FG_RIGAVALORI
                                    END
                                    VALUTA 86 12
                                    BEGIN
                                      KEY "VALrim"
                                      PROMPT 11 1 ""
                                      FLAGS "U"
                                      PICTURE "#######,@##"
                                      MESSAGE _NUMEXPR,LF_MAG->VALRIM/LF_MAG->RIM
                                      GROUP FG_VALMEDI FG_RIGAVALORI
                                    END
                                    NUMERO 47 12
                                    BEGIN
                                      KEY "giac"
                                      PROMPT 12 1 ""
                                      FIELD LF_MAG->GIAC
                                      PICTURE "#######@,@#"
                                      MESSAGE ADD,147
                                      GROUP FG_RIGAVALORI
                                    END
                                    NUMERO 48 12
                                    BEGIN
                                      KEY "scorta-giac"
                                      PROMPT 12 1 ""
                                      PICTURE "#######@,@#"
                                      MESSAGE _NUMEXPR,LF_MAG->SCORTAMIN-LF_MAG->GIAC|ADD,147
                                      GROUP FG_RIGAVALORI
                                    END
                                    NUMERO 49 12
                                    BEGIN
                                      KEY "giac"
                                      PROMPT 6 1 ""
                                      FIELD LF_MAG->GIAC
                                      PICTURE "#######@,@#"
                                      MESSAGE ADD,141
                                      GROUP FG_RIGAPREZZI
                                    END
                                END // depositi dello stesso magazzino
                              END // MAGAZZ

                              SECTION TOT_MAGAZZINO 1 1 1 GROUP
                                STRINGA 151 20 1
                                BEGIN
                                  KEY "Magazzino" 
                                  PROMPT 2 1 "  Totale mag. "
                                END
                                STRINGA 150 30 1
                                BEGIN
                                  KEY "Magazzino" 
                                  PROMPT 3 1 ""
                                END
                                STRINGA 153 3
                                BEGIN
                                  KEY "UM"
                                  PROMPT 5 1 ""
                                  MESSAGE COPY,253
                                END
                                NUMERO 141 12
                                BEGIN
                                  KEY "ACQ"
                                  PROMPT 6 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,241
                                  GROUP 1
                                END
                                VALUTA 142 12
                                BEGIN
                                  KEY "VALACQ"
                                  PROMPT 7 1 ""
                                  PICTURE "###.###.##@"
                                  MESSAGE ADD,242
                                  GROUP 1 FG_VALORI
                                END
                                VALUTA 182 12
                                BEGIN
                                  KEY "VALACQ"
                                  PROMPT 7 1 ""
                                  FLAGS "U"
                                  PICTURE "#######,@##"
                                  MESSAGE _NUMEXPR,#142/#141
                                  GROUP FG_VALMEDI
                                END
                                NUMERO 143 12
                                BEGIN
                                  KEY "ven"
                                  PROMPT 8 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,243
                                  GROUP 1
                                END
                                VALUTA 144 12
                                BEGIN
                                  KEY "VALven"
                                  PROMPT 9 1 ""
                                  PICTURE "###.###.##@"
                                  MESSAGE ADD,244
                                  GROUP 1 FG_VALORI
                                END
                                VALUTA 184 12
                                BEGIN
                                  KEY "VALven"
                                  PROMPT 9 1 ""
                                  FLAGS "U"
                                  PICTURE "#######,@##"
                                  MESSAGE _NUMEXPR,#144/#143
                                  GROUP FG_VALMEDI
                                END
                                NUMERO 145 12
                                BEGIN
                                  KEY "rim"
                                  PROMPT 10 1 ""
                                  PICTURE "########,@#"
                                  MESSAGE ADD,245
                                  GROUP 1
                                END
                                VALUTA 146 12
                                BEGIN
                                  KEY "VALrim"
                                  PROMPT 11 1 ""
                                  PICTURE "###.###.##@"
                                  MESSAGE ADD,246 
                                  GROUP 1 FG_VALORI
                                END
                                VALUTA 186 12
                                BEGIN
                                  KEY "VALrim"
                                  PROMPT 11 1 ""
                                  FLAGS "U"
                                  PICTURE "#######,@##"
                                  MESSAGE _NUMEXPR,#146/#145
                                  GROUP FG_VALMEDI
                                END
                                NUMERO 147 12
                                BEGIN
                                  KEY "giac"
                                  PROMPT 12 1 ""
                                  PICTURE "#######@,@#"
                                  MESSAGE ADD,247
                                  GROUP 1
                                END
                              END // tot magazz
  
                            END // GGIAC4
                            SECTION TOT_GLIVGIAC4 1 1 1  GROUP
                              STRINGA 251 20 1
                              BEGIN
                                KEY "Livello giac4" 
                                PROMPT 2 1 ""
                              END
                              STRINGA 250 30
                              BEGIN
                                PROMPT 3 1 ""
                              END
                              STRINGA 253 3
                              BEGIN
                                KEY "UM"
                                PROMPT 5 1 ""
                                MESSAGE COPY,353
                              END
                              NUMERO 241 12
                              BEGIN
                                KEY "ACQ"
                                PROMPT 6 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,341
                                GROUP 2
                              END
                              VALUTA 242 12
                              BEGIN
                                KEY "VALACQ"
                                PROMPT 7 1 ""
                                PICTURE "###.###.##@"
                                MESSAGE ADD,342
                                GROUP 2 FG_VALORI
                              END
                              VALUTA 282 12
                              BEGIN
                                KEY "VALACQ"
                                PROMPT 7 1 ""
                                FLAGS "U"
                                PICTURE "#######,@##"
                                MESSAGE _NUMEXPR,#242/#241
                                GROUP FG_VALMEDI
                              END
                        
                              NUMERO 243 12
                              BEGIN
                                KEY "ven"
                                PROMPT 8 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,343
                                GROUP 2
                              END
                              VALUTA 244 12
                              BEGIN
                                KEY "VALven"
                                PROMPT 9 1 ""
                                PICTURE "###.###.##@"
                                MESSAGE ADD,344
                                GROUP 2 FG_VALORI
                              END
                              VALUTA 284 12
                              BEGIN
                                KEY "VALven"
                                PROMPT 9 1 ""
                                FLAGS "U"
                                PICTURE "#######,@##"
                                MESSAGE _NUMEXPR,#244/#243
                                GROUP FG_VALMEDI
                              END
                        
                              NUMERO 245 12 
                              BEGIN
                                KEY "rim"
                                PROMPT 10 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,345
                                GROUP 2
                              END
                              VALUTA 246 12
                              BEGIN
                                KEY "VALrim"
                                PROMPT 11 1 ""
                                PICTURE "###.###.##@"
                                MESSAGE ADD,346
                                GROUP 2 FG_VALORI
                              END
                              VALUTA 286 12
                              BEGIN
                                KEY "VALrim"
                                PROMPT 11 1 ""
                                FLAGS "U"
                                PICTURE "#######,@##"
                                MESSAGE _NUMEXPR,#246/#245
                                GROUP FG_VALMEDI
                              END
                        
                              NUMERO 247 12
                              BEGIN
                                KEY "giac"
                                PROMPT 12 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,347
                                GROUP 2
                              END
                            END // tot ggiac4
  
                          END // GGIAC3
                          SECTION TOT_GLIVGIAC3 1 1 1  GROUP
                            STRINGA 351 20 1
                            BEGIN
                              KEY "" 
                              PROMPT 2 1 ""
                            END
                            STRINGA 350 30
                            BEGIN
                              KEY "" 
                              PROMPT 3 1 ""
                            END
                            STRINGA 353 3
                            BEGIN
                              KEY "UM"
                              PROMPT 5 1 ""
                              MESSAGE COPY,453
                            END
                            NUMERO 341 12
                            BEGIN
                              KEY "ACQ"
                              PROMPT 6 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,441
                              GROUP 3
                            END
                            VALUTA 342 12
                            BEGIN
                              KEY "VALACQ"
                              PROMPT 7 1 ""
                              PICTURE "###.###.##@"
                              MESSAGE ADD,442
                              GROUP 3 FG_VALORI
                            END
                            VALUTA 382 12
                            BEGIN
                              KEY "VALACQ"
                              PROMPT 7 1 ""
                              FLAGS "U"
                              PICTURE "#######,@##"
                              MESSAGE _NUMEXPR,#342/#341
                              GROUP FG_VALMEDI
                            END
                        
                            NUMERO 343 12
                            BEGIN
                              KEY "ven"
                              PROMPT 8 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,443
                              GROUP 3
                            END
                            VALUTA 344 12
                            BEGIN
                              KEY "VALven"
                              PROMPT 9 1 ""
                              PICTURE "###.###.##@"
                              MESSAGE ADD,444
                              GROUP 3 FG_VALORI
                            END
                            VALUTA 384 12
                            BEGIN
                              KEY "VALven"
                              PROMPT 9 1 ""
                              FLAGS "U"
                              PICTURE "#######,@##"
                              MESSAGE _NUMEXPR,#344/#343
                              GROUP FG_VALMEDI
                            END
                        
                            NUMERO 345 12
                            BEGIN
                              KEY "rim"
                              PROMPT 10 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,445
                              GROUP 3
                            END
                            VALUTA 346 12
                            BEGIN
                              KEY "VALrim"
                              PROMPT 11 1 ""
                              PICTURE "###.###.##@"
                              MESSAGE ADD,446
                              GROUP 3 FG_VALORI
                            END
                            VALUTA 386 12
                            BEGIN
                              KEY "VALrim"
                              PROMPT 11 1 ""
                              FLAGS "U"
                              PICTURE "#######,@##"
                              MESSAGE _NUMEXPR,#346/#345
                              GROUP FG_VALMEDI
                            END
                        
                            NUMERO 347 12
                            BEGIN
                              KEY "giac"
                              PROMPT 12 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,447
                              GROUP 3
                            END
                          END // tot ggiac3
  
                        END // GGIAC2
                        SECTION TOT_GLIVGIAC2 1 1 1  GROUP
                          STRINGA 451 20 1
                          BEGIN
                            KEY "" 
                            PROMPT 2 1 ""
                          END
                          STRINGA 450 30
                          BEGIN
                            KEY "" 
                            PROMPT 3 1 ""
                          END
                          STRINGA 453 3
                          BEGIN
                            KEY "UM"
                            PROMPT 5 1 ""
                            MESSAGE COPY,553
                          END
                          NUMERO 441 12
                          BEGIN
                            KEY "ACQ"
                            PROMPT 6 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,541
                            GROUP 4
                          END
                          VALUTA 442 12
                          BEGIN
                            KEY "VALACQ"
                            PROMPT 7 1 ""
                            PICTURE "###.###.##@"
                            MESSAGE ADD,542
                            GROUP 4 FG_VALORI
                          END
                          VALUTA 482 12
                          BEGIN
                            KEY "VALACQ"
                            PROMPT 7 1 ""
                            FLAGS "U"
                            PICTURE "#######,@##"
                            MESSAGE _NUMEXPR,#442/#441
                            GROUP FG_VALMEDI
                          END
                        
                          NUMERO 443 12
                          BEGIN
                            KEY "ven"
                            PROMPT 8 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,543
                            GROUP 4
                          END
                          VALUTA 444 12
                          BEGIN
                            KEY "VALven"
                            PROMPT 9 1 ""
                            PICTURE "###.###.##@"
                            MESSAGE ADD,544
                            GROUP 4 FG_VALORI
                          END
                          VALUTA 484 12
                          BEGIN
                            KEY "VALven"
                            PROMPT 9 1 ":-)"
                            FLAGS "U"
                            PICTURE "#######,@##"
                            MESSAGE _NUMEXPR,#444/#443
                            GROUP FG_VALMEDI
                          END
                        
                          NUMERO 445 12
                          BEGIN
                            KEY "rim"
                            PROMPT 10 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,545
                            GROUP 4
                          END
                          VALUTA 446 12
                          BEGIN
                            KEY "VALrim"
                            PROMPT 11 1 ""
                            PICTURE "###.###.##@"
                            MESSAGE ADD,546
                            GROUP 4 FG_VALORI
                          END
                          VALUTA 486 12
                          BEGIN
                            KEY "VALrim"
                            PROMPT 11 1 ""
                            FLAGS "U"
                            PICTURE "#######,@##"
                            MESSAGE _NUMEXPR,#446/#445
                            GROUP FG_VALMEDI
                          END
                          NUMERO 447 12
                          BEGIN
                            KEY "giac"
                            PROMPT 12 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,547
                            GROUP 4
                          END
                        END // tot ggiac2
                      END // GGIAC1
                      SECTION TOT_GLIVGIAC1 1 1 1  GROUP
                        STRINGA 551 20 1
                        BEGIN
                          KEY "" 
                          PROMPT 2 1 ""
                        END
                        STRINGA 550 30
                        BEGIN
                          KEY "" 
                          PROMPT 3 1 ""
                        END
                        STRINGA 553 3
                        BEGIN
                          KEY "UM"
                          PROMPT 5 1 ""
                          MESSAGE COPY,653
                        END
                        NUMERO 541 12
                        BEGIN
                          KEY "ACQ"
                          PROMPT 6 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,641
                          GROUP 5
                        END
                        VALUTA 542 12
                        BEGIN
                          KEY "VALACQ"
                          PROMPT 7 1 ""
                          PICTURE "###.###.##@"
                          MESSAGE ADD,642
                          GROUP 5 FG_VALORI
                        END
                        VALUTA 582 12
                        BEGIN
                          KEY "VALACQ"
                          PROMPT 7 1 ""
                          FLAGS "U"
                          PICTURE "#######,@##"
                          MESSAGE _NUMEXPR,#542/#541
                          GROUP FG_VALMEDI
                        END
                        
                        NUMERO 543 12
                        BEGIN
                          KEY "ven"
                          PROMPT 8 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,643
                          GROUP 5
                        END
                        VALUTA 544 12
                        BEGIN
                          KEY "VALven"
                          PROMPT 9 1 ""
                          PICTURE "###.###.##@"
                          MESSAGE ADD,644
                          GROUP 5 FG_VALORI
                        END
                        VALUTA 584 12
                        BEGIN
                          KEY "VALven"
                          PROMPT 9 1 ""
                          FLAGS "U"
                          PICTURE "#######,@##"
                          MESSAGE _NUMEXPR,#544/#543
                          GROUP FG_VALMEDI
                        END
                        
                        NUMERO 545 12
                        BEGIN
                          KEY "rim"
                          PROMPT 10 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,645
                          GROUP 5
                        END
                        VALUTA 546 12
                        BEGIN
                          KEY "VALrim"
                          PROMPT 11 1 ""
                          PICTURE "###.###.##@"
                          MESSAGE ADD,646
                          GROUP 5 FG_VALORI
                        END
                        VALUTA 586 12
                        BEGIN
                          KEY "VALrim"
                          PROMPT 11 1 ""
                          FLAGS "U"
                          PICTURE "#######,@##"
                          MESSAGE _NUMEXPR,#546/#545
                          GROUP FG_VALMEDI
                        END
                        
                        NUMERO 547 12
                        BEGIN
                          KEY "giac"
                          PROMPT 12 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,647
                          GROUP 5
                        END
                      END // tot ggiac1                 

                    END // FILE GIACENZE
                    SECTION TOT_ARTICOLO 1 1 1  GROUP
                      STRINGA 651 20 1
                      BEGIN
                        KEY "" 
                        PROMPT 2 1 ""
                      END
                      STRINGA 650 30
                      BEGIN
                        KEY "" 
                        PROMPT 3 1 ""
                      END
                      STRINGA 653 3
                      BEGIN
                        KEY "UM"
                        PROMPT 5 1 ""
                        MESSAGE _USER,COPY_UM,753
                      END
                      NUMERO 641 12
                      BEGIN
                        KEY "ACQ"
                        PROMPT 6 1 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,741 
                        GROUP 6 
                      END
                      VALUTA 642 12
                      BEGIN
                        KEY "VALACQ"
                        PROMPT 7 1 ""
                        PICTURE "###.###.##@"
                        MESSAGE ADD,742
                        GROUP 6 FG_VALORI FG_RIGAVALORI
                      END
                      VALUTA 682 12
                      BEGIN
                        KEY "VALACQ"
                        PROMPT 7 1 ""
                        FLAGS "U"
                        PICTURE "#######,@##"
                        MESSAGE _NUMEXPR,#642/#641
                        GROUP FG_VALMEDI FG_RIGAVALORI
                      END
                      NUMERO 643 12
                      BEGIN
                        KEY "ven"
                        PROMPT 8 1 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,743
                        GROUP 6 FG_RIGAVALORI
                      END
                      VALUTA 644 12
                      BEGIN
                        KEY "VALven"
                        PROMPT 9 1 ""
                        PICTURE "###.###.##@"
                        MESSAGE ADD,744
                        GROUP 6 FG_VALORI FG_RIGAVALORI
                      END
                      VALUTA 684 12
                      BEGIN
                        KEY "VALven"
                        PROMPT 9 1 ""
                        FLAGS "U"
                        PICTURE "#######,@##"
                        MESSAGE _NUMEXPR,#644/#643
                        GROUP FG_VALMEDI FG_RIGAVALORI
                      END
                      NUMERO 645 12
                      BEGIN
                        KEY "rim"
                        PROMPT 10 1 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,745
                        GROUP 6 FG_RIGAVALORI
                      END
                      VALUTA 646 12
                      BEGIN
                        KEY "VALrim"
                        PROMPT 11 1 ""
                        PICTURE "###.###.##@"
                        MESSAGE ADD,746
                        GROUP 6 FG_VALORI FG_RIGAVALORI
                      END
                      VALUTA 686 12
                      BEGIN
                        KEY "VALrim"
                        PROMPT 11 1 ""
                        FLAGS "U"
                        PICTURE "#######,@##"
                        MESSAGE _NUMEXPR,#646/#645
                        GROUP FG_VALMEDI FG_RIGAVALORI
                      END
                      NUMERO 647 12
                      BEGIN
                        KEY "giac"
                        PROMPT 12 1 ""
                        PICTURE "########,@#"
                        MESSAGE ADD,747
                        GROUP 6
                        GROUP FG_RIGAVALORI
                      END
                      VALUTA 648 12
                      BEGIN
                        KEY "ULC"
                        PROMPT 7 1 ""
                        PICTURE "###.###.###"
                        GROUP FG_RIGACOSTI
                      END 
                      VALUTA 649 12
                      BEGIN
                        KEY "PREZZO"
                        PROMPT 8 1 ""
                        PICTURE "###.###.###"
                        GROUP FG_RIGAPREZZI
                      END 
                    END // TOT ART

                  END // GART8
                  SECTION TOT_GART8 1 1 1  GROUP
                    STRINGA 751 20 
                    BEGIN
                      KEY "" 
                      PROMPT 2 1 ""
                    END
                    STRINGA 750 30 
                    BEGIN
                      KEY "" 
                      PROMPT 3 1 ""
                    END
                    STRINGA 753 3
                    BEGIN
                      KEY "UM"
                      PROMPT 5 1 ""
                      MESSAGE _USER,COPY_UM,853
                    END
                    NUMERO 741 12
                    BEGIN
                      KEY "ACQ"
                      PROMPT 6 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,753|ADD,841
                      GROUP 7
                    END
                    VALUTA 742 12
                    BEGIN
                      KEY "VALACQ"
                      PROMPT 7 1 ""
                      PICTURE "###.###.##@"
                      MESSAGE ADD,842
                      GROUP 7 FG_VALORI
                    END
                    VALUTA 782 12
                    BEGIN
                      KEY "VALACQ"
                      PROMPT 7 1 ""
                      FLAGS "U"
                      PICTURE "#######,@##"
                      MESSAGE _NUMEXPR,#742/#741
                      GROUP FG_VALMEDI
                    END
                        
                    NUMERO 743 12
                    BEGIN
                      KEY "ven"
                      PROMPT 8 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,753|ADD,843
                      GROUP 7
                    END
                    VALUTA 744 12
                    BEGIN
                      KEY "VALven"
                      PROMPT 9 1 ""
                      PICTURE "###.###.##@"
                      MESSAGE ADD,844
                      GROUP 7 FG_VALORI
                    END
                    VALUTA 784 12
                    BEGIN
                      KEY "VALven"
                      PROMPT 9 1 ""
                      FLAGS "U"
                      PICTURE "#######,@##"
                      MESSAGE _NUMEXPR,#744/#743
                      GROUP FG_VALMEDI
                    END
                        
                    NUMERO 745 12
                    BEGIN
                      KEY "rim"
                      PROMPT 10 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,753|ADD,845
                      GROUP 7
                    END
                    VALUTA 746 12
                    BEGIN
                      KEY "VALrim"
                      PROMPT 11 1 ""
                      PICTURE "###.###.##@"
                      MESSAGE ADD,846
                      GROUP 7 FG_VALORI
                    END
                    VALUTA 786 12
                    BEGIN
                      KEY "VALrim"
                      PROMPT 11 1 ""
                      FLAGS "U"
                      PICTURE "#######,@##"
                      MESSAGE _NUMEXPR,#746/#745
                      GROUP FG_VALMEDI
                    END
                        
                    NUMERO 747 12
                    BEGIN
                      KEY "giac"
                      PROMPT 12 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,753|ADD,847
                      GROUP 7
                    END
                  END // tot gart8

                END // GART7
                SECTION TOT_GART7 1 1 1  GROUP
                  STRINGA 851 20 1
                  BEGIN
                    KEY "" 
                    PROMPT 2 1 ""
                  END
                  STRINGA 850 30 1
                  BEGIN
                    KEY "" 
                    PROMPT 3 1 ""
                  END
                  STRINGA 853 3
                  BEGIN
                    KEY "UM"
                    PROMPT 5 1 ""
                    MESSAGE _USER,COPY_UM,953
                  END
                  NUMERO 841 12
                  BEGIN
                    KEY "ACQ"
                    PROMPT 6 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,853|ADD,941
                    GROUP 8
                  END
                  VALUTA 842 12
                  BEGIN
                    KEY "VALACQ"
                    PROMPT 7 1 ""
                    PICTURE "###.###.##@"
                    MESSAGE ADD,942
                    GROUP 8 FG_VALORI
                  END
                  VALUTA 882 12
                  BEGIN
                    KEY "VALACQ"
                    PROMPT 7 1 ""
                    FLAGS "U"
                    PICTURE "#######,@##"
                    MESSAGE _NUMEXPR,#842/#841
                    GROUP FG_VALMEDI
                  END
                        
                  NUMERO 843 12
                  BEGIN
                    KEY "ven"
                    PROMPT 8 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,853|ADD,943
                    GROUP 8
                  END
                  VALUTA 844 12
                  BEGIN
                    KEY "VALven"
                    PROMPT 9 1 ""
                    PICTURE "###.###.##@"
                    MESSAGE ADD,944
                    GROUP 8 FG_VALORI
                  END
                  VALUTA 884 12
                  BEGIN
                    KEY "VALven"
                    PROMPT 9 1 ""
                    FLAGS "U"
                    PICTURE "#######,@##"
                    MESSAGE _NUMEXPR,#844/#843
                    GROUP FG_VALMEDI
                  END
                        
                  NUMERO 845 12
                  BEGIN
                    KEY "rim"
                    PROMPT 10 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,853|ADD,945
                    GROUP 8
                  END
                  VALUTA 846 12
                  BEGIN
                    KEY "VALrim"
                    PROMPT 11 1 ""
                    PICTURE "###.###.##@"
                    MESSAGE ADD,946
                    GROUP 8 FG_VALORI
                  END
                  VALUTA 886 12
                  BEGIN
                    KEY "VALrim"
                    PROMPT 11 1 ""
                    FLAGS "U"
                    PICTURE "#######,@##"
                    MESSAGE _NUMEXPR,#846/#845
                    GROUP FG_VALMEDI
                  END
                        
                  NUMERO 847 12
                  BEGIN
                    KEY "giac"
                    PROMPT 12 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,853|ADD,947
                    GROUP 8
                  END
                END // tot gart7                  

              END // GART6
              SECTION TOT_GART6 1 1 1  GROUP
                STRINGA 951 20 1
                BEGIN
                  KEY "" 
                  PROMPT 2 1 ""
                END
                STRINGA 950 30 1
                BEGIN
                  KEY "" 
                  PROMPT 3 1 ""
                END
                STRINGA 953 3
                BEGIN
                  KEY "UM"
                  PROMPT 5 1 ""
                  MESSAGE _USER,COPY_UM,1053
                END
                NUMERO 941 12
                BEGIN
                  KEY "ACQ"
                  PROMPT 6 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,953|ADD,1041
                  GROUP 9
                END
                VALUTA 942 12
                BEGIN
                  KEY "VALACQ"
                  PROMPT 7 1 ""
                  PICTURE "###.###.##@"
                  MESSAGE ADD,1042
                  GROUP 9 FG_VALORI
                END
                VALUTA 982 12
                BEGIN
                  KEY "VALACQ"
                  PROMPT 7 1 ""
                  FLAGS "U"
                  PICTURE "#######,@##"
                  MESSAGE _NUMEXPR,#942/#941
                  GROUP FG_VALMEDI
                END
                        
                NUMERO 943 12
                BEGIN
                  KEY "ven"
                  PROMPT 8 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,953|ADD,1043
                  GROUP 9
                END
                VALUTA 944 12
                BEGIN
                  KEY "VALven"
                  PROMPT 9 1 ""
                  PICTURE "###.###.##@"
                  MESSAGE ADD,1044
                  GROUP 9 FG_VALORI
                END
                VALUTA 984 12
                BEGIN
                  KEY "VALven"
                  PROMPT 9 1 ""
                  FLAGS "U"
                  PICTURE "#######,@##"
                  MESSAGE _NUMEXPR,#944/#943
                  GROUP FG_VALMEDI
                END
                        
                NUMERO 945 12
                BEGIN
                  KEY "rim"
                  PROMPT 10 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,953|ADD,1045
                  GROUP 9
                END
                VALUTA 946 12
                BEGIN
                  KEY "VALrim"
                  PROMPT 11 1 ""
                  PICTURE "###.###.##@"
                  MESSAGE ADD,1046
                  GROUP 9 FG_VALORI
                END
                VALUTA 986 12
                BEGIN
                  KEY "VALrim"
                  PROMPT 11 1 ""
                  FLAGS "U"
                  PICTURE "#######,@##"
                  MESSAGE _NUMEXPR,#946/#945
                  GROUP FG_VALMEDI
                END
                        
                NUMERO 947 12
                BEGIN
                  KEY "giac"
                  PROMPT 12 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,953|ADD,1047
                  GROUP 9
                END
              END // tot gart6

            END // GART5
            SECTION TOT_GART5 1 1 1  GROUP
              STRINGA 1051 20 1
              BEGIN
                KEY "" 
                PROMPT 2 1 ""
              END
              STRINGA 1050 30 1
              BEGIN
                KEY "" 
                PROMPT 3 1 ""
              END
              STRINGA 1053 3
              BEGIN
                KEY "UM"
                PROMPT 5 1 ""
                MESSAGE _USER,COPY_UM,1153
              END
              NUMERO 1041 12
              BEGIN
                KEY "ACQ"
                PROMPT 6 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1053|ADD,1141
                GROUP 10
              END
              VALUTA 1042 12
              BEGIN
                KEY "VALACQ"
                PROMPT 7 1 ""
                PICTURE "###.###.##@"
                MESSAGE ADD,1142
                GROUP 10 FG_VALORI
              END
              VALUTA 1082 12
              BEGIN
                KEY "VALACQ"
                PROMPT 7 1 ""
                FLAGS "U"
                PICTURE "#######,@##"
                MESSAGE _NUMEXPR,#1042/#1041
                GROUP FG_VALMEDI
              END
              NUMERO 1043 12
              BEGIN
                KEY "ven"
                PROMPT 8 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1053|ADD,1143
                GROUP 10
              END
              VALUTA 1044 12
              BEGIN
                KEY "VALven"
                PROMPT 9 1 ""
                PICTURE "###.###.##@"
                MESSAGE ADD,1144
                GROUP 10 FG_VALORI
              END
              VALUTA 1084 12
              BEGIN
                KEY "VALven"
                PROMPT 9 1 ""
                FLAGS "U"
                PICTURE "#######,@##"
                MESSAGE _NUMEXPR,#1044/#1043
                GROUP FG_VALMEDI
              END
              NUMERO 1045 12
              BEGIN
                KEY "rim"
                PROMPT 10 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1053|ADD,1145
                GROUP 10
              END
              VALUTA 1046 12
              BEGIN
                KEY "VALrim"
                PROMPT 11 1 ""
                PICTURE "###.###.##@"
                MESSAGE ADD,1146
                GROUP 10 FG_VALORI
              END
              VALUTA 1086 12
              BEGIN
                KEY "VALrim"
                PROMPT 11 1 ""
                FLAGS "U"
                PICTURE "#######,@##"
                MESSAGE _NUMEXPR,#1046/#1045
                GROUP FG_VALMEDI
              END
              NUMERO 1047 12
              BEGIN
                KEY "giac"
                PROMPT 12 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1053|ADD,1147
                GROUP 10
              END
            END // tot gart5

          END // GART4
          SECTION TOT_GART4 1 1 1  GROUP
            STRINGA 1151 20 1
            BEGIN
              KEY "" 
              PROMPT 2 1 ""
            END
            STRINGA 1150 30 1
            BEGIN
              KEY "" 
              PROMPT 3 1 ""
            END
            STRINGA 1153 3
            BEGIN
              KEY "UM"
              PROMPT 5 1 ""
              MESSAGE _USER,COPY_UM,1253
            END
            NUMERO 1141 12
            BEGIN
              KEY "ACQ"
              PROMPT 6 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1153|ADD,1241
              GROUP 11
            END
            VALUTA 1142 12
            BEGIN
              KEY "VALACQ"
              PROMPT 7 1 ""
              PICTURE "###.###.##@"
              MESSAGE ADD,1242
              GROUP 11 FG_VALORI
            END
            VALUTA 1182 12
            BEGIN
              KEY "VALACQ"
              PROMPT 7 1 ""
              FLAGS "U"
              PICTURE "#######,@##"
              MESSAGE _NUMEXPR,#1142/#1141
              GROUP FG_VALMEDI
            END
            NUMERO 1143 12
            BEGIN
              KEY "ven"
              PROMPT 8 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1153|ADD,1243
              GROUP 11
            END
            VALUTA 1144 12
            BEGIN
              KEY "VALven"
              PROMPT 9 1 ""
              PICTURE "###.###.##@"
              MESSAGE ADD,1244
              GROUP 11 FG_VALORI
            END
            VALUTA 1184 12
            BEGIN
              KEY "VALven"
              PROMPT 9 1 ""
              FLAGS "U"
              PICTURE "#######,@##"
              MESSAGE _NUMEXPR,#1144/#1143
              GROUP FG_VALMEDI
            END
            NUMERO 1145 12
            BEGIN
              KEY "rim"
              PROMPT 10 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1153|ADD,1245
              GROUP 11
            END
            VALUTA 1146 12
            BEGIN
              KEY "VALrim"
              PROMPT 11 1 ""
              PICTURE "###.###.##@"
              MESSAGE ADD,1246
              GROUP 11 FG_VALORI
            END
            VALUTA 1186 12
            BEGIN
              KEY "VALrim"
              PROMPT 11 1 ""
              FLAGS "U"
              PICTURE "#######,@##"
              MESSAGE _NUMEXPR,#1146/#1145
              GROUP FG_VALMEDI
            END
            NUMERO 1147 12
            BEGIN
              KEY "giac"
              PROMPT 12 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1153|ADD,1247
              GROUP 11
            END
          END // tot gart4

        END // GART3
        SECTION TOT_GART3 1 1 1  GROUP
          STRINGA 1251 20 1
          BEGIN
            KEY "" 
            PROMPT 2 1 ""
          END
          STRINGA 1250 30 1
          BEGIN
            KEY "" 
            PROMPT 3 1 ""
          END
          STRINGA 1253 3
          BEGIN
            KEY "UM"
            PROMPT 5 1 ""
            MESSAGE _USER,COPY_UM,1353
          END
          NUMERO 1241 12
          BEGIN
            KEY "ACQ"
            PROMPT 6 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1253|ADD,1341
            GROUP 12
          END
          VALUTA 1242 12
          BEGIN
            KEY "VALACQ"
            PROMPT 7 1 ""
            PICTURE "###.###.##@"
            MESSAGE ADD,1342
            GROUP 12 FG_VALORI
          END
          VALUTA 1282 12
          BEGIN
            KEY "VALACQ"
            PROMPT 7 1 ""
            FLAGS "U"
            PICTURE "#######,@##"
            MESSAGE _NUMEXPR,#1242/#1241
            GROUP FG_VALMEDI
          END
          NUMERO 1243 12
          BEGIN
            KEY "ven"
            PROMPT 8 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1253|ADD,1343
            GROUP 12
          END
          VALUTA 1244 12
          BEGIN
            KEY "VALven"
            PROMPT 9 1 ""
            PICTURE "###.###.##@"
            MESSAGE ADD,1344
            GROUP 12 FG_VALORI
          END
          VALUTA 1284 12
          BEGIN
            KEY "VALven"
            PROMPT 9 1 ""        
            FLAGS "U"
            PICTURE "#######,@##"            
            MESSAGE _NUMEXPR,#1244/#1243
            GROUP FG_VALMEDI
          END
          NUMERO 1245 12
          BEGIN
            KEY "rim"
            PROMPT 10 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1253|ADD,1345
            GROUP 12
          END
          VALUTA 1246 12
          BEGIN
            KEY "VALrim"
            PROMPT 11 1 ""
            PICTURE "###.###.##@"
            MESSAGE ADD,1346
            GROUP 12 FG_VALORI
          END
          VALUTA 1286 12
          BEGIN
            KEY "VALrim"
            PROMPT 11 1 ""
            FLAGS "U"
            PICTURE "#######,@##"
            MESSAGE _NUMEXPR,#1246/#1245
            GROUP FG_VALMEDI
          END
          NUMERO 1247 12
          BEGIN
            KEY "giac"
            PROMPT 12 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1253|ADD,1347
            GROUP 12
          END
        END // tot gart3

      END // GART2
      SECTION TOT_GART2 1 1 1  GROUP
        STRINGA 1351 20 1
        BEGIN
          KEY "" 
          PROMPT 2 1 ""
        END
        STRINGA 1350 30 1
        BEGIN
          KEY "" 
          PROMPT 3 1 ""
        END
        STRINGA 1353 3
        BEGIN
          KEY "UM"
          PROMPT 5 1 ""
          MESSAGE _USER,COPY_UM,1453
        END
        NUMERO 1341 12
        BEGIN
          KEY "ACQ"
          PROMPT 6 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1353|ADD,1441
          GROUP 13
        END
        VALUTA 1342 12
        BEGIN
          KEY "VALACQ"
          PROMPT 7 1 ""
          PICTURE "###.###.##@"
          MESSAGE ADD,1442
          GROUP 13 FG_VALORI
        END
        VALUTA 1382 12
        BEGIN
          KEY "VALACQ"
          PROMPT 7 1 ""
          FLAGS "U"
          PICTURE "#######,@##"
          MESSAGE _NUMEXPR,#1342/#1341
          GROUP FG_VALMEDI
        END
        NUMERO 1343 12
        BEGIN
          KEY "ven"
          PROMPT 8 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1353|ADD,1443
          GROUP 13
        END
        VALUTA 1344 12
        BEGIN
          KEY "VALven"
          PROMPT 9 1 ""
          PICTURE "###.###.##@"
          MESSAGE ADD,1444
          GROUP 13 FG_VALORI
        END
        VALUTA 1384 12
        BEGIN
          KEY "VALven"
          PROMPT 9 1 ""
          FLAGS "U"
          PICTURE "#######,@##"
          MESSAGE _NUMEXPR,#1344/#1343
          GROUP FG_VALMEDI
        END
        NUMERO 1345 12
        BEGIN
          KEY "rim"
          PROMPT 10 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1353|ADD,1445
          GROUP 13
        END
        VALUTA 1346 12
        BEGIN
          KEY "VALrim"
          PROMPT 11 1 ""
          PICTURE "###.###.##@"
          MESSAGE ADD,1446
          GROUP 13 FG_VALORI
        END
        VALUTA 1386 12
        BEGIN
          KEY "VALrim"
          PROMPT 11 1 ""
          FLAGS "U"
          PICTURE "#######,@##"
          MESSAGE _NUMEXPR,#1346/#1345
          GROUP FG_VALMEDI
        END
        NUMERO 1347 12
        BEGIN
          KEY "giac"
          PROMPT 12 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1353|ADD,1447
          GROUP 13
        END
      END // tot gart2

    END // GART1
    SECTION TOT_GART1 1 1 1  GROUP
      STRINGA 1451 20 1
      BEGIN
        KEY "" 
        PROMPT 2 1 ""
      END
      STRINGA 1450 30 1
      BEGIN
        KEY "" 
        PROMPT 3 1 ""
      END
      STRINGA 1453 3
      BEGIN
        KEY "UM"
        PROMPT 5 1 ""
        MESSAGE _USER,COPY_UM,1553
      END
      NUMERO 1441 12
      BEGIN
        KEY "ACQ"
        PROMPT 6 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,1453|ADD,1541
        GROUP 14 
      END
      VALUTA 1442 12
      BEGIN
        KEY "VALACQ"
        PROMPT 7 1 ""
        PICTURE "###.###.##@"
        MESSAGE ADD,1542
        GROUP 14 FG_VALORI
      END
      VALUTA 1482 12
      BEGIN
        KEY "VALACQ"
        PROMPT 7 1 ""        
        FLAGS "U"
        PICTURE "#######,@##"
        MESSAGE _NUMEXPR,#1442/#1441
        GROUP FG_VALMEDI
      END
      NUMERO 1443 12
      BEGIN
        KEY "ven"
        PROMPT 8 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,1453|ADD,1543
        GROUP 14
      END
      VALUTA 1444 12
      BEGIN
        KEY "VALven"
        PROMPT 9 1 ""
        PICTURE "###.###.##@"
        MESSAGE ADD,1544
        GROUP 14 FG_VALORI
      END
      VALUTA 1484 12
      BEGIN
        KEY "VALven"
        PROMPT 9 1 ""
        FLAGS "U"
        PICTURE "#######,@##"
        MESSAGE _NUMEXPR,#1444/#1443
        GROUP FG_VALMEDI
      END
      NUMERO 1445 12
      BEGIN
        KEY "rim"
        PROMPT 10 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,1453|ADD,1545
        GROUP 14
      END
      VALUTA 1446 12
      BEGIN
        KEY "VALrim"
        PROMPT 11 1 ""
        PICTURE "###.###.##@"
        MESSAGE ADD,1546
        GROUP 14 FG_VALORI
      END
      VALUTA 1486 12
      BEGIN
        KEY "VALrim"
        PROMPT 11 1 ""
        FLAGS "U"
        PICTURE "#######,@##"
        MESSAGE _NUMEXPR,#1446/#1445
        GROUP FG_VALMEDI
      END
      NUMERO 1447 12
      BEGIN
        KEY "giac"
        PROMPT 12 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,1453|ADD,1547
        GROUP 14
      END
    END // tot gart1

  END // GRUPPI_CATMER 

  SECTION TOT_CATMER 1 1 2 GROUP
    STRINGA 1551 20 
    BEGIN
      KEY "" 
      PROMPT 2 1 "Totale gr.merc."
    END
    STRINGA 1550 30 
    BEGIN
      KEY "" 
      PROMPT 3 1 ""
    END
    STRINGA 1553 3
    BEGIN
      KEY "UM"
      PROMPT 5 1 ""
    END
    NUMERO 1541 12
    BEGIN
      KEY "ACQ"
      PROMPT 6 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,1553
      GROUP 15
    END
    VALUTA 1542 12
    BEGIN
      KEY "VALACQ"
      PROMPT 7 1 ""
      PICTURE "###.###.##@"
      GROUP 15 FG_VALORI
    END
    VALUTA 1582 12
    BEGIN
      KEY "VALACQ"
      PROMPT 7 1 ""
      FLAGS "U"
      PICTURE "#######,@##"
      MESSAGE _NUMEXPR,#1542/#1541
      GROUP FG_VALMEDI
    END
    NUMERO 1543 12
    BEGIN
      KEY "ven"
      PROMPT 8 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,1553
      GROUP 15
    END
    VALUTA 1544 12
    BEGIN
      KEY "VALven"
      PROMPT 9 1 ""
      PICTURE "###.###.##@"
      GROUP 15 FG_VALORI
    END
    VALUTA 1584 12
    BEGIN
      KEY "VALven"
      PROMPT 9 1 ""
      FLAGS "U"
      PICTURE "#######,@##"
      MESSAGE _NUMEXPR,#1544/#1543
      GROUP FG_VALMEDI
    END
    NUMERO 1545 12
    BEGIN
      KEY "rim"
      PROMPT 10 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,1553
      GROUP 15
    END
    VALUTA 1546 12
    BEGIN
      KEY "VALrim"
      PROMPT 11 1 ""
      PICTURE "###.###.##@"
      GROUP 15 FG_VALORI
    END
    VALUTA 1586 12
    BEGIN
      KEY "VALrim"
      PROMPT 11 1 ""
      FLAGS "U"
      PICTURE "#######,@##"
      MESSAGE _NUMEXPR,#1546/#1545
      GROUP FG_VALMEDI
    END
    NUMERO 1547 12
    BEGIN
      KEY "giac"
      PROMPT 12 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,1553
      GROUP 15
    END
  END // tot catmerc

END // section body, loop anamag

SECTION FOOTER ODD 2
END // fine footersection

END // fine form
