#include "mg3frm.h"
USE LF_MAG KEY 2 BY ANNOES CODMAG CODART LIVELLO
JOIN LF_ANAMAG TO LF_MAG INTO CODART==CODART
JOIN MAG TO LF_MAG ALIAS 500 INTO CODTAB==CODMAG[1,3]
JOIN MAG TO LF_MAG ALIAS 501 INTO CODTAB==CODMAG
JOIN LF_UMART TO LF_ANAMAG INTO CODART==CODART
END
  
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 1
//    FONT "Courier New"
//    SIZE 12
END

SECTION GRAPHIC
BEGIN
END

SECTION HEADER ODD 7

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  120 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
 KEY "Intestazione stampa"
 PROMPT  55 2 "Stampa disponibilita'"
END

STRINGA FF_RANGEARTIC 120
BEGIN
  KEY "RANGE"
  PROMPT 1 3 ""
END

STRINGA FF_RANGEMAGAZ 70
BEGIN
  KEY "RANGE"
  PROMPT 1 4 ""
END


STRINGA 5 151
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 5 "-----------------------------------------------------------------------------------------------------------------------------------------------------------"
END

  STRINGA 6 20
  BEGIN
    KEY "H1"
    PROMPT 2 6 "Codice"
  END
  STRINGA 7 40
  BEGIN
    KEY "H1"
    PROMPT 23 6 "Descrizione"
  END
  STRINGA 7 40
  BEGIN
    KEY "H1"
    PROMPT 54 6 "UM"
  END
  STRINGA 8 12
  BEGIN
    KEY "H1"
    PROMPT 63 6 "Giac."
  END
  STRINGA 9 12
  BEGIN
    KEY "H1"   
    PROMPT 74 6 "Ord.F."
  END
  STRINGA 10 12
  BEGIN
    KEY "H1"
    PROMPT 86 6 "Ord.C."
  END
  STRINGA 11 12
  BEGIN
    KEY "H1"
    PROMPT 96 6 "A c.lav."
  END
  STRINGA 12 12
  BEGIN
    KEY "H1"
    PROMPT 107 6 "In c.lav."
  END
  STRINGA 13 12
  BEGIN
    KEY "H1"
    PROMPT 121 6 "Prod.F."
  END
  STRINGA 14 12
  BEGIN
    KEY "H1"
    PROMPT 133 6 "Prod.C."
  END
  STRINGA 15 12
  BEGIN
    KEY "H1"
    PROMPT 147 6 "Disp."
  END

  STRINGA 17 151
  BEGIN
    KEY "Separatore (iniziale)"
    PROMPT 1 7 "-----------------------------------------------------------------------------------------------------------------------------------------------------------"
  END

END

SECTION BODY ODD 0 COLUMNWISE

  STRINGA 60 40 1
  BEGIN
    FLAGS "H"
    KEY "MAGAZZ" 
    PROMPT 2 1 ""
    MESSAGE RESET,1@|_USER,RESET_UM,153
  END             
  SECTION H_MAGAZZINO 1 1 1 GROUP
    STRINGA 60 20 1
    BEGIN
      KEY "codice magazzino" 
      PROMPT 2 1 "Magazzino   "
      FIELD 500@->CODTAB
      MESSAGE COPY,151
    END
    STRINGA 61 70 1
    BEGIN
      KEY "codice magazzino" 
      PROMPT 3 1 ""
      FIELD 500@->s0
      MESSAGE COPY,150
    END
  END 
  
  SECTION GRUPPI_MAGAZZINO 1 0 0 FILE LF_MAG GROUP CODMAG[1,3]
    LIST FF_DIVDEPOSITI
      BEGIN
        FLAGS "H"
        KEY "Divisione in depositi"
        FIELD 500@->B0
        PROMPT 2 1 ""
        ITEM " |non diviso in depositi"
          MESSAGE HIDE,TOT_DEPOSITO
        ITEM "X|diviso in depositi"
          MESSAGE SHOW,TOT_DEPOSITO
      END
    STRINGA 60 40 1
    BEGIN
      FLAGS "H"
      KEY "dep" 
      PROMPT 2 1 ""
      MESSAGE RESET,15@|_USER,RESET_UM,53
    END
    SECTION H_DEPOSITO 1 1 1 STR_EXPR #FF_DIVDEPOSITI=="X"
      STRINGA 60 20 1
      BEGIN
        KEY "codice dep" 
        PROMPT 2 1 "Deposito    "
        FIELD 501@->CODTAB[4,5]
        MESSAGE COPY,51
      END
      STRINGA 61 70 1
      BEGIN
        KEY "codice dep" 
        PROMPT 3 1 ""
        FIELD 501@->s0
        MESSAGE COPY,50
      END
    END

    SECTION GRUPPI_DEPOSITO 1 0 0 FILE LF_MAG GROUP CODMAG[1,5]
      STRINGA 60 40 1
      BEGIN
        FLAGS "H"
        KEY "gcodart1" 
        PROMPT 2 1 ""
        MESSAGE RESET,14@|_USER,RESET_UM,1453
      END
      SECTION H_GCODART1 1 1 1 GROUP 
        STRINGA 16 20 1 
        BEGIN
          KEY "CODICE GRUPPO"
          PROMPT 2 1 ""
          MESSAGE _USER,CODGRUPPOART,1|COPY,1451
        END
        STRINGA 17 30 1
        BEGIN
         KEY "CODICE GRUPPO"
         PROMPT 3 1 ""
         MESSAGE _USER,GRUPPOART,1|COPY,1450
        END
      END
  
      SECTION GRUPPI_CODART1 1 0 0 FILE LF_MAG GROUP CODART
        STRINGA 60 40 1
        BEGIN
          FLAGS "H"
          KEY "CATMER" 
          PROMPT 2 1 ""
          MESSAGE RESET,13@|_USER,RESET_UM,1353
        END
        SECTION H_GCODART2 1 1 1 GROUP 
          STRINGA 16 20
          BEGIN
            KEY "CODICE GRUPPO"
            PROMPT 2 1 ""
            MESSAGE _USER,CODGRUPPOART,2|COPY,1351
          END
          STRINGA 17 30 1
          BEGIN
           KEY "CODICE GRUPPO"
           PROMPT 3 1 ""
           MESSAGE _USER,GRUPPOART,2|COPY,1350
          END
        END
  
        SECTION GRUPPI_CODART2 1 0 0 FILE LF_MAG GROUP CODART
          STRINGA 60 40 1
          BEGIN
            FLAGS "H"
            KEY "CATMER" 
            PROMPT 2 1 ""
            MESSAGE RESET,12@|_USER,RESET_UM,1253
          END
          SECTION H_GCODART3 1 1 1 GROUP 
            STRINGA 16 20
            BEGIN
              KEY "CODICE GRUPPO"
              PROMPT 2 1 ""
              MESSAGE _USER,CODGRUPPOART,3|COPY,1251
            END
            STRINGA 17 30 1
            BEGIN
             KEY "CODICE GRUPPO"
             PROMPT 3 1 ""
             MESSAGE _USER,GRUPPOART,3|COPY,1250
            END
          END
  
          SECTION GRUPPI_CODART3 1 0 0 FILE LF_MAG GROUP CODART
            STRINGA 60 40 1
            BEGIN
              FLAGS "H"
              KEY "CATMER" 
              PROMPT 2 1 ""
              MESSAGE RESET,11@|_USER,RESET_UM,1153
            END         
            SECTION H_GCODART4 1 1 1 GROUP 
              STRINGA 16 20 1 
              BEGIN
                KEY "CODICE GRUPPO"
                PROMPT 2 1 ""
                MESSAGE _USER,CODGRUPPOART,4|COPY,1151
              END
              STRINGA 17 30 1
              BEGIN
               KEY "CODICE GRUPPO"
               PROMPT 3 1 ""
               MESSAGE _USER,GRUPPOART,4|COPY,1150
              END
            END
  
            SECTION GRUPPI_CODART4 1 0 0 FILE LF_MAG GROUP CODART
              STRINGA 60 40 1
              BEGIN
                FLAGS "H"
                KEY "CATMER" 
                PROMPT 2 1 ""
                MESSAGE RESET,10@|_USER,RESET_UM,1053
              END
              SECTION H_GCODART5 1 1 1 GROUP 
                STRINGA 16 20
                BEGIN
                  KEY "CODICE GRUPPO"
                  PROMPT 2 1 ""
                  MESSAGE _USER,CODGRUPPOART,5|COPY,1051
                END
                STRINGA 17 30 1
                BEGIN
                 KEY "CODICE GRUPPO"
                 PROMPT 3 1 ""
                 MESSAGE _USER,GRUPPOART,5|COPY,1050
                END
              END
  
              SECTION GRUPPI_CODART5 1 0 0 FILE LF_MAG GROUP CODART
                STRINGA 60 40 1
                BEGIN
                  FLAGS "H"
                  KEY "CATMER" 
                  PROMPT 2 1 ""
                  MESSAGE RESET,9@|_USER,RESET_UM,953
                END             
                SECTION H_GCODART6 1 1 1 GROUP 
                  STRINGA 16 20
                  BEGIN
                    KEY "CODICE GRUPPO"
                    PROMPT 2 1 ""
                    MESSAGE _USER,CODGRUPPOART,6|COPY,951
                  END
                  STRINGA 17 30 1
                  BEGIN
                   KEY "CODICE GRUPPO"
                   PROMPT 3 1 ""
                   MESSAGE _USER,GRUPPOART,6|COPY,950
                  END
                END
  
                SECTION GRUPPI_CODART6 1 0 0 FILE LF_MAG GROUP CODART
                  STRINGA 60 40 1
                  BEGIN
                    FLAGS "H"
                    KEY "CATMER" 
                    PROMPT 2 1 ""
                    MESSAGE RESET,8@|_USER,RESET_UM,853
                  END             
                  SECTION H_GCODART7 1 1 1 GROUP 
                    STRINGA 16 20
                    BEGIN
                      KEY "CODICE GRUPPO"
                      PROMPT 2 1 ""
                      MESSAGE _USER,CODGRUPPOART,7|COPY,851
                    END
                    STRINGA 17 30 1
                    BEGIN
                     KEY "CODICE GRUPPO"
                     PROMPT 3 1 ""
                     MESSAGE _USER,GRUPPOART,7|COPY,850
                    END
                  END
  
                  SECTION GRUPPI_CODART7 1 0 0 FILE LF_MAG GROUP CODART
                    STRINGA 60 40 1
                    BEGIN
                      FLAGS "H"
                      KEY "CATMER" 
                      PROMPT 2 1 ""
                      MESSAGE RESET,7@|_USER,RESET_UM,753
                    END             
  
                    SECTION H_GCODART8 1 1 1 GROUP 
                      STRINGA 16 20
                      BEGIN
                        KEY "CODICE GRUPPO"
                        PROMPT 2 1 ""
                        MESSAGE _USER,CODGRUPPOART,8|COPY,751
                      END
                      STRINGA 17 30 1
                      BEGIN
                       KEY "CODICE GRUPPO"
                       PROMPT 3 1 ""
                       MESSAGE _USER,GRUPPOART,8|COPY,750
                      END
                    END
  
                    SECTION GRUPPI_CODART8 1 0 0 FILE LF_MAG GROUP CODART
                      STRINGA 60 40 1
                      BEGIN
                        FLAGS "H"
                        KEY "CATMER" 
                        PROMPT 2 1 ""
                        MESSAGE RESET,6@
                      END             
                      SECTION H_ARTICOLO 1 1 1 GROUP
                        STRINGA 2020 20
                        BEGIN
                          KEY "CODICE articolo"
                          PROMPT 2 1 ""
                          FIELD LF_ANAMAG->CODART
                          MESSAGE COPY,651
                        END
                        STRINGA 21 30 1
                        BEGIN
                          KEY "DESCR.articolo"
                          PROMPT 3 1 ""
                          FIELD LF_ANAMAG->DESCR
                          MESSAGE COPY,650
                        END
                      END                   
  
                      SECTION ARTICOLO 1 0 0 FILE LF_MAG GROUP CODART
                        STRINGA 60 40 1
                        BEGIN
                          FLAGS "H"
                          KEY "CATMER" 
                          PROMPT 2 1 ""
                          MESSAGE RESET,5@
                        END             
                        SECTION H_GLIVGIAC1 1 1 1 GROUP
                          STRINGA 31 20 1
                          BEGIN
                            KEY "Livello giac" 
                            PROMPT 2 1 ""
                            MESSAGE _USER,CODGRUPPOGIAC,1|COPY,551
                          END
                          STRINGA 31 30 1
                          BEGIN
                            KEY "Livello giac" 
                            PROMPT 3 1 ""
                            MESSAGE _USER,GRUPPOGIAC,1|COPY,550
                          END
                        END                   
  
                        SECTION GRUPPI_LIVGIAC1 1 0 0 FILE LF_MAG GROUP LIVELLO
                          STRINGA 60 40 1
                          BEGIN
                            FLAGS "H"
                            KEY "CATMER" 
                            PROMPT 2 1 ""
                            MESSAGE RESET,4@
                          END             
                          SECTION H_GLIVGIAC2 1 1 1 GROUP
                            STRINGA 31 20 1
                            BEGIN
                              KEY "Livello giac" 
                              PROMPT 2 1 ""
                              MESSAGE _USER,CODGRUPPOGIAC,2|COPY,451
                            END
                            STRINGA 31 30 1
                            BEGIN
                              KEY "Livello giac" 
                              PROMPT 3 1 ""
                              MESSAGE _USER,GRUPPOGIAC,2|COPY,450
                            END
                          END                   
    
                          SECTION GRUPPI_LIVGIAC2 1 0 0 FILE LF_MAG GROUP LIVELLO
                            STRINGA 60 40 1
                            BEGIN
                              FLAGS "H"
                              KEY "CATMER" 
                              PROMPT 2 1 ""
                              MESSAGE RESET,3@
                            END             
    
                            SECTION H_GLIVGIAC3 1 1 1 GROUP
                              STRINGA 31 20 1
                              BEGIN
                                KEY "Livello giac" 
                                PROMPT 2 1 ""
                                MESSAGE _USER,CODGRUPPOGIAC,3|COPY,351
                              END
                              STRINGA 31 30 1
                              BEGIN
                                KEY "Livello giac" 
                                PROMPT 3 1 ""
                                MESSAGE _USER,GRUPPOGIAC,3|COPY,350
                              END
                            END                   
    
                            SECTION GRUPPI_LIVGIAC3 1 0 0 FILE LF_MAG GROUP LIVELLO
                              SECTION H_GLIVGIAC4 1 1 1 GROUP
                              END                  
                              SECTION GRUPPI_LIVGIAC4 1 0 0 STR_EXPR LIVELLO
                                // SEZIONE PRESENTE SOLO PER UNIFORMIT CON LA STAMPA PER ARTICOLI
                              END                  
    
                              SECTION TOT_GLIVGIAC4 1 1 1 GROUP
                                STRINGA 251 20
                                BEGIN
                                  KEY "Livello giac4" 
                                  PROMPT 2 1 ""
                                  MESSAGE _USER,CODGRUPPOGIAC,4
                                END
                                STRINGA 250 30 1
                                BEGIN
                                  KEY "Livello giac" 
                                  PROMPT 3 1 ""
                                  MESSAGE _USER,GRUPPOGIAC,4
                                END
                                STRINGA 253 3
                                BEGIN
                                  KEY "UM"
                                  PROMPT 5 1 ""
                                  FIELD LF_UMART->UM
                                END
                                NUMERO 241 11
                                BEGIN
                                  KEY "GIAC"
                                  PROMPT 6 1 ""
                                  FIELD 109->GIAC
                                  PICTURE "########,@#"
                                  MESSAGE ADD,341
                                END
                                NUMERO 242 11
                                BEGIN
                                  KEY "ORDF"
                                  PROMPT 7 1 ""
                                  //FIELD 109->ordf
                                  MESSAGE _USER,ORDINATO,1
                                  PICTURE "########,@#"
                                  MESSAGE ADD,342
                                  GROUP 10
                                END
                              
                                NUMERO 243 11
                                BEGIN
                                  KEY "ORDC"
                                  PROMPT 8 1 ""
                                  //FIELD 109->ordc
                                  MESSAGE _USER,ORDINATO,2
                                  PICTURE "########,@#"
                                  MESSAGE ADD,343
                                END
                                NUMERO 244 11
                                BEGIN
                                  KEY "ACL"
                                  PROMPT 9 1 ""
                                  FIELD 109->acl
                                  PICTURE "########,@#"
                                  MESSAGE ADD,344
                                  GROUP 10
                                END
                            
                                NUMERO 245 11
                                BEGIN
                                  KEY "INCL"
                                  PROMPT 10 1 ""
                                  FIELD 109->incl
                                  PICTURE "########,@#"
                                  MESSAGE ADD,345
                                END
                                NUMERO 246 11
                                BEGIN
                                  KEY "PRODFIN"
                                  PROMPT 11 1 ""
                                  PICTURE "########,@#"
                                  FIELD 109->prodfin
                                  MESSAGE ADD,346
                                  GROUP 10
                                END
                            
                                NUMERO 247 11
                                BEGIN
                                  KEY "PRODCOMP"
                                  PROMPT 12 1 ""
                                  PICTURE "########,@#"
                                  FIELD 109->prodcomp
                                  MESSAGE ADD,347
                                END
                                NUMERO 248 11
                                BEGIN
                                  KEY "DISPONIBILITA'"
                                  PROMPT 13 1 ""
                                  PICTURE "#######@,@#"
                                  MESSAGE _NUMEXPR,109->giac+#242-#243+109->ACL-109->INCL+109->PRODFIN-109->PRODCOMP|ADD,348
                                END
                              END // tot ggiac4
    
                            END // GGIAC3
                            SECTION TOT_GLIVGIAC3 1 1 1 GROUP
                              STRINGA 351 20
                              BEGIN
                                KEY "" 
                                PROMPT 2 1 ""
                              END
                              STRINGA 350 30 
                              BEGIN
                                KEY "" 
                                PROMPT 3 1 ""
                              END
                              STRINGA 353 3
                              BEGIN
                                KEY "UM"
                                PROMPT 5 1 ""
                                FIELD LF_UMART->UM
                              END
                              NUMERO 341 11
                              BEGIN
                                KEY "GIAC"
                                PROMPT 6 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,441
                                GROUP 3
                              END
                              NUMERO 342 11
                              BEGIN
                                KEY "ORDF"
                                PROMPT 7 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,442
                                GROUP 3 25
                              END
                              NUMERO 343 11
                              BEGIN
                                KEY "ORDC"
                                PROMPT 8 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,443
                                GROUP 3
                              END
                              NUMERO 344 11
                              BEGIN
                                KEY "ACL"
                                PROMPT 9 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,444
                                GROUP 3 25
                              END
                              NUMERO 345 11
                              BEGIN
                                KEY "INCL"
                                PROMPT 10 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,445
                                GROUP 3
                              END
                              NUMERO 346 11
                              BEGIN
                                KEY "PRODF"
                                PROMPT 11 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,446
                                GROUP 3 25
                              END
                              NUMERO 347 11
                              BEGIN
                                KEY "PRODC"
                                PROMPT 12 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,447
                                GROUP 3
                              END
                              NUMERO 348 11
                              BEGIN
                                KEY "DISP"
                                prompt 13 1 ""
                                PICTURE "########,@#"
                                MESSAGE ADD,448
                                GROUP 3
                              END
                            END // tot ggiac3
    
                          END // GGIAC2
                          SECTION TOT_GLIVGIAC2 1 1 1 GROUP
                            STRINGA 450 30 
                            BEGIN
                              KEY "" 
                              PROMPT 3 1 ""
                            END
                            STRINGA 451 20
                            BEGIN
                              KEY "" 
                              PROMPT 2 1 ""
                            END
                            STRINGA 453 3
                            BEGIN
                              KEY "UM"
                              PROMPT 5 1 ""
                              FIELD LF_UMART->UM
                            END
                            NUMERO 441 11
                            BEGIN
                              KEY "GIAC"
                              PROMPT 6 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,541
                              GROUP 4
                            END
                            NUMERO 442 11
                            BEGIN
                              KEY "ORDF"
                              PROMPT 7 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,542
                              GROUP 4 25
                            END
                            NUMERO 443 11
                            BEGIN
                              KEY "ORDC"
                              PROMPT 8 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,543
                              GROUP 4
                            END
                            NUMERO 444 11
                            BEGIN
                              KEY "ACL"
                              PROMPT 9 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,544
                              GROUP 4 25
                            END
                            NUMERO 445 11
                            BEGIN
                              KEY "INCL"
                              PROMPT 10 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,545
                              GROUP 4
                            END
                            NUMERO 446 11
                            BEGIN
                              KEY "PRODF"
                              PROMPT 11 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,546
                              GROUP 4 25
                            END
                            NUMERO 447 11
                            BEGIN
                              KEY "PRODC"
                              PROMPT 12 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,547
                              GROUP 4
                            END
                            NUMERO 448 11
                            BEGIN
                              KEY "DISP"
                              PROMPT 13 1 ""
                              PICTURE "########,@#"
                              MESSAGE ADD,548
                              GROUP 4
                            END
                          END // tot ggiac2
                        END // GGIAC1
                        SECTION TOT_GLIVGIAC1 1 1 1 GROUP
                          STRINGA 550 30
                          BEGIN
                            KEY "" 
                            PROMPT 3 1 ""
                          END
                          STRINGA 551 20
                          BEGIN
                            KEY "" 
                            PROMPT 2 1 ""
                          END
                          STRINGA 553 3
                          BEGIN
                            KEY "UM"
                            PROMPT 5 1 ""
                            FIELD LF_UMART->UM
                          END
                          NUMERO 541 11
                          BEGIN
                            KEY "GIAC"
                            PROMPT 6 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,641
                            GROUP 5
                          END
                          NUMERO 542 11
                          BEGIN
                            KEY "ORDF"
                            PROMPT 7 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,642
                            GROUP 5 25
                          END
                          NUMERO 543 11
                          BEGIN
                            KEY "ORDC"
                            PROMPT 8 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,643
                            GROUP 5
                          END
                          NUMERO 544 11
                          BEGIN
                            KEY "ACL"
                            PROMPT 9 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,644
                            GROUP 5 25
                          END
                          NUMERO 545 11
                          BEGIN
                            KEY "INCL"
                            PROMPT 10 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,645
                            GROUP 5
                          END
                          NUMERO 546 11
                          BEGIN
                            KEY "PRODF"
                            PROMPT 11 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,646
                            GROUP 5 25
                          END
                          NUMERO 547 11
                          BEGIN
                            KEY "PRODC"
                            PROMPT 12 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,647
                            GROUP 5
                          END
                          NUMERO 548 11
                          BEGIN
                            KEY "DISP"
                            prompt 13 1 ""
                            PICTURE "########,@#"
                            MESSAGE ADD,648
                            GROUP 5
                          END
                        END // tot ggiac1                 
  
                      END // FILE GIACENZE
                      SECTION TOT_ARTICOLO 1 1 1 GROUP
                        STRINGA 651 20 1
                        BEGIN
                          KEY "" 
                          PROMPT 2 1 ""
                        END
                        STRINGA 650 30 1
                        BEGIN
                          KEY "" 
                          PROMPT 3 1 ""
                        END
                        STRINGA 653 3
                        BEGIN
                          KEY "UM"
                          PROMPT 5 1 ""
                          FIELD LF_UMART->UM
                          MESSAGE _USER,COPY_UM,753
                        END
                        NUMERO 641 11
                        BEGIN
                          KEY "GIAC"
                          PROMPT 6 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,741
                          GROUP 6
                        END
                        NUMERO 642 11
                        BEGIN
                          KEY "ORDF"
                          PROMPT 7 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,742
                          GROUP 6 25
                        END
                        NUMERO 643 11
                        BEGIN
                          KEY "ORDC"
                          PROMPT 8 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,743
                          GROUP 6
                        END
                        NUMERO 644 11
                        BEGIN
                          KEY "ACL"
                          PROMPT 9 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,744
                          GROUP 6 25
                        END
                        NUMERO 645 11
                        BEGIN
                          KEY "INCL"
                          PROMPT 10 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,745
                          GROUP 6
                        END
                        NUMERO 646 11
                        BEGIN
                          KEY "PRODF"
                          PROMPT 11 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,746
                          GROUP 6 25
                        END
                        NUMERO 647 11
                        BEGIN
                          KEY "PRODC"
                          PROMPT 12 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,747
                          GROUP 6
                        END
                        NUMERO 648 11
                        BEGIN
                          KEY "DISP"
                          PROMPT 13 1 ""
                          PICTURE "########,@#"
                          MESSAGE ADD,748
                          GROUP 6
                        END
                      END // TOT ART
  
                    END // GART8
                    SECTION TOT_GART8 1 1 1 GROUP
                      STRINGA 750 30
                      BEGIN
                        KEY "" 
                        PROMPT 3 1 ""
                      END
                      STRINGA 751 20
                      BEGIN
                        KEY "" 
                        PROMPT 2 1 ""
                      END
                      STRINGA 753 3
                      BEGIN
                        KEY "UM"
                        PROMPT 5 1 ""
                        MESSAGE _USER,COPY_UM,853
                      END
                      NUMERO 741 11
                      BEGIN
                        KEY "GIAC"
                        PROMPT 6 1 ""
                        PICTURE "########,@#"
                        MESSAGE _USER,VALIDATE_UM,753|ADD,841
                        GROUP 7
                      END
                      NUMERO 742 11
                      BEGIN
                        KEY "ORDF"
                        PROMPT 7 1 ""
                        PICTURE "########,@#"
                        MESSAGE _USER,VALIDATE_UM,753|ADD,842
                        GROUP 7 25
                      END
                      NUMERO 743 11
                      BEGIN
                        KEY "ORDC"
                        PROMPT 8 1 ""
                        PICTURE "########,@#"
                        MESSAGE _USER,VALIDATE_UM,753|ADD,843
                        GROUP 7
                      END
                      NUMERO 744 11
                      BEGIN
                        KEY "ACL"
                        PROMPT 9 1 ""
                        PICTURE "########,@#"
                        MESSAGE _USER,VALIDATE_UM,753|ADD,844
                        GROUP 7 25
                      END
                      NUMERO 745 11
                      BEGIN
                        KEY "INCL"
                        PROMPT 10 1 ""
                        PICTURE "########,@#"
                        MESSAGE _USER,VALIDATE_UM,753|ADD,845
                        GROUP 7
                      END
                      NUMERO 746 11
                      BEGIN
                        KEY "PRODF"
                        PROMPT 11 1 ""
                        PICTURE "########,@#"
                        MESSAGE _USER,VALIDATE_UM,753|ADD,846
                        GROUP 7 25
                      END
                      NUMERO 747 11
                      BEGIN
                        KEY "PRODC"
                        PROMPT 12 1 ""
                        PICTURE "########,@#"
                        MESSAGE _USER,VALIDATE_UM,753|ADD,847
                        GROUP 7
                      END
                      NUMERO 748 11
                      BEGIN
                        KEY "DISP"
                        prompt 13 1 ""
                        PICTURE "########,@#"
                        MESSAGE _USER,VALIDATE_UM,753|ADD,848
                        GROUP 7
                      END
                    END // tot gart8
  
                  END // GART7
                  SECTION TOT_GART7 1 1 1 GROUP
                    STRINGA 850 30
                    BEGIN
                      KEY "" 
                      PROMPT 3 1 ""
                    END
                    STRINGA 851 20
                    BEGIN
                      KEY "" 
                      PROMPT 2 1 ""
                    END
                    STRINGA 853 3
                    BEGIN
                      KEY "UM"
                      PROMPT 5 1 ""
                      MESSAGE _USER,COPY_UM,953
                    END
                    NUMERO 841 11
                    BEGIN
                      KEY "GIAC"
                      PROMPT 6 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,853|ADD,941
                      GROUP 8
                    END
                    NUMERO 842 11
                    BEGIN
                      KEY "ORDF"
                      PROMPT 7 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,853|ADD,942
                      GROUP 8 25
                    END
                    NUMERO 843 11
                    BEGIN
                      KEY "ORDC"
                      PROMPT 8 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,853|ADD,943
                      GROUP 8
                    END
                    NUMERO 844 11
                    BEGIN
                      KEY "ACL"
                      PROMPT 9 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,853|ADD,944
                      GROUP 8 25
                    END
                    NUMERO 845 11
                    BEGIN
                      KEY "INCL"
                      PROMPT 10 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,853|ADD,945
                      GROUP 8
                    END
                    NUMERO 846 11
                    BEGIN
                      KEY "PRODF"
                      PROMPT 11 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,853|ADD,946
                      GROUP 8 25
                    END
                    NUMERO 847 11
                    BEGIN
                      KEY "PRODC"
                      PROMPT 12 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,853|ADD,947
                      GROUP 8
                    END
                    NUMERO 848 11
                    BEGIN
                      KEY "DISP"
                      prompt 13 1 ""
                      PICTURE "########,@#"
                      MESSAGE _USER,VALIDATE_UM,853|ADD,948
                      GROUP 8
                    END
                  END // tot gart7                  
  
                END // GART6
                SECTION TOT_GART6 1 1 1 GROUP
                  STRINGA 950 30
                  BEGIN
                    KEY "" 
                    PROMPT 3 1 ""
                  END
                  STRINGA 951 20
                  BEGIN
                    KEY "" 
                    PROMPT 2 1 ""
                  END
                  STRINGA 953 3
                  BEGIN
                    KEY "UM"
                    PROMPT 5 1 ""
                    MESSAGE _USER,COPY_UM,1053
                  END
                  NUMERO 941 11
                  BEGIN
                    KEY "GIAC"
                    PROMPT 6 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,953|ADD,1041
                    GROUP 9
                  END
                  NUMERO 942 11
                  BEGIN
                    KEY "ORDF"
                    PROMPT 7 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,953|ADD,1042
                    GROUP 9 25
                  END
                  NUMERO 943 11
                  BEGIN
                    KEY "ORDC"
                    PROMPT 8 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,953|ADD,1043
                    GROUP 9
                  END
                  NUMERO 944 11
                  BEGIN
                    KEY "ACL"
                    PROMPT 9 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,953|ADD,1044
                    GROUP 9 25
                  END
                  NUMERO 945 11
                  BEGIN
                    KEY "INCL"
                    PROMPT 10 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,953|ADD,1045
                    GROUP 9
                  END
                  NUMERO 946 11
                  BEGIN
                    KEY "PRODF"
                    PROMPT 11 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,953|ADD,1046
                    GROUP 9 25
                  END
                  NUMERO 947 11
                  BEGIN
                    KEY "PRODC"
                    PROMPT 12 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,953|ADD,1047
                    GROUP 9
                  END
                  NUMERO 948 11
                  BEGIN
                    KEY "DISP"
                    PROMPT 13 1 ""
                    PICTURE "########,@#"
                    MESSAGE _USER,VALIDATE_UM,953|ADD,1048
                    GROUP 9
                  END
                END // tot gart6
  
              END // GART5
              SECTION TOT_GART5 1 1 1 GROUP
                STRINGA 1050 30
                BEGIN
                  KEY "" 
                  PROMPT 3 1 ""
                END
                STRINGA 1051 20
                BEGIN
                  KEY "" 
                  PROMPT 2 1 ""
                END
                STRINGA 1053 3
                BEGIN
                  KEY "UM"
                  PROMPT 5 1 ""
                  MESSAGE _USER,COPY_UM,1153
                END
                NUMERO 1041 11
                BEGIN
                  KEY "GIAC"
                  PROMPT 6 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,1053|ADD,1141
                  GROUP 10
                END
                NUMERO 1042 11
                BEGIN
                  KEY "ORDF"
                  PROMPT 7 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,1053|ADD,1142
                  GROUP 10 25
                END
                NUMERO 1043 11
                BEGIN
                  KEY "ORDC"
                  PROMPT 8 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,1053|ADD,1143
                  GROUP 10
                END
                NUMERO 1044 11
                BEGIN
                  KEY "ACL"
                  PROMPT 9 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,1053|ADD,1144
                  GROUP 10 25
                END
                NUMERO 1045 11
                BEGIN
                  KEY "INCL"
                  PROMPT 10 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,1053|ADD,1145
                  GROUP 10
                END
                NUMERO 1046 11
                BEGIN
                  KEY "PRODF"
                  PROMPT 11 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,1053|ADD,1146
                  GROUP 10 25
                END
                NUMERO 1047 11
                BEGIN
                  KEY "PRODC"
                  PROMPT 12 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,1053|ADD,1147
                  GROUP 10
                END
                NUMERO 1048 11
                BEGIN
                  KEY "DISP"
                  PROMPT 13 1 ""
                  PICTURE "########,@#"
                  MESSAGE _USER,VALIDATE_UM,1053|ADD,1148
                  GROUP 10
                END
              END // tot gart5
  
            END // GART4
            SECTION TOT_GART4 1 1 1 GROUP
              STRINGA 1150 30
              BEGIN
                KEY "" 
                PROMPT 3 1 ""
              END
              STRINGA 1151 20
              BEGIN
                KEY "" 
                PROMPT 2 1 ""
              END
              STRINGA 1153 3
              BEGIN
                KEY "UM"
                PROMPT 5 1 ""
                MESSAGE _USER,COPY_UM,1253
              END
              NUMERO 1141 11
              BEGIN
                KEY "GIAC"
                PROMPT 6 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1153|ADD,1241
                GROUP 11
              END
              NUMERO 1142 11
              BEGIN
                KEY "ORDF"
                PROMPT 7 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1153|ADD,1242
                GROUP 11 25
              END
              NUMERO 1143 11
              BEGIN
                KEY "ORDC"
                PROMPT 8 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1153|ADD,1243
                GROUP 11
              END
              NUMERO 1144 11
              BEGIN
                KEY "ACL"
                PROMPT 9 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1153|ADD,1244
                GROUP 11 25
              END
              NUMERO 1145 11
              BEGIN
                KEY "INCL"
                PROMPT 10 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1153|ADD,1245
                GROUP 11
              END
              NUMERO 1146 11
              BEGIN
                KEY "PRODF"
                PROMPT 11 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1153|ADD,1246
                GROUP 11 25
              END
              NUMERO 1147 11
              BEGIN
                KEY "PRODC"
                PROMPT 12 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1153|ADD,1247
                GROUP 11
              END
              NUMERO 1148 11
              BEGIN
                KEY "DISP"
                prompt 13 1 ""
                PICTURE "########,@#"
                MESSAGE _USER,VALIDATE_UM,1153|ADD,1248
                GROUP 11
              END
            END // tot gart4
  
          END // GART3
          SECTION TOT_GART3 1 1 1 GROUP
            STRINGA 1250 30
            BEGIN
              KEY "" 
              PROMPT 3 1 ""
            END
            STRINGA 1251 20
            BEGIN
              KEY "" 
              PROMPT 2 1 ""
            END
            STRINGA 1253 3
            BEGIN
              KEY "UM"
              PROMPT 5 1 ""
              MESSAGE _USER,COPY_UM,1353
            END
            NUMERO 1241 11
            BEGIN
              KEY "GIAC"
              PROMPT 6 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1253|ADD,1341
              GROUP 12
            END
            NUMERO 1242 11
            BEGIN
              KEY "ORDF"
              PROMPT 7 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1253|ADD,1342
              GROUP 12 25
            END
            NUMERO 1243 11
            BEGIN
              KEY "ORDC"
              PROMPT 8 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1253|ADD,1343
              GROUP 12
            END
            NUMERO 1244 11
            BEGIN
              KEY "ACL"
              PROMPT 9 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1253|ADD,1344
              GROUP 12 25
            END
            NUMERO 1245 11
            BEGIN
              KEY "INCL"
              PROMPT 10 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1253|ADD,1345
              GROUP 12
            END
            NUMERO 1246 11
            BEGIN
              KEY "PRODF"
              PROMPT 11 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1253|ADD,1346
              GROUP 12 25
            END
            NUMERO 1247 11
            BEGIN
              KEY "PRODC"
              PROMPT 12 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1253|ADD,1347
              GROUP 12
            END
            NUMERO 1248 11
            BEGIN
              KEY "DISP"
              prompt 13 1 ""
              PICTURE "########,@#"
              MESSAGE _USER,VALIDATE_UM,1253|ADD,1348
              GROUP 12
            END
          END // tot gart3
  
        END // GART2
        SECTION TOT_GART2 1 1 1 GROUP
          STRINGA 1350 30
          BEGIN
            KEY "" 
            PROMPT 3 1 ""
          END
          STRINGA 1351 20
          BEGIN
            KEY "" 
            PROMPT 2 1 ""
          END
          STRINGA 1353 3
          BEGIN
            KEY "UM"
            PROMPT 5 1 ""
            MESSAGE _USER,COPY_UM,1453
          END
          NUMERO 1341 11
          BEGIN
            KEY "GIAC"
            PROMPT 6 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1353|ADD,1441
            GROUP 13
          END
          NUMERO 1342 11
          BEGIN
            KEY "ORDF"
            PROMPT 7 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1353|ADD,1442
            GROUP 13 25
          END
          NUMERO 1343 11
          BEGIN
            KEY "ORDC"
            PROMPT 8 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1353|ADD,1443
            GROUP 13
          END
          NUMERO 1344 11
          BEGIN
            KEY "ACL"
            PROMPT 9 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1353|ADD,1444
            GROUP 13 25
          END
          NUMERO 1345 11
          BEGIN
            KEY "INCL"
            PROMPT 10 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1353|ADD,1445
            GROUP 13
          END
          NUMERO 1346 11
          BEGIN
            KEY "PRODF"
            PROMPT 11 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1353|ADD,1446
            GROUP 13 25
          END
          NUMERO 1347 11
          BEGIN
            KEY "PRODC"
            PROMPT 12 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1353|ADD,1447
            GROUP 13
          END
          NUMERO 1348 11
          BEGIN
            KEY "DISP"
            prompt 13 1 ""
            PICTURE "########,@#"
            MESSAGE _USER,VALIDATE_UM,1353|ADD,1448
            GROUP 13
          END
        END // tot gart2
  
      END // GART1
      SECTION TOT_GART1 1 1 1 GROUP
        STRINGA 1450 30
        BEGIN
          KEY "" 
          PROMPT 3 1 ""
        END
        STRINGA 1451 20
        BEGIN
          KEY "" 
          PROMPT 2 1 ""
        END
        STRINGA 1453 3
        BEGIN
          KEY "UM"
          PROMPT 5 1 ""
          MESSAGE _USER,COPY_UM,53
        END
        NUMERO 1441 11
        BEGIN
          KEY "GIAC"
          PROMPT 6 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1453|ADD,41
          GROUP 14 
        END
        NUMERO 1442 11
        BEGIN
          KEY "ORDF"
          PROMPT 7 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1453|ADD,42
          GROUP 14 25
        END
        NUMERO 1443 11
        BEGIN
          KEY "ORDC"
          PROMPT 8 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1453|ADD,43
          GROUP 14
        END
        NUMERO 1444 11
        BEGIN
          KEY "ACL"
          PROMPT 9 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1453|ADD,44
          GROUP 14 25
        END
        NUMERO 1445 11
        BEGIN
          KEY "INCL"
          PROMPT 10 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1453|ADD,45
          GROUP 14
        END
        NUMERO 1446 11
        BEGIN
          KEY "PRODF"
          PROMPT 11 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1453|ADD,46
          GROUP 14 25
        END
        NUMERO 1447 11
        BEGIN
          KEY "PRODC"
          PROMPT 12 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1453|ADD,47
          GROUP 14
        END
        NUMERO 1448 11
        BEGIN
          KEY "DISP"
          prompt 13 1 ""
          PICTURE "########,@#"
          MESSAGE _USER,VALIDATE_UM,1453|ADD,48
          GROUP 14
        END
      END // tot gart1

    END // GRUPPI DEPOSITO

    SECTION TOT_DEPOSITO 1 1 1 GROUP
      SECTION SEP_DEPOSITO 1 0 0 NORMAL GROUP
        STRINGA 77 
        BEGIN
          KEY "giac"
          PROMPT 52 1 "---------------------------------------------------------------------------------------------------------"
        END
      END
      STRINGA 51 20
      BEGIN
        KEY "CODICE"
        PROMPT 2 1 "Totale dep. "
      END
      STRINGA 50 30 
      BEGIN
        KEY "descr"
        PROMPT 3 1 ""
      END
      STRINGA 53 3
      BEGIN
        KEY "UM"
        PROMPT 5 1 ""
        MESSAGE  _USER,COPY_UM,153
      END
      NUMERO 41 11
      BEGIN
        KEY "GIAC"
        PROMPT 6 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,53|ADD,141
        GROUP 15
      END
      NUMERO 42 11
      BEGIN
        KEY "ORDF"
        PROMPT 7 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,53|ADD,142
        GROUP 15 
      END
                                
      NUMERO 43 11
      BEGIN
        KEY "ORDC"
        PROMPT 8 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,53|ADD,143
        GROUP 15
      END
      NUMERO 44 11
      BEGIN
        KEY "ACL"
        PROMPT 9 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,53|ADD,144
        GROUP 15
      END
      NUMERO 45 11
      BEGIN
        KEY "INCL"
        PROMPT 10 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,53|ADD,145
        GROUP 15
      END
      NUMERO 46 11
      BEGIN
        KEY "PRODFIN"
        PROMPT 11 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,53|ADD,146
        GROUP 15
      END
      NUMERO 47 11
      BEGIN
        KEY "PRODCOMP"
        PROMPT 12 1 ""
        PICTURE "########,@#"
        MESSAGE _USER,VALIDATE_UM,53|ADD,147
        GROUP 15
      END
      NUMERO 48 11
      BEGIN
        KEY "DISPONIBILITA'"
        PROMPT 13 1 ""
        PICTURE "#######@,@#"
        MESSAGE _USER,VALIDATE_UM,53|ADD,148
        GROUP 15
      END
    END // tot  depositi 
  END // MAGAZZ

  SECTION TOT_MAGAZZINO 1 1 2 GROUP
    SECTION SEP_MAGAZZINO 1 0 0 NORMAL GROUP
      STRINGA 77 
      BEGIN
        KEY "giac"
        PROMPT 50 1 "---------------------------------------------------------------------------------------------------------"
      END
    END
    STRINGA 150 30 1
    BEGIN
      KEY "Magazzino" 
      PROMPT 3 1 ""
    END
    STRINGA 151 20 1
    BEGIN
      KEY "Magazzino" 
      PROMPT 2 1 "Totale mag. "
    END
    STRINGA 153 3
    BEGIN
      KEY "UM"
      PROMPT 5 1 ""
    END
    NUMERO 141 11
    BEGIN
      KEY "GIAC"
      PROMPT 6 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,153
      GROUP 1
    END
    NUMERO 142 11
    BEGIN
      KEY "ORDF"
      PROMPT 7 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,153
      GROUP 1 
    END
    NUMERO 143 11
    BEGIN
      KEY "ORDC"
      PROMPT 8 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,153
      GROUP 1
    END
    NUMERO 144 11
    BEGIN
      KEY "ACL"
      PROMPT 9 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,153
      GROUP 1 
    END
    NUMERO 145 11
    BEGIN
      KEY "INCL"
      PROMPT 10 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,153
      GROUP 1
    END
    NUMERO 146 11
    BEGIN
      KEY "PRODF"
      PROMPT 11 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,153
      GROUP 1 
    END
    NUMERO 147 11
    BEGIN
      KEY "PRODC"
      PROMPT 12 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,153
      GROUP 1
    END
    NUMERO 148 11
    BEGIN
      KEY "DISP"
      PROMPT 13 1 ""
      PICTURE "########,@#"
      MESSAGE _USER,VALIDATE_UM,153
      GROUP 1
    END
  END // tot magazz

END // section body, loop anamag

SECTION FOOTER ODD 2

END // fine footer

END // fine form
