#include "mg4frm.h"
USE LF_MAG KEY 2 BY ANNOES CODART LIVELLO CODMAG
JOIN LF_ANAMAG TO LF_MAG INTO CODART==CODART
JOIN MAG TO LF_MAG ALIAS 500 INTO CODTAB==CODMAG[1,3]
JOIN MAG TO LF_MAG ALIAS 501 INTO CODTAB==CODMAG
JOIN GMC TO LF_ANAMAG ALIAS 400 INTO CODTAB==GRMERC[1,3]
JOIN GMC TO LF_ANAMAG ALIAS 401 INTO CODTAB==GRMERC
JOIN RFA TO LF_ANAMAG ALIAS 600 INTO CODTAB==RAGGFIS
JOIN LF_UMART TO LF_ANAMAG INTO CODART==CODART
END
  
DESCRIPTION
BEGIN
  47->* "Anagrafica articoli"
  109->* "Archivio Giacenze"
  MAG->* "Tabella magazzini"
  49->* "Unit di misura articoli"
END

GENERAL
BEGIN
  OFFSET 0 1
END

SECTION GRAPHIC
BEGIN
END

SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  110 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
  KEY "Intestazione stampa"
  PROMPT  45 2 "@bStampa inventario esercizio "
  MESSAGE _ANNO
END

STRINGA 5 255
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "---------------------------------------------------------"
  MESSAGE _USER,LINEATOTALI
END

STRINGA 17 255
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 6 "---------------------------------------------------------"
  MESSAGE _USER,LINEATOTALI
END

END

SECTION BODY ODD 0 COLUMNWISE

  STRINGA FF_DISABLEUNIT1 1
  BEGIN
    FLAGS "DH"
    PROMPT 1 1 ""
    MESSAGE HIDE, FG_COL1_UNIT@
  END

  STRINGA FF_DISABLEUNIT2 1
  BEGIN
    FLAGS "DH"
    PROMPT 1 1 ""
    MESSAGE HIDE, FG_COL2_UNIT@
  END
  
  STRINGA FF_DISABLEUNIT3 1
  BEGIN
    FLAGS "DH"
    PROMPT 1 1 ""
    MESSAGE HIDE, FG_COL3_UNIT@
  END

  STRINGA FF_DISABLEUNIT4 1
  BEGIN
    FLAGS "DH"
    PROMPT 1 1 ""
    MESSAGE HIDE, FG_COL4_UNIT@
  END

  STRINGA FF_DISABLEUNIT5 1
  BEGIN
    FLAGS "DH"
    PROMPT 1 1 ""
    MESSAGE HIDE, FG_COL5_UNIT@
  END

  STRINGA FF_DISABLEUNIT6 1
  BEGIN
    FLAGS "DH"
    PROMPT 1 1 ""
    MESSAGE HIDE, FG_COL6_UNIT@
  END

  LIST FF_ENABLECOLS 
  BEGIN
    FLAGS "H"
    ITEM "|only one, "
    ITEM "1|only one, "
    MESSAGE DISABLE,FG_COL2@|DISABLE,FG_COL3@|DISABLE,FG_COL4@|DISABLE,FG_COL5@|DISABLE,FG_COL6@
    ITEM "2|two"
    MESSAGE DISABLE,FG_COL3@|DISABLE,FG_COL4@|DISABLE,FG_COL5@|DISABLE,FG_COL6@
    ITEM "3|three"
    MESSAGE DISABLE,FG_COL4@|DISABLE,FG_COL5@|DISABLE,FG_COL6@
    ITEM "4|four"
    MESSAGE DISABLE,FG_COL5@|DISABLE,FG_COL6@
    ITEM "5|five"
    MESSAGE DISABLE,FG_COL6@
    ITEM "6|six"
  END

  STRINGA 2 20
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "Codice" "Codice"
    KEY "Intestazione codice"
    PROMPT 2 1 ""
  END
  STRINGA 3 30
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "Descrizione" "Descrizione"
    KEY "Intestazione descrizione"
    PROMPT 3 1 ""
  END
  STRINGA 5 3
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "UM" "UM"
    KEY "Intestazione UM"
    PROMPT 5 1 ""
  END
  STRINGA 6 12
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "@CGiacenza" "Giacenza"
    KEY "Intestazione giacenza"
    PROMPT 6 1 ""
  END
  STRINGA 7 15
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
    KEY "Intestazione valore col.1"
    PROMPT 7 1 ""
  END
  STRINGA 8 12
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "Val.unitario" "Val.unitario"
    KEY "Intestazione val.un. col.1"
    PROMPT 8 1 ""
  END
  STRINGA 9 15
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
    KEY "Intestazione valore col.2"
    PROMPT 9 1 ""
    FLAGS "H"
  END
  STRINGA 10 12
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "Val.unitario" "Val.unitario"
    KEY "Intestazione val.un. col.2"
    PROMPT 10 1 ""
    FLAGS "H"
  END
  STRINGA 11 15
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
    KEY "Intestazione valore col.3"
    PROMPT 11 1 ""
    FLAGS "H"
  END
  STRINGA 12 12
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "Val.unitario" "Val.unitario"
    KEY "Intestazione val.un. col.3"
    PROMPT 12 1 ""
    FLAGS "H"
  END
  STRINGA 13 15
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
    KEY "Intestazione valore col.4"
    PROMPT 13 1 ""
    FLAGS "H"
  END
  STRINGA 14 12
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "Val.unitario" "Val.unitario"
    KEY "Intestazione val.un col.4"
    PROMPT 14 1 ""
    FLAGS "H"
  END
  STRINGA 15 15
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
    KEY "Intestazione valore col.5"
    PROMPT 15 1 ""
    FLAGS "H"
  END
  STRINGA 16 12
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "Val.unitario" "Val.unitario"
    KEY "Intestazione val.un. col.5"
    PROMPT 16 1 ""
    FLAGS "H"
  END
  STRINGA 17 15
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
    KEY "Intestazione valore col.6"
    PROMPT 17 1 ""
    FLAGS "H"
  END
  STRINGA 18 12
  BEGIN
    SPECIAL STRINGA INTESTAZIONE "Val.unitario" "Val.unitario"
    KEY "Intestazione val.un. col.6"
    PROMPT 18 1 ""
    FLAGS "H"
  END

  STRINGA 60 20
  BEGIN
    FLAGS "H"
    KEY "CATMER" 
    PROMPT 2 1 ""
    MESSAGE RESET,15@|_USER,RESET_UM,1553
  END

  //Intestazione per ordinamento su categoria merceologica/raggruppamento fiscale
  // I messaggi cambiano a seconda che il raggr. princ sia per cat.mer o ragg.fis.
  SECTION H_CATMER 1 2 1 GROUP
    STRINGA 11 20
    BEGIN
      KEY "CATMER"
      PROMPT 2 1 "@B"
      MESSAGE _USER,CODCATMER|COPY,1550
    END
    STRINGA 12 70
    BEGIN
      KEY "CODICE CATMER"
      PROMPT 3 1 "@R"
      MESSAGE _USER,CATMER
    END
  END

  // Raggruppamento cambiato a Run-time a seconda che sia per cat.mer o rag.fis.
  SECTION GRUPPI_CATMER 1 0 0 FILE LF_MAG GROUP LF_ANAMAG->GRMERC
   
   STRINGA 60 20
   BEGIN
     FLAGS "H"
     KEY "SCATMER" 
     PROMPT 2 1 ""
     MESSAGE RESET,16@|_USER,RESET_UM,1653
   END

   SECTION H_SCATMER 1 2 1 GROUP //HEADER
    STRINGA 11 20
    BEGIN
      KEY "SCATMER"
      PROMPT 2 1 ""
      FIELD LF_ANAMAG->GRMERC
      MESSAGE COPY,1650
      GROUP 16
    END
    STRINGA 12 70
    BEGIN
      KEY "CODICE SCATMER"
      PROMPT 3 1 ""
      FIELD 401@->S0
      GROUP 16
    END
   END

   SECTION GRUPPI_SCATMER 1 0 0 FILE LF_MAG GROUP LF_ANAMAG->GRMERC
    STRINGA 60 20
    BEGIN
      FLAGS "H"
      KEY "CATMER" 
      PROMPT 2 1 ""
      MESSAGE RESET,14@|_USER,RESET_UM,1453
    END
    SECTION H_GCODART1 1 1 1 HEADER
      STRINGA 16 20
      BEGIN
        KEY "CODICE GRUPPO"
        PROMPT 2 1 ""
        MESSAGE _USER,CODGRUPPOART,1|COPY,1451
      END
      STRINGA 17 70 
      BEGIN
       KEY "CODICE GRUPPO"
       PROMPT 3 1 ""
       MESSAGE _USER,GRUPPOART,1|COPY,1450
      END
    END

    SECTION GRUPPI_CODART1 1 0 0 FILE LF_MAG GROUP CODART
      STRINGA 60 40 1
      BEGIN
        FLAGS "H"
        KEY "CATMER" 
        PROMPT 2 1 ""
        MESSAGE RESET,13@|_USER,RESET_UM,1353
      END
      SECTION H_GCODART2 1 1 1 HEADER
        STRINGA 16 20
        BEGIN
          KEY "CODICE GRUPPO"
          PROMPT 2 1 ""
          MESSAGE _USER,CODGRUPPOART,2|COPY,1351
        END
        STRINGA 17 70 
        BEGIN
         KEY "CODICE GRUPPO"
         PROMPT 3 1 ""
         MESSAGE _USER,GRUPPOART,2|COPY,1350
        END
      END

      SECTION GRUPPI_CODART2 1 0 0 FILE LF_MAG GROUP CODART
        STRINGA 60 40 1
        BEGIN
          FLAGS "H"
          KEY "CATMER" 
          PROMPT 2 1 ""
          MESSAGE RESET,12@|_USER,RESET_UM,1253
        END
        SECTION H_GCODART3 1 1 1 HEADER
          STRINGA 16 20
          BEGIN
            KEY "CODICE GRUPPO"
            PROMPT 2 1 ""
            MESSAGE _USER,CODGRUPPOART,3|COPY,1251
          END
          STRINGA 17 70 
          BEGIN
           KEY "CODICE GRUPPO"
           PROMPT 3 1 ""
           MESSAGE _USER,GRUPPOART,3|COPY,1250
          END
        END

        SECTION GRUPPI_CODART3 1 0 0 FILE LF_MAG GROUP CODART
          STRINGA 60 40 1
          BEGIN
            FLAGS "H"
            KEY "CATMER" 
            PROMPT 2 1 ""
            MESSAGE RESET,11@|_USER,RESET_UM,1153
          END         
          SECTION H_GCODART4 1 1 1 HEADER
            STRINGA 16 20
            BEGIN
              KEY "CODICE GRUPPO"
              PROMPT 2 1 ""
              MESSAGE _USER,CODGRUPPOART,4|COPY,1151
            END
            STRINGA 17 70 
            BEGIN
             KEY "CODICE GRUPPO"
             PROMPT 3 1 ""
             MESSAGE _USER,GRUPPOART,4|COPY,1150
            END
          END

          SECTION GRUPPI_CODART4 1 0 0 FILE LF_MAG GROUP CODART
            STRINGA 60 40 1
            BEGIN
              FLAGS "H"
              KEY "CATMER" 
              PROMPT 2 1 ""
              MESSAGE RESET,10@|_USER,RESET_UM,1053
            END
            SECTION H_GCODART5 1 1 1 HEADER
              STRINGA 16 20
              BEGIN
                KEY "CODICE GRUPPO"
                PROMPT 2 1 ""
                MESSAGE _USER,CODGRUPPOART,5|COPY,1051
              END
              STRINGA 17 70 
              BEGIN
               KEY "CODICE GRUPPO"
               PROMPT 3 1 ""
               MESSAGE _USER,GRUPPOART,5|COPY,1050
              END
            END

            SECTION GRUPPI_CODART5 1 0 0 FILE LF_MAG GROUP CODART
              STRINGA 60 40 1
              BEGIN
                FLAGS "H"
                KEY "CATMER" 
                PROMPT 2 1 ""
                MESSAGE RESET,9@|_USER,RESET_UM,953
              END             
              SECTION H_GCODART6 1 1 1 HEADER
                STRINGA 16 20
                BEGIN
                  KEY "CODICE GRUPPO"
                  PROMPT 2 1 ""
                  MESSAGE _USER,CODGRUPPOART,6|COPY,951
                END
                STRINGA 17 70 
                BEGIN
                 KEY "CODICE GRUPPO"
                 PROMPT 3 1 ""
                 MESSAGE _USER,GRUPPOART,6|COPY,950
                END
              END

              SECTION GRUPPI_CODART6 1 0 0 FILE LF_MAG GROUP CODART
                STRINGA 60 40 1
                BEGIN
                  FLAGS "H"
                  KEY "CATMER" 
                  PROMPT 2 1 ""
                  MESSAGE RESET,8@|_USER,RESET_UM,853
                END             
                SECTION H_GCODART7 1 1 1 HEADER
                  STRINGA 16 20
                  BEGIN
                    KEY "CODICE GRUPPO"
                    PROMPT 2 1 ""
                    MESSAGE _USER,CODGRUPPOART,7|COPY,851
                  END
                  STRINGA 17 70 
                  BEGIN
                   KEY "CODICE GRUPPO"
                   PROMPT 3 1 ""
                   MESSAGE _USER,GRUPPOART,7|COPY,850
                  END
                END

                SECTION GRUPPI_CODART7 1 0 0 FILE LF_MAG GROUP CODART
                  STRINGA 60 40 1
                  BEGIN
                    FLAGS "H"
                    KEY "CATMER" 
                    PROMPT 2 1 ""
                    MESSAGE RESET,7@|_USER,RESET_UM,753
                  END             

                  SECTION H_GCODART8 1 1 1 HEADER
                    STRINGA 16 20 
                    BEGIN
                      KEY "CODICE GRUPPO"
                      PROMPT 2 1 ""
                      MESSAGE _USER,CODGRUPPOART,8|COPY,751
                    END
                    STRINGA 17 70 
                    BEGIN
                     KEY "CODICE GRUPPO"
                     PROMPT 3 1 ""
                     MESSAGE _USER,GRUPPOART,8|COPY,750
                    END
                  END

                  SECTION GRUPPI_CODART8 1 0 0 FILE LF_MAG GROUP CODART
                    STRINGA 60 40 1
                    BEGIN
                      FLAGS "H"
                      KEY "CATMER" 
                      PROMPT 2 1 ""
                      MESSAGE RESET,6@
                    END             
                    SECTION H_ARTICOLO 1 1 1 HEADER
                      STRINGA 2020 20
                      BEGIN
                        KEY "CODICE articolo"
                        PROMPT 2 1 ""
                        FIELD CODART
                        MESSAGE COPY,651
                      END
                      STRINGA 21 70
                      BEGIN
                        KEY "DESCR.articolo"
                        PROMPT 3 1 ""
                        FIELD LF_ANAMAG->DESCR
                        MESSAGE COPY,650
                      END
                    END                   

                    SECTION FILE_GIACENZE 1 0 0 FILE LF_MAG GROUP CODART
                      STRINGA 60 40 1
                      BEGIN
                        FLAGS "H"
                        KEY "HGIAC" 
                        PROMPT 2 1 ""
                        MESSAGE RESET,5@
                      END             
                      SECTION H_GLIVGIAC1 1 1 1 HEADER
                        STRINGA 31 20 
                        BEGIN
                          KEY "Livello giac" 
                          PROMPT 2 1 ""
                          MESSAGE _USER,CODGRUPPOGIAC,1|COPY,551
                        END
                        STRINGA 31 30 
                        BEGIN
                          KEY "Livello giac" 
                          PROMPT 3 1 ""
                          MESSAGE _USER,GRUPPOGIAC,1|COPY,550
                        END
                      END                   

                      SECTION GRUPPI_LIVGIAC1 1 0 0 FILE LF_MAG GROUP LIVELLO
                        STRINGA 60 40 1
                        BEGIN
                          FLAGS "H"
                          KEY "CATMER" 
                          PROMPT 2 1 ""
                          MESSAGE RESET,4@
                        END             
                        SECTION H_GLIVGIAC2 1 1 1 HEADER
                          STRINGA 31 20 1
                          BEGIN
                            KEY "Livello giac" 
                            PROMPT 2 1 ""
                            MESSAGE _USER,CODGRUPPOGIAC,2|COPY,451
                          END
                          STRINGA 31 30 1
                          BEGIN
                            KEY "Livello giac" 
                            PROMPT 3 1 ""
                            MESSAGE _USER,GRUPPOGIAC,2|COPY,450
                          END
                        END                   

                        SECTION GRUPPI_LIVGIAC2 1 0 0 FILE LF_MAG GROUP LIVELLO
                          STRINGA 60 40 1
                          BEGIN
                            FLAGS "H"
                            KEY "CATMER" 
                            PROMPT 2 1 ""
                            MESSAGE RESET,3@
                          END             

                          SECTION H_GLIVGIAC3 1 1 1 HEADER
                            STRINGA 31 20 1
                            BEGIN
                              KEY "Livello giac" 
                              PROMPT 2 1 ""
                              MESSAGE _USER,CODGRUPPOGIAC,3|COPY,351
                            END
                            STRINGA 31 30 1
                            BEGIN
                              KEY "Livello giac" 
                              PROMPT 3 1 ""
                              MESSAGE _USER,GRUPPOGIAC,3|COPY,350
                            END
                          END                   

                          SECTION GRUPPI_LIVGIAC3 1 0 0 FILE LF_MAG GROUP LIVELLO
                            STRINGA 60 40 1
                            BEGIN
                              FLAGS "H"
                              KEY "CATMER" 
                              PROMPT 2 1 ""
                              MESSAGE RESET,2@
                            END             

                            SECTION H_GLIVGIAC4 1 1 1 HEADER
                              STRINGA 31 20 1
                              BEGIN
                                KEY "Livello giac" 
                                PROMPT 2 1 ""
                                MESSAGE _USER,CODGRUPPOGIAC,4|COPY,251
                              END
                              STRINGA 31 30 1
                              BEGIN
                                KEY "Livello giac" 
                                PROMPT 3 1 ""
                                MESSAGE _USER,GRUPPOGIAC,4|COPY,250
                              END
                            END                   

                            SECTION GRUPPI_LIVGIAC4 1 0 0 FILE LF_MAG GROUP LIVELLO
                              STRINGA 60 40 1
                              BEGIN
                                FLAGS "H"
                                KEY "MAGAZZ" 
                                PROMPT 2 1 ""
                                MESSAGE RESET,1@
                                FIELD 500@->s0
                                MESSAGE COPY,150
                              END             
                              STRINGA 61 50 1
                              BEGIN
                                FLAG "H"
                                KEY "COD. MAGAZZ" 
                                PROMPT 3 1 ""
                                FIELD 500@->CODTAB[1,3]
                                MESSAGE COPY,151
                              END             

                              SECTION H_MAGAZZINO 1 0 0 GROUP
                                SECTION H_MAGAZZINO_NODEP 1 0 0 STR_EXPR 500@->B0!="X" // DIVISIONE IN DEPOSITI
                                  STRINGA 60 40 1
                                  BEGIN
                                    PROMPT 2 1 ""
                                    KEY "codice magazzino" 
                                    MESSAGE HIDE,TOT_DEPOSITO
                                  END
                                END 
                                SECTION H_MAGAZZINO_DEP 1 1 1 STR_EXPR 500@->B0=="X" // DIVISIONE IN DEPOSITI
                                  STRINGA 60 20 1
                                  BEGIN
                                    KEY "codice magazzino" 
                                    FIELD 500@->CODTAB
                                    PROMPT 2 1 "  Magazzino  "
                                    MESSAGE SHOW,TOT_DEPOSITO
                                  END
                                  STRINGA 60 70 1
                                  BEGIN
                                    KEY "magazzino" 
                                    FIELD 500@->s0
                                    PROMPT 3 1 ""
                                  END
                                END 
                              END 

                              SECTION GRUPPI_MAGAZZINO 1 0 0 FILE LF_MAG GROUP CODMAG[1,3]
                                SECTION H_DEPOSITO 1 0 0 GROUP
                                END
                                SECTION TOT_DEPOSITO 1 1 1 GROUP
                                    STRINGA 51 20
                                    BEGIN
                                      KEY "CODICE"
                                      PROMPT 2 1 "    Deposito "
                                      FIELD LF_MAG->CODMAG[4,5]
                                    END
                                    STRINGA 52 30 
                                    BEGIN
                                      KEY "descr"
                                      PROMPT 3 1 ""
                                      FIELD 501@->s0
                                    END
                                    STRINGA 53 3
                                    BEGIN
                                      KEY "UM"
                                      PROMPT 5 1 ""
                                      FIELD LF_UMART->UM
                                      MESSAGE COPY,153
                                    END
                                    NUMERO 41 12
                                    BEGIN
                                      KEY "GIAC"
                                      PROMPT 6 1 ""
                                      PICTURE "########,@##"
                                      MESSAGE _USER,GIAC|ADD,141
                                    END

                                    VALUTA 42 15
                                    BEGIN
                                      KEY "VAL1"
                                      PROMPT 7 1 ""
                                      PICTURE "##.###.###.##@"
                                      MESSAGE _USER,VAL1|ADD,142|ADD,FL->11
                                    END

                                    VALUTA 82 12
                                    BEGIN
                                      KEY "VAL1M"
                                      PROMPT 8 1 ""
                                      FLAGS "U"
                                      PICTURE "###.###.##@"
                                      GROUP FG_COL1 FG_COL1_UNIT
                                      MESSAGE _NUMEXPR,#42/#41
                                    END

                                    VALUTA 43 15
                                    BEGIN
                                      KEY "VAL2"
                                      PROMPT 9 1 ""
                                      PICTURE "##.###.###.##@"
                                      MESSAGE _USER,VAL2|ADD,143|ADD,FL->13
                                      GROUP FG_COL2
                                    END
                                    VALUTA 83 12
                                    BEGIN
                                      KEY "VAL2M"
                                      PROMPT 10 1 ""
                                      FLAGS "U"
                                      PICTURE "###.###.##@"
                                      MESSAGE _NUMEXPR,#43/#41
                                      GROUP FG_COL2 FG_COL2_UNIT
                                    END

                                    VALUTA 44 15
                                    BEGIN
                                      KEY "VAL3"
                                      PROMPT 11 1 ""
                                      PICTURE "##.###.###.##@"
                                      MESSAGE _USER,VAL3|ADD,144|ADD,FL->15
                                      GROUP FG_COL3
                                    END
                                    VALUTA 84 12
                                    BEGIN
                                      KEY "VAL3M"
                                      PROMPT 12 1 ""
                                      FLAGS "U"
                                      PICTURE "###.###.##@"
                                      MESSAGE _NUMEXPR,#44/#41
                                      GROUP FG_COL3 FG_COL3_UNIT
                                    END

                                    VALUTA 45 15
                                    BEGIN
                                      KEY "VAL4"
                                      PROMPT 13 1 ""                                      
                                      PICTURE "##.###.###.##@"
                                      MESSAGE _USER,VAL4|ADD,145|ADD,FL->17
                                      GROUP FG_COL4
                                    END
                                    VALUTA 85 12
                                    BEGIN
                                      KEY "VAL4M"
                                      PROMPT 14 1 ""
                                      FLAGS "U"
                                      PICTURE "###.###.##@"
                                      MESSAGE _NUMEXPR,#45/#41
                                      GROUP FG_COL4 FG_COL4_UNIT 
                                    END

                                    VALUTA 46 15
                                    BEGIN
                                      KEY "VAL5"
                                      PROMPT 15 1 ""                                      
                                      PICTURE "##.###.###.##@"
                                      MESSAGE _USER,VAL5|ADD,146|ADD,FL->19
                                      GROUP FG_COL5
                                    END
                                    VALUTA 86 12
                                    BEGIN
                                      KEY "VAL5M"
                                      PROMPT 16 1 ""
                                      FLAGS "U"
                                      PICTURE "###.###.##@"
                                      MESSAGE _NUMEXPR,#46/#41
                                      GROUP FG_COL5 FG_COL5_UNIT
                                    END

                                    VALUTA 47 15
                                    BEGIN
                                      KEY "VAL6"
                                      PROMPT 17 1 ""
                                      PICTURE "##.###.###.##@"
                                      MESSAGE _USER,VAL6|ADD,147|ADD,FL->21
                                      GROUP FG_COL6
                                    END
                                    VALUTA 87 12
                                    BEGIN
                                      KEY "VAL6M"
                                      PROMPT 18 1 ""
                                      FLAGS "U"
                                      PICTURE "###.###.##@"
                                      MESSAGE _NUMEXPR,#47/#41
                                      GROUP FG_COL6 FG_COL6_UNIT
                                    END
                                END // depositi dello stesso magazzino

                              END // MAGAZZ

                              SECTION TOT_MAGAZZINO 1 1 1 GROUP
                                STRINGA 150 30 1
                                BEGI
                                  KEY "Magazzino" 
                                  PROMPT 3 1 ""
                                END
                                STRINGA 151 20 1
                                BEGIN
                                  KEY "Magazzino" 
                                  PROMPT 2 1 "  Totale mag. "
                                END
                                STRINGA 153 3
                                BEGIN
                                  KEY "UM"
                                  PROMPT 5 1 ""
                                  MESSAGE COPY,253
                                END
                                NUMERO 141 12
                                BEGIN
                                  KEY "GIAC"
                                  PROMPT 6 1 ""
                                  PICTURE "########,@##"
                                  MESSAGE ADD,241
                                  GROUP 1 
                                END
                                VALUTA 142 15
                                BEGIN
                                  KEY "VAL1"
                                  PROMPT 7 1 ""
                                  PICTURE "##.###.###.##@"
                                  MESSAGE ADD,242
                                  GROUP 1
                                END
                                VALUTA 182 12
                                BEGIN
                                  KEY "VAL1"
                                  PROMPT 8 1 ""
                                  FLAGS "U"
                                  PICTURE "###.###.##@"
                                  MESSAGE _NUMEXPR,#142/#141
                                  GROUP 1 FG_COL1 FG_COL1_UNIT
                                END
                                VALUTA 143 15
                                BEGIN
                                  KEY "VAL2"
                                  PROMPT 9 1 ""
                                  PICTURE "##.###.###.##@"
                                  MESSAGE ADD,243
                                  GROUP 1 FG_COL2
                                END
                                VALUTA 183 12
                                BEGIN
                                  KEY "VAL1"
                                  PROMPT 10 1 ""
                                  FLAGS "U"
                                  PICTURE "###.###.##@"
                                  MESSAGE _NUMEXPR,#143/#141
                                  GROUP 1 FG_COL2  FG_COL2_UNIT
                                END
                                VALUTA 144 15
                                BEGIN
                                  KEY "VAL3"
                                  PROMPT 11 1 ""
                                  PICTURE "##.###.###.##@"
                                  MESSAGE ADD,244
                                  GROUP 1 FG_COL3
                                END
                                VALUTA 184 12
                                BEGIN
                                  KEY "VAL1"
                                  PROMPT 12 1 ""
                                  FLAGS "U"
                                  PICTURE "###.###.##@"
                                  MESSAGE _NUMEXPR,#144/#141
                                  GROUP 1 FG_COL3 FG_COL3_UNIT
                                END
                                VALUTA 145 15
                                BEGIN
                                  KEY "VAL4"
                                  PROMPT 13 1 ""
                                  PICTURE "##.###.###.##@"
                                  MESSAGE ADD,245
                                  GROUP 1 FG_COL4
                                END
                                VALUTA 185 12
                                BEGIN
                                  KEY "VAL4"
                                  PROMPT 14 1 ""
                                  FLAGS "U"
                                  PICTURE "###.###.##@"
                                  MESSAGE _NUMEXPR,#145/#141
                                  GROUP 1 FG_COL4 FG_COL4_UNIT
                                END
                                VALUTA 146 15
                                BEGIN
                                  KEY "VAL5"
                                  PROMPT 15 1 ""
                                  PICTURE "##.###.###.##@"
                                  MESSAGE ADD,246 
                                  GROUP 1 FG_COL5
                                END
                                VALUTA 186 12
                                BEGIN
                                  KEY "VAL1"
                                  PROMPT 16 1 ""
                                  FLAGS "U"
                                  PICTURE "###.###.##@"
                                  MESSAGE _NUMEXPR,#146/#141
                                  GROUP 1 FG_COL5 FG_COL5_UNIT
                                END
                                VALUTA 147 15
                                BEGIN
                                  KEY "VAL6"
                                  PROMPT 17 1 ""
                                  PICTURE "##.###.###.##@"
                                  MESSAGE ADD,247
                                  GROUP 1 FG_COL6
                                END
                                VALUTA 187 12
                                BEGIN
                                  KEY "VAL6"
                                  PROMPT 18 1 ""
                                  FLAGS "U"
                                  PICTURE "###.###.##@"
                                  MESSAGE _NUMEXPR,#147/#141
                                  GROUP 1 FG_COL6 FG_COL6_UNIT
                                END
                              END // tot magazz
  
                            END // GGIAC4
                            SECTION TOT_GLIVGIAC4 1 1 1 GROUP
                              STRINGA 250 30
                              BEGIN
                                PROMPT 3 1 ""
                              END
                              STRINGA 251 20
                              BEGIN
                                KEY "Livello giac4" 
                                PROMPT 2 1 ""
                              END
                              STRINGA 253 3
                              BEGIN
                                KEY "UM"
                                PROMPT 5 1 ""
                                MESSAGE COPY,353
                              END
                              NUMERO 241 12
                              BEGIN
                                KEY "GIAC"
                                PROMPT 6 1 ""
                                PICTURE "########,@##"
                                MESSAGE ADD,341
                                GROUP 2
                              END
                              VALUTA 242 15
                              BEGIN
                                KEY "VAL1"
                                PROMPT 7 1 ""
                                PICTURE "##.###.###.##@"
                                MESSAGE ADD,342
                                GROUP 2 
                              END
                              VALUTA 282 12
                              BEGIN
                                KEY "VAL_MEDIO"
                                PROMPT 8 1 ""
                                PICTURE "###.###.##@"
                                  FLAGS "U"
                                MESSAGE _NUMEXPR,#242/#241
                                GROUP 2 FG_COL1 FG_COL1_UNIT
                              END
                              VALUTA 243 15
                              BEGIN
                                KEY "VAL2"
                                PROMPT 9 1 ""
                                PICTURE "##.###.###.##@"
                                MESSAGE ADD,343
                                GROUP 2 FG_COL2
                              END
                              VALUTA 283 12
                              BEGIN
                                KEY "VAL_MEDIO"
                                PROMPT 10 1 ""
                                FLAGS "U"
                                PICTURE "###.###.##@"
                                MESSAGE _NUMEXPR,#243/#241
                                GROUP 2 FG_COL2 FG_COL2_UNIT
                              END
                              VALUTA 244 15
                              BEGIN
                                KEY "VAL3"
                                PROMPT 11 1 ""
                                PICTURE "##.###.###.##@"
                                MESSAGE ADD,344
                                GROUP 2 FG_COL3
                              END
                              VALUTA 284 12
                              BEGIN
                                KEY "VAL_MEDIO"
                                PROMPT 12 1 ""
                                FLAGS "U"
                                PICTURE "###.###.##@"
                                MESSAGE _NUMEXPR,#244/#241
                                GROUP 2 FG_COL3 FG_COL3_UNIT
                              END
                              VALUTA 245 15
                              BEGIN
                                KEY "COL4"
                                PROMPT 13 1 ""
                                PICTURE "##.###.###.##@"
                                MESSAGE ADD,345
                                GROUP 2 FG_COL4
                              END
                              VALUTA 285 12
                              BEGIN
                                KEY "VAL_MEDIO"
                                PROMPT 14 1 ""
                                FLAGS "U"
                                PICTURE "###.###.##@"
                                MESSAGE _NUMEXPR,#245/#241
                                GROUP 2 FG_COL4 FG_COL4_UNIT
                              END
                              VALUTA 246 15
                              BEGIN
                                KEY "COL5"
                                PROMPT 15 1 ""
                                PICTURE "##.###.###.##@"
                                MESSAGE ADD,346
                                GROUP 2 FG_COL5
                              END
                              VALUTA 286 12
                              BEGIN
                                KEY "VAL_MEDIO"
                                PROMPT 16 1 ""
                                FLAGS "U"
                                PICTURE "###.###.##@"
                                MESSAGE _NUMEXPR,#246/#241
                                GROUP 2 FG_COL5 FG_COL5_UNIT
                              END
                              VALUTA 247 15
                              BEGIN
                                KEY "giac"
                                PROMPT 17 1 ""
                                PICTURE "##.###.###.##@"
                                MESSAGE ADD,347
                                GROUP 2 FG_COL6
                              END
                              VALUTA 287 12
                              BEGIN
                                KEY "VAL_MEDIO"
                                PROMPT 18 1 ""
                                FLAGS "U"
                                PICTURE "###.###.##@"
                                MESSAGE _NUMEXPR,#246/#241
                                GROUP 2 FG_COL6 FG_COL6_UNIT
                              END
                            END // tot ggiac4
  
                          END // GGIAC3
                          SECTION TOT_GLIVGIAC3 1 1 1 GROUP
                            STRINGA 350 30 
                            BEGIN
                              KEY "" 
                              PROMPT 3 1 ""
                            END
                            STRINGA 351 20
                            BEGIN
                              KEY "" 
                              PROMPT 2 1 ""
                            END
                            STRINGA 353 3
                            BEGIN
                              KEY "UM"
                              PROMPT 5 1 ""
                              MESSAGE COPY,453
                            END
                            NUMERO 341 12
                            BEGIN
                              KEY "GIAC"
                              PROMPT 6 1 ""
                              PICTURE "########,@##"
                              MESSAGE ADD,441
                              GROUP 3
                            END
                            VALUTA 342 15
                            BEGIN
                              KEY "COL1"
                              PROMPT 7 1 ""
                              PICTURE "##.###.###.##@"
                              MESSAGE ADD,442
                              GROUP 3
                            END
                            VALUTA 382 12
                            BEGIN
                              KEY "VAL_MEDIO"
                              PROMPT 8 1 ""
                              FLAGS "U"
                              PICTURE "###.###.##@"
                              MESSAGE _NUMEXPR,#342/#341
                              GROUP 3 FG_COL1 FG_COL1_UNIT
                            END
                            VALUTA 343 15
                            BEGIN
                              KEY "COL2"
                              PROMPT 9 1 ""
                              PICTURE "##.###.###.##@"
                              MESSAGE ADD,443
                              GROUP 3 FG_COL2
                            END
                            VALUTA 383 12
                            BEGIN
                              KEY "VAL_MEDIO"
                              PROMPT 10 1 ""
                              FLAGS "U"
                              PICTURE "###.###.##@"
                              MESSAGE _NUMEXPR,#343/#341
                              GROUP 3 FG_COL2 FG_COL2_UNIT
                            END
                            VALUTA 344 15
                            BEGIN
                              KEY "COL3"
                              PROMPT 11 1 ""
                              PICTURE "##.###.###.##@"
                              MESSAGE ADD,444
                              GROUP 3 FG_COL3
                            END
                            VALUTA 384 12
                            BEGIN
                              KEY "VAL_MEDIO"
                              PROMPT 12 1 ""
                              FLAGS "U"
                              PICTURE "###.###.##@"
                              MESSAGE _NUMEXPR,#344/#341
                              GROUP 3 FG_COL3 FG_COL3_UNIT
                            END
                            VALUTA 345 15
                            BEGIN
                              KEY "COL4"
                              PROMPT 13 1 ""
                              PICTURE "##.###.###.##@"
                              MESSAGE ADD,445
                              GROUP 3 FG_COL4
                            END
                            VALUTA 385 12
                            BEGIN
                              KEY "VAL_MEDIO"
                              PROMPT 14 1 ""
                              PICTURE "###.###.##@"
                              FLAGS "U"
                              MESSAGE _NUMEXPR,#345/#341
                              GROUP 3 FG_COL4 FG_COL4_UNIT
                            END
                            VALUTA 346 15
                            BEGIN
                              KEY "COL5"
                              PROMPT 15 1 ""
                              PICTURE "##.###.###.##@"
                              MESSAGE ADD,446
                              GROUP 3 FG_COL5
                            END
                            VALUTA 386 12
                            BEGIN
                              KEY "VAL_MEDIO"
                              PROMPT 16 1 ""
                              FLAGS "U"
                              PICTURE "###.###.##@"
                              MESSAGE _NUMEXPR,#346/#341
                              GROUP 3 FG_COL5 FG_COL5_UNIT
                            END
                            VALUTA 347 15
                            BEGIN
                              KEY "COL6"
                              PROMPT 17 1 ""
                              PICTURE "##.###.###.##@"
                              MESSAGE ADD,447
                              GROUP 3 FG_COL6
                            END
                            VALUTA 387 12
                            BEGIN
                              KEY "VAL_MEDIO"
                              PROMPT 18 1 ""
                              FLAGS "U"
                              PICTURE "###.###.##@"
                              MESSAGE _NUMEXPR,#347/#341
                              GROUP 3 FG_COL6 FG_COL6_UNIT
                            END
                          END // tot ggiac3
  
                        END // GGIAC2
                        SECTION TOT_GLIVGIAC2 1 1 1 GROUP
                          STRINGA 450 30
                          BEGIN
                            KEY "" 
                            PROMPT 3 1 ""
                          END
                          STRINGA 451 20
                          BEGIN
                            KEY "" 
                            PROMPT 2 1 ""
                          END
                          STRINGA 453 3
                          BEGIN
                            KEY "UM"
                            PROMPT 5 1 ""
                            MESSAGE COPY,553
                          END
                          NUMERO 441 12
                          BEGIN
                            KEY "GIAC"
                            PROMPT 6 1 ""
                            PICTURE "########,@##"
                            MESSAGE ADD,541
                            GROUP 4
                          END
                          VALUTA 442 15
                          BEGIN
                            KEY "VAL1"
                            PROMPT 7 1 ""
                            PICTURE "##.###.###.##@"
                            MESSAGE ADD,542
                            GROUP 4
                          END
                          VALUTA 482 12
                          BEGIN
                            KEY "VAL_MEDIO"
                            PROMPT 8 1 ""
                            FLAGS "U"
                            PICTURE "###.###.##@"
                            MESSAGE _NUMEXPR,#442/#441
                            GROUP 4 FG_COL1 FG_COL1_UNIT
                          END
                          VALUTA 443 15
                          BEGIN
                            KEY "COL2"
                            PROMPT 9 1 ""
                            PICTURE "##.###.###.##@"
                            MESSAGE ADD,543
                            GROUP 4 FG_COL2
                          END
                          VALUTA 483 12
                          BEGIN
                            KEY "VAL_MEDIO"
                            PROMPT 10 1 ""
                            FLAGS "U"
                            PICTURE "###.###.##@"
                            MESSAGE _NUMEXPR,#443/#441
                            GROUP 4 FG_COL2 FG_COL2_UNIT
                          END
                          VALUTA 444 15
                          BEGIN
                            KEY "COL3"
                            PROMPT 11 1 ""
                            PICTURE "##.###.###.##@"
                            MESSAGE ADD,544
                            GROUP 4 FG_COL3
                          END
                          VALUTA 484 12
                          BEGIN
                            KEY "VAL_MEDIO"
                            PROMPT 12 1 ""
                            FLAGS "U"
                            PICTURE "###.###.##@"
                            MESSAGE _NUMEXPR,#444/#441
                            GROUP 4 FG_COL3 FG_COL3_UNIT
                          END
                          VALUTA 445 15
                          BEGIN
                            KEY "COL4"
                            PROMPT 13 1 ""
                            PICTURE "##.###.###.##@"
                            MESSAGE ADD,545
                            GROUP 4 FG_COL4
                          END
                          VALUTA 485 12
                          BEGIN
                            KEY "VAL_MEDIO"
                            PROMPT 14 1 ""
                            FLAGS "U"
                            PICTURE "###.###.##@"
                            MESSAGE _NUMEXPR,#445/#441
                            GROUP 4 FG_COL4 FG_COL4_UNIT
                          END
                          VALUTA 446 15
                          BEGIN
                            KEY "COL5"
                            PROMPT 15 1 ""
                            PICTURE "##.###.###.##@"
                            MESSAGE ADD,546
                            GROUP 4 FG_COL5
                          END
                          VALUTA 486 12
                          BEGIN
                            KEY "VAL_MEDIO"
                            PROMPT 16 1 ""
                            FLAGS "U"
                            PICTURE "###.###.##@"
                            MESSAGE _NUMEXPR,#446/#441
                            GROUP 4 FG_COL5 FG_COL5_UNIT
                          END
                          VALUTA 447 15
                          BEGIN
                            KEY "giac"
                            PROMPT 17 1 ""
                            PICTURE "##.###.###.##@"
                            MESSAGE ADD,547
                            GROUP 4 FG_COL6
                          END
                          VALUTA 487 12
                          BEGIN
                            KEY "VAL_MEDIO"
                            PROMPT 18 1 ""
                            FLAGS "U"
                            PICTURE "###.###.##@"
                            MESSAGE _NUMEXPR,#447/#441
                            GROUP 4 FG_COL6 FG_COL6_UNIT
                          END
                        END // tot ggiac2
                      END // GGIAC1
                      SECTION TOT_GLIVGIAC1 1 1 1 GROUP
                        STRINGA 550 30
                        BEGIN
                          KEY "" 
                          PROMPT 3 1 ""
                        END
                        STRINGA 551 20
                        BEGIN
                          KEY "" 
                          PROMPT 2 1 ""
                        END
                        STRINGA 553 3
                        BEGIN
                          KEY "UM"
                          PROMPT 5 1 ""
                          MESSAGE COPY,653
                        END
                        NUMERO 541 12
                        BEGIN
                          KEY "GIAC"
                          PROMPT 6 1 ""
                          PICTURE "########,@##"
                          MESSAGE ADD,641
                          GROUP 5
                        END
                        VALUTA 542 15
                        BEGIN
                          KEY "VAL1"
                          PROMPT 7 1 ""
                          PICTURE "##.###.###.##@"
                          MESSAGE ADD,642
                          GROUP 5
                        END
                        VALUTA 582 12
                        BEGIN
                          KEY "VAL_MEDIO"
                          PROMPT 8 1 ""
                          FLAGS "U"
                          PICTURE "###.###.##@"
                          MESSAGE _NUMEXPR,#542/#541
                          GROUP 5 FG_COL1 FG_COL1_UNIT
                        END
                        VALUTA 543 15
                        BEGIN
                          KEY "COL2"
                          PROMPT 9 1 ""
                          PICTURE "##.###.###.##@"
                          MESSAGE ADD,643
                          GROUP 5 FG_COL2
                        END
                        VALUTA 583 12
                        BEGIN
                          KEY "VAL_MEDIO"
                          PROMPT 10 1 ""
                          FLAGS "U"
                          PICTURE "###.###.##@"
                          MESSAGE _NUMEXPR,#543/#541
                          GROUP 5 FG_COL2 FG_COL2_UNIT
                        END
                        VALUTA 544 15
                        BEGIN
                          KEY "COL3"
                          PROMPT 11 1 ""
                          PICTURE "##.###.###.##@"
                          MESSAGE ADD,644
                          GROUP 5 FG_COL3
                        END
                        VALUTA 584 12
                        BEGIN
                          KEY "VAL_MEDIO"
                          PROMPT 12 1 ""
                          FLAGS "U"
                          PICTURE "###.###.##@"
                          MESSAGE _NUMEXPR,#544/#541
                          GROUP 5 FG_COL3 FG_COL3_UNIT
                        END
                        VALUTA 545 15
                        BEGIN
                          KEY "COL4"
                          PROMPT 13 1 ""
                          PICTURE "##.###.###.##@"
                          MESSAGE ADD,645
                          GROUP 5 FG_COL4
                        END
                        VALUTA 585 12
                        BEGIN
                          KEY "VAL_MEDIO"
                          PROMPT 14 1 ""
                          FLAGS "U"
                          PICTURE "###.###.##@"
                          MESSAGE _NUMEXPR,#545/#541
                          GROUP 5 FG_COL4 FG_COL4_UNIT
                        END
                        VALUTA 546 15
                        BEGIN
                          KEY "COL5"
                          PROMPT 15 1 ""
                          PICTURE "##.###.###.##@"
                          MESSAGE ADD,646
                          GROUP 5 FG_COL5
                        END
                        VALUTA 586 12
                        BEGIN
                          KEY "VAL_MEDIO"
                          PROMPT 16 1 ""
                          FLAGS "U"
                          PICTURE "###.###.##@"
                          MESSAGE _NUMEXPR,#546/#541
                          GROUP 5 FG_COL5 FG_COL5_UNIT
                        END
                        VALUTA 547 15
                        BEGIN
                          KEY "giac"
                          PROMPT 17 1 ""
                          PICTURE "##.###.###.##@"
                          MESSAGE ADD,647
                          GROUP 5 FG_COL6
                        END
                        VALUTA 587 12
                        BEGIN
                          KEY "VAL_MEDIO"
                          PROMPT 18 1 ""
                          FLAGS "U"
                          PICTURE "###.###.##@"
                          MESSAGE _NUMEXPR,#547/#541
                          GROUP 5 FG_COL6 FG_COL6_UNIT
                        END
                      END // tot ggiac1                 

                    END // FILE GIACENZE
                    SECTION TOT_ARTICOLO 1 1 1 GROUP //FOOTER
                      STRINGA 650 30 1
                      BEGIN
                        KEY "" 
                        PROMPT 3 1 ""
                      END
                      STRINGA 651 20
                      BEGIN
                        KEY "" 
                        PROMPT 2 1 ""
                      END
                      STRINGA 653 3
                      BEGIN
                        KEY "UM"
                        PROMPT 5 1 ""
                        MESSAGE _USER,COPY_UM,753
                      END
                      NUMERO 641 12
                      BEGIN
                        KEY "GIAC"
                        PROMPT 6 1 ""
                        PICTURE "########,@##"
                        MESSAGE ADD,741 
                        GROUP 6 
                      END
                      VALUTA 642 15
                      BEGIN
                        KEY "VAL1"
                        PROMPT 7 1 ""
                        PICTURE "##.###.###.##@"
                        MESSAGE ADD,742
                        GROUP 6
                      END
                      VALUTA 682 12
                      BEGIN
                        KEY "VAL_MEDIO"
                        PROMPT 8 1 ""
                        FLAGS "U"
                        PICTURE "###.###.##@"
                        MESSAGE _NUMEXPR,#642/#641
                        GROUP 6 FG_COL1 FG_COL1_UNIT
                      END
                      VALUTA 643 15
                      BEGIN
                        KEY "COL2"
                        PROMPT 9 1 ""
                        PICTURE "##.###.###.##@"
                        MESSAGE ADD,743
                        GROUP 6  FG_COL2
                      END
                      VALUTA 683 12
                      BEGIN
                        KEY "VAL_MEDIO"
                        PROMPT 10 1 ""
                        FLAGS "U"
                        PICTURE "###.###.##@"
                        MESSAGE _NUMEXPR,#643/#641
                        GROUP 6 FG_COL2 FG_COL2_UNIT
                      END
                      VALUTA 644 15
                      BEGIN
                        KEY "COL3"
                        PROMPT 11 1 ""
                        PICTURE "##.###.###.##@"
                        MESSAGE ADD,744
                        GROUP 6 FG_COL3
                      END
                      VALUTA 684 12
                      BEGIN
                        KEY "VAL_MEDIO"
                        PROMPT 12 1 ""
                        FLAGS "U"
                        PICTURE "###.###.##@"
                        MESSAGE _NUMEXPR,#644/#641
                        GROUP 6 FG_COL3 FG_COL3_UNIT
                      END
                      VALUTA 645 15
                      BEGIN
                        KEY "COL4"
                        PROMPT 13 1 ""
                        PICTURE "##.###.###.##@"
                        MESSAGE ADD,745
                        GROUP 6  FG_COL4
                      END
                      VALUTA 685 12
                      BEGIN
                        KEY "VAL_MEDIO"
                        PROMPT 14 1 ""
                        FLAGS "U"
                        PICTURE "###.###.##@"
                        MESSAGE _NUMEXPR,#645/#641
                        GROUP 6 FG_COL4 FG_COL4_UNIT
                      END
                      VALUTA 646 15
                      BEGIN
                        KEY "COL5"
                        PROMPT 15 1 ""
                        PICTURE "##.###.###.##@"
                        MESSAGE ADD,746
                        GROUP 6 FG_COL5
                      END
                      VALUTA 686 12
                      BEGIN
                        KEY "VAL_MEDIO"
                        PROMPT 16 1 ""
                        FLAGS "U"
                        PICTURE "###.###.##@"
                        MESSAGE _NUMEXPR,#646/#641
                        GROUP 6 FG_COL5 FG_COL5_UNIT
                      END
                      VALUTA 647 15
                      BEGIN
                        KEY "giac"
                        PROMPT 17 1 ""
                        PICTURE "##.###.###.##@"
                        MESSAGE ADD,747
                        GROUP 6 FG_COL6
                      END
                      VALUTA 687 12
                      BEGIN
                        KEY "VAL_MEDIO"
                        PROMPT 18 1 ""
                        FLAGS "U"
                        PICTURE "###.###.##@"
                        MESSAGE _NUMEXPR,#647/#641
                        GROUP 6 FG_COL6 FG_COL6_UNIT
                      END
                    END // TOT ART

                  END // GART8
                  SECTION TOT_GART8 1 1 1 FOOTER
                    STRINGA 750 30
                    BEGIN
                      KEY "" 
                      PROMPT 3 1 ""
                    END
                    STRINGA 751 20
                    BEGIN
                      KEY "" 
                      PROMPT 2 1 ""
                    END
                    STRINGA 753 3
                    BEGIN
                      KEY "UM"
                      PROMPT 5 1 ""
                      MESSAGE _USER,COPY_UM,853
                    END
                    NUMERO 741 12
                    BEGIN
                      KEY "GIAC"
                      PROMPT 6 1 ""
                      PICTURE "########,@##"
                      MESSAGE _USER,VALIDATE_UM,753|ADD,841
                      GROUP 7
                    END
                    VALUTA 742 15
                    BEGIN
                      KEY "VAL1"
                      PROMPT 7 1 ""
                      PICTURE "##.###.###.##@"
                      MESSAGE ADD,842
                      GROUP 7
                    END
                    VALUTA 782 12
                    BEGIN
                      KEY "VAL_MEDIO"
                      PROMPT 8 1 ""
                      FLAGS "U"
                      PICTURE "###.###.##@"
                      MESSAGE _NUMEXPR,#742/#741
                      GROUP 7 FG_COL1 FG_COL1_UNIT
                    END
                    VALUTA 743 15
                    BEGIN
                      KEY "COL2"
                      PROMPT 9 1 ""
                      PICTURE "##.###.###.##@"
                      MESSAGE ADD,843
                      GROUP 7 FG_COL2
                    END
                    VALUTA 783 12
                    BEGIN
                      KEY "VAL_MEDIO"
                      PROMPT 10 1 ""
                      FLAGS "U"
                      PICTURE "###.###.##@"
                      MESSAGE _NUMEXPR,#743/#741
                      GROUP 7 FG_COL2 FG_COL2_UNIT
                    END
                    VALUTA 744 15
                    BEGIN
                      KEY "COL3"
                      PROMPT 11 1 ""
                      PICTURE "##.###.###.##@"
                      MESSAGE ADD,844
                      GROUP 7 FG_COL3
                    END
                    VALUTA 784 12
                    BEGIN
                      KEY "VAL_MEDIO"
                      PROMPT 12 1 ""
                      FLAGS "U"
                      PICTURE "###.###.##@"
                      MESSAGE _NUMEXPR,#744/#741
                      GROUP 7 FG_COL3 FG_COL3_UNIT
                    END
                    VALUTA 745 15
                    BEGIN
                      KEY "COL4"
                      PROMPT 13 1 ""
                      PICTURE "##.###.###.##@"
                      MESSAGE ADD,845
                      GROUP 7 FG_COL4
                    END
                    VALUTA 785 12
                    BEGIN
                      KEY "VAL_MEDIO"
                      PROMPT 14 1 ""
                      FLAGS "U"
                      PICTURE "###.###.##@"
                      MESSAGE _NUMEXPR,#745/#741
                      GROUP 7 FG_COL4 FG_COL4_UNIT
                    END
                    VALUTA 746 15
                    BEGIN
                      KEY "COL5"
                      PROMPT 15 1 ""
                      PICTURE "##.###.###.##@"
                      MESSAGE ADD,846
                      GROUP 7 FG_COL5
                    END
                    VALUTA 786 12
                    BEGIN
                      KEY "VAL_MEDIO"
                      PROMPT 16 1 ""
                      FLAGS "U"
                      PICTURE "###.###.##@"
                      MESSAGE _NUMEXPR,#746/#741
                      GROUP 7 FG_COL5 FG_COL5_UNIT
                    END
                    VALUTA 747 15
                    BEGIN
                      KEY "COL6"
                      PROMPT 17 1 ""
                      PICTURE "##.###.###.##@"
                      MESSAGE ADD,847
                      GROUP 7 FG_COL6
                    END
                    VALUTA 787 12
                    BEGIN
                      KEY "VAL_MEDIO"
                      PROMPT 18 1 ""
                      FLAGS "U"
                      PICTURE "###.###.##@"
                      MESSAGE _NUMEXPR,#747/#741
                      GROUP 7 FG_COL6 FG_COL6_UNIT
                    END
                  END // tot gart8

                END // GART7
                SECTION TOT_GART7 1 1 1 FOOTER
                  STRINGA 850 30
                  BEGIN
                    KEY "" 
                    PROMPT 3 1 ""
                  END
                  STRINGA 851 20
                  BEGIN
                    KEY "" 
                    PROMPT 2 1 ""
                  END
                  STRINGA 853 3
                  BEGIN
                    KEY "UM"
                    PROMPT 5 1 ""
                    MESSAGE _USER,COPY_UM,953
                  END
                  NUMERO 841 12
                  BEGIN
                    KEY "GIAC"
                    PROMPT 6 1 ""
                    PICTURE "########,@##"
                    MESSAGE _USER,VALIDATE_UM,853|ADD,941
                    GROUP 8
                  END
                  VALUTA 842 15
                  BEGIN
                    KEY "VAL1"
                    PROMPT 7 1 ""
                    PICTURE "##.###.###.##@"
                    MESSAGE ADD,942
                    GROUP 8 
                  END
                  VALUTA 882 12
                  BEGIN
                    KEY "VAL_MEDIO"
                    PROMPT 8 1 ""
                    FLAGS "U"
                    PICTURE "###.###.##@"
                    MESSAGE _NUMEXPR,#842/#841
                    GROUP 8 FG_COL1 FG_COL1_UNIT
                  END
                  VALUTA 843 15
                  BEGIN
                    KEY "COL2"
                    PROMPT 9 1 ""
                    PICTURE "##.###.###.##@"
                    MESSAGE ADD,943
                    GROUP 8 FG_COL2
                  END
                  VALUTA 883 12
                  BEGIN
                    KEY "VAL_MEDIO"
                    PROMPT 10 1 ""
                    FLAGS "U"
                    PICTURE "###.###.##@"
                    MESSAGE _NUMEXPR,#843/#841
                    GROUP 8 FG_COL2 FG_COL2_UNIT
                  END
                  VALUTA 844 15
                  BEGIN
                    KEY "COL3"
                    PROMPT 11 1 ""
                    PICTURE "##.###.###.##@"
                    MESSAGE ADD,944
                    GROUP 8 FG_COL3
                  END
                  VALUTA 884 12
                  BEGIN
                    KEY "VAL_MEDIO"
                    PROMPT 12 1 ""
                    FLAGS "U"
                    PICTURE "###.###.##@"
                    MESSAGE _NUMEXPR,#844/#841
                    GROUP 8 FG_COL3 FG_COL3_UNIT
                  END
                  VALUTA 845 15
                  BEGIN
                    KEY "COL4"
                    PROMPT 13 1 ""
                    PICTURE "##.###.###.##@"
                    MESSAGE ADD,945
                    GROUP 8 FG_COL4
                  END
                  VALUTA 885 12
                  BEGIN
                    KEY "VAL_MEDIO"
                    PROMPT 14 1 ""
                    FLAGS "U"
                    PICTURE "###.###.##@"
                    MESSAGE _NUMEXPR,#845/#841
                    GROUP 8 FG_COL4 FG_COL4_UNIT
                  END
                  VALUTA 846 15
                  BEGIN
                    KEY "COL5"
                    PROMPT 15 1 ""
                    PICTURE "##.###.###.##@"
                    MESSAGE ADD,946
                    GROUP 8 FG_COL5
                  END
                  VALUTA 886 12
                  BEGIN
                    KEY "VAL_MEDIO"
                    PROMPT 16 1 ""
                    FLAGS "U"
                    PICTURE "###.###.##@"
                    MESSAGE _NUMEXPR,#846/#841
                    GROUP 8 FG_COL5 FG_COL5_UNIT
                  END
                  VALUTA 847 15
                  BEGIN
                    KEY "giac"
                    PROMPT 17 1 ""
                    PICTURE "##.###.###.##@"
                    MESSAGE ADD,947
                    GROUP 8 FG_COL6
                  END
                  VALUTA 887 12
                  BEGIN
                    KEY "VAL_MEDIO"
                    PROMPT 18 1 ""
                    FLAGS "U"
                    PICTURE "###.###.##@"
                    MESSAGE _NUMEXPR,#847/#841
                    GROUP 8 FG_COL6 FG_COL6_UNIT
                  END
                END // tot gart7                  

              END // GART6
              SECTION TOT_GART6 1 1 1 FOOTER
                STRINGA 950 30
                BEGIN
                  KEY "" 
                  PROMPT 3 1 ""
                END
                STRINGA 951 20
                BEGIN
                  KEY "" 
                  PROMPT 2 1 ""
                END
                STRINGA 953 3
                BEGIN
                  KEY "UM"
                  PROMPT 5 1 ""
                  MESSAGE _USER,COPY_UM,1053
                END
                NUMERO 941 12
                BEGIN
                  KEY "GIAC"
                  PROMPT 6 1 ""
                  PICTURE "########,@##"
                  MESSAGE _USER,VALIDATE_UM,953|ADD,1041
                  GROUP 9
                END
                VALUTA 942 15
                BEGIN
                  KEY "VAL1"
                  PROMPT 7 1 ""
                  PICTURE "##.###.###.##@"
                  MESSAGE ADD,1042
                  GROUP 9 
                END
                VALUTA 982 12
                BEGIN
                  KEY "VAL_MEDIO"
                  PROMPT 8 1 ""
                  FLAGS "U"
                  PICTURE "###.###.##@"
                  MESSAGE _NUMEXPR,#942/#941
                  GROUP 9 FG_COL1 FG_COL1_UNIT
                END
                VALUTA 943 15
                BEGIN
                  KEY "COL2"
                  PROMPT 9 1 ""
                  PICTURE "##.###.###.##@"
                  MESSAGE ADD,1043
                  GROUP 9 FG_COL2
                END
                VALUTA 983 12
                BEGIN
                  KEY "VAL_MEDIO"
                  PROMPT 10 1 ""
                  FLAGS "U"
                  PICTURE "###.###.##@"
                  MESSAGE _NUMEXPR,#943/#941
                  GROUP 9 FG_COL2 FG_COL2_UNIT
                END
                VALUTA 944 15
                BEGIN
                  KEY "COL3"
                  PROMPT 11 1 ""
                  PICTURE "##.###.###.##@"
                  MESSAGE ADD,1044
                  GROUP 9  FG_COL3
                END
                VALUTA 984 12
                BEGIN
                  KEY "VAL_MEDIO"
                  PROMPT 12 1 ""
                  FLAGS "U"
                  PICTURE "###.###.##@"
                  MESSAGE _NUMEXPR,#944/#941
                  GROUP 9 FG_COL3 FG_COL3_UNIT
                END
                VALUTA 945 15
                BEGIN
                  KEY "COL4"
                  PROMPT 13 1 ""
                  PICTURE "##.###.###.##@"
                  MESSAGE ADD,1045
                  GROUP 9 FG_COL4
                END
                VALUTA 985 12
                BEGIN
                  KEY "VAL_MEDIO"
                  PROMPT 14 1 ""
                  FLAGS "U"
                  PICTURE "###.###.##@"
                  MESSAGE _NUMEXPR,#945/#941
                  GROUP 9 FG_COL4 FG_COL4_UNIT
                END
                VALUTA 946 15
                BEGIN
                  KEY "COL5"
                  PROMPT 15 1 ""
                  PICTURE "##.###.###.##@"
                  MESSAGE ADD,1046
                  GROUP 9  FG_COL5
                END
                VALUTA 986 12
                BEGIN
                  KEY "VAL_MEDIO"
                  PROMPT 16 1 ""
                  FLAGS "U"
                  PICTURE "###.###.##@"
                  MESSAGE _NUMEXPR,#946/#941
                  GROUP 9 FG_COL5 FG_COL5_UNIT
                END
                VALUTA 947 15
                BEGIN
                  KEY "giac"
                  PROMPT 17 1 ""
                  PICTURE "##.###.###.##@"
                  MESSAGE ADD,1047
                  GROUP 9 FG_COL6
                END
                VALUTA 987 12
                BEGIN
                  KEY "VAL_MEDIO"
                  PROMPT 18 1 ""
                  FLAGS "U"
                  PICTURE "###.###.##@"
                  MESSAGE _NUMEXPR,#947/#941
                  GROUP 9 FG_COL6 FG_COL6_UNIT
                END
              END // tot gart6

            END // GART5
            SECTION TOT_GART5 1 1 1 FOOTER
              STRINGA 1050 30
              BEGIN
                KEY "" 
                PROMPT 3 1 ""
              END
              STRINGA 1051 20
              BEGIN
                KEY "" 
                PROMPT 2 1 ""
              END
              STRINGA 1053 3
              BEGIN
                KEY "UM"
                PROMPT 5 1 ""
                MESSAGE _USER,COPY_UM,1153
              END
              NUMERO 1041 12
              BEGIN
                KEY "GIAC"
                PROMPT 6 1 ""
                PICTURE "########,@##"
                MESSAGE _USER,VALIDATE_UM,1053|ADD,1141
                GROUP 10
              END
              VALUTA 1042 15
              BEGIN
                KEY "VAL1"
                PROMPT 7 1 ""
                PICTURE "##.###.###.##@"
                MESSAGE ADD,1142
                GROUP 10 
              END
              VALUTA 1082 12
              BEGIN
                KEY "VAL_MEDIO"
                PROMPT 8 1 ""
                FLAGS "U"
                PICTURE "###.###.##@"
                MESSAGE _NUMEXPR,#1042/#1041
                GROUP FG_COL1 FG_COL1_UNIT
              END
              VALUTA 1043 15
              BEGIN
                KEY "COL2"
                PROMPT 9 1 ""
                PICTURE "##.###.###.##@"
                MESSAGE ADD,1143
                GROUP 10 FG_COL2
              END
              VALUTA 1083 12
              BEGIN
                KEY "VAL_MEDIO"
                PROMPT 10 1 ""
                FLAGS "U"
                PICTURE "###.###.##@"
                MESSAGE _NUMEXPR,#1043/#1041
                GROUP FG_COL2 FG_COL2_UNIT
              END
              VALUTA 1044 15
              BEGIN
                KEY "COL3"
                PROMPT 11 1 ""
                PICTURE "##.###.###.##@"
                MESSAGE ADD,1144
                GROUP 10  FG_COL3
              END
              VALUTA 1084 12
              BEGIN
                KEY "VAL_MEDIO"
                PROMPT 12 1 ""
                FLAGS "U"
                PICTURE "###.###.##@"
                MESSAGE _NUMEXPR,#1044/#1041
                GROUP FG_COL3 FG_COL3_UNIT
              END
              VALUTA 1045 15
              BEGIN
                KEY "COL4"
                PROMPT 13 1 ""
                PICTURE "##.###.###.##@"
                MESSAGE ADD,1145
                GROUP 10 FG_COL4
              END
              VALUTA 1085 12
              BEGIN
                KEY "VAL_MEDIO"
                PROMPT 14 1 ""
                FLAGS "U"
                PICTURE "###.###.##@"
                MESSAGE _NUMEXPR,#1045/#1041
                GROUP FG_COL4 FG_COL4_UNIT
              END
              VALUTA 1046 15
              BEGIN
                KEY "COL5"
                PROMPT 15 1 ""
                PICTURE "##.###.###.##@"
                MESSAGE ADD,1146
                GROUP 10  FG_COL5
              END
              VALUTA 1086 12
              BEGIN
                KEY "VAL_MEDIO"
                PROMPT 16 1 ""
                FLAGS "U"
                PICTURE "###.###.##@"
                MESSAGE _NUMEXPR,#1046/#1041
                GROUP FG_COL5 FG_COL5_UNIT
              END
              VALUTA 1047 15
              BEGIN
                KEY "giac"
                PROMPT 17 1 ""
                PICTURE "##.###.###.##@"
                MESSAGE ADD,1147
                GROUP 10 FG_COL6
              END
              VALUTA 1087 12
              BEGIN
                KEY "VAL_MEDIO"
                PROMPT 18 1 ""
                FLAGS "U"
                PICTURE "###.###.##@"
                MESSAGE _NUMEXPR,#1047/#1041
                GROUP FG_COL6 FG_COL6_UNIT
              END
            END // tot gart5

          END // GART4
          SECTION TOT_GART4 1 1 1 FOOTER
            STRINGA 1150 30
            BEGIN
              KEY "" 
              PROMPT 3 1 ""
            END
            STRINGA 1151 20
            BEGIN
              KEY "" 
              PROMPT 2 1 ""
            END
            STRINGA 1153 3
            BEGIN
              KEY "UM"
              PROMPT 5 1 ""
              MESSAGE _USER,COPY_UM,1253
            END
            NUMERO 1141 12
            BEGIN
              KEY "GIAC"
              PROMPT 6 1 ""
              PICTURE "########,@##"
              MESSAGE _USER,VALIDATE_UM,1153|ADD,1241
              GROUP 11
            END
            VALUTA 1142 15
            BEGIN
              KEY "VAL1"
              PROMPT 7 1 ""
              PICTURE "##.###.###.##@"
              MESSAGE ADD,1242
              GROUP 11
            END
            VALUTA 1182 12
            BEGIN
              KEY "VAL_MEDIO"
              PROMPT 8 1 ""
              FLAGS "U"
              PICTURE "###.###.##@"
              MESSAGE _NUMEXPR,#1142/#1141
              GROUP FG_COL1 FG_COL1_UNIT
            END
            VALUTA 1143 15
            BEGIN
              KEY "COL2"
              PROMPT 9 1 ""
              PICTURE "##.###.###.##@"
              MESSAGE ADD,1243
              GROUP 11 FG_COL2
            END
            VALUTA 1183 12
            BEGIN
              KEY "VAL_MEDIO"
              FLAGS "U"
              PROMPT 10 1 ""
              PICTURE "###.###.##@"
              MESSAGE _NUMEXPR,#1143/#1141
              GROUP FG_COL2 FG_COL2_UNIT
            END
            VALUTA 1144 15
            BEGIN
              KEY "COL3"
              PROMPT 11 1 ""
              PICTURE "##.###.###.##@"
              MESSAGE ADD,1244
              GROUP 11 FG_COL3
            END
            VALUTA 1184 12
            BEGIN
              KEY "VAL_MEDIO"
              PROMPT 12 1 ""
              FLAGS "U"
              PICTURE "###.###.##@"
              MESSAGE _NUMEXPR,#1144/#1141
              GROUP FG_COL3 FG_COL3_UNIT
            END
            VALUTA 1145 15
            BEGIN
              KEY "COL4"
              PROMPT 13 1 ""
              PICTURE "##.###.###.##@"
              MESSAGE ADD,1245
              GROUP 11 FG_COL4
            END
            VALUTA 1185 12
            BEGIN
              KEY "VAL_MEDIO"
              PROMPT 14 1 ""
              FLAGS "U"
              PICTURE "###.###.##@"
              MESSAGE _NUMEXPR,#1145/#1141
              GROUP FG_COL4 FG_COL4_UNIT
            END
            VALUTA 1146 15
            BEGIN
              KEY "COL5"
              PROMPT 15 1 ""
              PICTURE "##.###.###.##@"
              MESSAGE ADD,1246
              GROUP 11 FG_COL5
            END
            VALUTA 1186 12
            BEGIN
              KEY "VAL_MEDIO"
              PROMPT 16 1 ""
              FLAGS "U"
              PICTURE "###.###.##@"
              MESSAGE _NUMEXPR,#1146/#1141
              GROUP FG_COL5 FG_COL5_UNIT
            END
            VALUTA 1147 15
            BEGIN
              KEY "giac"
              PROMPT 17 1 ""
              PICTURE "##.###.###.##@"
              MESSAGE ADD,1247
              GROUP 11 FG_COL6
            END
            VALUTA 1187 12
            BEGIN
              KEY "VAL_MEDIO"
              PROMPT 18 1 ""
              FLAGS "U"
              PICTURE "###.###.##@"
              MESSAGE _NUMEXPR,#1147/#1141
              GROUP FG_COL6 FG_COL6_UNIT
            END
          END // tot gart4

        END // GART3
        SECTION TOT_GART3 1 1 1 FOOTER
          STRINGA 1250 30
          BEGIN
            KEY "" 
            PROMPT 3 1 ""
          END
          STRINGA 1251 20
          BEGIN
            KEY "" 
            PROMPT 2 1 ""
          END
          STRINGA 1253 3
          BEGIN
            KEY "UM"
            PROMPT 5 1 ""
            MESSAGE _USER,COPY_UM,1353
          END
          NUMERO 1241 12
          BEGIN
            KEY "GIAC"
            PROMPT 6 1 ""
            PICTURE "########,@##"
            MESSAGE _USER,VALIDATE_UM,1253|ADD,1341
            GROUP 12
          END
          VALUTA 1242 15
          BEGIN
            KEY "VAL1"
            PROMPT 7 1 ""
            PICTURE "##.###.###.##@"
            MESSAGE ADD,1342
            GROUP 12 
          END
          VALUTA 1282 12
          BEGIN
            KEY "VALMEDIO"
            PROMPT 8 1 ""
            FLAGS "U"
            PICTURE "###.###.##@"
            MESSAGE _NUMEXPR,#1242/#1241
            GROUP 12 FG_COL1 FG_COL1_UNIT
          END
          VALUTA 1243 15
          BEGIN
            KEY "COL2"
            PROMPT 9 1 ""
            PICTURE "##.###.###.##@"
            MESSAGE ADD,1343
            GROUP 12 FG_COL2
          END
          VALUTA 1283 12
          BEGIN
            KEY "VALMEDIO"
            PROMPT 10 1 ""
            FLAGS "U"
            PICTURE "###.###.##@"
            MESSAGE _NUMEXPR,#1243/#1241
            GROUP 12 FG_COL2 FG_COL2_UNIT
          END
          VALUTA 1244 15
          BEGIN
            KEY "COL3"
            PROMPT 11 1 ""
            PICTURE "##.###.###.##@"
            MESSAGE ADD,1344
            GROUP 12 FG_COL3
          END
          VALUTA 1284 12
          BEGIN
            KEY "VALMEDIO"
            PROMPT 12 1 ""
            FLAGS "U"
            PICTURE "###.###.##@"
            MESSAGE _NUMEXPR,#1244/#1241
            GROUP 12 FG_COL3 FG_COL3_UNIT
          END
          VALUTA 1245 15
          BEGIN
            KEY "COL4"
            PROMPT 13 1 ""
            PICTURE "##.###.###.##@"
            MESSAGE ADD,1345
            GROUP 12 FG_COL4
          END
          VALUTA 1285 12
          BEGIN
            KEY "VALMEDIO"
            PROMPT 14 1 ""
            FLAGS "U"
            PICTURE "###.###.##@"
            MESSAGE _NUMEXPR,#1245/#1241
            GROUP 12 FG_COL4 FG_COL4_UNIT
          END
          VALUTA 1246 15
          BEGIN
            KEY "COL5"
            PROMPT 15 1 ""
            PICTURE "##.###.###.##@"
            MESSAGE ADD,1346
            GROUP 12 FG_COL5
          END
          VALUTA 1286 12
          BEGIN
            KEY "VALMEDIO"
            PROMPT 16 1 ""
            FLAGS "U"
            PICTURE "###.###.##@"
            MESSAGE _NUMEXPR,#1246/#1241
            GROUP 12 FG_COL5 FG_COL5_UNIT
          END
          VALUTA 1247 15
          BEGIN
            KEY "giac"
            PROMPT 17 1 ""
            PICTURE "##.###.###.##@"
            MESSAGE ADD,1347
            GROUP 12 FG_COL6
          END
          VALUTA 1287 12
          BEGIN
            KEY "VALMEDIO"
            PROMPT 18 1 ""
            FLAGS "U"
            PICTURE "###.###.##@"
            MESSAGE _NUMEXPR,#1247/#1241
            GROUP 12 FG_COL6 FG_COL6_UNIT
          END
        END // tot gart3

      END // GART2
      SECTION TOT_GART2 1 1 1 FOOTER
        STRINGA 1350 30
        BEGIN
          KEY "" 
          PROMPT 3 1 ""
        END
        STRINGA 1351 20
        BEGIN
          KEY "" 
          PROMPT 2 1 ""
        END
        STRINGA 1353 3
        BEGIN
          KEY "UM"
          PROMPT 5 1 ""
          MESSAGE _USER,COPY_UM,1453
        END
        NUMERO 1341 12
        BEGIN
          KEY "GIAC"
          PROMPT 6 1 ""
          PICTURE "########,@##"
          MESSAGE _USER,VALIDATE_UM,1353|ADD,1441
          GROUP 13
        END
        VALUTA 1342 15
        BEGIN
          KEY "VAL1"
          PROMPT 7 1 ""
          PICTURE "##.###.###.##@"
          MESSAGE ADD,1442
          GROUP 13 
        END
        VALUTA 1382 12
        BEGIN
          KEY "VALMEDIO"
          PROMPT 8 1 ""
          FLAGS "U"
          PICTURE "###.###.##@"
          MESSAGE _NUMEXPR,#1342/#1341
          GROUP 13 FG_COL1 FG_COL1_UNIT
        END
        VALUTA 1343 15
        BEGIN
          KEY "COL2"
          PROMPT 9 1 ""
          PICTURE "##.###.###.##@"
          MESSAGE ADD,1443
          GROUP 13 FG_COL2
        END
        VALUTA 1383 12
        BEGIN
          KEY "VALMEDIO"
          PROMPT 10 1 ""
          FLAGS "U"
          PICTURE "###.###.##@"
          MESSAGE _NUMEXPR,#1343/#1341
          GROUP 13 FG_COL2 FG_COL2_UNIT
        END
        VALUTA 1344 15
        BEGIN
          KEY "COL3"
          PROMPT 11 1 ""
          PICTURE "##.###.###.##@"
          MESSAGE ADD,1444
          GROUP 13 FG_COL3
        END
        VALUTA 1384 12
        BEGIN
          KEY "VALMEDIO"
          PROMPT 12 1 ""
          FLAGS "U"
          PICTURE "###.###.##@"
          MESSAGE _NUMEXPR,#1344/#1341
          GROUP 13 FG_COL3 FG_COL3_UNIT
        END
        VALUTA 1345 15
        BEGIN
          KEY "COL4"
          PROMPT 13 1 ""
          PICTURE "###.###.##@"
          MESSAGE ADD,1445
          GROUP 13 FG_COL4
        END
        VALUTA 1385 12
        BEGIN
          KEY "VALMEDIO"
          PROMPT 14 1 ""
          FLAGS "U"
          PICTURE "###.###.##@"
          MESSAGE _NUMEXPR,#1345/#1341
          GROUP 13 FG_COL4 FG_COL4_UNIT
        END
        VALUTA 1346 15
        BEGIN
          KEY "COL5"
          PROMPT 15 1 ""
          PICTURE "###.###.##@"
          MESSAGE ADD,1446
          GROUP 13 FG_COL5
        END
        VALUTA 1386 12
        BEGIN
          KEY "VALMEDIO"
          PROMPT 16 1 ""
          FLAGS "U"
          PICTURE "###.###.##@"
          MESSAGE _NUMEXPR,#1346/#1341
          GROUP 13 FG_COL5 FG_COL5_UNIT
        END
        VALUTA 1347 15
        BEGIN
          KEY "giac"
          PROMPT 17 1 ""
          PICTURE "###.###.##@"
          MESSAGE ADD,1447
          GROUP 13 FG_COL6
        END
        VALUTA 1387 12
        BEGIN
          KEY "VALMEDIO"
          PROMPT 18 1 ""
          FLAGS "U"
          PICTURE "###.###.##@"
          MESSAGE _NUMEXPR,#1347/#1341
          GROUP 13 FG_COL6 FG_COL6_UNIT
        END
      END // tot gart2

    END // GART1
    SECTION TOT_GART1 1 1 1 FOOTER
      STRINGA 1450 30
      BEGIN
        KEY "" 
        PROMPT 3 1 ""
      END
      STRINGA 1451 20
      BEGIN
        KEY "" 
        PROMPT 2 1 ""
      END
      STRINGA 1453 3
      BEGIN
        KEY "UM"
        PROMPT 5 1 ""
        //MESSAGE _USER,COPY_UM,1553|_USER,COPY_UM,1653
      END
      NUMERO 1441 12
      BEGIN
        KEY "GIAC"
        PROMPT 6 1 ""
        PICTURE "########,@##"
        MESSAGE _USER,VALIDATE_UM,1453//|ADD,1541|ADD,1641
        GROUP 14 
      END
      VALUTA 1442 15
      BEGIN
        KEY "VAL1"
        PROMPT 7 1 ""
        PICTURE "##.###.###.##@"
        MESSAGE ADD,1542|ADD,1642
        GROUP 14 
      END
      VALUTA 1482 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 8 1 ""
        FLAGS "U"
        PICTURE "###.###.##@"
        MESSAGE _NUMEXPR,#1442/#1441
        GROUP 14 FG_COL1 FG_COL1_UNIT
      END
      VALUTA 1443 15
      BEGIN
        KEY "COL2"
        PROMPT 9 1 ""
        PICTURE "##.###.###.##@"
        MESSAGE ADD,1543|ADD,1643
        GROUP 14 FG_COL2
      END
      VALUTA 1483 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 10 1 ""
        FLAGS "U"
        PICTURE "###.###.##@"
        MESSAGE _NUMEXPR,#1443/#1441
        GROUP 14 FG_COL2 FG_COL2_UNIT
      END
      VALUTA 1444 15
      BEGIN
        KEY "COL3"
        PROMPT 11 1 ""
        PICTURE "##.###.###.##@"
        MESSAGE ADD,1544|ADD,1644
        GROUP 14  FG_COL3
      END
      VALUTA 1484 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 12 1 ""
        FLAGS "U"
        PICTURE "###.###.##@"
        MESSAGE _NUMEXPR,#1444/#1441
        GROUP 14 FG_COL3 FG_COL3_UNIT
      END
      VALUTA 1445 15
      BEGIN
        KEY "COL4"
        PROMPT 13 1 ""
        PICTURE "##.###.###.##@"
        MESSAGE ADD,1545|ADD,1645
        GROUP 14 FG_COL4
      END
      VALUTA 1485 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 14 1 ""
        FLAGS "U"
        PICTURE "###.###.##@"
        MESSAGE _NUMEXPR,#1445/#1441
        GROUP 14 FG_COL4 FG_COL4_UNIT
      END
      VALUTA 1446 15
      BEGIN
        KEY "COL5"
        PROMPT 15 1 ""
        PICTURE "##.###.###.##@"
        MESSAGE ADD,1546|ADD,1646
        GROUP 14  FG_COL5
      END
      VALUTA 1486 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 16 1 ""
        FLAGS "U"
        PICTURE "###.###.##@"
        MESSAGE _NUMEXPR,#1446/#1441
        GROUP 14 FG_COL5 FG_COL5_UNIT
      END
      VALUTA 1447 15
      BEGIN
        KEY "giac"
        PROMPT 17 1 ""
        PICTURE "##.###.###.##@"
        MESSAGE ADD,1547|ADD,1647
        GROUP 14 FG_COL6
      END
      VALUTA 1487 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 18 1 ""
        FLAGS "U"
        PICTURE "###.###.##@"
        MESSAGE _NUMEXPR,#1447/#1441
        GROUP 14 FG_COL6 FG_COL6_UNIT
      END
    END // tot gart1
   END // GRUPPI_SCATMER

   SECTION TOT_SCATMER 1 1 1 GROUP //FOOTER
      STRINGA 1650 30
      BEGIN
        KEY "" 
        PROMPT 3 1 "Totale "
      END
      STRINGA 1651 20
      BEGIN
        KEY "" 
        PROMPT 2 1 ""
      END
      STRINGA 1653 3
      BEGIN
        KEY "UM"
        PROMPT 5 1 ""
      END
      NUMERO 1641 12
      BEGIN
        KEY "GIAC"
        PROMPT 6 1 ""
        PICTURE "########,@##"
        //MESSAGE _USER,VALIDATE_UM,1653
        GROUP 16 
      END
      VALUTA 1642 15
      BEGIN
        KEY "VAL1"
        PROMPT 7 1 ""
        PICTURE "##.###.###.##@"
        GROUP 16 
      END
      VALUTA 1682 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 8 1 ""
        FLAGS "U"
        //PICTURE "###.###.##@"
        //MESSAGE _NUMEXPR,#1642/#1641
        GROUP 16 FG_COL1 FG_COL1_UNIT
      END
      VALUTA 1643 15
      BEGIN
        KEY "COL2"
        PROMPT 9 1 ""
        PICTURE "##.###.###.##@"
        GROUP 16 FG_COL2
      END
      VALUTA 1683 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 10 1 ""
        FLAGS "U"
        //PICTURE "###.###.##@"
        //MESSAGE _NUMEXPR,#1643/#1641
        GROUP 16 FG_COL2 FG_COL2_UNIT
      END
      VALUTA 1644 15
      BEGIN
        KEY "COL3"
        PROMPT 11 1 ""
        PICTURE "##.###.###.##@"
        GROUP 16  FG_COL3
      END
      VALUTA 1684 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 12 1 ""
        FLAGS "U"
        //PICTURE "###.###.##@"
        //MESSAGE _NUMEXPR,#1644/#1641
        GROUP 16 FG_COL3 FG_COL3_UNIT
      END
      VALUTA 1645 15
      BEGIN
        KEY "COL4"
        PROMPT 13 1 ""
        PICTURE "##.###.###.##@"
        GROUP 16 FG_COL4
      END
      VALUTA 1685 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 14 1 ""
        FLAGS "U"
        //PICTURE "###.###.##@"
        //MESSAGE _NUMEXPR,#1645/#1641
        GROUP 16 FG_COL4 FG_COL4_UNIT
      END
      VALUTA 1646 15
      BEGIN
        KEY "COL5"
        PROMPT 15 1 ""
        PICTURE "##.###.###.##@"
        GROUP 16  FG_COL5
      END
      VALUTA 1686 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 16 1 ""
        FLAGS "U"
        //PICTURE "###.###.##@"
        //MESSAGE _NUMEXPR,#1646/#1641
        GROUP 16 FG_COL5 FG_COL5_UNIT
      END
      VALUTA 1647 15
      BEGIN
        KEY "giac"
        PROMPT 17 1 ""
        PICTURE "##.###.###.##@"
        GROUP 16 FG_COL6
      END
      VALUTA 1687 12
      BEGIN
        KEY "VALMEDIO"
        PROMPT 18 1 ""
        FLAGS "U"
        //PICTURE "###.###.##@"
        //MESSAGE _NUMEXPR,#1647/#1641
        GROUP 16 FG_COL6 FG_COL6_UNIT
      END
   END // tot scat_mer
  END // GRUPPI_CATMER  

  SECTION TOT_CATMER 1 1 2 GROUP //FOOTER
    STRINGA 1 255
    BEGIN
      KEY "sep"
      PROMPT 6 3 ""
      MESSAGE _USER,LINEATOTALI
    END                 
    STRINGA 1550 30
    BEGIN
      KEY "" 
      PROMPT 3 1 "@BTotale "
    END
    STRINGA 1551 20
    BEGIN
      KEY "" 
      PROMPT 2 1 ""
    END
    STRINGA 1553 3
    BEGIN
      KEY "UM"
      PROMPT 5 1 ""
    END
    NUMERO 1541 12
    BEGIN
      KEY "GIAC"
      PROMPT 6 1 ""
      PICTURE "########,@##"
      //MESSAGE _USER,VALIDATE_UM,1553
      GROUP 15
    END
    VALUTA 1542 15
    BEGIN
      KEY "VAL1"
      PROMPT 7 1 ""
      PICTURE "##.###.###.##@"
      GROUP 15 
    END
    VALUTA 1582 12
    BEGIN
      KEY "VALMEDIO"
      PROMPT 8 1 ""
      FLAGS "U"
      //PICTURE "###.###.##@"
      //MESSAGE _NUMEXPR,#1542/#1541
      GROUP 15 FG_COL1 FG_COL1_UNIT
    END
    VALUTA 1543 15
    BEGIN
      KEY "COL2"
      PROMPT 9 1 ""
      PICTURE "##.###.###.##@"
      GROUP 15 FG_COL2
    END
    VALUTA 1583 12
    BEGIN
      KEY "VALMEDIO"
      PROMPT 10 1 ""
      FLAGS "U"
      //PICTURE "###.###.##@"
      //MESSAGE _NUMEXPR,#1543/#1541
      GROUP 15 FG_COL2 FG_COL2_UNIT
    END
    VALUTA 1544 15
    BEGIN
      KEY "COL3"
      PROMPT 11 1 ""
      PICTURE "##.###.###.##@"
      GROUP 15  FG_COL3
    END
    VALUTA 1584 12
    BEGIN
      KEY "VALMEDIO"
      PROMPT 12 1 ""
      FLAGS "U"
      //PICTURE "###.###.##@"
      //MESSAGE _NUMEXPR,#1544/#1541
      GROUP 15 FG_COL3 FG_COL3_UNIT
    END
    VALUTA 1545 15
    BEGIN
      KEY "COL4"
      PROMPT 13 1 ""
      PICTURE "##.###.###.##@"
      GROUP 15 FG_COL4
    END
    VALUTA 1585 12
    BEGIN
      KEY "VALMEDIO"
      PROMPT 14 1 ""
      FLAGS "U"
      //PICTURE "###.###.##@"
      //MESSAGE _NUMEXPR,#1545/#1541
      GROUP 15 FG_COL4 FG_COL4_UNIT
    END
    VALUTA 1546 15
    BEGIN
      KEY "COL5"
      PROMPT 15 1 ""
      PICTURE "##.###.###.##@"
      GROUP 15  FG_COL5
    END
    VALUTA 1586 12
    BEGIN
      KEY "VALMEDIO"
      PROMPT 16 1 ""
      FLAGS "U"
      //PICTURE "###.###.##@"
      //MESSAGE _NUMEXPR,#1546/#1541
      GROUP 15 FG_COL5 FG_COL5_UNIT
    END
    VALUTA 1547 15
    BEGIN
      KEY "COL6"
      PROMPT 17 1 ""
      PICTURE "##.###.###.##@"
      GROUP 15 FG_COL6
    END
    VALUTA 1587 12
    BEGIN
      KEY "VALMEDIO"
      PROMPT 18 1 ""
      FLAGS "U"
      //PICTURE "###.###.##@"
      //MESSAGE _NUMEXPR,#1547/#1541
      GROUP 15 FG_COL6 FG_COL6_UNIT
    END
  END // tot catmerc
END // section body, loop anamag

SECTION FOOTER ODD 2
END // fine footer

SECTION FOOTER LAST 3 COLUMNWISE

STRINGA 1 255
BEGIN
 KEY "Separatore (iniziale)"
 PROMPT 1 1 "---------------------------------------------------------"
 MESSAGE _USER,LINEATOTALI
END

STRINGA 2 68
BEGIN
 PROMPT 1 2 "@BTotale generale"
END

VALUTA 11 15
BEGIN
 KEY "TOTALE COL. 1"
 FLAGS "H"
 PROMPT 2 2 ""
 PICTURE "##.###.###.##@"
END

NUMERO 12 12
BEGIN
 FLAGS "H"
 PROMPT 3 2 ""
END

VALUTA 13 15
BEGIN
 KEY "TOTALE COL. 2"
 FLAGS "H"
 PROMPT 4 2 ""
 PICTURE "##.###.###.##@"
END

NUMERO 14 12
BEGIN
 FLAGS "H"
 PROMPT 5 2 ""
END

VALUTA 15 15
BEGIN
 KEY "TOTALE COL. 3"
 PROMPT 6 2 ""
 FLAGS "H"
 PICTURE "##.###.###.##@"
END

NUMERO 16 12
BEGIN
 PROMPT 7 2 ""
 FLAGS "H"
END

VALUTA 17 15
BEGIN
 KEY "TOTALE COL. 4"
 PROMPT 8 2 ""
 FLAGS "H"
 PICTURE "##.###.###.##@"
END

NUMERO 18 12
BEGIN
 PROMPT 9 2 ""
 FLAGS "H"
END

VALUTA 19 15
BEGIN
 KEY "TOTALE COL. 5"
 PROMPT 10 2 ""
 FLAGS "H"
 PICTURE "##.###.###.##@"
END

NUMERO 20 12
BEGIN
 PROMPT 11 2 ""
 FLAGS "H"
END

VALUTA 21 15
BEGIN
 KEY "TOTALE COL. 6"
 PROMPT 12 2 ""
 FLAGS "H"
 PICTURE "##.###.###.##@"
END

NUMERO 22 12
BEGIN
 PROMPT 13 2 ""
 FLAGS "H"
END

END // Footer last

END // fine form
