#include "mg4300.h"
USE LF_RMOVMAG BY CRONO_FIELD FISC_FIELD
JOIN LF_MOVMAG INTO NUMREG==NUMREG
JOIN %CAU TO LF_MOVMAG ALIAS ALIAS_CAUSALI INTO CODTAB==CODCAUS
JOIN %CAU TO LF_RMOVMAG ALIAS ALIAS_CAUSALIR INTO CODTAB==CAUS
JOIN LF_ANAMAG TO LF_RMOVMAG INTO CODART==CODART
JOIN LF_UMART TO LF_ANAMAG INTO CODART==CODART
JOIN LF_UMART TO LF_RMOVMAG KEY 2 ALIAS ALIAS_UMRMOV INTO CODART==CODART UM==UM
END
  
DESCRIPTION
BEGIN
  47->* "Anagrafica articoli"
  109->* "Archivio Giacenze"
  MAG->* "Tabella magazzini"
  110->* "Movimenti di magazzino"
  111->* "Righe Movimenti di magazzino"
  49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 1
    //FONT "Courier New"
    //SIZE 10
END

SECTION GRAPHIC
BEGIN
END


SECTION HEADER ODD 5
  STRINGA 1 40 1
  BEGIN
   KEY "nome ditta"
   PROMPT  1 1 ""
   MESSAGE _USER,INTEST_DITTA
  END
  
  STRINGA 2 10
  BEGIN
   KEY "Data"
   PROMPT  66 1 "Data "
   MESSAGE _TODAY
  END
  
  STRINGA 4 45
  BEGIN
    KEY "Intestazione stampa"
    PROMPT  25 2 ""
    MESSAGE _USER,INTEST_REG
  END
  
  STRINGA 5 80
  BEGIN
    KEY "Separatore (iniziale)"
    PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
  END
  STRINGA 6 12
  BEGIN
    PROMPT 42 4 "UM"
  END
  NUMERO 7 12
  BEGIN
    PROMPT 46 4 "Quantit"
  END
  NUMERO 8 12
  BEGIN
    PROMPT 63 4 "Prezzo"
  END
  NUMERO 9 12
  BEGIN
    PROMPT 75 4 "Valore"
  END
  STRINGA 5 80
  BEGIN
    KEY "Separatore (iniziale)"
    PROMPT 1 5 "------------------------------------------------------------------------------------------------------------------------------------------------------"
  END
END

SECTION BODY ODD 2
  NUMERO 100
  BEGIN
    FLAGS "H"
    MESSAGE RESET,3@
  END

  STRINGA 101 150
  BEGIN
    FLAGS "H"
    PROMPT 1 1 ""
    MESSAGE _USER,INFO_CRONO|RESET,FF_NUMLINEE|COPY,FF_INFORAGGCRO
  END

  SECTION RAGG_CRONOLOGICO 1 0 0 FILE LF_RMOVMAG GROUP CRONO_FIELD
  
    NUMERO 100
    BEGIN
      FLAGS "H"
      MESSAGE RESET,2@
    END

    SECTION HEADER_RAGG_FISC 1 2 0 GROUP
      STRINGA 100 78
      BEGIN
        PROMPT 1 1 ""
        MESSAGE _USER,INFO_FISC|COPY,FF_CODTOT
      END             
      STRINGA 101 60
      BEGIN
        PROMPT 10 1 ""
        MESSAGE COPY,FF_INFOCAUS
        FIELD ALIAS_CAUSALIR@->CODTAB
        FIELD ALIAS_CAUSALI@->CODTAB
      END
      STRINGA 102 12
      BEGIN
        PROMPT 37 1 ""
        FIELD LF_UMART->UM
        MESSAGE COPY,FF_UMTOT
      END
    END

    SECTION RAGG_FISCALE 1 0 0 FILE LF_RMOVMAG GROUP FISC_FIELD
      STRINGA 100 30
      BEGIN
        PROMPT 1 1 ""
        MESSAGE _STREXPR,LF_RMOVMAG->NUMREG+LF_RMOVMAG->CODART+"/"+LF_RMOVMAG->LIVGIAC+":"+LF_RMOVMAG->CODMAG
        MESSAGE _USER,REGISTRASTAMPA
      END
      STRINGA 100 10
      BEGIN
        PROMPT 31 1 ""
        FIELD LF_MOVMAG->DATAREG 
      END
      STRINGA 101 12
      BEGIN
        PROMPT 67 1 ""
        FIELD LF_RMOVMAG->UM
      END
      VALUTA 103 12
        BEGIN
        PROMPT 70 1 ""
        MESSAGE _NUMEXPR,LF_RMOVMAG->QUANT*ALIAS_UMRMOV@->FC|_USER,*SEGNOCAUS|ADD,FF_QTARAGGFIS
      END
      VALUTA 105 12
      BEGIN
        PROMPT 94 1 ""
        MESSAGE _NUMEXPR,LF_RMOVMAG->QUANT*LF_RMOVMAG->PREZZO|_USER,*SEGNOCAUS|ADD,FF_VALTOT
      END
      VALUTA 104 12
      BEGIN
        PROMPT 82 1 ""
        MESSAGE _NUMEXPR,#105/#103
      END
    END // RAGG FISCALE
    NUMERO FF_NUMLINEE 12
    BEGIN
      FLAGS "H"
    END

    SECTION TOTALI_RAGG_FISC 1 1 1 NUMEXPR #FF_QTARAGGFIS!=0
      SECTION HEADER_RAGG_CRONO 1 2 2 NUMEXPR #FF_NUMLINEE=0
        STRINGA FF_INFORAGGCRO 70
        BEGIN
          PROMPT 1 1 ""
          MESSAGE _USER,INCNUMREGST
        END
        STRINGA FF_INFOCAUS 70
        BEGIN
          PROMPT 9 2 ""   
          MESSAGE _USER,INFO_CAUS
        END
        SECTION HEADER_MOV 3 0 0 GROUP
          SECTION HEADER_EXDOC 1 1 1 NUMEXPR LF_MOVMAG->EX_NUMDOC!=0
            STRINGA 101 25
            BEGIN
              PROMPT 10 1 "Documento "
              FIELD LF_MOVMAG->EX_NUMDOC
            END
            STRINGA 102 10
            BEGIN
              PROMPT 30 1 "del "
              FIELD LF_MOVMAG->EX_DATADOC
            END
          END // end section header doc
          SECTION HEADER_DOC 1 1 1 NUMEXPR (LF_MOVMAG->EX_NUMDOC==0) && (LF_MOVMAG->NUMDOC!=0)
            STRINGA 101 25
            BEGIN
              PROMPT 10 1 "Documento "
              FIELD LF_MOVMAG->NUMDOC
            END
            STRINGA 101 10
            BEGIN
              PROMPT 30 1 "del "
              FIELD LF_MOVMAG->ANNODOC
            END
          END // end section header doc
        END
      END // header_ragg_crono

      STRINGA FF_CODTOT 40
      BEGIN
        PROMPT 1 1 ""
        MESSAGE INC,FF_NUMLINEE
      END
      STRINGA FF_UMTOT 2
      BEGIN
        PROMPT 42 1 ""
        GROUP 2
      END
      NUMERO FF_QTARAGGFIS 12
      BEGIN
        PROMPT 45 1 ""
        PICTURE "###.###,@##"
        GROUP 2
      END
      VALUTA FF_VALTOT 12
      BEGIN
        PROMPT 70 1 ""
        GROUP 2
      END
      VALUTA 204 12
      BEGIN
        PROMPT 58 1 ""
        MESSAGE _NUMEXPR,#FF_VALTOT/#FF_QTARAGGFIS 
        GROUP 2
      END
    END // totali ragg_
  END // RAGG CRONOLOGICO     
END // BODY: CICLO MOV

SECTION FOOTER ODD 4
  STRINGA 100
  BEGIN
    KEY "NUMP"
    PROMPT 50 1 "-----"
  END

  NUMERO 101
  BEGIN
    KEY "NUMPAGE"
    PROMPT 50 2 ""
    MESSAGE _PAGENO
    PICTURE "-###-"
  END

END


