// Form per la stampa carico linee nel tempo
// e la stampa scheduling del bucket suddiviso per linee


USE 132 KEY 2
JOIN LF_ANAMAG INTO CODART==CODART
JOIN IMP ALIAS 201 INTO CODTAB==IMPIANTO
JOIN LNP ALIAS 202 INTO CODTAB==LINEA
END

DESCRIPTION
BEGIN
END

GENERAL
BEGIN
  OFFSET 0 0
END

SECTION HEADER ODD 7

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  76 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  110 1 "Pagina "
 MESSAGE _PAGENO
END

STRINGA 4 50
BEGIN
 KEY "Intestazione stampa"
 PROMPT  40 2 ""
END

END //HEADER


SECTION BODY ODD 3 COLUMNWISE

STRING 1 50
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Impianto" "Impianto"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Cod. Impianto"
 PROMPT 1 1 "@BImpianto "
 MESSAGE _STREXPR,IMPIANTO+ " "+201@->S0|RESET,1@
END

STRING 2 4
BEGIN
 SPECIAL STRINGA INTESTAZIONE "UM" "UM"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Unita di misura"
 PROMPT 2 1 ""
 FLAGS "H"
END

NUMERO 3 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket Iniziale"
 PROMPT 3 1 ""
END

NUMERO 4 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 1"
 PROMPT 4 1 ""
END

NUMERO 5 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 2"
 PROMPT 5 1 ""
END

NUMERO 6 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 3"
 PROMPT 6 1 ""
END

NUMERO 7 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 4"
 PROMPT 7 1 ""
END

NUMERO 8 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 5"
 PROMPT 8 1 ""
END

NUMERO 9 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 6"
 PROMPT 9 1 ""
END

NUMERO 10 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 7"
 PROMPT 10 1 ""
END

NUMERO 11 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 8"
 PROMPT 11 1 ""
END

NUMERO 12 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 9"
 PROMPT 12 1 ""
END

NUMERO 13 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 10"
 PROMPT 13 1 ""
END

NUMERO 14 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 11"
 PROMPT 14 1 ""
END

NUMERO 15 14
BEGIN
 SPECIAL STRINGA INTESTAZIONE "" ""
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket Finale"
 PROMPT 15 1 ""
END

SECTION IMPIANTI 2 0 4 FILE 132 GROUP IMPIANTO
 FLAGS "H"
  STRINGA 200 50
  BEGIN
    PROMPT 1 1 " Linea "
    MESSAGE _STREXPR,LINEA+ " "+202@->S0|RESET,2@
  END
  
  SECTION LINEE 2 0 3 FILE 132 GROUP LINEA
   FLAGS "H"
    STRINGA 300 50
    BEGIN
      PROMPT 1 1 "  Articolo "
      MESSAGE _STREXPR,CODART+ " "+LF_ANAMAG->DESCR|RESET,3@
    END
    
    SECTION ARTICOLI 2 0 2 FILE 132 GROUP CODART
     FLAGS "H"
      STRINGA 400 50
      BEGIN
        PROMPT 1 1 "   Livello giacenza "
        MESSAGE _MRP,DESCRLIV|RESET,4@
      END

      SECTION LIVELLI  1 0 0 FILE 132 GROUP LIVELLO
       FLAGS "H"

        STRINGA 501 50
        BEGIN
          KEY "Cod. "
          PROMPT 1 1 ""
        END
        
        STRINGA 502 4
        BEGIN
          KEY "UM"
          PROMPT 2 1 ""
          FIELD UM
          MESSAGE COPY,102|COPY,202|COPY,302|COPY,402
          FLAGS "H"
        END
      
        NUMERO 503 14
        BEGIN
         KEY "Bucket Iniziale"
         PROMPT 3 1 ""
         FIELD QTAFIRST
         MESSAGE ADD,103|ADD,203|ADD,303|ADD,403
        END
        
        NUMERO 504 14
        BEGIN
         KEY "Bucket 1"
         PROMPT 4 1 ""
         FIELD QTA1
         MESSAGE ADD,104|ADD,204|ADD,304|ADD,404
        END
        
        NUMERO 505 14
        BEGIN
         KEY "Bucket 2"
         PROMPT 5 1 ""
         FIELD QTA2
         MESSAGE ADD,105|ADD,205|ADD,305|ADD,405
        END
        
        NUMERO 506 14
        BEGIN
         KEY "Bucket 3"
         PROMPT 6 1 ""
         FIELD QTA3
         MESSAGE ADD,106|ADD,206|ADD,306|ADD,406
        END
        
        NUMERO 507 14
        BEGIN
         KEY "Bucket 4"
         PROMPT 7 1 ""
         FIELD QTA4
         MESSAGE ADD,107|ADD,207|ADD,307|ADD,407
        END
        
        NUMERO 508 14
        BEGIN
         KEY "Bucket 5"
         PROMPT 8 1 ""
         FIELD QTA5
         MESSAGE ADD,108|ADD,208|ADD,308|ADD,408
        END
        
        NUMERO 509 14
        BEGIN
         KEY "Bucket 6"
         PROMPT 9 1 ""
         FIELD QTA6
         MESSAGE ADD,109|ADD,209|ADD,309|ADD,409
        END
        
        NUMERO 510 14
        BEGIN
         KEY "Bucket 7"
         PROMPT 10 1 ""
         FIELD QTA7
         MESSAGE ADD,110|ADD,210|ADD,310|ADD,410
        END
        
        NUMERO 511 14
        BEGIN
         KEY "Bucket 8"
         PROMPT 11 1 ""
         FIELD QTA8
         MESSAGE ADD,111|ADD,211|ADD,311|ADD,411
        END
        
        NUMERO 512 14
        BEGIN
         KEY "Bucket 9"
         PROMPT 12 1 ""
         FIELD QTA9
         MESSAGE ADD,112|ADD,212|ADD,312|ADD,412
        END
        
        NUMERO 513 14
        BEGIN
         KEY "Bucket 10"
         PROMPT 13 1 ""
         FIELD QTA10
         MESSAGE ADD,113|ADD,213|ADD,313|ADD,413
        END
        
        NUMERO 514 14
        BEGIN
         KEY "Bucket 11"
         PROMPT 14 1 ""
         FIELD QTA11
         MESSAGE ADD,114|ADD,214|ADD,314|ADD,414
        END
        
        NUMERO 515 14
        BEGIN   
         KEY "Bucket Finale"
         PROMPT 15 1 ""
         FIELD QTALAST
         MESSAGE ADD,115|ADD,215|ADD,315|ADD,415
        END

        NUMERO 516 14
        BEGIN
         KEY "Capacita minima col1"
         PROMPT 4 2 ""
         FIELD CMIN1
         MESSAGE COPY,216
        END
        
        NUMERO 517 14
        BEGIN
         KEY "Capacita massima col1"
         PROMPT 4 3 ""
         FIELD CMAX1
         MESSAGE COPY,217
        END

        NUMERO 518 14
        BEGIN
         KEY "Capacita minima col2"
         PROMPT 5 2 ""
         FIELD CMIN2
         MESSAGE COPY,218
        END
        
        NUMERO 519 14
        BEGIN
         KEY "Capacita massima col2"
         PROMPT 5 3 ""
         FIELD CMAX2
         MESSAGE COPY,219
        END

        NUMERO 520 14
        BEGIN
         KEY "Capacita minima col3"
         PROMPT 6 2 ""
         FIELD CMIN3
         MESSAGE COPY,220
        END
        
        NUMERO 521 14
        BEGIN
         KEY "Capacita massima col3"
         PROMPT 6 3 ""
         FIELD CMAX3
         MESSAGE COPY,221
        END

        NUMERO 522 14
        BEGIN
         KEY "Capacita minima col4"
         PROMPT 7 2 ""
         FIELD CMIN4
         MESSAGE COPY,222
        END
        
        NUMERO 523 14
        BEGIN
         KEY "Capacita massima col4"
         PROMPT 7 3 ""
         FIELD CMAX4
         MESSAGE COPY,223
        END

        NUMERO 524 14
        BEGIN
         KEY "Capacita minima col5"
         PROMPT 8 2 ""
         FIELD CMIN5
         MESSAGE COPY,224
        END
        
        NUMERO 525 14
        BEGIN
         KEY "Capacita massima col5"
         PROMPT 8 3 ""
         FIELD CMAX5
         MESSAGE COPY,225
        END

        NUMERO 526 14
        BEGIN
         KEY "Capacita minima col6"
         PROMPT 9 2 ""
         FIELD CMIN6
         MESSAGE COPY,226
        END
        
        NUMERO 527 14
        BEGIN
         KEY "Capacita massima col6"
         PROMPT 9 3 ""
         FIELD CMAX6
         MESSAGE COPY,227
        END

        NUMERO 528 14
        BEGIN
         KEY "Capacita minima col7"
         PROMPT 10 2 ""
         FIELD CMIN7
         MESSAGE COPY,228
        END
        
        NUMERO 529 14
        BEGIN
         KEY "Capacita massima col7"
         PROMPT 10 3 ""
         FIELD CMAX7
         MESSAGE COPY,229
        END

        NUMERO 530 14
        BEGIN
         KEY "Capacita minima col8"
         PROMPT 11 2 ""
         FIELD CMIN8
         MESSAGE COPY,230
        END
        
        NUMERO 531 14
        BEGIN
         KEY "Capacita massima col8"
         PROMPT 11 3 ""
         FIELD CMAX8
         MESSAGE COPY,231
        END

        NUMERO 532 14
        BEGIN
         KEY "Capacita minima col9"
         PROMPT 12 2 ""
         FIELD CMIN9
         MESSAGE COPY,232
        END
        
        NUMERO 533 14
        BEGIN
         KEY "Capacita massima col9"
         PROMPT 12 3 ""
         FIELD CMAX9
         MESSAGE COPY,233
        END

        NUMERO 534 14
        BEGIN
         KEY "Capacita minima col10"
         PROMPT 13 2 ""
         FIELD CMIN10
         MESSAGE COPY,234
        END
        
        NUMERO 535 14
        BEGIN
         KEY "Capacita massima col10"
         PROMPT 13 3 ""
         FIELD CMAX10
         MESSAGE COPY,235
        END

        NUMERO 536 14
        BEGIN
         KEY "Capacita minima col11"
         PROMPT 14 2 ""
         FIELD CMIN11
         MESSAGE COPY,236
        END
        
        NUMERO 537 14
        BEGIN
         KEY "Capacita massima col11"
         PROMPT 14 3 ""
         FIELD CMAX11
         MESSAGE COPY,236
        END

      END // SECTION LIVELLI
      
      //Totalizzatori per livelli
      STRINGA 401 50
      BEGIN
        KEY "Totale livello giacenza"
        PROMPT 1 2 "   Totale livello giacenza "
      END
      
      STRINGA 402 4
      BEGIN
        KEY "UM"
        PROMPT 2 2 ""
        FLAGS "H"
      END
    
      NUMERO 403 14
      BEGIN
       KEY "Bucket Iniziale"
       PROMPT 3 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 404 14
      BEGIN
       KEY "Bucket 1"
       PROMPT 4 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 405 14
      BEGIN
       KEY "Bucket 2"
       PROMPT 5 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 406 14
      BEGIN
       KEY "Bucket 3"
       PROMPT 6 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 407 14
      BEGIN
       KEY "Bucket 4"
       PROMPT 7 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 408 14
      BEGIN
       KEY "Bucket 5"
       PROMPT 8 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 409 14
      BEGIN
       KEY "Bucket 6"
       PROMPT 9 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 410 14
      BEGIN
       KEY "Bucket 7"
       PROMPT 10 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 411 14
      BEGIN
       KEY "Bucket 8"
       PROMPT 11 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 412 14
      BEGIN
       KEY "Bucket 9"
       PROMPT 12 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 413 14
      BEGIN
       KEY "Bucket 10"
       PROMPT 13 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 414 14
      BEGIN
       KEY "Bucket 11"
       PROMPT 14 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
      
      NUMERO 415 14
      BEGIN   
       KEY "Bucket Finale"
       PROMPT 15 2 ""
       PICTURE "#########,@@"
       GROUP 4
      END
    END // SECTION ARTICOLI
    
    // Totalizzatori per articoli
    STRINGA 301 50
    BEGIN
      KEY "Totale articolo"
      PROMPT 1 2 "  Totale articolo "
    END
    
    STRINGA 302 4
    BEGIN
      KEY "UM"
      PROMPT 2 2 ""
      FLAGS "H"
    END
  
    NUMERO 303 14
    BEGIN
     KEY "Bucket Iniziale"
     PROMPT 3 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 304 14
    BEGIN
     KEY "Bucket 1"
     PROMPT 4 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 305 14
    BEGIN
     KEY "Bucket 2"
     PROMPT 5 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 306 14
    BEGIN
     KEY "Bucket 3"
     PROMPT 6 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 307 14
    BEGIN
     KEY "Bucket 4"
     PROMPT 7 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 308 14
    BEGIN
     KEY "Bucket 5"
     PROMPT 8 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 309 14
    BEGIN
     KEY "Bucket 6"
     PROMPT 9 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 310 14
    BEGIN
     KEY "Bucket 7"
     PROMPT 10 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 311 14
    BEGIN
     KEY "Bucket 8"
     PROMPT 11 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 312 14
    BEGIN
     KEY "Bucket 9"
     PROMPT 12 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 313 14
    BEGIN
     KEY "Bucket 10"
     PROMPT 13 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 314 14
    BEGIN
     KEY "Bucket 11"
     PROMPT 14 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
    
    NUMERO 315 14
    BEGIN   
     KEY "Bucket Finale"
     PROMPT 15 2 ""
     PICTURE "#########,@@"
     GROUP 3
    END
  END // SECTION LINEE
  
  // Totalizzatori per linee
  STRINGA 201 50
  BEGIN
    KEY "Totale linea"
    PROMPT 1 2 " Totale linea "
  END
  
  STRINGA 202 4
  BEGIN
    KEY "UM"
    PROMPT 2 2 ""
    FLAGS "H"
  END

  NUMERO 203 14
  BEGIN
   KEY "Bucket Iniziale"
   PROMPT 3 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 204 14
  BEGIN
   KEY "Bucket 1"
   PROMPT 4 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 205 14
  BEGIN
   KEY "Bucket 2"
   PROMPT 5 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 206 14
  BEGIN
   KEY "Bucket 3"
   PROMPT 6 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 207 14
  BEGIN
   KEY "Bucket 4"
   PROMPT 7 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 208 14
  BEGIN
   KEY "Bucket 5"
   PROMPT 8 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 209 14
  BEGIN
   KEY "Bucket 6"
   PROMPT 9 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 210 14
  BEGIN
   KEY "Bucket 7"
   PROMPT 10 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 211 14
  BEGIN
   KEY "Bucket 8"
   PROMPT 11 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 212 14
  BEGIN
   KEY "Bucket 9"
   PROMPT 12 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 213 14
  BEGIN
   KEY "Bucket 10"
   PROMPT 13 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 214 14
  BEGIN
   KEY "Bucket 11"
   PROMPT 14 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END
  
  NUMERO 215 14
  BEGIN
   KEY "Bucket Finale"
   PROMPT 15 2 ""
   PICTURE "#########,@@"
   GROUP 2
  END

  NUMERO 216 14
  BEGIN
   KEY "Capacita minima 1"
   FLAGS "H"
   PROMPT 4 3 ""
   GROUP 2
  END

  NUMERO 217 14
  BEGIN
   KEY "Capacita massima 1"
   FLAGS "H"
   PROMPT 4 4 ""
   GROUP 2
  END

  NUMERO 218 14
  BEGIN
   KEY "Capacita minima 2"
   FLAGS "H"
   PROMPT 5 3 ""
   GROUP 2
  END

  NUMERO 219 14
  BEGIN
   KEY "Capacita massima 2"
   FLAGS "H"
   PROMPT 5 4 ""
   GROUP 2
  END

  NUMERO 220 14
  BEGIN
   KEY "Capacita minima 3"
   FLAGS "H"
   PROMPT 6 3 ""
   GROUP 2
  END

  NUMERO 221 14
  BEGIN
   KEY "Capacita massima 3"
   FLAGS "H"
   PROMPT 6 4 ""
   GROUP 2
  END

  NUMERO 222 14
  BEGIN
   KEY "Capacita minima 4"
   FLAGS "H"
   PROMPT 7 3 ""
   GROUP 2
  END

  NUMERO 223 14
  BEGIN
   KEY "Capacita massima 4"
   FLAGS "H"
   PROMPT 7 4 ""
   GROUP 2
  END

  NUMERO 224 14
  BEGIN
   KEY "Capacita minima 5"
   FLAGS "H"
   PROMPT 8 3 ""
   GROUP 2
  END

  NUMERO 225 14
  BEGIN
   KEY "Capacita massima 5"
   FLAGS "H"
   PROMPT 8 4 ""
   GROUP 2
  END

  NUMERO 226 14
  BEGIN
   KEY "Capacita minima 6"
   FLAGS "H"
   PROMPT 9 3 ""
   GROUP 2
  END

  NUMERO 227 14
  BEGIN
   KEY "Capacita massima 6"
   FLAGS "H"
   PROMPT 9 4 ""
   GROUP 2
  END

  NUMERO 228 14
  BEGIN
   KEY "Capacita minima 7"
   FLAGS "H"
   PROMPT 10 3 ""
   GROUP 2
  END

  NUMERO 229 14
  BEGIN
   KEY "Capacita massima 7"
   FLAGS "H"
   PROMPT 10 4 ""
   GROUP 2
  END

  NUMERO 230 14
  BEGIN
   KEY "Capacita minima 8"
   FLAGS "H"
   PROMPT 11 3 ""
   GROUP 2
  END

  NUMERO 231 14
  BEGIN
   KEY "Capacita massima 8"
   FLAGS "H"
   PROMPT 11 4 ""
   GROUP 2
  END

  NUMERO 232 14
  BEGIN
   KEY "Capacita minima 9"
   FLAGS "H"
   PROMPT 12 3 ""
   GROUP 2
  END

  NUMERO 233 14
  BEGIN
   KEY "Capacita massima 9"
   FLAGS "H"
   PROMPT 12 4 ""
   GROUP 2
  END

  NUMERO 234 14
  BEGIN
   KEY "Capacita minima 10"
   FLAGS "H"
   PROMPT 13 3 ""
   GROUP 2
  END

  NUMERO 235 14
  BEGIN
   KEY "Capacita massima 10"
   FLAGS "H"
   PROMPT 13 4 ""
   GROUP 2
  END

  NUMERO 236 14
  BEGIN
   KEY "Capacita minima 11"
   FLAGS "H"
   PROMPT 14 3 ""
   GROUP 2
  END

  NUMERO 237 14
  BEGIN
   KEY "Capacita massima 11"
   FLAGS "H"
   PROMPT 14 4 ""
   GROUP 2
  END

  STRINGA 238 50
  BEGIN
    KEY "Carico"
    FLAGS "H"
    PROMPT 1 3 " Carico linea"
  END
  
  STRINGA 239 10
  BEGIN
    KEY "UM"
    FLAGS "H"
    PROMPT 2 3 ""
  END

  NUMERO 240 14
  BEGIN
   KEY "Carico linea col 1"
   FLAGS "H"
   PROMPT 4 3 ""
   MESSAGE _MRP,LOAD,204,217
   GROUP 2
  END

  NUMERO 241 14
  BEGIN
   KEY "Carico linea col 2"
   FLAGS "H"
   PROMPT 5 3 ""
   MESSAGE _MRP,LOAD,205,219
   GROUP 2
  END

  NUMERO 242 14
  BEGIN
   KEY "Carico linea col 3"
   FLAGS "H"
   PROMPT 6 3 ""
   MESSAGE _MRP,LOAD,206,221
   GROUP 2
  END

  NUMERO 243 14
  BEGIN
   KEY "Carico linea col 4"
   FLAGS "H"
   PROMPT 7 3 ""
   MESSAGE _MRP,LOAD,207,223
   GROUP 2
  END
  
  NUMERO 244 14
  BEGIN
   KEY "Carico linea col 5"
   FLAGS "H"
   PROMPT 8 3 ""
   MESSAGE _MRP,LOAD,208,225
   GROUP 2
  END

  NUMERO 245 14
  BEGIN
   KEY "Carico linea col 6"
   FLAGS "H"
   PROMPT 9 3 ""
   MESSAGE _MRP,LOAD,209,227
   GROUP 2
  END
  
  NUMERO 246 14
  BEGIN
   KEY "Carico linea col 7"
   FLAGS "H"
   PROMPT 10 3 ""
   MESSAGE _MRP,LOAD,210,229
   GROUP 2
  END

  NUMERO 247 14
  BEGIN
   KEY "Carico linea col 8"
   FLAGS "H"
   PROMPT 11 3 ""
   MESSAGE _MRP,LOAD,211,231
   GROUP 2
  END

  NUMERO 248 14
  BEGIN
   KEY "Carico linea col 9"
   FLAGS "H"
   PROMPT 12 3 ""
   MESSAGE _MRP,LOAD,212,233
   GROUP 2
  END

  NUMERO 249 14
  BEGIN
   KEY "Carico linea col 10"
   FLAGS "H"
   PROMPT 13 3 ""
   MESSAGE _MRP,LOAD,213,235
   GROUP 2
  END

  NUMERO 250 14
  BEGIN
   KEY "Carico linea col 11"
   FLAGS "H"
   PROMPT 14 3 ""
   MESSAGE _MRP,LOAD,214,237
   GROUP 2
  END
END // SECTION IMPIANTI

// Totalizzatori impianto
STRING 101 50
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Totale impianto"
 PROMPT 1 2 "Totale impianto"
END

STRING 102 4
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "UM"
 PROMPT 2 2 ""
 FLAGS "H"
END

NUMERO 103 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket Iniziale"
 PROMPT 3 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 104 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 1"
 PROMPT 4 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 105 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 2"
 PROMPT 5 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 106 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 3"
 PROMPT 6 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 107 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 4"
 PROMPT 7 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 108 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 5"
 PROMPT 8 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 109 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 6"
 PROMPT 9 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 110 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 7"
 PROMPT 10 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 111 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 8"
 PROMPT 11 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 112 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 9"
 PROMPT 12 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 113 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 10"
 PROMPT 13 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 114 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket 11"
 PROMPT 14 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

NUMERO 115 14
BEGIN
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Bucket Finale"
 PROMPT 15 2 ""
 GROUP 1
 PICTURE "#########,@@"
END

END //BODY  


