// Form per la stampa carico linee nel tempo
// e la stampa scheduling del bucket suddiviso per linee

USE 132 KEY 3
JOIN LF_ANAMAG INTO CODART==CODART
JOIN IMP ALIAS 201 INTO CODTAB==IMPIANTO
JOIN LNP ALIAS 202 INTO CODTAB==LINEA
END

DESCRIPTION
BEGIN
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 7
  PRI_DECIMALS 0 2
  QTA_DECIMALS 3 3
  IMP_DECIMALS 0 2
END

SECTION HEADER ODD 7

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  76 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  142 1 "Pagina "
 MESSAGE _PAGENO
END

STRINGA 4 50
BEGIN
 KEY "Intestazione stampa"
 PROMPT  40 2 ""
END

END //HEADER


SECTION BODY ODD 1 COLUMNWISE

SECTION F_TESTATA 1 1 1 STR_EXPR (TIPO=="C") || (TIPO=="c")
  STRING 1 14
  BEGIN
   KEY "Cod. Impianto"
   PROMPT 1 1 "--------------------"
  END
  STRING 1 40
  BEGIN
   KEY "Artic."
   PROMPT 16 1 "@b"
   MESSAGE _STREXPR,CODART+" "+LF_ANAMAG->DESCR
  END
END
  
  STRING 1 14
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Impianto/Linea" "Impianto/Linea"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Cod. Impianto"
   PROMPT 1 1 ""
   MESSAGE _STREXPR,IMPIANTO+" "+LINEA
  END

  STRING 1 40
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Articolo" "Articolo"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Cod. Linea"
   PROMPT 3 1 ""
   MESSAGE _USER,CODART
  END
  
  STRING 2 4
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "UM" "UM"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Unita di misura"
   PROMPT 4 1 ""
   FIELD UM
  END
  
  NUMERO 3 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket Iniziale"
   PROMPT 10 1 ""
   FIELD QTAFIRST
  END
  
  NUMERO 4 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 1"
   PROMPT 11 1 ""
   FIELD QTA1
  END
  
  NUMERO 5 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 2"
   PROMPT 12 1 ""
   FIELD QTA2
  END
  
  NUMERO 6 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 3"
   PROMPT 13 1 ""
   FIELD QTA3
  END
  
  NUMERO 7 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 4"
   PROMPT 14 1 ""
   FIELD QTA4
  END
  
  NUMERO 8 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 5"
   PROMPT 15 1 ""
   FIELD QTA5
  END
  
  NUMERO 9 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 6"
   PROMPT 16 1 ""
   FIELD QTA6
  END
  
  NUMERO 10 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 7"
   PROMPT 17 1 ""
   FIELD QTA7
  END
  
  NUMERO 11 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 8"
   PROMPT 18 1 ""
   FIELD QTA8
  END
  
  NUMERO 12 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 9"
   PROMPT 19 1 ""
   FIELD QTA9
  END
  NUMERO 13 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 10"
   PROMPT 20 1 ""
   FIELD QTA10
  END
  NUMERO 14 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 11"
   PROMPT 21 1 ""
   FIELD QTA11
  END
  NUMERO 15 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 12"
   PROMPT 22 1 ""
   FIELD QTA12
  END
  NUMERO 16 14  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "" ""
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket over"
   PROMPT 23 1 ""
   FIELD QTALAST
  END
END


END //BODY  


