#ifndef __MR2200A_H
#define __MR2200A_H
#define G_PREPROCESS      1
#define G_POSTPROCESS      2
#define G_MASTERSCHEDULE      6
#define G_NOMASTERSCHEDULE    7
#define G_BUCKET_DEF          8
#define G_BUCKET_WEEK         9
#define G_FIRSTFIT           10
#define G_INFINITE           20
#define G_FINITE             30
#define G_FINITE_H           35
#define G_QTA                40
#define G_VALORI             41
#define G_SCRITTE_CLI        50
#define G_SCRITTE_FOR        51

#define F_MSCHEDULEPLAN   200
#define F_NUM_ORC         201
#define F_TIPI_ORC        202
#define F_NUM_PLA         203
#define F_TIPI_PLA        204
#define F_LEADTIME        205
#define F_DADATA          206
#define F_ADATA           207
#define F_NOCLI_OUT       208
#define F_NOMAG_OUT       209

//#define     F_NOIMP_OUT   ?
//#define     F_NOLIN_OUT   ?

//#define        210
//#define        211
//#define        212
#define F_RESCHEDULING    213
#define F_RESCHED_ALERT   214
#define F_SHOW_WEEK       215

#define F_NOCLI_IN        216
#define F_NOMAG_IN        217
#define F_NOIMP_IN        218
#define F_NOLIN_IN        219

#define F_USENONSTDLIN_CRP  220
#define F_USEEXTRAHRS_CRP   221
#define F_HUMANCHECK_CRP    222
#define F_2LEVEL_MSP        223
#define F_2LEVEL_PRIORITY   224
#define F_EXTRACAPACITY     225
#define F_SHOWPERC          226
#define F_SHOWDETAILS         227
#define F_LOADTYPE          228
#define F_EXTRAHCAPACITY     229

#define F_USENONSTDLIN_MSP 230
#define F_USEEXTRAHRS_MSP  231
#define F_HUMANCHECK_MSP   232
//#define F_???            233
//#define F_???            234
//#define F_???            235
#define F_RECALC_TYPE      236
//#define F_???            237
#define F_LOTSIZING        238
#define F_ANTICIPOMAX      239
#define F_ANTICIPOMIN      240
#define F_OUTOFCAPACITY    241
#define F_MAXGIORNIGIAC    242
#define F_ANTICIPOMAX2     243
#define F_ANTICIPOMIN2     244
#define F_SOGLIAATT        245

#define F_RECALC_TYPE2     246

#define F_PRINT_ROW_FILTER 247
#define F_PRINT_FROM_COL   248
#define F_PRINT_NUM_COL    249

#define F_MSP_SORT         250
#define F_CRP_SORT         251
#define F_MSP_SORT_ORDER   252
#define F_CRP_SORT_ORDER   253

#define F_SHOWPRICES       254

#define F_TIPOCV           255
#define F_CODCONDV         256
#define F_CATVEN_CV        257
#define F_TIPOCF           258
#define F_DOC_YEAR_PREC    259
#define F_FRART            261
#define F_TOART            262
#define F_FRGRM            263
#define F_FRSGM            264
#define F_TOGRM            265
#define F_TOSGM            266

// filtri di salvataggio
#define F_SAVE_OPT         260
//#define        261
//#define         262
//#define          263
//#define          264
//#define           265

// Sheet filtri di salvataggio
#define F_SEL4SAVE        101
#define F_NUM_PLAN        102
#define F_TIPO_PLAN       103
#define F_RIGA_PLAN       104
#define F_DA_IMPIANTO      105
#define F_A_IMPIANTO       106
#define F_DA_LINEA         107
#define F_A_LINEA          108
#define F_DA_MAGAZZ        109
#define F_A_MAGAZZ         110

#define F_NUMBERBYCLI      270
#define F_NUMBERBYWEEK     271
#define F_DIVIDEBYART      273
#define F_DIVIDEBYDATE     272

#define F_YEAR            301
#define F_IMPIANTO        302
#define F_LINEA           303
#define F_CALENDAR        304

#define F_BUCKET          350
#define F_BUCKETS         351
#define F_DAYXBUCK        352
#define F_LASTWRKDAY      353
#define H_BUCKET          354
// print fields
#define S_PRINTTYPE        601
#define S_INTERLINEA       602
#define S_DELAY_EXCEPT     603
#define S_HURRYUP_EXCEPT   604
#define S_EXTRA_EXCEPT     605
#define S_STOCKBRK_EXCEPT  606
#define S_CODEMISS_EXCEPT  607

// non profiled fields :  number freely
#define F_ARTICOLI        401 
#define F_LINEE           402
#define F_RECALC_MSP      450
#define F_CANCEL_MSP      451
#define F_RECALC_CRP      452 
#define F_CLIFOR_DES      453

#define F_CHECK           453
#define F_PRINT           454

//#define ???             450
//#define F_CHECK_CRP       45
//#define F_PRINT_CRP       456
#define F_MSP_RESORT       457
#define F_CRP_RESORT       458

// spreadsheet num/ tipi doc
#define F_NUMERAZ     101
#define F_DESCNUMERAZ 102

#define F_TIPO        101
#define F_DESCTIPO    102
#define F_DASTATO     103
#define F_ASTATO      104
#define F_STATODEF      105

// sheet articoli
#define F_CHECKLINE   100
#define F_TIPOCF_SHEET 101
#define F_CLIENTE     102
#define F_ARTICOLO    103
#define F_LIV1        104
#define F_LIV2        105
#define F_LIV3        106
#define F_LIV4        107
#define F_PRIORITA    108
#define F_DESCART     109
#define F_CODIMP      110
#define F_CODLIN      111 
#define F_MAGAZZINO   112
#define F_DEPOSITO    113
#define F_MAG_COLL    114
#define F_DEP_COLL    115
#define F_UM          116
#define F_BUCKET0     117
#define F_BUCKET0_V   118
#define F_BUCKET1     119
#define F_BUCKET1_V   120
#define F_BUCKET2     121
#define F_BUCKET2_V   122
#define F_BUCKET3     123
#define F_BUCKET3_V   124
#define F_BUCKET4     125
#define F_BUCKET4_V   126
#define F_BUCKET5     127
#define F_BUCKET5_V   128
#define F_BUCKET6     129
#define F_BUCKET6_V   130
#define F_BUCKET7     131
#define F_BUCKET7_V   132
#define F_BUCKET8     133
#define F_BUCKET8_V   134
#define F_BUCKET9     135
#define F_BUCKET9_V   136
#define F_BUCKET10    137
#define F_BUCKET10_V  138
#define F_BUCKET11    139
#define F_BUCKET11_V  140
#define F_BUCKET12    141
#define F_BUCKET12_V  142
#define F_BUCKET13    143
#define F_BUCKET13_V  144
#define F_BUCKET14    145
#define F_BUCKET14_V  146
#define F_BUCKET15    147
#define F_BUCKET15_V  148
#define F_MASTERCODE  149
#define F_SORTCODIMP   150
#define F_SORTCODLIN   151 

#define LAST_BUCKET   15



#define H_CODIMP      150
#define F_DESCCLI     151
#define F_DESCIMP     152
#define F_DESCLIN     153
#define F_DESCMAG     154
#define F_DESCMAGCOLL 155
#define F_DOCUMENTI_IN   160
#define F_DOCUMENTI_OUT  161
#define F_VINCOLI_IN   162
#define F_VINCOLI_OUT  163
#define F_RECALCLINE   170

// sheet linee
#define F_CODIMPCRP    101
#define F_CODLINCRP    102
#define F_CODARTCRP    103
#define F_LUM          104
#define F_LBUCKET0     105
#define F_LBUCKET1     106
#define F_LBUCKET2     107
#define F_LBUCKET3     108
#define F_LBUCKET4     109
#define F_LBUCKET5     110
#define F_LBUCKET6     111
#define F_LBUCKET7     112
#define F_LBUCKET8     113
#define F_LBUCKET9     114
#define F_LBUCKET10    115
#define F_LBUCKET11    116
#define F_LBUCKET12    117
#define F_LBUCKET13    118

#define F_DESCARTCRP   130
#define F_DESCIMPCRP   131
#define F_DESCLINCRP   132

#define H_CODDITTA   133
#define F_RAGSOC   134

#endif

