// Form per la stampa carico linee nel tempo
// e la stampa scheduling del bucket suddiviso per linee


USE LF_MRPREPORT KEY 3
JOIN LF_ANAMAG INTO CODART==CODART
JOIN IMP ALIAS 201 INTO CODTAB==IMPIANTO
JOIN LNP ALIAS 202 INTO CODTAB==LINEA
END

DESCRIPTION
BEGIN
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier"
  SIZE 8
END

SECTION HEADER ODD 7

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  76 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  110 1 "Pagina "
 MESSAGE _PAGENO
END

STRINGA 4 50
BEGIN
 KEY "Intestazione stampa"
 PROMPT  40 2 ""
END

END //HEADER


SECTION BODY ODD 1 COLUMNWISE

  STRING 1 40
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Articolo" "Articolo"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Cod. Linea"
   PROMPT 1 1 ""
   MESSAGE _USER,CODART
  END
  
  STRING 2 4
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "UM" "UM"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Unita di misura"
   PROMPT 4 1 ""
   FIELD UM
  END
  
  NUMERO 3 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.0" "Bucket.0"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket Iniziale"
   PROMPT 10 1 ""
   PICTURE ".2"
   FIELD QTAFIRST
  END
  
  NUMERO 4 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.1" "Bucket.1"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 1"
   PROMPT 11 1 ""
   PICTURE ".2"
   FIELD QTA1
  END
  
  NUMERO 5 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.2" "Bucket.2"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 2"
   PROMPT 12 1 ""
   PICTURE ".2"
   FIELD QTA2
  END
  
  NUMERO 6 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.3" "Bucket.3"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 3"
   PROMPT 13 1 ""
   PICTURE ".2"
   FIELD QTA3
  END
  
  NUMERO 7 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.4" "Bucket.4"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 4"
   PROMPT 14 1 ""
   PICTURE ".2"
   FIELD QTA4
  END
  
  NUMERO 8 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.5" "Bucket.5"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 5"
   PROMPT 15 1 ""
   PICTURE ".2"
   FIELD QTA5
  END
  
  NUMERO 9 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.6" "Bucket.6"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 6"
   PROMPT 16 1 ""
   PICTURE ".2"
   FIELD QTA6
  END
  
  NUMERO 10 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.7" "Bucket.7"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 7"
   PROMPT 17 1 ""
   PICTURE ".2"
   FIELD QTA7
  END
  
  NUMERO 11 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.8" "Bucket.8"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 8"
   PROMPT 18 1 ""
   PICTURE ".2"
   FIELD QTA8
  END
  
  NUMERO 12 14 2  
  BEGIN
   SPECIAL STRINGA INTESTAZIONE "Bucket.9" "Bucket.9"
   SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
   SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
   KEY "Bucket 9"
   PROMPT 19 1 ""
   PICTURE ".2"
   FIELD QTA9
  END
END


END //BODY  


