#include "mr2200.h"
#include "mr2200a.h"

class TOrdAcq_mask : public TPlanning_mask
{
public:
  virtual bool is_acq_planning() { return TRUE;}
  TOrdAcq_mask();
  virtual ~TOrdAcq_mask() { }
};

TOrdAcq_mask::TOrdAcq_mask()
         : TPlanning_mask("mr2400a")
{
//  init();
}

class TOrdAcq_app : public TPlanning_app
{
protected:
  virtual TPlanning_mask& mask() {return *_m;}
  virtual bool create();
};

bool TOrdAcq_app::create()
{
  openfiles();
  _m =  new TOrdAcq_mask();
  _m->field(F_MSCHEDULEPLAN).set(" ");
  _m->disable_page(4);   
  return TSkeleton_application::create();
}

int mr2400(int argc, char* argv[])
{
  TOrdAcq_app a;
  a.run(argc, argv, "Pianificazione ordini acquisto");
  return 0;
}
