#include <applicat.h>
#include <mask.h>   
#include <form.h>

#include "agenti.h"
#include "pr1100.h"

class TStampa_agenti : public TSkeleton_application
{
protected:
  virtual void main_loop();

public:
  // @cmember Disabilita la verifica del modulo : essendo una anagrafica, va sempre abilitata
  virtual bool check_autorization() const { return FALSE; }
};

void TStampa_agenti::main_loop()
{
  open_files(LF_TAB, LF_AGENTI, LF_CLIFO, 0);

  TMask mask("pr1100");
  while (mask.run() == K_ENTER) 
  {
    TForm form("pr1100a");
    TCursor& cur = *form.cursor();
  
    TRectype darec(LF_AGENTI),arec(LF_AGENTI);
    if (mask.get(F_ORDINAMENTO)[0]=='C')
    {
      darec.put(AGE_CODAGE,mask.get(F_DAAGE));
      arec.put(AGE_CODAGE,mask.get(F_AAGE));
      cur.setkey(1);
    }
    else
    {
      darec.put(AGE_RAGSOC,mask.get(F_DADES));
      arec.put(AGE_RAGSOC,mask.get(F_ADES));
      cur.setkey(2);
    }
    cur.setregion(darec,arec);
    form.print();
  } // while true  
}

int pr1100(int argc, char* argv[])
{
  TStampa_agenti a;
  a.run(argc,argv,"Stampa agenti");
  return 0;
}
