!include standard.mak

.SUFFIXES: .ini .src

{$(SP)}.src{$(EP)}.ini:
        inicomp $<

  
SRC=\
  $(EP)bollac.ini $(EP)bollaf.ini $(EP)fatturaa.ini $(EP)fatturac.ini \
  $(EP)ordinec.ini $(EP)ordinef.ini $(EP)fatacq.ini $(EP)bolacq.ini  \
  $(EP)ordbon.ini \
  $(EP)ve0300a.ini

MSK=\
  $(EP)bollac.msk $(EP)bollaf.msk $(EP)fatturaa.msk $(EP)fatturac.msk \
  $(EP)ordinec.msk $(EP)ordinef.msk $(EP)fatacq.msk $(EP)bolacq.msk  \
  $(EP)ordbon.msk  

main: $(SRC) $(MSK)

clearprof:
  echo "Cancellazione dei profili"
  cd exe
  del bollac.msk
  del bollac.ini
  del bollaf.msk
  del bollaf.ini
  del fatturaa.msk
  del fatturaa.ini
  del fatturac.msk
  del fatturac.ini
  del ordinec.msk
  del ordinec.ini
  del ordinef.msk
  del ordinef.ini
  del fatacq.msk
  del fatacq.ini
  del bolacq.msk
  del bolacq.ini
  del ordbon.msk
  del ordbon.ini
  del magc.msk
  del magc.ini
  del magf.msk
  del magf.ini
  cd ..

listprof:
  echo "Elenco dei profili"
  cd exe
  echo copy /u  f:bollac.msk
  echo copy /u  f:bollac.ini
  echo copy /u  f:bollaf.msk
  echo copy /u  f:bollaf.ini
  echo copy /u  f:fatturaa.msk
  echo copy /u  f:fatturaa.ini
  echo copy /u  f:fatturac.msk
  echo copy /u  f:fatturac.ini
  echo copy /u  f:ordinec.msk
  echo copy /u  f:ordinec.ini
  echo copy /u  f:ordinef.msk
  echo copy /u  f:ordinef.ini
  echo copy /u  f:fatacq.msk
  echo copy /u  f:fatacq.ini
  echo copy /u  f:bolacq.msk
  echo copy /u  f:bolacq.ini
  echo copy /u  f:ordbon.msk
  echo copy /u  f:ordbon.ini
  echo copy /u  f:magc.msk
  echo copy /u  f:magc.ini
  echo copy /u  f:magf.msk
  echo copy /u  f:magf.ini
  cd ..

$(EP)bollac.ini: $(I)bollac.src

$(EP)bollaf.ini: $(I)bollaf.src

$(EP)fatturaa.ini: $(I)fatturaa.src

$(EP)fatturac.ini: $(I)fatturac.src

$(EP)ordinec.ini: $(I)ordinec.src

$(EP)ordinef.ini: $(I)ordinef.src

$(EP)fatacq.ini: $(I)fatacq.src

$(EP)bolacq.ini: $(I)bolacq.src

$(EP)ordbon.ini: $(I)ordbon.src

$(EP)ve0300a.ini: $(I)ve0300a.src

$(EP)bollac.msk: $(EP)bollac.ini
  cd exe
  ve0 -3 bollac.ini -f /uADMIN
  delay 15
  cd ..

$(EP)bollaf.msk: $(EP)bollaf.ini
  cd exe
  ve0 -3 bollaf.ini -f /uADMIN
  delay 15
  cd ..

$(EP)fatturaa.msk: $(EP)fatturaa.ini
  cd exe
  ve0 -3 fatturaa.ini -f /uADMIN
  delay 15
  cd ..

$(EP)fatturac.msk: $(EP)fatturac.ini
  cd exe
  ve0 -3 fatturac.ini -f /uADMIN
  delay 15
  cd ..

$(EP)ordinec.msk: $(EP)ordinec.ini
  cd exe
  ve0 -3 ordinec.ini -f /uADMIN
  delay 15
  cd ..

$(EP)ordinef.msk: $(EP)ordinef.ini
  cd exe
  ve0 -3 ordinef.ini -f /uADMIN
  delay 15
  cd ..

$(EP)fatacq.msk: $(EP)fatacq.ini
  cd exe
  ve0 -3 fatacq.ini -f /uADMIN
  delay 15
  cd ..

$(EP)bolacq.msk: $(EP)bolacq.ini
  cd exe
  ve0 -3 bolacq.ini -f /uADMIN
  delay 15
  cd ..

$(EP)ordbon.msk: $(EP)ordbon.ini
  cd exe
  ve0 -3 ordbon.ini -f /uADMIN
  delay 15
  cd ..


