// FrontEndView.h : interface of the CFrontEndView class
//
/////////////////////////////////////////////////////////////////////////////

class CFrontEndView : public CTreeView
{
protected: // create from serialization only
	CFrontEndView();
	DECLARE_DYNCREATE(CFrontEndView)

// Attributes
public:
	CFrontEndDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFrontEndView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFrontEndView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFrontEndView)
	afx_msg void OnUpdateFileSaveAs(CCmdUI* pCmdUI);
	afx_msg void OnEditClearAll();
	afx_msg void OnUpdateEditClearAll(CCmdUI* pCmdUI);
	afx_msg void OnViewTrace();
	afx_msg void OnUpdateViewTrace(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FrontEndView.cpp
inline CFrontEndDoc* CFrontEndView::GetDocument()
   { return (CFrontEndDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
