#include <checks.h>
#include <relapp.h>
#include "ve0.h"

class TGlossario_application : public TRelation_application
{
  TRelation* _rel;
  TMask* _msk;

protected:
  virtual bool user_create();
  virtual bool user_destroy();
  virtual TMask* get_mask(int mode) { return _msk; }
  virtual bool changing_mask(int mode) { return FALSE;}
  virtual TRelation* get_relation() const { return _rel; }

public:
  TGlossario_application() : _msk(NULL), _rel(NULL) {}                
  virtual ~TGlossario_application() {}
};

bool TGlossario_application::user_create()
{
  _rel = new TRelation(LF_GOLEM);
  _msk = new TMask("ve0500a");

  return TRUE;
}

bool TGlossario_application::user_destroy()
{
  delete _msk;
  delete _rel;

  return TRUE;
}

int ve0500(int argc, char* argv[])
{
  TGlossario_application a;
  a.run(argc, argv, "Gestione glossario");
  return 0;
}

