#ifndef __VECONF_H
#define __VECONF_H

#define A_LISTINI     1
#define A_CONTRATTI   2
#define A_OFFERTE     3

// Campi per ve0200a.uml
#define F_GESLISTINI      102
#define F_GESLISCV        103
#define F_GESUM           104
#define F_GESSCALISTINI   105
#define F_GESSOLISTINI    106
#define F_GESCONTRATTI    107
#define F_GESCONCC        108
#define F_GESCONTRATTIUM  109
#define F_GESSCACONTRATTI 110
#define F_GESSOCONTRATTI  111
#define F_GESCAMPAGNE     112
#define F_GESCAMPAGNEUM   113
#define F_GESSCACAMPAGNE  114
#define F_GESSOCAMPAGNE   115

#define F_GESSCO          120
#define F_SCOKEY1         121
#define F_SCOKEY2         122
#define F_SCOKEY3         123
#define F_SCOKEY4         124

#define F_GESSCORIGA      125
#define F_GESSCORIGACV    126
#define F_SCORIGAKEY      127

#define F_GESSCOSCA       128
#define F_GESSCOUM        129

#define F_GESTCONAI       130
#define F_CODACC          131
#define F_DESACC          132
#define F_CODALL          133
#define F_DESALL          134
#define F_CODCAR          135
#define F_DESCAR          136
#define F_CODPLA          137
#define F_DESPLA          138
#define F_CODLEG          139
#define F_DESLEG          140
#define F_CODVET          141
#define F_DESVET          142
#define F_DESCONAIASS     143

// Campi per ve0200b.uml
#define F_GESAGE          101
#define F_TIPOPERC        102
#define F_GESVAL          103
#define F_GESVALAC        104
#define F_GESLIN          105
#define F_LIVPERART       106
#define F_GESOCCAS        107  
#define F_CONTROEURO_E    108
#define F_LINGUA_ONLY     109


// Campi per ve0200c.uml
#define F_SCOPRCODCON1    101
#define F_SCOPRCODCON2    102
#define F_SCOPRCODCON3    103
#define F_SCOPRDESCON     104
#define F_SCOIMCODCON1    105
#define F_SCOIMCODCON2    106
#define F_SCOIMCODCON3    107
#define F_SCOIMDESCON     108

// Campi per ve0200d.uml
#define F_SPINCODIVA      101
#define F_SPINDESIVA      102
#define F_SPINCODCON1V    103
#define F_SPINCODCON2V    104
#define F_SPINCODCON3V    105
#define F_SPINDESCONV     106
#define F_SPBOCODIVA      107
#define F_SPBODESIVA      108
#define F_SPBOCODCON1V    109
#define F_SPBOCODCON2V    110
#define F_SPBOCODCON3V    111
#define F_SPBODESCONV     112
#define F_SPBOCODCON1A    113
#define F_SPBOCODCON2A    114
#define F_SPBOCODCON3A    115
#define F_SPBODESCONA     116
#define F_SPINCODCON1A    117
#define F_SPINCODCON2A    118
#define F_SPINCODCON3A    119
#define F_SPINDESCONA     120

// Campi per ve0200e.uml
#define F_RICERCACR1      101
#define F_RICERCACR2      102
#define F_RICERCACR3      103
#define F_RICERCACR4      104
#define F_RICERCACR5      105
#define F_RICERCAAN1      106
#define F_RICERCAAN2      107
#define F_RICERCAAN3      108
#define F_RICERCAAN4      109
#define F_SCONTO_LORDO    110
#define F_IVASTORNO       111
#define F_CHECKPREVCONT   112 

// Campi per ve0200f.uml
#define F_IMPSPINC1       101
#define F_IMPSPINC2       102
#define F_IMPSPINC3       103
#define F_IMPSPINC4       104
#define F_IMPSPINC5       105
#define F_IMPSPINC6       106
#define F_IMPSPINC7       107
#define F_IMPSPINC8       108
#define F_IMPSPINC9       109
#define F_SPBOSCA1        110
#define F_SPBOIMP1        111
#define F_SPBOSCA2        112
#define F_SPBOIMP2        113
#define F_SPBOSCA3        114
#define F_SPBOIMP3        115
#define F_SPBOSCA4        116
#define F_SPBOIMP4        117
#define F_SPBOSCA5        118
#define F_SPBOIMP5        119
#define F_SPBOSCA6        120
#define F_SPBOIMP6        121
#define F_SPBOSCA7        122
#define F_SPBOIMP7        123
#define F_OMTRIGA         124
#define F_OMDRIGA         125
#define F_ESTRIGA         126
#define F_ESDRIGA         127
#define F_SCTRIGA         128
#define F_SCDRIGA         129
#define F_BOLLIES         130
#define F_OMDESC          131
#define F_IMPMINBOLLI     132
#define F_EX_IVA1         133
#define F_EX_PERCIVA1     134
#define F_EX_IVA2         135
#define F_EX_PERCIVA2     136
#define F_EX_IVA3         137
#define F_EX_PERCIVA3     138
#define F_EX_IVA4         139
#define F_EX_PERCIVA4     140
#define F_EX_IVA5         141
#define F_EX_PERCIVA5     142
#define F_DESESENZ        143

// Campi per ve0200g.uml
#define F_EXPLODEDB       101
#define F_VALCOMP         102
#define F_TIPOESPL        103
#define F_RAGGART         104
#define F_LIVELLO         105
#define F_ORDDB           106
#define F_DESORDDB        107
#define F_ELRORIG         108
#define F_CHK_USER1       120
#define F_CHK_USER2       121
#define F_CHK_USER3       122
#define F_CHK_USER4       123
#define F_CHK_USER5       124
#define F_CHK_USER6       125
#define F_CHK_USER7       126
#define F_CHK_USER8       127
#define F_CHK_USER9       128
#define F_CHK_USER10      129
#define F_PROMPT_USER1    130
#define F_PROMPT_USER2    131
#define F_PROMPT_USER3    132
#define F_PROMPT_USER4    133
#define F_PROMPT_USER5    134
#define F_PROMPT_USER6    135
#define F_PROMPT_USER7    136
#define F_PROMPT_USER8    137
#define F_PROMPT_USER9    138
#define F_PROMPT_USER10   139
#define F_TYPE_USER1      140
#define F_TYPE_USER2      141
#define F_TYPE_USER3      142
#define F_TYPE_USER4      143
#define F_TYPE_USER5      144
#define F_TYPE_USER6      145
#define F_TYPE_USER7      146
#define F_TYPE_USER8      147
#define F_TYPE_USER9      148
#define F_TYPE_USER10     149
#define F_LEN_USER1       150
#define F_LEN_USER2       151
#define F_LEN_USER3       152
#define F_LEN_USER4       153
#define F_LEN_USER5       154
#define F_LEN_USER6       155
#define F_LEN_USER7       156
#define F_LEN_USER8       157
#define F_LEN_USER9       158
#define F_LEN_USER10      159
#define F_DEC_USER1       160
#define F_DEC_USER2       161
#define F_DEC_USER3       162
#define F_DEC_USER4       163
#define F_DEC_USER5       164
#define F_DEC_USER6       165
#define F_DEC_USER7       166
#define F_DEC_USER8       167
#define F_DEC_USER9       168
#define F_DEC_USER10      169
#define F_GEN_EAN         170
#define F_EAN8            171
#define F_EAN13           172
#endif

