/*******************************************************************************
*  Copyright 1991-1996 by ORCA Software, Inc.                                  *
*                                                                              *
*  All rights reserved.  May not be reproduced or distributed, in printed or   *
*  electronic form, without permission of ORCA Software, Inc.  May not be      *
*  distributed as object code, separately or linked with other object modules, *
*  without permission.                                                         *
*******************************************************************************/

#ifndef INCL_XI_INT
#define INCL_XI_INT

int 
xi_scroll_internal( XI_OBJ * xi_obj, int nbr_lines, int percent,
                    BOOLEAN same_cell );
void
xi_control_event_scroll( XI_OBJ * xi_obj, int nbr_lines, int percent,
                        BOOLEAN same_cell );
void realloc_ptrs( void ***ptrs, int nbr_ptrs, void *parent );
BOOLEAN 
xi_move_focus_internal( XI_OBJ * xi_obj, BOOLEAN make_callbacks,
                        BOOLEAN next_if_disabled,
                        int check_for_reenabled );
XI_OBJ *
xi_search_itf( XI_OBJ * xi_obj, XI_SEARCH_TYPE search_type,
              int parm1 );
XI_OBJ *xi_find_next_obj( XI_OBJ * focus_obj, XI_NEXT_TYPE tab_type, long c );
void xi_remove_window_from_list( XinWindow win );
void xi_clear_lasts( void );
void xi_close_window_internal( XI_OBJ * itf );
BOOLEAN call_cb( XI_OBJ * itf, XI_EVENT * xiev );
void xi_hscroll_internal( XI_OBJ * xi_obj, int nbr_lines, int pos );
void XVT_CALLCONV1 xi_hscroll 
XVT_CC_ARGS( ( XI_OBJ * xi_obj,
              int nbr_columns ) );
void xi_draw_field_button( XI_OBJ * xi_obj );
void xi_field_set_rect_internal( XI_OBJ *xi_obj, XinRect *rect );
void xi_container_set_rect_internal( XI_OBJ *xi_obj, XinRect *rect );
void xi_set_rect_internal( XI_OBJ *xi_obj, XinRect *rect );
#endif
