/*******************************************************************************
*  Copyright 1991-1996 by ORCA Software, Inc.                                  *
*                                                                              *
*  All rights reserved.  May not be reproduced or distributed, in printed or   *
*  electronic form, without permission of ORCA Software, Inc.  May not be      *
*  distributed as object code, separately or linked with other object modules, *
*  without permission.                                                         *
*******************************************************************************/

#ifndef INCL_XIL
#define INCL_XIL

#if (XVT_CC == XVT_CC_CURL)
#include "xires.h"
#else
#include "xi.h"
#endif

#include "xvtcm.h"

#ifdef __cplusplus
extern "C"
{
#endif

  typedef struct
  {
    XVTCM_CONTROL_INFO ci;
    XI_OBJ *itf;
    XI_EVENT *xiev;
  } XIL_DATA;

  WINDOW XVT_CALLCONV1 xil_create XVT_CC_ARGS( ( int cid, int left, int top,
                                        int right, int bottom, int prop_count,
                                          char **prop_list, WINDOW parent_win,
                                            int parent_rid, long parent_flags,
                                                  char *parent_class ) );
  XI_OBJ_DEF *XVT_CALLCONV1 xil_parse XVT_CC_ARGS( ( int cid, int prop_count,
                                                      char **prop_list ) );

  WINDOW XVT_CALLCONV1 xis_create XVT_CC_ARGS( ( int cid, int left, int top,
                                        int right, int bottom, int prop_count,
                                          char **prop_list, WINDOW parent_win,
                                            int parent_rid, long parent_flags,
                                                  char *parent_class ) );

#ifdef __cplusplus
}

// End of extern "C"
#endif
#endif
