void OsWin32_Beep(int severity);
bool OsWin32_CheckPrinterInfo(const void* data, unsigned int size);
void* OsWin32_ConvertFromNativePrinterInfo(void* hGlobal, unsigned int& nSize);
void* OsWin32_ConvertToNativePrinterInfo(void* data, unsigned int nSize);
void OsWin32_DrawBitmap(unsigned int hBitmap, unsigned int hDC, 
				                int xd, int yd, int wd, int hd, int xs, int ys, int ws, int hs);
void OsWin32_DrawDottedRect(unsigned int hDC, int left, int top, int right, int bottom);

wxString OsWin32_File2App(const char* filename);
bool OsWin32_GotoUrl(const char* url, const char* action);
unsigned int OsWin32_LoadIcon(const char* file);

int OsWin32_EnumerateFamilies(unsigned int hDC, char** families, int max_count);
int OsWin32_EnumerateSizes(unsigned int hDC, const char* name, long* sizes, short* scalable, int max_count);
void OsWin32_SetCaptionStyle(unsigned int handle, bool set);
void* OsWin32_GetPrinterInfo(int& size, const char* printer);
void OsWin32_SetClippingRect(unsigned int hDC, int x, int y, int w, int h); 
void OsWin32_StretchBlt(unsigned int hDst, int xd, int yd, int wd, int hd,
												unsigned int hSrc, int xs, int ys, int ws, int hs);

void OsWin32_PlaceProcessInWindow(unsigned int instance, const char* name, unsigned int parent);
void OsWin32_UpdateWindow(unsigned int handle);

int OsWin32_Help(unsigned int handle, const char* hlp, unsigned int cmd, const char* topic);
bool OsWin32_TestNetworkVersion();

bool OsWin32_HL_Crypt(unsigned short* data);
bool OsWin32_HL_Login(unsigned short address, const unsigned char* label, const unsigned char* password);
bool OsWin32_HL_Logout() ;
bool OsWin32_HL_Read(unsigned short reg, unsigned short* data);
bool OsWin32_HL_ReadBlock(unsigned char* data);
bool OsWin32_HL_Write(unsigned short reg, unsigned short data);
bool OsWin32_SL_Crypt(unsigned short* data);
bool OsWin32_SL_Login(const unsigned char* label, const unsigned char* password);
bool OsWin32_SL_Logout() ;
bool OsWin32_SL_ReadBlock(unsigned short reg, unsigned short size, unsigned short* data);
bool OsWin32_SL_WriteBlock(unsigned short reg, unsigned short size, const unsigned short* data);

